import { VNode } from 'vue';
import { type Timestamp } from '../utils/Timestamp';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    useNavigation: BooleanConstructor;
    cellWidth: (StringConstructor | NumberConstructor)[];
    now: {
        type: StringConstructor;
        validator: (v: string) => boolean;
        default: string;
    };
    maxDays: {
        readonly type: import("vue").PropType<import("../composables/useMaxDays").MaxDaysProps["maxDays"]>;
        readonly default: 1;
    };
    columnCount: {
        readonly type: import("vue").PropType<import("../composables/useColumn").ColumnProps["columnCount"]>;
        readonly default: 0;
        readonly validator: typeof import("..").validateNumber;
    };
    columnIndexStart: {
        readonly type: import("vue").PropType<import("../composables/useColumn").ColumnProps["columnIndexStart"]>;
        readonly default: 0;
        readonly validator: typeof import("..").validateNumber;
    };
    view: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["view"]>;
        readonly validator: (v: string) => boolean;
        readonly default: "day";
    };
    modelResources: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["modelResources"]>;
    };
    resourceKey: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceKey"]>;
        readonly default: "id";
    };
    resourceLabel: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceLabel"]>;
        readonly default: "label";
    };
    resourceHeight: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceHeight"]>;
        readonly default: 0;
        readonly validator: typeof import("..").validateNumber;
    };
    resourceMinHeight: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceMinHeight"]>;
        readonly default: 70;
        readonly validator: typeof import("..").validateNumber;
    };
    resourceStyle: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceStyle"]>;
        readonly default: null;
    };
    resourceClass: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceClass"]>;
        readonly default: null;
    };
    weekdayStyle: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["weekdayStyle"]>;
        readonly default: null;
    };
    weekdayClass: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["weekdayClass"]>;
        readonly default: null;
    };
    dayStyle: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["dayStyle"]>;
        readonly default: null;
    };
    dayClass: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["dayClass"]>;
        readonly default: null;
    };
    dateHeader: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["dateHeader"]>;
        readonly default: "stacked";
        readonly validator: (v: string) => boolean;
    };
    modelValue: {
        type: StringConstructor;
        default: string;
        validator: (v: string) => boolean;
    };
    weekdays: {
        type: () => number[];
        default: () => number[];
    };
    dateType: {
        type: () => "round" | "rounded" | "square";
        default: string;
        validator: (v: string) => boolean;
    };
    weekdayAlign: {
        type: () => "left" | "center" | "right";
        default: string;
        validator: (v: string) => boolean;
    };
    dateAlign: {
        type: () => "left" | "center" | "right";
        default: string;
        validator: (v: string) => boolean;
    };
    bordered: BooleanConstructor;
    dark: BooleanConstructor;
    noAria: BooleanConstructor;
    noActiveDate: BooleanConstructor;
    noHeader: BooleanConstructor;
    noScroll: BooleanConstructor;
    shortWeekdayLabel: BooleanConstructor;
    noDefaultHeaderText: BooleanConstructor;
    noDefaultHeaderBtn: BooleanConstructor;
    minWeekdayLabel: {
        type: import("vue").PropType<number | string>;
        default: number;
    };
    weekdayBreakpoints: {
        type: () => number[];
        default: () => number[];
        validator: (v: number[]) => boolean;
    };
    locale: {
        type: StringConstructor;
        default: string;
    };
    animated: BooleanConstructor;
    transitionPrev: {
        type: StringConstructor;
        default: string;
    };
    transitionNext: {
        type: StringConstructor;
        default: string;
    };
    disabledDays: () => string[];
    disabledBefore: StringConstructor;
    disabledAfter: StringConstructor;
    disabledWeekdays: {
        type: () => number[];
        default: () => string[] | Set<string>;
    };
    dragEnterFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dragOverFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dragLeaveFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dropFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    selectedDates: {
        type: import("vue").PropType<string[] | Set<string>>;
        default: () => string[] | Set<string>;
    };
    selectedStartEndDates: {
        type: () => string[];
        default: () => string[];
    };
    hoverable: BooleanConstructor;
    focusable: BooleanConstructor;
    focusType: {
        type: () => ("day" | "date" | "weekday" | "interval" | "time" | "resource" | "task")[];
        default: () => ("day" | "date" | "weekday" | "interval" | "time" | "resource" | "task")[];
        validator: (v: string[]) => boolean;
    };
}>, () => VNode, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    useNavigation: BooleanConstructor;
    cellWidth: (StringConstructor | NumberConstructor)[];
    now: {
        type: StringConstructor;
        validator: (v: string) => boolean;
        default: string;
    };
    maxDays: {
        readonly type: import("vue").PropType<import("../composables/useMaxDays").MaxDaysProps["maxDays"]>;
        readonly default: 1;
    };
    columnCount: {
        readonly type: import("vue").PropType<import("../composables/useColumn").ColumnProps["columnCount"]>;
        readonly default: 0;
        readonly validator: typeof import("..").validateNumber;
    };
    columnIndexStart: {
        readonly type: import("vue").PropType<import("../composables/useColumn").ColumnProps["columnIndexStart"]>;
        readonly default: 0;
        readonly validator: typeof import("..").validateNumber;
    };
    view: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["view"]>;
        readonly validator: (v: string) => boolean;
        readonly default: "day";
    };
    modelResources: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["modelResources"]>;
    };
    resourceKey: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceKey"]>;
        readonly default: "id";
    };
    resourceLabel: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceLabel"]>;
        readonly default: "label";
    };
    resourceHeight: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceHeight"]>;
        readonly default: 0;
        readonly validator: typeof import("..").validateNumber;
    };
    resourceMinHeight: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceMinHeight"]>;
        readonly default: 70;
        readonly validator: typeof import("..").validateNumber;
    };
    resourceStyle: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceStyle"]>;
        readonly default: null;
    };
    resourceClass: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["resourceClass"]>;
        readonly default: null;
    };
    weekdayStyle: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["weekdayStyle"]>;
        readonly default: null;
    };
    weekdayClass: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["weekdayClass"]>;
        readonly default: null;
    };
    dayStyle: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["dayStyle"]>;
        readonly default: null;
    };
    dayClass: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["dayClass"]>;
        readonly default: null;
    };
    dateHeader: {
        readonly type: import("vue").PropType<import("../composables/useInterval").SchedulerProps["dateHeader"]>;
        readonly default: "stacked";
        readonly validator: (v: string) => boolean;
    };
    modelValue: {
        type: StringConstructor;
        default: string;
        validator: (v: string) => boolean;
    };
    weekdays: {
        type: () => number[];
        default: () => number[];
    };
    dateType: {
        type: () => "round" | "rounded" | "square";
        default: string;
        validator: (v: string) => boolean;
    };
    weekdayAlign: {
        type: () => "left" | "center" | "right";
        default: string;
        validator: (v: string) => boolean;
    };
    dateAlign: {
        type: () => "left" | "center" | "right";
        default: string;
        validator: (v: string) => boolean;
    };
    bordered: BooleanConstructor;
    dark: BooleanConstructor;
    noAria: BooleanConstructor;
    noActiveDate: BooleanConstructor;
    noHeader: BooleanConstructor;
    noScroll: BooleanConstructor;
    shortWeekdayLabel: BooleanConstructor;
    noDefaultHeaderText: BooleanConstructor;
    noDefaultHeaderBtn: BooleanConstructor;
    minWeekdayLabel: {
        type: import("vue").PropType<number | string>;
        default: number;
    };
    weekdayBreakpoints: {
        type: () => number[];
        default: () => number[];
        validator: (v: number[]) => boolean;
    };
    locale: {
        type: StringConstructor;
        default: string;
    };
    animated: BooleanConstructor;
    transitionPrev: {
        type: StringConstructor;
        default: string;
    };
    transitionNext: {
        type: StringConstructor;
        default: string;
    };
    disabledDays: () => string[];
    disabledBefore: StringConstructor;
    disabledAfter: StringConstructor;
    disabledWeekdays: {
        type: () => number[];
        default: () => string[] | Set<string>;
    };
    dragEnterFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dragOverFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dragLeaveFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dropFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    selectedDates: {
        type: import("vue").PropType<string[] | Set<string>>;
        default: () => string[] | Set<string>;
    };
    selectedStartEndDates: {
        type: () => string[];
        default: () => string[];
    };
    hoverable: BooleanConstructor;
    focusable: BooleanConstructor;
    focusType: {
        type: () => ("day" | "date" | "weekday" | "interval" | "time" | "resource" | "task")[];
        default: () => ("day" | "date" | "weekday" | "interval" | "time" | "resource" | "task")[];
        validator: (v: string[]) => boolean;
    };
}>> & Readonly<{}>, {
    view: "day" | "month" | "week" | "month-interval";
    columnCount: string | number;
    dark: boolean;
    focusable: boolean;
    columnIndexStart: string | number;
    now: string;
    maxDays: number;
    weekdayStyle: ((_scope: import("../composables/useInterval").Scope) => any) | undefined;
    weekdayClass: ((_scope: import("../composables/useInterval").Scope) => string) | undefined;
    dateHeader: "inline" | "stacked" | "inverted";
    modelValue: string;
    weekdays: number[];
    dateType: "square" | "round" | "rounded";
    weekdayAlign: "center" | "left" | "right";
    dateAlign: "center" | "left" | "right";
    bordered: boolean;
    noAria: boolean;
    noActiveDate: boolean;
    noHeader: boolean;
    noScroll: boolean;
    shortWeekdayLabel: boolean;
    noDefaultHeaderText: boolean;
    noDefaultHeaderBtn: boolean;
    minWeekdayLabel: string | number;
    weekdayBreakpoints: number[];
    locale: string;
    animated: boolean;
    transitionPrev: string;
    transitionNext: string;
    disabledWeekdays: number[];
    selectedDates: string[] | Set<string>;
    selectedStartEndDates: string[];
    hoverable: boolean;
    focusType: ("time" | "interval" | "day" | "weekday" | "date" | "resource" | "task")[];
    resourceKey: string;
    resourceLabel: string;
    resourceHeight: string | number;
    resourceMinHeight: string | number;
    resourceStyle: ((_timestamp: Timestamp) => any) | undefined;
    resourceClass: ((_scope: import("../composables/useInterval").Scope) => string) | undefined;
    dayStyle: ((_scope: import("../composables/useInterval").Scope) => any) | undefined;
    dayClass: ((_scope: import("../composables/useInterval").Scope) => string) | undefined;
    useNavigation: boolean;
}, {}, {}, {
    ResizeObserver: import("vue").Directive;
}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
