import { VNode } from 'vue';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    modelValue: {
        type: StringConstructor;
        default: string;
        validator: (v: string) => boolean;
    };
    modelTasks: {
        type: () => Array<any>;
        default: () => any[];
    };
    modelTitle: {
        type: () => Array<any>;
        default: () => any[];
    };
    modelFooter: {
        type: () => Array<any>;
        default: () => any[];
    };
    taskKey: {
        type: import("vue").PropType<string | number>;
        default: string;
    };
    weekdays: {
        type: () => number[];
        default: () => number[];
    };
    dateType: {
        type: () => "round" | "rounded" | "square";
        default: string;
        validator: (v: string) => boolean;
    };
    dateHeader: {
        type: () => "stacked" | "inline" | "inverted";
        default: string;
        validator: (v: string) => boolean;
    };
    weekdayAlign: {
        type: () => "left" | "center" | "right";
        default: string;
        validator: (v: string) => boolean;
    };
    dateAlign: {
        type: () => "left" | "center" | "right";
        default: string;
        validator: (v: string) => boolean;
    };
    dayHeight: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
        validator: typeof import("..").validateNumber;
    };
    dayMinHeight: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
        validator: typeof import("..").validateNumber;
    };
    weekdayStyle: {
        type: FunctionConstructor;
        default: null;
    };
    weekdayClass: {
        type: FunctionConstructor;
        default: null;
    };
    dayStyle: {
        type: FunctionConstructor;
        default: null;
    };
    dayClass: {
        type: FunctionConstructor;
        default: null;
    };
    footerDayClass: {
        type: FunctionConstructor;
        default: null;
    };
    view: {
        type: () => "day" | "week" | "month";
        validator: (v: string) => boolean;
    };
    viewCount: {
        type: NumberConstructor;
        default: number;
        validator: (v: number) => boolean;
    };
    taskWidth: {
        type: NumberConstructor;
        default: number;
        validator: (v: number) => boolean;
    };
    bordered: BooleanConstructor;
    dark: BooleanConstructor;
    noAria: BooleanConstructor;
    noActiveDate: BooleanConstructor;
    noHeader: BooleanConstructor;
    noScroll: BooleanConstructor;
    shortWeekdayLabel: BooleanConstructor;
    noDefaultHeaderText: BooleanConstructor;
    noDefaultHeaderBtn: BooleanConstructor;
    minWeekdayLabel: {
        type: import("vue").PropType<number | string>;
        default: number;
    };
    weekdayBreakpoints: {
        type: () => number[];
        default: () => number[];
        validator: (v: number[]) => boolean;
    };
    locale: {
        type: StringConstructor;
        default: string;
    };
    animated: BooleanConstructor;
    transitionPrev: {
        type: StringConstructor;
        default: string;
    };
    transitionNext: {
        type: StringConstructor;
        default: string;
    };
    disabledDays: () => string[];
    disabledBefore: StringConstructor;
    disabledAfter: StringConstructor;
    disabledWeekdays: {
        type: () => number[];
        default: () => string[] | Set<string>;
    };
    dragEnterFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dragOverFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dragLeaveFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dropFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    selectedDates: {
        type: import("vue").PropType<string[] | Set<string>>;
        default: () => string[] | Set<string>;
    };
    selectedStartEndDates: {
        type: () => string[];
        default: () => string[];
    };
    hoverable: BooleanConstructor;
    focusable: BooleanConstructor;
    focusType: {
        type: () => ("day" | "date" | "weekday" | "interval" | "time" | "resource" | "task")[];
        default: () => ("day" | "date" | "weekday" | "interval" | "time" | "resource" | "task")[];
        validator: (v: string[]) => boolean;
    };
    cellWidth: (StringConstructor | NumberConstructor)[];
    useNavigation: BooleanConstructor;
    now: {
        type: StringConstructor;
        validator: (v: string) => boolean;
        default: string;
    };
}>, () => VNode, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: StringConstructor;
        default: string;
        validator: (v: string) => boolean;
    };
    modelTasks: {
        type: () => Array<any>;
        default: () => any[];
    };
    modelTitle: {
        type: () => Array<any>;
        default: () => any[];
    };
    modelFooter: {
        type: () => Array<any>;
        default: () => any[];
    };
    taskKey: {
        type: import("vue").PropType<string | number>;
        default: string;
    };
    weekdays: {
        type: () => number[];
        default: () => number[];
    };
    dateType: {
        type: () => "round" | "rounded" | "square";
        default: string;
        validator: (v: string) => boolean;
    };
    dateHeader: {
        type: () => "stacked" | "inline" | "inverted";
        default: string;
        validator: (v: string) => boolean;
    };
    weekdayAlign: {
        type: () => "left" | "center" | "right";
        default: string;
        validator: (v: string) => boolean;
    };
    dateAlign: {
        type: () => "left" | "center" | "right";
        default: string;
        validator: (v: string) => boolean;
    };
    dayHeight: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
        validator: typeof import("..").validateNumber;
    };
    dayMinHeight: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
        validator: typeof import("..").validateNumber;
    };
    weekdayStyle: {
        type: FunctionConstructor;
        default: null;
    };
    weekdayClass: {
        type: FunctionConstructor;
        default: null;
    };
    dayStyle: {
        type: FunctionConstructor;
        default: null;
    };
    dayClass: {
        type: FunctionConstructor;
        default: null;
    };
    footerDayClass: {
        type: FunctionConstructor;
        default: null;
    };
    view: {
        type: () => "day" | "week" | "month";
        validator: (v: string) => boolean;
    };
    viewCount: {
        type: NumberConstructor;
        default: number;
        validator: (v: number) => boolean;
    };
    taskWidth: {
        type: NumberConstructor;
        default: number;
        validator: (v: number) => boolean;
    };
    bordered: BooleanConstructor;
    dark: BooleanConstructor;
    noAria: BooleanConstructor;
    noActiveDate: BooleanConstructor;
    noHeader: BooleanConstructor;
    noScroll: BooleanConstructor;
    shortWeekdayLabel: BooleanConstructor;
    noDefaultHeaderText: BooleanConstructor;
    noDefaultHeaderBtn: BooleanConstructor;
    minWeekdayLabel: {
        type: import("vue").PropType<number | string>;
        default: number;
    };
    weekdayBreakpoints: {
        type: () => number[];
        default: () => number[];
        validator: (v: number[]) => boolean;
    };
    locale: {
        type: StringConstructor;
        default: string;
    };
    animated: BooleanConstructor;
    transitionPrev: {
        type: StringConstructor;
        default: string;
    };
    transitionNext: {
        type: StringConstructor;
        default: string;
    };
    disabledDays: () => string[];
    disabledBefore: StringConstructor;
    disabledAfter: StringConstructor;
    disabledWeekdays: {
        type: () => number[];
        default: () => string[] | Set<string>;
    };
    dragEnterFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dragOverFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dragLeaveFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    dropFunc: import("vue").PropType<(_event: Event, _type: string, _scope: any) => boolean>;
    selectedDates: {
        type: import("vue").PropType<string[] | Set<string>>;
        default: () => string[] | Set<string>;
    };
    selectedStartEndDates: {
        type: () => string[];
        default: () => string[];
    };
    hoverable: BooleanConstructor;
    focusable: BooleanConstructor;
    focusType: {
        type: () => ("day" | "date" | "weekday" | "interval" | "time" | "resource" | "task")[];
        default: () => ("day" | "date" | "weekday" | "interval" | "time" | "resource" | "task")[];
        validator: (v: string[]) => boolean;
    };
    cellWidth: (StringConstructor | NumberConstructor)[];
    useNavigation: BooleanConstructor;
    now: {
        type: StringConstructor;
        validator: (v: string) => boolean;
        default: string;
    };
}>> & Readonly<{}>, {
    dark: boolean;
    focusable: boolean;
    now: string;
    weekdayStyle: Function;
    weekdayClass: Function;
    dateHeader: "inline" | "stacked" | "inverted";
    modelValue: string;
    weekdays: number[];
    dateType: "square" | "round" | "rounded";
    weekdayAlign: "center" | "left" | "right";
    dateAlign: "center" | "left" | "right";
    bordered: boolean;
    noAria: boolean;
    noActiveDate: boolean;
    noHeader: boolean;
    noScroll: boolean;
    shortWeekdayLabel: boolean;
    noDefaultHeaderText: boolean;
    noDefaultHeaderBtn: boolean;
    minWeekdayLabel: string | number;
    weekdayBreakpoints: number[];
    locale: string;
    animated: boolean;
    transitionPrev: string;
    transitionNext: string;
    disabledWeekdays: number[];
    selectedDates: string[] | Set<string>;
    selectedStartEndDates: string[];
    hoverable: boolean;
    focusType: ("time" | "interval" | "day" | "weekday" | "date" | "resource" | "task")[];
    dayStyle: Function;
    dayClass: Function;
    dayHeight: string | number;
    dayMinHeight: string | number;
    useNavigation: boolean;
    modelTasks: any[];
    modelTitle: any[];
    modelFooter: any[];
    taskKey: string | number;
    footerDayClass: Function;
    viewCount: number;
    taskWidth: number;
}, {}, {}, {
    ResizeObserver: import("vue").Directive;
}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
