/**
 * The main QCalendar wrapper
 * All others are a child to this one
 */
import { VNode, Ref, ComputedRef } from 'vue';
interface CalendarProps {
    noScroll?: boolean;
    locale: string;
    dark?: boolean;
    bordered?: boolean;
}
interface RenderFunc {
    (): VNode;
}
interface ScrollArea {
    value: HTMLElement | null;
}
interface Pane {
    value: HTMLElement | null;
}
interface CalendarReturn {
    scrollWidth: ComputedRef<number>;
    rootRef: Ref<HTMLElement | null>;
    __initCalendar: () => void;
    __renderCalendar: () => VNode;
}
export default function useCalendar(props: CalendarProps, renderFunc: RenderFunc, { scrollArea, pane }: {
    scrollArea: ScrollArea;
    pane: Pane;
}): CalendarReturn;
export {};
