import { ComponentInternalInstance, ComputedRef } from 'vue';
export type EmitListeners = ComputedRef<Record<string, boolean>>;
/**
 * Provides computed event listeners from the component instance.
 * @param {ComponentInternalInstance | null} vm - Vue's component instance (defaults to `getCurrentInstance()`).
 * @returns {{ emitListeners: EmitListeners }} - Computed map of event listeners.
 */
export default function useEmitListeners(vm?: ComponentInternalInstance | null): {
    emitListeners: EmitListeners;
};
