import { Timestamp } from '../utils/Timestamp';
import { Ref, EmitFn } from 'vue';
export declare const useMoveEmits: string[];
/**
 * Type definition for props
 */
interface UseMoveProps {
    weekdays: number[];
}
/**
 * Type definition for the parameters injected into the composable
 */
interface UseMoveContext {
    parsedView: Ref<string>;
    parsedValue: Ref<Timestamp>;
    direction: Ref<string>;
    maxDays: Ref<number>;
    times: {
        now: Timestamp;
    };
    emittedValue: Ref<string>;
    emit: EmitFn;
}
interface UseMoveReturn {
    move: (_amount?: number) => void;
}
export default function useMove(props: UseMoveProps, { parsedView, parsedValue, direction, maxDays, times, emittedValue, emit }: UseMoveContext): UseMoveReturn;
export {};
