import { ComputedRef, Reactive } from 'vue';
import { Timestamp } from '../utils/Timestamp';
/**
 * export of useTimesProps
 */
export declare const useTimesProps: {
    now: {
        type: StringConstructor;
        validator: (v: string) => boolean;
        default: string;
    };
};
export interface TimesProps {
    now: string;
}
interface UseTimesReturn {
    times: Reactive<{
        now: Timestamp;
        today: Timestamp;
    }>;
    parsedNow: ComputedRef<Timestamp>;
    setCurrent: () => void;
    updateCurrent: () => void;
    getNow: () => Timestamp;
    updateDay: (_now: Timestamp, _target: Timestamp) => void;
    updateTime: (_now: Timestamp, _target: Timestamp) => void;
}
/**
 * Reactive timestamps & computed properties for time tracking
 */
export default function useTimes(props: {
    now: string;
}): UseTimesReturn;
export {};
