/*!
 * @quasar/quasar-ui-qcalendar v4.1.2
 * (c) 2025 Jeff Galbraith <jeff@quasar.dev>
 * Released under the MIT License.
 */
var vue=require("vue");const PARSE_DATETIME=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?([^\d]+(\d{1,2}))?(:(\d{1,2}))?(:(\d{1,2}))?(.(\d{1,3}))?$/,PARSE_DATE=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?/,PARSE_TIME=/(\d\d?)(:(\d\d?)|)(:(\d\d?)|)/,DAYS_IN_MONTH=[0,31,28,31,30,31,30,31,31,30,31,30,31],DAYS_IN_MONTH_LEAP=[0,31,29,31,30,31,30,31,31,30,31,30,31],TIME_CONSTANTS={MILLISECONDS_IN:{SECOND:1e3,MINUTE:6e4,HOUR:36e5,DAY:864e5,WEEK:6048e5},SECONDS_IN:{MINUTE:60,HOUR:3600,DAY:86400,WEEK:604800},MINUTES_IN:{MINUTE:1,HOUR:60,DAY:1440,WEEK:10080},HOURS_IN:{DAY:24,WEEK:168},DAYS_IN:{WEEK:7}},DAYS_IN_MONTH_MIN=28,DAYS_IN_MONTH_MAX=31,MONTH_MAX=12,MONTH_MIN=1,DAY_MIN=1,FIRST_HOUR=0;function validateTimestamp(e){return"string"===typeof e&&PARSE_DATETIME.test(e)}function parsed(e){if("string"!==typeof e)return null;const t=PARSE_DATETIME.exec(e);if(!t||!t[1]||!t[2])return null;const a=parseInt(t[1],10),n=parseInt(t[2],10),r=parseInt(t[4]||"1",10),o=parseInt(t[6]||"0",10),u=parseInt(t[8]||"0",10);return{date:e,time:o.toString().padStart(2,"0")+":"+u.toString().padStart(2,"0"),year:a,month:n,day:r,hour:o,minute:u,hasDay:!!t[4],hasTime:!0,past:!1,current:!1,future:!1,disabled:!1,weekday:0,doy:0,workweek:0}}function parseDate(e,t=!1){if(!(e instanceof Date))return null;const a=t?"UTC":"";return updateFormatted({date:padNumber(e[`get${a}FullYear`](),4)+"-"+padNumber(e[`get${a}Month`]()+1,2)+"-"+padNumber(e[`get${a}Date`](),2),time:padNumber(e[`get${a}Hours`]()||0,2)+":"+padNumber(e[`get${a}Minutes`]()||0,2),year:e[`get${a}FullYear`](),month:e[`get${a}Month`]()+1,day:e[`get${a}Date`](),hour:e[`get${a}Hours`](),minute:e[`get${a}Minutes`](),weekday:0,doy:0,workweek:0,hasDay:!0,hasTime:!0,past:!1,current:!1,future:!1,disabled:!1})}function padNumber(e,t){let a=String(e);while(a.length<t)a="0"+a;return a}function isLeapYear(e){return e%4===0&&e%100!==0||e%400===0}function daysInMonth(e,t){return(isLeapYear(e)?DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH)[t]}function nextDay(e){const t=new Date(e.year,e.month-1,e.day+1);return updateFormatted(normalizeTimestamp({...e,year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate()}))}function prevDay(e){const t=new Date(e.year,e.month-1,e.day-1);return updateFormatted(normalizeTimestamp({...e,year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate()}))}function today(){const e=new Date,t=e.getMonth()+1,a=e.getDate(),n=e.getFullYear();return[n,padNumber(t,2),padNumber(a,2)].join("-")}function isToday(e){return e===today()}function getStartOfWeek(e,t,a){let n=copyTimestamp(e);if(t){if(1===n.day||0===n.weekday)while(!t.includes(Number(n.weekday)))n=nextDay(n);n=findWeekday(n,t[0],prevDay),n=updateFormatted(n),a&&(n=updateRelative(n,a,n.hasTime))}return n}function getEndOfWeek(e,t,a){let n=copyTimestamp(e);if(t&&Array.isArray(t)){const r=daysInMonth(n.year,n.month);if(r===n.day||n.weekday===t[t.length-1])while(!t.includes(Number(n.weekday)))n=prevDay(n);n=findWeekday(n,t[t.length-1],nextDay),n=updateFormatted(n),a&&(n=updateRelative(n,a,n.hasTime))}return n}function getStartOfMonth(e){let t=copyTimestamp(e);return t.day=DAY_MIN,t=updateFormatted(t),t}function getEndOfMonth(e){let t=copyTimestamp(e);return t.day=daysInMonth(t.year,t.month),t=updateFormatted(t),t}function parseTime(e){const t=Object.prototype.toString.call(e);switch(t){case"[object Number]":return e;case"[object String]":{const a=PARSE_TIME.exec(e);return a?60*parseInt(a[1],10)+parseInt(a[3]||"0",10):!1}case"[object Object]":return"object"!==typeof e||"number"!==typeof e.hour||"number"!==typeof e.minute?!1:"object"===typeof e&&"hour"in e&&"minute"in e&&60*e.hour+e.minute}return!1}function compareTimestamps(e,t){return!(!e||!t)&&e.year===t.year&&e.month===t.month&&e.day===t.day&&e.hour===t.hour&&e.minute===t.minute}function compareDate(e,t){return getDate(e)===getDate(t)}function compareTime(e,t){return getTime(e)===getTime(t)}function compareDateTime(e,t){return getDateTime(e)===getDateTime(t)}function parseTimestamp(e,t=null){let a=parsed(e);return a?(a=updateFormatted(a),t&&(a=updateRelative(a,t,a.hasTime)),a):null}function getDayIdentifier(e){return 1e8*(e.year??0)+1e6*(e.month??0)+1e4*(e.day??0)}function getTimeIdentifier(e){return 100*(e.hour??0)+(e.minute??0)}function getDayTimeIdentifier(e){return getDayIdentifier(e)+getTimeIdentifier(e)}function diffTimestamp(e,t,a=!1){const n=Date.UTC(e.year??0,(e.month??1)-1,e.day??1,e.hour??0,e.minute??0),r=Date.UTC(t.year??0,(t.month??1)-1,t.day??1,t.hour??0,t.minute??0);return!0===a&&r<n?0:r-n}function updateRelative(e,t,a=!1){let n=copyTimestamp(e),r=getDayIdentifier(t),o=getDayIdentifier(n),u=r===o;return n.hasTime&&a&&u&&(r=getTimeIdentifier(t),o=getTimeIdentifier(n),u=r===o),n.past=o<r,n.current=u,n.future=o>r,n.currentWeekday=n.weekday===t.weekday,n}function updateMinutes(e,t,a=null){let n=copyTimestamp(e);return n.hasTime=!0,n.hour=Math.floor(t/TIME_CONSTANTS.MINUTES_IN.HOUR),n.minute=t%TIME_CONSTANTS.MINUTES_IN.HOUR,n.time=getTime(n),a&&(n=updateRelative(n,a,!0)),n}function updateWeekday(e){let t=copyTimestamp(e);return t.weekday=getWeekday(t),t}function updateDayOfYear(e){let t=copyTimestamp(e);return t.doy=getDayOfYear(t)||0,t}function updateWorkWeek(e){let t=copyTimestamp(e);return t.workweek=getWorkWeek(t),t}function updateDisabled(e,t,a,n,r){let o=copyTimestamp(e);const u=getDayIdentifier(o);if(void 0!==t){const l=parsed(t);if(l){const c=getDayIdentifier(l);u<=c&&(o.disabled=!0)}}if(!0!==o.disabled&&void 0!==a){const m=parsed(a);if(m){const v=getDayIdentifier(m);u>=v&&(o.disabled=!0)}}if(!0!==o.disabled&&Array.isArray(n)&&n.length>0)for(var i in n)if(n[i]===o.weekday){o.disabled=!0;break}if(!0!==o.disabled&&Array.isArray(r)&&r.length>0)for(var d in r)if(Array.isArray(r[d])&&2===r[d].length&&r[d][0]&&r[d][1]){const p=parsed(r[d][0]),y=parsed(r[d][1]);if(p&&y&&isBetweenDates(o,p,y)){o.disabled=!0;break}}else{const f=r[d];if(Array.isArray(f))for(var s of f){const g=parseTimestamp(s);if(g){const h=getDayIdentifier(g);if(h===u){o.disabled=!0;break}}}else if(f){const T=parseTimestamp(f);if(T){const D=getDayIdentifier(T);D===u&&(o.disabled=!0)}}}return o}function updateFormatted(e){let t=copyTimestamp(e);return t.hasTime=!0,t.time=getTime(t),t.date=getDate(t),t.weekday=getWeekday(t),t.doy=getDayOfYear(t)||0,t.workweek=getWorkWeek(t),t}function getDayOfYear(e){if(0!==e.year)return(Date.UTC(e.year,e.month-1,e.day)-Date.UTC(e.year,0,0))/24/60/60/1e3}function getWorkWeek(e){let t=copyTimestamp(e);if(0===t.year){const r=parseTimestamp(today());r&&(t=r)}const a=new Date(Date.UTC(t.year,t.month-1,t.day)),n=4;a.setUTCDate(a.getUTCDate()-(a.getUTCDay()+6)%7+n),a.setUTCDate(a.getUTCDate()+n-(a.getUTCDay()||7));e=new Date(Date.UTC(a.getUTCFullYear(),0,1)),e=Math.ceil(((a.valueOf()-e.valueOf())/864e5+1)/7);return e}function getWeekday(e){let t=e.weekday;if(e.hasDay){const a=Math.floor,n=e.day,r=(e.month+9)%MONTH_MAX+1,o=a(e.year/100),u=e.year%100-(e.month<=2?1:0);t=((n+a(2.6*r-.2)-2*o+u+a(u/4)+a(o/4))%7+7)%7}return t??0}function copyTimestamp(e){return{...e}}function getDate(e){let t=padNumber(e.year,4)+"-"+padNumber(e.month,2);return e.hasDay&&(t+="-"+padNumber(e.day,2)),t}function getTime(e){return e.hasTime?padNumber(e.hour,2)+":"+padNumber(e.minute,2):""}function getDateTime(e){return getDate(e)+" "+(e.hasTime?getTime(e):"00:00")}function moveRelativeDays(e,t=nextDay,a=1,n=[0,1,2,3,4,5,6]){const r=copyTimestamp(e);return relativeDays(r,t,a,n)}function relativeDays(e,t=nextDay,a=1,n=[0,1,2,3,4,5,6]){let r=copyTimestamp(e);n.includes(Number(r.weekday))||0!==r.weekday||t!==nextDay||++a;while(--a>=0)r=t(r),n.length<7&&!n.includes(Number(r.weekday))&&++a;return r}function findWeekday(e,t,a=nextDay,n=6){let r=copyTimestamp(e);while(r.weekday!==t&&--n>=0)r=a(r);return r}function createDayList(e,t,a,n=[0,1,2,3,4,5,6],r=void 0,o=void 0,u=[],i=[],d=42,s=0){const l=getDayIdentifier(e),c=getDayIdentifier(t),m=[];let v=copyTimestamp(e),p=0,y=p===c;if(!(c<l))while((!y||m.length<s)&&m.length<d){if(p=getDayIdentifier(v),y=y||p>c&&m.length>=s,y)break;if(n.includes(Number(v.weekday))){let e=copyTimestamp(v);e=updateFormatted(e),e=updateRelative(e,a),e=updateDisabled(e,r,o,u,i),m.push(e)}v=relativeDays(v,nextDay)}return m}function createIntervalList(t,a,n,r,o){const u=[];for(let e=0;e<r;++e){const i=(a+e)*n,d=copyTimestamp(t);u.push(updateMinutes(d,i,o))}return u}function createNativeLocaleFormatter(n,r){const e=()=>"";return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:(t,e)=>{try{const a=new Intl.DateTimeFormat(n||void 0,r(t,e));return a.format(makeDateTime(t))}catch(e){return console.error(`Intl.DateTimeFormat: ${e.message} -> `+getDateTime(t)),""}}}function makeDate(e,t=!0){return t?new Date(Date.UTC(e.year,e.month-1,e.day,0,0)):new Date(e.year,e.month-1,e.day,0,0)}function makeDateTime(e,t=!0){return t?new Date(Date.UTC(e.year,e.month-1,e.day,e.hour,e.minute)):new Date(e.year,e.month-1,e.day,e.hour,e.minute)}function validateNumber(e){return isFinite(Number(e))}function maxTimestamp(e,t=!1){const a=!0===t?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,t)=>{return Math.max(a(e),a(t))===a(e)?e:t})}function minTimestamp(e,t=!1){const a=!0===t?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,t)=>{return Math.min(a(e),a(t))===a(e)?e:t})}function isBetweenDates(e,t,a,n=!1){const r=getDayIdentifier(e)+(!0===n?getTimeIdentifier(e):0),o=getDayIdentifier(t)+(!0===n?getTimeIdentifier(t):0),u=getDayIdentifier(a)+(!0===n?getTimeIdentifier(a):0);return r>=o&&r<=u}function isOverlappingDates(e,t,a,n){const r=getDayIdentifier(e),o=getDayIdentifier(t),u=getDayIdentifier(a),i=getDayIdentifier(n);return r>=u&&r<=i||o>=u&&o<=i||u>=r&&o>=i}function addToDate(e,t){const a=copyTimestamp(e);return t.year&&(a.year+=t.year),t.month&&(a.month+=t.month),t.day&&(a.day+=t.day),t.hour&&(a.hour+=t.hour),t.minute&&(a.minute+=t.minute),updateFormatted(normalizeTimestamp(a))}function normalizeTimestamp(e){const t=new Date(e.year,e.month-1,e.day,e.hour,e.minute);return{...e,year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate(),hour:t.getHours(),minute:t.getMinutes()}}function daysBetween(e,t){const a=diffTimestamp(e,t,!0);return Math.floor(a/TIME_CONSTANTS.MILLISECONDS_IN.DAY)}function weeksBetween(e,t){let a=copyTimestamp(e),n=copyTimestamp(t);return a=findWeekday(a,0),n=findWeekday(n,6),Math.ceil(daysBetween(a,n)/TIME_CONSTANTS.DAYS_IN.WEEK)}const weekdayDateMap={Sun:new Date("2020-01-05T00:00:00.000Z"),Mon:new Date("2020-01-06T00:00:00.000Z"),Tue:new Date("2020-01-07T00:00:00.000Z"),Wed:new Date("2020-01-08T00:00:00.000Z"),Thu:new Date("2020-01-09T00:00:00.000Z"),Fri:new Date("2020-01-10T00:00:00.000Z"),Sat:new Date("2020-01-11T00:00:00.000Z")};function getWeekdayFormatter(){const e=()=>"",r={long:{timeZone:"UTC",weekday:"long"},short:{timeZone:"UTC",weekday:"short"},narrow:{timeZone:"UTC",weekday:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:t;function t(t,e,a){try{const n=new Intl.DateTimeFormat(a||void 0,r[e]||r["long"]);return n.format(weekdayDateMap[t])}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> day of week: `+t),""}}}function getWeekdayNames(t,a){const e=Object.keys(weekdayDateMap),n=getWeekdayFormatter();return e.map(e=>String(n(e,t,a)))}function getMonthFormatter(){const e=()=>"",o={long:{timeZone:"UTC",month:"long"},short:{timeZone:"UTC",month:"short"},narrow:{timeZone:"UTC",month:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:t;function t(t,e,a){try{const n=new Intl.DateTimeFormat(a||void 0,o[e]||o["long"]),r=new Date;return r.setDate(1),r.setMonth(t),n.format(r)}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> month: `+t),""}}}function getMonthNames(t,a){const n=getMonthFormatter();return[...Array(12).keys()].map(e=>n(e,t,a))}var Timestamp={PARSE_DATETIME:PARSE_DATETIME,PARSE_DATE:PARSE_DATE,PARSE_TIME:PARSE_TIME,DAYS_IN_MONTH:DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MIN:DAYS_IN_MONTH_MIN,DAYS_IN_MONTH_MAX:DAYS_IN_MONTH_MAX,MONTH_MAX:MONTH_MAX,MONTH_MIN:MONTH_MIN,DAY_MIN:DAY_MIN,TIME_CONSTANTS:TIME_CONSTANTS,FIRST_HOUR:FIRST_HOUR,today:today,getStartOfWeek:getStartOfWeek,getEndOfWeek:getEndOfWeek,getStartOfMonth:getStartOfMonth,getEndOfMonth:getEndOfMonth,parseTime:parseTime,validateTimestamp:validateTimestamp,parsed:parsed,parseTimestamp:parseTimestamp,parseDate:parseDate,getDayIdentifier:getDayIdentifier,getTimeIdentifier:getTimeIdentifier,getDayTimeIdentifier:getDayTimeIdentifier,diffTimestamp:diffTimestamp,updateRelative:updateRelative,updateMinutes:updateMinutes,updateWeekday:updateWeekday,updateDayOfYear:updateDayOfYear,updateWorkWeek:updateWorkWeek,updateDisabled:updateDisabled,updateFormatted:updateFormatted,getDayOfYear:getDayOfYear,getWorkWeek:getWorkWeek,getWeekday:getWeekday,isLeapYear:isLeapYear,daysInMonth:daysInMonth,copyTimestamp:copyTimestamp,padNumber:padNumber,getDate:getDate,getTime:getTime,getDateTime:getDateTime,nextDay:nextDay,prevDay:prevDay,relativeDays:relativeDays,findWeekday:findWeekday,createDayList:createDayList,createIntervalList:createIntervalList,createNativeLocaleFormatter:createNativeLocaleFormatter,makeDate:makeDate,makeDateTime:makeDateTime,validateNumber:validateNumber,isBetweenDates:isBetweenDates,isOverlappingDates:isOverlappingDates,daysBetween:daysBetween,weeksBetween:weeksBetween,addToDate:addToDate,compareTimestamps:compareTimestamps,compareDate:compareDate,compareTime:compareTime,compareDateTime:compareDateTime,getWeekdayFormatter:getWeekdayFormatter,getWeekdayNames:getWeekdayNames,getMonthFormatter:getMonthFormatter,getMonthNames:getMonthNames},Timestamp$1=Object.freeze({__proto__:null,DAYS_IN_MONTH:DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MAX:DAYS_IN_MONTH_MAX,DAYS_IN_MONTH_MIN:DAYS_IN_MONTH_MIN,DAY_MIN:DAY_MIN,FIRST_HOUR:FIRST_HOUR,MONTH_MAX:MONTH_MAX,MONTH_MIN:MONTH_MIN,PARSE_DATE:PARSE_DATE,PARSE_DATETIME:PARSE_DATETIME,PARSE_TIME:PARSE_TIME,TIME_CONSTANTS:TIME_CONSTANTS,addToDate:addToDate,compareDate:compareDate,compareDateTime:compareDateTime,compareTime:compareTime,compareTimestamps:compareTimestamps,copyTimestamp:copyTimestamp,createDayList:createDayList,createIntervalList:createIntervalList,createNativeLocaleFormatter:createNativeLocaleFormatter,daysBetween:daysBetween,daysInMonth:daysInMonth,default:Timestamp,diffTimestamp:diffTimestamp,findWeekday:findWeekday,getDate:getDate,getDateTime:getDateTime,getDayIdentifier:getDayIdentifier,getDayOfYear:getDayOfYear,getDayTimeIdentifier:getDayTimeIdentifier,getEndOfMonth:getEndOfMonth,getEndOfWeek:getEndOfWeek,getMonthFormatter:getMonthFormatter,getMonthNames:getMonthNames,getStartOfMonth:getStartOfMonth,getStartOfWeek:getStartOfWeek,getTime:getTime,getTimeIdentifier:getTimeIdentifier,getWeekday:getWeekday,getWeekdayFormatter:getWeekdayFormatter,getWeekdayNames:getWeekdayNames,getWorkWeek:getWorkWeek,isBetweenDates:isBetweenDates,isLeapYear:isLeapYear,isOverlappingDates:isOverlappingDates,isToday:isToday,makeDate:makeDate,makeDateTime:makeDateTime,maxTimestamp:maxTimestamp,minTimestamp:minTimestamp,moveRelativeDays:moveRelativeDays,nextDay:nextDay,padNumber:padNumber,parseDate:parseDate,parseTime:parseTime,parseTimestamp:parseTimestamp,parsed:parsed,prevDay:prevDay,relativeDays:relativeDays,today:today,updateDayOfYear:updateDayOfYear,updateDisabled:updateDisabled,updateFormatted:updateFormatted,updateMinutes:updateMinutes,updateRelative:updateRelative,updateWeekday:updateWeekday,updateWorkWeek:updateWorkWeek,validateNumber:validateNumber,validateTimestamp:validateTimestamp,weeksBetween:weeksBetween});function convertToUnit(e,t="px"){if(e)return isNaN(e)?String(e):"auto"===e?e:""+Number(e)+t}function indexOf(t,a){for(let e=0;e<t.length;e++)if(!0===a(t[e],e))return e;return-1}function minCharWidth(e,t){return 0===t?e:e.slice(0,t)}var helpers={convertToUnit:convertToUnit,indexOf:indexOf,minCharWidth:minCharWidth},helpers$1=Object.freeze({__proto__:null,convertToUnit:convertToUnit,default:helpers,indexOf:indexOf,minCharWidth:minCharWidth});const ResizeObserverDirective={mounted(e,t){if("function"===typeof t.value){const a=t.value,n={callback:a,size:{width:0,height:0},observer:new ResizeObserver(e=>{const t=e[0].contentRect;t.width===n.size.width&&t.height===n.size.height||(n.size.width=t.width,n.size.height=t.height,n.debounceTimeout&&clearTimeout(n.debounceTimeout),n.debounceTimeout=setTimeout(()=>{n.callback(n.size),n.debounceTimeout=void 0},100))})};n.observer.observe(e),e.__onResizeObserver=n}},beforeUnmount(e){if(e.__onResizeObserver){const{observer:t,debounceTimeout:a}=e.__onResizeObserver;a&&clearTimeout(a),t.unobserve(e),delete e.__onResizeObserver}}};function useCalendar(t,a,{scrollArea:e,pane:n}){if(!a){const l="[error: renderCalendar] no renderFunc has been supplied to useCalendar";throw console.error(l),new Error(l)}const r=vue.reactive({width:0,height:0}),o=vue.ref(null);function u({width:e,height:t}){r.width=e,r.height=t}const i=vue.computed(()=>{return!0!==t.noScroll&&e.value&&n.value&&r.height?e.value.offsetWidth-n.value.offsetWidth:0});function d(){}function s(){const e={ref:o,role:"complementary",lang:t.locale,class:`q-calendar ${t.dark?"q-calendar--dark":""} `+(t.bordered?"q-calendar__bordered":"")};return vue.withDirectives(vue.h("div",{...e},[a()]),[[ResizeObserverDirective,u]])}return{rootRef:o,scrollWidth:i,__initCalendar:d,__renderCalendar:s}}const isValidFocusType=e=>e.every(e=>["day","date","weekday","interval","time","resource","task"].includes(e)),useCommonProps={modelValue:{type:String,default:today(),validator:e=>""===e||validateTimestamp(e)},weekdays:{type:Array,default:()=>[0,1,2,3,4,5,6]},dateType:{type:String,default:"round",validator:e=>["round","rounded","square"].includes(e)},weekdayAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},dateAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},bordered:Boolean,dark:Boolean,noAria:Boolean,noActiveDate:Boolean,noHeader:Boolean,noScroll:Boolean,shortWeekdayLabel:Boolean,noDefaultHeaderText:Boolean,noDefaultHeaderBtn:Boolean,minWeekdayLabel:{type:[Number,String],default:1},weekdayBreakpoints:{type:Array,default:()=>[75,35],validator:e=>2===e.length},locale:{type:String,default:"en-US"},animated:Boolean,transitionPrev:{type:String,default:"slide-right"},transitionNext:{type:String,default:"slide-left"},disabledDays:Array,disabledBefore:String,disabledAfter:String,disabledWeekdays:{type:Array,default:()=>[]},dragEnterFunc:Function,dragOverFunc:Function,dragLeaveFunc:Function,dropFunc:Function,selectedDates:{type:[Array,Set],default:()=>[]},selectedStartEndDates:{type:Array,default:()=>[]},hoverable:Boolean,focusable:Boolean,focusType:{type:Array,default:()=>["date"],validator:isValidFocusType}};function useCommon(t,{startDate:e,endDate:a,times:n}){const r=vue.computed(()=>parseTimestamp(e.value)),o=vue.computed(()=>{return"0000-00-00"===a.value?getEndOfWeek(r.value,t.weekdays,n.today):parseTimestamp(a.value)||r.value}),u=vue.computed(()=>createNativeLocaleFormatter(t.locale,()=>({timeZone:"UTC",day:"numeric"}))),i=vue.computed(()=>createNativeLocaleFormatter(t.locale,(e,t)=>({timeZone:"UTC",weekday:t?"short":"long"}))),d=vue.computed(()=>createNativeLocaleFormatter(t.locale,()=>({timeZone:"UTC",dateStyle:"full"})));function s(e,t){return e&&e.length>0&&e.includes(t.date)}function l(e,t){const a={firstDay:!1,betweenDays:!1,lastDay:!1};if(2===e.length){const n=getDayIdentifier(t),r=getDayIdentifier(parsed(e[0])),o=getDayIdentifier(parsed(e[1]));a.firstDay=r===n,a.lastDay=o===n,a.betweenDays=r<n&&o>n}return a}function c(e,t=!1,a=[],n=[],r=!1){const o=s(a,e),{firstDay:u,lastDay:i,betweenDays:d}=l(n,e);return{"q-past-day":!u&&!d&&!i&&!o&&!t&&!!e.past,"q-future-day":!u&&!d&&!i&&!o&&!t&&!!e.future,"q-outside":t,"q-current-day":!!e.current,"q-selected":o,"q-range-first":u,"q-range":d,"q-range-last":i,"q-range-hover":r&&(u||i||d),"q-disabled-day disabled":!0===e.disabled}}function m(e){return getStartOfWeek(e,t.weekdays,n.today)}function v(e){return getEndOfWeek(e,t.weekdays,n.today)}function p(){return{}}return{parsedStart:r,parsedEnd:o,dayFormatter:u,weekdayFormatter:i,ariaDateFormatter:d,arrayHasDate:s,checkDays:l,getRelativeClasses:c,startOfWeek:m,endOfWeek:v,dayStyleDefault:p}}function scrollTo(e,t){e instanceof Window?e.scrollTo({top:t,behavior:"instant"}):e.scrollTop=t}function getVerticalScrollPosition(e){return e instanceof Window?e.scrollY:e.scrollTop}function animVerticalScrollTo(o,u,i=500,d=performance.now(),s=getVerticalScrollPosition(o)){i<=0||s===u?scrollTo(o,u):requestAnimationFrame(e=>{const t=e-d,a=Math.min(t/i,1),n=e=>e<.5?2*e*e:(4-2*e)*e-1,r=s+(u-s)*n(a);scrollTo(o,r),a<1&&animVerticalScrollTo(o,u,i,d,s)})}function animHorizontalScrollTo(r,e,o=500){const u=r.scrollLeft,i=e-u;let d=null;function s(e){null===d&&(d=e);const t=e-d,a=Math.min(t/o,1),n=e=>e<.5?2*e*e:(4-2*e)*e-1;r.scrollLeft=u+i*n(a),t<o&&requestAnimationFrame(s)}requestAnimationFrame(s)}const useAgendaProps={view:{type:String,validator:e=>["day","week","month","month-interval"].includes(e),default:"day"},leftColumnOptions:{type:Array},rightColumnOptions:{type:Array},columnOptionsId:{type:String},columnOptionsLabel:{type:String},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},dayStyle:{type:Function,default:null},dayClass:{type:Function,default:null},dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)},dayHeight:{type:[Number,String],default:0,validator:validateNumber},dayMinHeight:{type:[Number,String],default:40,validator:validateNumber}};function useInterval(o,{times:t,scrollArea:n,parsedStart:e,parsedEnd:a,maxDays:r,size:u,headerColumnRef:i}){const d=vue.computed(()=>parseInt(String(o.intervalStart),10)),m=vue.computed(()=>parseInt(String(o.intervalMinutes),10)),s=vue.computed(()=>parseInt(String(o.intervalCount),10)),v=vue.computed(()=>parseFloat(String(o.intervalHeight))),p=vue.computed(()=>{let e=0;const t=Number(o.columnCount);return o.cellWidth?e=Number(o.cellWidth):u.width>0&&i.value&&(e=i.value.offsetWidth/(t>1?t:r.value)),e}),l=vue.computed(()=>d.value*m.value),c=vue.computed(()=>s.value*v.value),y=vue.computed(()=>s.value*p.value),f=vue.computed(()=>D(e.value)),g=vue.computed(()=>k(a.value)),h=vue.computed(()=>{return createDayList(e.value,a.value,t.today,o.weekdays,o.disabledBefore,o.disabledAfter,o.disabledWeekdays,o.disabledDays,r.value)}),T=vue.computed(()=>{return h.value.map(e=>createIntervalList(e,d.value,m.value,s.value,t.now))});function D(e){return getStartOfWeek(e,o.weekdays,t.today)}function k(e){return getEndOfWeek(e,o.weekdays,t.today)}function w(e,t){return e&&e.length>0&&e.includes(getDateTime(t))}function _(e,t){const a={firstDay:!1,betweenDays:!1,lastDay:!1};if(e&&2===e.length){const n=getDayTimeIdentifier(t),r=getDayTimeIdentifier(parsed(e[0])),o=getDayTimeIdentifier(parsed(e[1]));a.firstDay=r===n,a.lastDay=o===n,a.betweenDays=r<n&&o>n}return a}function b(e,t=[],a=[]){const n=w(t,e),{firstDay:r,lastDay:o,betweenDays:u}=_(a,e);return{"q-selected":n,"q-range-first":!0===r,"q-range":!0===u,"q-range-last":!0===o,"q-disabled-interval disabled":!0===e.disabled}}function I(e,t,a){return[]}const N=vue.computed(()=>{const a={timeZone:"UTC",hour12:!o.hour24Format,hour:"2-digit",minute:"2-digit"},n={timeZone:"UTC",hour12:!o.hour24Format,hour:"numeric",minute:"2-digit"},r={timeZone:"UTC",hour12:!o.hour24Format,hour:"numeric"};return createNativeLocaleFormatter(o.locale,(e,t)=>t?0===e.minute?r:n:a)}),M=vue.computed(()=>{const e={timeZone:"UTC",dateStyle:"full",timeStyle:"short"};return createNativeLocaleFormatter(o.locale,()=>e)});function S(e){const t=T.value[0][0],a=t.hour===e.hour&&t.minute===e.minute;return!a&&0===e.minute}function O(e){}function A(e){return{}}function E(e,t,a=!1,n){let r=copyTimestamp(t);if(e.currentTarget){const o=e.currentTarget.getBoundingClientRect(),u=e,i=e,d=u.changedTouches||u.touches,s=(d&&d[0]?d[0]:i).clientY,l=(s-o.top)/v.value,c=Math.floor((a?Math.floor(l):l)*m.value);0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0))}return r}function H(e,t,a=!1,n){let r=copyTimestamp(t);const o=e.currentTarget.getBoundingClientRect(),u=e,i=e,d=u.changedTouches||u.touches,s=(d&&d[0]?d[0]:i).clientY,l=(s-o.top)/v.value,c=Math.floor((a?Math.floor(l):l)*m.value);return 0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0)),r}function x(e,t,a=!1,n){let r=copyTimestamp(t);if(e.currentTarget){const o=e.currentTarget.getBoundingClientRect(),u=e,i=e,d=u.changedTouches||u.touches,s=(d&&d[0]?d[0]:i).clientX,l=(s-o.left)/p.value,c=Math.floor((a?Math.floor(l):l)*m.value);0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0))}return r}function L(e,t){const a={timestamp:e,timeStartPos:F,timeDurationHeight:C};return void 0!==t&&(a.columnIndex=t),a}function q(e,t){const a={timestamp:copyTimestamp(e),timeStartPosX:R,timeDurationWidth:W};return void 0!==t&&(a.index=t),a}function Y(e,t=0){const a=F(e);return!(!1===a||!n.value)&&(animVerticalScrollTo(n.value,a,t),!0)}function U(e,t=0){const a=R(e);return!(!1===a||!n.value)&&(animHorizontalScrollTo(n.value,a,t),!0)}function C(e){return e/m.value*v.value}function W(e){return e/m.value*p.value}function B(e){return e*m.value/v.value}function P(e){return e*m.value/p.value}function F(e,t=!0){const a=parseTime(e);if(!1===a)return!1;const n=l.value,r=s.value*m.value,o=(a-n)/r;let u=o*c.value;return t&&(u<0&&(u=0),u>c.value)&&(u=c.value),u}function R(e,t=!0){const a=parseTime(e);if(!1===a)return!1;const n=l.value,r=s.value*m.value,o=(a-n)/r;let u=o*y.value;return t&&(u<0&&(u=0),u>y.value)&&(u=y.value),u}return{parsedIntervalStart:d,parsedIntervalMinutes:m,parsedIntervalCount:s,parsedIntervalHeight:v,parsedCellWidth:p,parsedStartMinute:l,bodyHeight:c,bodyWidth:y,parsedWeekStart:f,parsedWeekEnd:g,days:h,intervals:T,intervalFormatter:N,ariaDateTimeFormatter:M,arrayHasDateTime:w,checkIntervals:_,getIntervalClasses:b,getResourceClasses:I,showIntervalLabelDefault:S,showResourceLabelDefault:O,styleDefault:A,getTimestampAtEventInterval:E,getTimestampAtEvent:H,getTimestampAtEventX:x,getScopeForSlot:L,getScopeForSlotX:q,scrollToTime:Y,scrollToTimeX:U,timeDurationHeight:C,timeDurationWidth:W,heightToMinutes:B,widthToMinutes:P,timeStartPos:F,timeStartPosX:R}}const useColumnProps={columnCount:{type:[Number,String],default:0,validator:validateNumber},columnIndexStart:{type:[Number,String],default:0,validator:validateNumber}},useMaxDaysProps={maxDays:{type:Number,default:1}},useTimesProps={now:{type:String,validator:e=>""===e||validateTimestamp(e),default:""}};function useTimes(e){const t=vue.reactive({now:parseTimestamp("0000-00-00 00:00"),today:parseTimestamp("0000-00-00")}),a=vue.computed(()=>e.now?parseTimestamp(e.now):o());function n(){t.now&&t.today&&(t.now.current=t.today.current=!0,t.now.past=t.today.past=!1,t.now.future=t.today.future=!1)}function r(){const e=a.value||o();u(e,t.now),i(e,t.now),u(e,t.today)}function o(){return parseDate(new Date)}function u(e,t){e.date!==t.date&&(t.year=e.year,t.month=e.month,t.day=e.day,t.weekday=e.weekday,t.date=e.date)}function i(e,t){e.time!==t.time&&(t.hour=e.hour,t.minute=e.minute,t.time=e.time)}return vue.watch(a,()=>r()),{times:t,parsedNow:a,setCurrent:n,updateCurrent:r,getNow:o,updateDay:u,updateTime:i}}function useRenderValues(r,{parsedView:o,parsedValue:u,times:i}){const e=vue.computed(()=>{const e=u.value;let t=r.maxDays,a=e,n=e;switch(o.value){case"month":a=getStartOfMonth(e),n=getEndOfMonth(e),t=daysInMonth(a.year,a.month);break;case"week":case"week-agenda":case"week-scheduler":a=getStartOfWeek(e,r.weekdays,i.today),n=getEndOfWeek(a,r.weekdays,i.today),t=r.weekdays.length;break;case"day":case"scheduler":case"agenda":n=moveRelativeDays(copyTimestamp(n),nextDay,t>1?t-1:t,r.weekdays),n=updateFormatted(n);break;case"month-interval":case"month-scheduler":case"month-agenda":a=getStartOfMonth(e),n=getEndOfMonth(e),n=updateFormatted(n),t=daysInMonth(a.year,a.month);break;case"resource":t=1,n=moveRelativeDays(copyTimestamp(n),nextDay,t,r.weekdays),n=updateFormatted(n);break}return{start:a,end:n,maxDays:t}});return{renderValues:e}}const toCamelCase=e=>e.replace(/(-\w)/g,e=>e[1].toUpperCase());function getMouseEventHandlers(t,e,a,n){const r={};for(const o in a){const u=a[o],i=toCamelCase("on-"+o);if(!e.value)return console.warn("$listeners has not been set up"),{};if(void 0!==e.value[i]){const d="on"+u.event.charAt(0).toUpperCase()+u.event.slice(1),s=e=>{return(void 0===u.button||"buttons"in e&&e.buttons>0&&e.button===u.button)&&(u.prevent&&e.preventDefault(),u.stop&&e.stopPropagation(),t(o,n(e,o))),u.result};d in r?Array.isArray(r[d])?r[d].push(s):r[d]=[r[d],s]:r[d]=s}}return r}function getDefaultMouseEventHandlers(e,t,a,n){return getMouseEventHandlers(e,t,getMouseEventName(a),n)}function getMouseEventName(e){return{["click"+e]:{event:"click"},["contextmenu"+e]:{event:"contextmenu",prevent:!0,result:!1},["mousedown"+e]:{event:"mousedown"},["mousemove"+e]:{event:"mousemove"},["mouseup"+e]:{event:"mouseup"},["mouseenter"+e]:{event:"mouseenter"},["mouseleave"+e]:{event:"mouseleave"},["touchstart"+e]:{event:"touchstart"},["touchmove"+e]:{event:"touchmove"},["touchend"+e]:{event:"touchend"}}}function getRawMouseEvents(e){return Object.keys(getMouseEventName(e))}function useMouseEvents(a,n){return{getMouseEventHandlers:(e,t)=>getMouseEventHandlers(a,n,e,t),getDefaultMouseEventHandlers:(e,t)=>getDefaultMouseEventHandlers(a,n,e,t),getMouseEventName:getMouseEventName,getRawMouseEvents:getRawMouseEvents}}const useMoveEmits=["moved"];function useMove(d,{parsedView:s,parsedValue:l,direction:c,maxDays:m,times:v,emittedValue:p,emit:y}){function e(a=1){if(0===a)p.value=today();else{let e=copyTimestamp(l.value);const n=getEndOfMonth(e),r=a>0,o=r?nextDay:prevDay,u=r?n.day:1;let t=r?a:-a;c.value=r?"next":"prev";const i=d.weekdays.length;while(--t>=0)switch(s.value){case"month":e.day=u,e=o(e),e=updateWeekday(e);while(!d.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:r?1:-1});break;case"week":case"week-agenda":case"week-scheduler":e=relativeDays(e,o,i,d.weekdays);break;case"day":case"scheduler":case"agenda":e=relativeDays(e,o,m.value,d.weekdays);break;case"month-interval":case"month-agenda":case"month-scheduler":e.day=u,e=o(e);break;case"resource":e=relativeDays(e,o,m.value,d.weekdays);break}e=updateWeekday(e),e=updateFormatted(e),e=updateDayOfYear(e),e=updateRelative(e,v.now),p.value=e.date,y("moved",e)}}return{move:e}}const listenerRE=/^on[A-Z]/;function useEmitListeners(e=vue.getCurrentInstance()){return{emitListeners:vue.computed(()=>{const t={};return e?.vnode?.props&&Object.keys(e.vnode.props).forEach(e=>{listenerRE.test(e)&&(t[e]=!0)}),t})}}function useFocusHelper(){const e={"aria-hidden":"true",class:"q-calendar__focus-helper"};return[vue.h("span",e)]}function useButton(){function e({focusable:e,focusType:t},a,n){const r=e&&t.includes("date");return vue.h("button",{...a,tabindex:r?0:-1},[n,r&&useFocusHelper()])}return{renderButton:e}}const useCellWidthProps={cellWidth:[Number,String]};function useCellWidth(e){const t=vue.computed(()=>void 0!==e.cellWidth);return{isSticky:t}}const useCheckChangeEmits=["change"];function useCheckChange(n,{days:r,lastStart:o,lastEnd:u}){function e(){const e=r.value;if(0===e.length)return!1;const t=e[0].date,a=e[e.length-1].date;return(!o.value||!u.value||t!==o.value||a!==u.value)&&(o.value=t,u.value=a,n("change",{start:t,end:a,days:e}),!0)}return{checkChange:e}}function useEventUtils(){function e(e,t){return(Array.isArray(t)?t:[t]).includes(e.keyCode)}return{isKeyCode:e}}const isKeyCode=useEventUtils().isKeyCode,useNavigationProps={useNavigation:Boolean};function useNavigation(t,{rootRef:a,focusRef:n,focusValue:r,datesRef:o,parsedView:u,emittedValue:i,direction:d,times:s}){let e=!1;function l(){e||document&&(e=!0,document.addEventListener("keyup",y),document.addEventListener("keydown",p))}function c(){document&&(document.removeEventListener("keyup",y),document.removeEventListener("keydown",p),e=!1)}function m(e){if(e&&document){const t=document.activeElement;if(t!==document.body&&a.value?.contains(t))return!0}return!1}function v(){let t=0;const a=window.setInterval(()=>{const e=o.value[n.value];e&&(e.focus(),50!==++t)&&document.activeElement!==e||window.clearInterval(a)},250)}function p(e){m(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])&&(e.stopPropagation(),e.preventDefault())}function y(e){if(m(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])){const t={33:D,34:k,35:_,36:w,37:h,38:f,39:T,40:g};t[e.keyCode]?.()}}function f(){let e=copyTimestamp(r.value);if("month"===u.value){if(e=addToDate(e,{day:-7}),r.value.month!==e.month)return d.value="prev",void(i.value=e.date)}else e=addToDate(e,{minute:Number(t.intervalMinutes)});d.value="prev",n.value=e.date}function g(){let e=copyTimestamp(r.value);if("month"===u.value){if(e=addToDate(e,{day:7}),r.value.month!==e.month)return d.value="next",void(i.value=e.date)}else e=addToDate(e,{minute:Number(t.intervalMinutes)});d.value="next",n.value=e.date}function h(){let e=copyTimestamp(r.value);d.value="prev";do{e=addToDate(e,{day:-1})}while(!t.weekdays.includes(Number(e.weekday)));n.value=e.date}function T(){let e=copyTimestamp(r.value);d.value="next";do{e=addToDate(e,{day:1})}while(!t.weekdays.includes(Number(e.weekday)));n.value=e.date}function D(){let e=copyTimestamp(r.value);e="month"===u.value?addToDate(e,{month:-1}):addToDate(e,{day:-7}),d.value="prev",n.value=e.date}function k(){let e=copyTimestamp(r.value);e="month"===u.value?addToDate(e,{month:1}):addToDate(e,{day:7}),d.value="next",n.value=e.date}function w(){let e=copyTimestamp(r.value);e="month"===u.value?getStartOfMonth(e):getStartOfWeek(e,t.weekdays||[],s.today);while(!t.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}function _(){let e=copyTimestamp(r.value);e="month"===u.value?getEndOfMonth(e):getEndOfWeek(e,t.weekdays||[],s.today);while(!t.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}return vue.onBeforeUnmount(()=>{c()}),vue.watch(()=>t.useNavigation,e=>{(!0===e?l:c)()}),!0===t.useNavigation&&l(),{startNavigation:l,endNavigation:c,tryFocus:v}}const renderButton=useButton().renderButton;var QCalendarAgenda=vue.defineComponent({name:"QCalendarAgenda",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useAgendaProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-time")],setup(m,{slots:v,emit:i,expose:H}){const e=vue.ref(null),t=vue.ref(null),x=vue.ref(null),p=vue.ref(m.modelValue||today()),a=vue.ref(parsed(m.modelValue||today())),y=vue.ref({}),n=vue.ref(),r=vue.ref(),u=vue.ref("next"),d=vue.ref(m.modelValue||today()),s=vue.ref("0000-00-00"),l=vue.ref(0),c=vue.ref(m.modelValue),f=vue.reactive({width:0,height:0}),g=vue.ref(""),L=vue.ref(null),q=vue.ref(null),o=(vue.watch(()=>m.view,()=>{l.value=0}),vue.computed(()=>{return"month"===m.view?"month-interval":m.view})),Y=vue.getCurrentInstance();if(null===Y)throw new Error("current instance is null");const U=useEmitListeners(Y).emitListeners,h=useCellWidth(m).isSticky,{times:T,setCurrent:B,updateCurrent:P}=(vue.watch(h,()=>{}),useTimes(m)),{parsedStart:V,parsedEnd:z,dayFormatter:Z,weekdayFormatter:$,ariaDateFormatter:X,dayStyleDefault:K,getRelativeClasses:D}=(P(),B(),useCommon(m,{startDate:d,endDate:s,times:T})),k=vue.computed(()=>{return parseTimestamp(m.modelValue,T.now)||V.value||T.today}),j=(a.value=k.value,p.value=k.value.date,useRenderValues(m,{parsedView:o,parsedValue:k,times:T})).renderValues,{rootRef:w,scrollWidth:Q,__renderCalendar:G}=useCalendar(m,Ie,{scrollArea:e,pane:t}),{days:_,parsedCellWidth:J,getScopeForSlot:b}=useInterval(m,{times:T,scrollArea:e,parsedStart:V,parsedEnd:z,maxDays:l,size:f,headerColumnRef:x}),I=useMove(m,{parsedView:o,parsedValue:k,direction:u,maxDays:l,times:T,emittedValue:c,emit:i}).move,N=useMouseEvents(i,U).getDefaultMouseEventHandlers,ee=useCheckChange(i,{days:_,lastStart:L,lastEnd:q}).checkChange,te=useEventUtils().isKeyCode,ae=useNavigation(m,{rootRef:w,focusRef:p,focusValue:a,datesRef:y,parsedView:o,emittedValue:c,direction:u,times:T}).tryFocus,M=vue.computed(()=>{return _.value.length+(!0===S.value?m.leftColumnOptions.length:0)+(!0===O.value?m.rightColumnOptions.length:0)+_.value.length===1&&parseInt(String(m.columnCount),10)>0?parseInt(String(m.columnCount),10):0}),S=vue.computed(()=>{return void 0!==m.leftColumnOptions&&Array.isArray(m.leftColumnOptions)}),O=vue.computed(()=>{return void 0!==m.rightColumnOptions&&Array.isArray(m.rightColumnOptions)}),A=vue.computed(()=>{if(w.value){const e=f.width||w.value.getBoundingClientRect().width;if(e&&M.value)return(e-Q.value)/M.value+"px"}return 100/M.value+"%"});function ne(){c.value=today()}function re(e=1){I(e)}function oe(e=1){I(-e)}function ue({width:e,height:t}){f.width=e,f.height=t}function E(e){return e.date===c.value}function C(t,a){const e=v["head-column"],n={column:t,index:a,days:_.value},r=!0===h.value?m.cellWidth:A.value,o=!0===m.focusable&&m.focusType.includes("weekday"),u=void 0!==m.columnOptionsId?t[m.columnOptionsId]:"id",i={maxWidth:r,width:r};return vue.h("div",{key:u,tabindex:!0===o?0:-1,class:{"q-calendar-agenda__head--day":!0,"q-column-day":!0,"q-calendar__hoverable":!0===m.hoverable,"q-calendar__focusable":!0===o},style:i,onDragenter:e=>{void 0!==m.dragEnterFunc&&"function"===typeof m.dragEnterFunc&&(!0===m.dragEnterFunc(e,"head-column",{scope:n})?g.value=u:g.value="")},onDragover:e=>{void 0!==m.dragOverFunc&&"function"===typeof m.dragOverFunc&&(!0===m.dragOverFunc(e,"head-column",{scope:n})?g.value=u:g.value="")},onDragleave:e=>{void 0!==m.dragLeaveFunc&&"function"===typeof m.dragLeaveFunc&&(!0===m.dragLeaveFunc(e,"head-column",{scope:n})?g.value=u:g.value="")},onDrop:e=>{void 0!==m.dropFunc&&"function"===typeof m.dropFunc&&(!0===m.dropFunc(e,"head-column",{scope:n})?g.value=u:g.value="")},...N("-head-column",e=>{return{scope:{column:t,index:a},event:e}})},[!0!==m.noDefaultHeaderText&&ie(t),e&&e(n),useFocusHelper()])}function ie(e){const t=v["head-column-label"],a={column:e},n=void 0!==m.columnOptionsLabel?e[m.columnOptionsLabel]:e.label,r=vue.h("div",{class:{"q-calendar-agenda__head--weekday":!0,["q-calendar__"+m.weekdayAlign]:!0,ellipsis:!0},style:{alignSelf:"center"}},[t&&t({scope:a}),!t&&vue.h("span",{class:"ellipsis"},n)]);return"stacked"===m.dateHeader?r:vue.h("div",{class:"q-calendar__header--inline",style:{height:"100%"}},[r])}function de(){return vue.h("div",{roll:"presentation",class:{"q-calendar-agenda__head":!0,"q-calendar__sticky":!0===h.value},style:{marginRight:Q.value+"px"}},[se()])}function se(){return vue.h("div",{ref:x,class:{"q-calendar-agenda__head--days__column":!0}},[le(),ce()])}function le(){return vue.h("div",{class:{"q-calendar-agenda__head--days__weekdays":!0}},me())}function ce(){const e=v["head-days-events"];return vue.nextTick(()=>{if(r.value&&0===m.columnCount&&window)try{const e=window.getComputedStyle(r.value);n.value&&n.value.parentElement&&(n.value.parentElement.style.height=e.height,n.value.style.height=e.height)}catch{}}),vue.h("div",{class:{"q-calendar-agenda__head--days__event":!0}},[e&&vue.h("div",{ref:n,style:{position:"absolute",left:0,top:0,right:0,overflow:"hidden",zIndex:1}},[e({scope:{days:_.value,ref:r}})]),...ve()])}function me(){const e=parseInt(String(m.columnCount),10),a=parseInt(String(m.columnIndexStart),10);return(1===_.value.length&&e>0?[!0===S.value?m.leftColumnOptions.map((e,t)=>C(e,t)):[],...Array.apply(null,new Array(e)).map((e,t)=>t+a).map(e=>pe(_.value[0],e)),!0===O.value?m.rightColumnOptions.map((e,t)=>C(e,t)):[]]:[!0===S.value?m.leftColumnOptions.map((e,t)=>C(e,t)):[],..._.value.map(e=>pe(e)),!0===O.value?m.rightColumnOptions.map((e,t)=>C(e,t)):[]]).flat()}function ve(){const a=parseInt(String(m.columnCount),10);return 1===_.value.length&&a>0?[...Array.apply(null,new Array(parseInt(String(m.columnCount),10))).map((e,t)=>t+a).map(e=>fe(_.value[0],e))]:_.value.map(e=>fe(e,0))}function pe(t,e){const a=v["head-day"],n=v["head-date"],r=!0!==m.noActiveDate&&E(t),o=b(t,e??0),u=(o.activeDate=r,o.droppable=g.value===t.date,o.disabled=!!m.disabledWeekdays&&m.disabledWeekdays.includes(Number(t.weekday)),!0===h.value?m.cellWidth:A.value),i=m.weekdayStyle||K,d={width:u,maxWidth:u,...i({scope:o})},s=(!0===h.value&&(d.minWidth=u),"function"===typeof m.weekdayClass?m.weekdayClass({scope:o}):{}),l=!0===m.focusable&&m.focusType.includes("weekday"),c={key:t.date+(void 0!==e?"-"+e:""),ref:e=>{y.value[t.date]=e},tabindex:!0===l?0:-1,class:{"q-calendar-agenda__head--day":!0,...s,...D(t),"q-active-date":r,"q-calendar__hoverable":!0===m.hoverable,"q-calendar__focusable":!0===l},style:d,onDragenter:e=>{void 0!==m.dragEnterFunc&&"function"===typeof m.dragEnterFunc&&(!0===m.dragEnterFunc(e,"head-day",{scope:o})?g.value=t.date:g.value="")},onDragover:e=>{void 0!==m.dragOverFunc&&"function"===typeof m.dragOverFunc&&(!0===m.dragOverFunc(e,"head-day",{scope:o})?g.value=t.date:g.value="")},onDragleave:e=>{void 0!==m.dragLeaveFunc&&"function"===typeof m.dragLeaveFunc&&(!0===m.dragLeaveFunc(e,"head-day",{scope:o})?g.value=t.date:g.value="")},onDrop:e=>{void 0!==m.dropFunc&&"function"===typeof m.dropFunc&&(!0===m.dropFunc(e,"head-day",{scope:o})?g.value=t.date:g.value="")},onFocus:()=>{!0===l&&(p.value=t.date)},...N("-head-day",e=>{return{scope:o,event:e}})};return vue.h("div",c,[void 0!==a&&a({scope:o}),void 0===a&&ye(t),void 0===a&&n&&n({scope:o}),useFocusHelper()])}function ye(e){return"stacked"===m.dateHeader?[!0!==m.noDefaultHeaderText&&W(e),!0!==m.noDefaultHeaderBtn&&F(e)].filter(e=>!1!==e):"inline"===m.dateHeader?("left"===m.weekdayAlign&&"right"===m.dateAlign||"right"===m.weekdayAlign&&m.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==m.noDefaultHeaderText&&W(e),!0!==m.noDefaultHeaderBtn&&F(e)])):"inverted"===m.dateHeader?("left"===m.weekdayAlign&&"right"===m.dateAlign||"right"===m.weekdayAlign&&m.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==m.noDefaultHeaderBtn&&F(e),!0!==m.noDefaultHeaderText&&W(e)])):void 0}function fe(e,t){const a=v["head-day-event"],n=!0!==m.noActiveDate&&E(e),r=b(e,t),o=(r.activeDate=n,r.disabled=!!m.disabledWeekdays&&m.disabledWeekdays.includes(Number(e.weekday)),!0===h.value?m.cellWidth:A.value),u={width:o,maxWidth:o};return!0===h.value&&(u.minWidth=o),vue.h("div",{key:"event-"+e.date+(void 0!==t?"-"+t:""),class:{"q-calendar-agenda__head--day__event":!0,...D(e),"q-active-date":n},style:u},[a&&a({scope:r})])}function W(e){const t=v["head-weekday-label"],a=b(e,0),n=(a.shortWeekdayLabel=m.shortWeekdayLabel,{class:{"q-calendar-agenda__head--weekday":!0,["q-calendar__"+m.weekdayAlign]:!0,"q-calendar__ellipsis":!0}});return vue.h("div",n,t&&t({scope:a})||ge(e,m.shortWeekdayLabel))}function ge(e,t){const a=$.value(e,t||m.weekdayBreakpoints[0]>0&&J.value<=m.weekdayBreakpoints[0]);return vue.h("span",{class:"q-calendar__ellipsis"},m.weekdayBreakpoints[1]>0&&J.value<=m.weekdayBreakpoints[1]?minCharWidth(a,Number(m.minWeekdayLabel)):a)}function F(e){const t={class:{"q-calendar-agenda__head--date":!0,["q-calendar__"+m.dateAlign]:!0}};return vue.h("div",t,he(e))}function he(a){const e=!0!==m.noActiveDate&&E(a),t=Z.value(a,!1),n=v["head-day-label"],r=v["head-day-button"],o={dayLabel:t,timestamp:a,activeDate:e,disabled:!!m.disabledWeekdays&&m.disabledWeekdays.includes(Number(a.weekday))},u={class:{"q-calendar-agenda__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===m.dateType,"q-calendar__button--rounded":"rounded"===m.dateType,"q-calendar__button--bordered":!0===a.current,"q-calendar__focusable":!0},disabled:a.disabled,onKeydown:e=>{!0!==a.disabled&&te(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==a.disabled&&te(e,[13,32])&&(c.value=a.date,void 0!==U.value.onClickDate)&&i("click-date",{scope:o})},...N("-date",(e,t)=>{return"click-date"!==t&&"contextmenu-date"!==t||(c.value=a.date,"click-date"===t&&e.preventDefault()),{scope:o,event:e}})};return!0!==m.noAria&&(u.ariaLabel=X.value(a,!1)),r?r({scope:o}):renderButton(m,u,n?n({scope:o}):t)}function Te(){return vue.h("div",{class:"q-calendar-agenda__body"},[De()])}function De(){return!0===h.value?vue.h("div",{ref:e,class:{"q-calendar-agenda__scroll-area":!0,"q-calendar__scroll":!0}},[we()]):!0===m.noScroll?ke():vue.h("div",{ref:e,class:{"q-calendar-agenda__scroll-area":!0,"q-calendar__scroll":!0}},[ke()])}function ke(){return vue.h("div",{ref:t,class:"q-calendar-agenda__pane"},[we()])}function we(){const e=v["day-container"];return vue.h("div",{class:"q-calendar-agenda__day-container"},[!0===h.value&&!0!==m.noHeader&&de(),vue.h("div",{style:{display:"flex",flexDirection:"row",height:"100%"}},[..._e()||[]].flat()),e&&e({scope:{days:_.value}})])}function _e(){const e=parseInt(String(m.columnCount),10),a=parseInt(String(m.columnIndexStart),10);return(1===_.value.length&&e>0?[!0===S.value?m.leftColumnOptions.map((e,t)=>R(e,t)):[],...Array.apply(null,new Array(e)).map((e,t)=>t+a).map(e=>be(_.value[0],0,e)),!0===O.value?m.rightColumnOptions.map((e,t)=>R(e,t)):[]]:[!0===S.value?m.leftColumnOptions.map((e,t)=>R(e,t)):[],..._.value.map((e,t)=>be(e,t,0)),!0===O.value?m.rightColumnOptions.map((e,t)=>R(e,t)):[]]).flat()}function R(e,t){const a=v.column,n={column:e,days:_.value,index:t},r=!0===h.value?m.cellWidth:A.value,o=!0===m.focusable&&m.focusType.includes("day"),u=void 0!==m.columnOptionsId?e[m.columnOptionsId]:void 0;return vue.h("div",{key:u,tabindex:!0===o?0:-1,class:{"q-calendar-agenda__day":!0,"q-column-day":!0,"q-calendar__hoverable":!0===m.hoverable,"q-calendar__focusable":!0===o},style:{maxWidth:r,width:r},onDragenter:e=>{void 0!==m.dragEnterFunc&&"function"===typeof m.dragEnterFunc&&(!0===m.dragEnterFunc(e,"column",{scope:n})?g.value=u:g.value="")},onDragover:e=>{void 0!==m.dragOverFunc&&"function"===typeof m.dragOverFunc&&(!0===m.dragOverFunc(e,"column",{scope:n})?g.value=u:g.value="")},onDragleave:e=>{void 0!==m.dragLeaveFunc&&"function"===typeof m.dragLeaveFunc&&(!0===m.dragLeaveFunc(e,"column",{scope:n})?g.value=u:g.value="")},onDrop:e=>{void 0!==m.dropFunc&&"function"===typeof m.dropFunc&&(!0===m.dropFunc(e,"column",{scope:n})?g.value=u:g.value="")},...N("-column",e=>{return{scope:n,event:e}})},[a&&a({scope:n})])}function be(e,t,a){const n=parseInt(String(m.dayHeight),10),r=parseInt(String(m.dayMinHeight),10),o=v.day,u=b(e,a),i=!0===h.value?m.cellWidth:A.value,d={width:i,maxWidth:i};return!0===h.value&&(d.minWidth=i),d.height=n>0?convertToUnit(n):"auto",r>0&&(d.minHeight=convertToUnit(r)),vue.h("div",{key:e.date+(void 0!==a?":"+a:""),class:{"q-calendar-agenda__day":!0,...D(e)},style:d},[o&&o({scope:u})])}function Ie(){const{start:e,end:t,maxDays:a}=j.value,n=(d.value===e.date&&s.value===t.date&&l.value===a||(d.value=e.date,s.value=t.date,l.value=a),f.width>0),r=vue.withDirectives(vue.h("div",{class:"q-calendar-agenda",key:d.value},[!0===n&&!0!==h.value&&!0!==m.noHeader&&de(),!0===n&&Te()]),[[ResizeObserverDirective,ue]]);if(!0!==m.animated)return r;{const o="q-calendar--"+("prev"===u.value?m.transitionPrev:m.transitionNext);return vue.h(vue.Transition,{name:o,appear:!0},()=>r)}}return vue.watch([_],ee,{deep:!0,immediate:!0}),vue.watch(()=>m.modelValue,(e,t)=>{if(c.value!==e){if(!0===m.animated){const a=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(t));u.value=a>=n?"next":"prev"}c.value=e}p.value=e}),vue.watch(c,(e,t)=>{if(c.value!==m.modelValue){if(!0===m.animated){const a=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(t));u.value=a>=n?"next":"prev"}i("update:model-value",e)}}),vue.watch(p,e=>{e&&(a.value=parseTimestamp(e))}),vue.watch(a,()=>{p.value&&y.value[p.value]?y.value[p.value].focus():ae()}),vue.watch(()=>m.maxDays,e=>{l.value=e}),vue.onBeforeUpdate(()=>{y.value={}}),vue.onMounted(()=>{}),H({prev:oe,next:re,move:I,moveToToday:ne,updateCurrent:P}),()=>G()}});const version="4.1.2";var Plugin={version:version,QCalendarAgenda:QCalendarAgenda,...Timestamp$1,...helpers$1,install(e){e.component(String(QCalendarAgenda.name),QCalendarAgenda)}};module.exports=Plugin;