/*!
 * @quasar/quasar-ui-qcalendar v4.1.2
 * (c) 2025 Jeff Galbraith <jeff@quasar.dev>
 * Released under the MIT License.
 */
import{reactive,ref,computed,withDirectives,h,watch,getCurrentInstance,onBeforeUnmount,defineComponent,onBeforeUpdate,onMounted,Transition,nextTick}from"vue";const PARSE_DATETIME=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?([^\d]+(\d{1,2}))?(:(\d{1,2}))?(:(\d{1,2}))?(.(\d{1,3}))?$/,PARSE_DATE=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?/,PARSE_TIME=/(\d\d?)(:(\d\d?)|)(:(\d\d?)|)/,DAYS_IN_MONTH=[0,31,28,31,30,31,30,31,31,30,31,30,31],DAYS_IN_MONTH_LEAP=[0,31,29,31,30,31,30,31,31,30,31,30,31],TIME_CONSTANTS={MILLISECONDS_IN:{SECOND:1e3,MINUTE:6e4,HOUR:36e5,DAY:864e5,WEEK:6048e5},SECONDS_IN:{MINUTE:60,HOUR:3600,DAY:86400,WEEK:604800},MINUTES_IN:{MINUTE:1,HOUR:60,DAY:1440,WEEK:10080},HOURS_IN:{DAY:24,WEEK:168},DAYS_IN:{WEEK:7}},DAYS_IN_MONTH_MIN=28,DAYS_IN_MONTH_MAX=31,MONTH_MAX=12,MONTH_MIN=1,DAY_MIN=1,FIRST_HOUR=0;function validateTimestamp(e){return"string"===typeof e&&PARSE_DATETIME.test(e)}function parsed(e){if("string"!==typeof e)return null;const t=PARSE_DATETIME.exec(e);if(!t||!t[1]||!t[2])return null;const a=parseInt(t[1],10),n=parseInt(t[2],10),r=parseInt(t[4]||"1",10),i=parseInt(t[6]||"0",10),o=parseInt(t[8]||"0",10);return{date:e,time:i.toString().padStart(2,"0")+":"+o.toString().padStart(2,"0"),year:a,month:n,day:r,hour:i,minute:o,hasDay:!!t[4],hasTime:!0,past:!1,current:!1,future:!1,disabled:!1,weekday:0,doy:0,workweek:0}}function parseDate(e,t=!1){if(!(e instanceof Date))return null;const a=t?"UTC":"";return updateFormatted({date:padNumber(e[`get${a}FullYear`](),4)+"-"+padNumber(e[`get${a}Month`]()+1,2)+"-"+padNumber(e[`get${a}Date`](),2),time:padNumber(e[`get${a}Hours`]()||0,2)+":"+padNumber(e[`get${a}Minutes`]()||0,2),year:e[`get${a}FullYear`](),month:e[`get${a}Month`]()+1,day:e[`get${a}Date`](),hour:e[`get${a}Hours`](),minute:e[`get${a}Minutes`](),weekday:0,doy:0,workweek:0,hasDay:!0,hasTime:!0,past:!1,current:!1,future:!1,disabled:!1})}function padNumber(e,t){let a=String(e);while(a.length<t)a="0"+a;return a}function isLeapYear(e){return e%4===0&&e%100!==0||e%400===0}function daysInMonth(e,t){return(isLeapYear(e)?DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH)[t]}function nextDay(e){const t=new Date(e.year,e.month-1,e.day+1);return updateFormatted(normalizeTimestamp({...e,year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate()}))}function prevDay(e){const t=new Date(e.year,e.month-1,e.day-1);return updateFormatted(normalizeTimestamp({...e,year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate()}))}function today(){const e=new Date,t=e.getMonth()+1,a=e.getDate(),n=e.getFullYear();return[n,padNumber(t,2),padNumber(a,2)].join("-")}function isToday(e){return e===today()}function getStartOfWeek(e,t,a){let n=copyTimestamp(e);if(t){if(1===n.day||0===n.weekday)while(!t.includes(Number(n.weekday)))n=nextDay(n);n=findWeekday(n,t[0],prevDay),n=updateFormatted(n),a&&(n=updateRelative(n,a,n.hasTime))}return n}function getEndOfWeek(e,t,a){let n=copyTimestamp(e);if(t&&Array.isArray(t)){const r=daysInMonth(n.year,n.month);if(r===n.day||n.weekday===t[t.length-1])while(!t.includes(Number(n.weekday)))n=prevDay(n);n=findWeekday(n,t[t.length-1],nextDay),n=updateFormatted(n),a&&(n=updateRelative(n,a,n.hasTime))}return n}function getStartOfMonth(e){let t=copyTimestamp(e);return t.day=DAY_MIN,t=updateFormatted(t),t}function getEndOfMonth(e){let t=copyTimestamp(e);return t.day=daysInMonth(t.year,t.month),t=updateFormatted(t),t}function parseTime(e){const t=Object.prototype.toString.call(e);switch(t){case"[object Number]":return e;case"[object String]":{const a=PARSE_TIME.exec(e);return a?60*parseInt(a[1],10)+parseInt(a[3]||"0",10):!1}case"[object Object]":return"object"!==typeof e||"number"!==typeof e.hour||"number"!==typeof e.minute?!1:"object"===typeof e&&"hour"in e&&"minute"in e&&60*e.hour+e.minute}return!1}function compareTimestamps(e,t){return!(!e||!t)&&e.year===t.year&&e.month===t.month&&e.day===t.day&&e.hour===t.hour&&e.minute===t.minute}function compareDate(e,t){return getDate(e)===getDate(t)}function compareTime(e,t){return getTime(e)===getTime(t)}function compareDateTime(e,t){return getDateTime(e)===getDateTime(t)}function parseTimestamp(e,t=null){let a=parsed(e);return a?(a=updateFormatted(a),t&&(a=updateRelative(a,t,a.hasTime)),a):null}function getDayIdentifier(e){return 1e8*(e.year??0)+1e6*(e.month??0)+1e4*(e.day??0)}function getTimeIdentifier(e){return 100*(e.hour??0)+(e.minute??0)}function getDayTimeIdentifier(e){return getDayIdentifier(e)+getTimeIdentifier(e)}function diffTimestamp(e,t,a=!1){const n=Date.UTC(e.year??0,(e.month??1)-1,e.day??1,e.hour??0,e.minute??0),r=Date.UTC(t.year??0,(t.month??1)-1,t.day??1,t.hour??0,t.minute??0);return!0===a&&r<n?0:r-n}function updateRelative(e,t,a=!1){let n=copyTimestamp(e),r=getDayIdentifier(t),i=getDayIdentifier(n),o=r===i;return n.hasTime&&a&&o&&(r=getTimeIdentifier(t),i=getTimeIdentifier(n),o=r===i),n.past=i<r,n.current=o,n.future=i>r,n.currentWeekday=n.weekday===t.weekday,n}function updateMinutes(e,t,a=null){let n=copyTimestamp(e);return n.hasTime=!0,n.hour=Math.floor(t/TIME_CONSTANTS.MINUTES_IN.HOUR),n.minute=t%TIME_CONSTANTS.MINUTES_IN.HOUR,n.time=getTime(n),a&&(n=updateRelative(n,a,!0)),n}function updateWeekday(e){let t=copyTimestamp(e);return t.weekday=getWeekday(t),t}function updateDayOfYear(e){let t=copyTimestamp(e);return t.doy=getDayOfYear(t)||0,t}function updateWorkWeek(e){let t=copyTimestamp(e);return t.workweek=getWorkWeek(t),t}function updateDisabled(e,t,a,n,r){let i=copyTimestamp(e);const o=getDayIdentifier(i);if(void 0!==t){const l=parsed(t);if(l){const c=getDayIdentifier(l);o<=c&&(i.disabled=!0)}}if(!0!==i.disabled&&void 0!==a){const m=parsed(a);if(m){const y=getDayIdentifier(m);o>=y&&(i.disabled=!0)}}if(!0!==i.disabled&&Array.isArray(n)&&n.length>0)for(var d in n)if(n[d]===i.weekday){i.disabled=!0;break}if(!0!==i.disabled&&Array.isArray(r)&&r.length>0)for(var u in r)if(Array.isArray(r[u])&&2===r[u].length&&r[u][0]&&r[u][1]){const p=parsed(r[u][0]),v=parsed(r[u][1]);if(p&&v&&isBetweenDates(i,p,v)){i.disabled=!0;break}}else{const f=r[u];if(Array.isArray(f))for(var s of f){const h=parseTimestamp(s);if(h){const g=getDayIdentifier(h);if(g===o){i.disabled=!0;break}}}else if(f){const T=parseTimestamp(f);if(T){const D=getDayIdentifier(T);D===o&&(i.disabled=!0)}}}return i}function updateFormatted(e){let t=copyTimestamp(e);return t.hasTime=!0,t.time=getTime(t),t.date=getDate(t),t.weekday=getWeekday(t),t.doy=getDayOfYear(t)||0,t.workweek=getWorkWeek(t),t}function getDayOfYear(e){if(0!==e.year)return(Date.UTC(e.year,e.month-1,e.day)-Date.UTC(e.year,0,0))/24/60/60/1e3}function getWorkWeek(e){let t=copyTimestamp(e);if(0===t.year){const r=parseTimestamp(today());r&&(t=r)}const a=new Date(Date.UTC(t.year,t.month-1,t.day)),n=4;a.setUTCDate(a.getUTCDate()-(a.getUTCDay()+6)%7+n),a.setUTCDate(a.getUTCDate()+n-(a.getUTCDay()||7));e=new Date(Date.UTC(a.getUTCFullYear(),0,1)),e=Math.ceil(((a.valueOf()-e.valueOf())/864e5+1)/7);return e}function getWeekday(e){let t=e.weekday;if(e.hasDay){const a=Math.floor,n=e.day,r=(e.month+9)%MONTH_MAX+1,i=a(e.year/100),o=e.year%100-(e.month<=2?1:0);t=((n+a(2.6*r-.2)-2*i+o+a(o/4)+a(i/4))%7+7)%7}return t??0}function copyTimestamp(e){return{...e}}function getDate(e){let t=padNumber(e.year,4)+"-"+padNumber(e.month,2);return e.hasDay&&(t+="-"+padNumber(e.day,2)),t}function getTime(e){return e.hasTime?padNumber(e.hour,2)+":"+padNumber(e.minute,2):""}function getDateTime(e){return getDate(e)+" "+(e.hasTime?getTime(e):"00:00")}function moveRelativeDays(e,t=nextDay,a=1,n=[0,1,2,3,4,5,6]){const r=copyTimestamp(e);return relativeDays(r,t,a,n)}function relativeDays(e,t=nextDay,a=1,n=[0,1,2,3,4,5,6]){let r=copyTimestamp(e);n.includes(Number(r.weekday))||0!==r.weekday||t!==nextDay||++a;while(--a>=0)r=t(r),n.length<7&&!n.includes(Number(r.weekday))&&++a;return r}function findWeekday(e,t,a=nextDay,n=6){let r=copyTimestamp(e);while(r.weekday!==t&&--n>=0)r=a(r);return r}function createDayList(e,t,a,n=[0,1,2,3,4,5,6],r=void 0,i=void 0,o=[],d=[],u=42,s=0){const l=getDayIdentifier(e),c=getDayIdentifier(t),m=[];let y=copyTimestamp(e),p=0,v=p===c;if(!(c<l))while((!v||m.length<s)&&m.length<u){if(p=getDayIdentifier(y),v=v||p>c&&m.length>=s,v)break;if(n.includes(Number(y.weekday))){let e=copyTimestamp(y);e=updateFormatted(e),e=updateRelative(e,a),e=updateDisabled(e,r,i,o,d),m.push(e)}y=relativeDays(y,nextDay)}return m}function createIntervalList(t,a,n,r,i){const o=[];for(let e=0;e<r;++e){const d=(a+e)*n,u=copyTimestamp(t);o.push(updateMinutes(u,d,i))}return o}function createNativeLocaleFormatter(n,r){const e=()=>"";return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:(t,e)=>{try{const a=new Intl.DateTimeFormat(n||void 0,r(t,e));return a.format(makeDateTime(t))}catch(e){return console.error(`Intl.DateTimeFormat: ${e.message} -> `+getDateTime(t)),""}}}function makeDate(e,t=!0){return t?new Date(Date.UTC(e.year,e.month-1,e.day,0,0)):new Date(e.year,e.month-1,e.day,0,0)}function makeDateTime(e,t=!0){return t?new Date(Date.UTC(e.year,e.month-1,e.day,e.hour,e.minute)):new Date(e.year,e.month-1,e.day,e.hour,e.minute)}function validateNumber(e){return isFinite(Number(e))}function maxTimestamp(e,t=!1){const a=!0===t?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,t)=>{return Math.max(a(e),a(t))===a(e)?e:t})}function minTimestamp(e,t=!1){const a=!0===t?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,t)=>{return Math.min(a(e),a(t))===a(e)?e:t})}function isBetweenDates(e,t,a,n=!1){const r=getDayIdentifier(e)+(!0===n?getTimeIdentifier(e):0),i=getDayIdentifier(t)+(!0===n?getTimeIdentifier(t):0),o=getDayIdentifier(a)+(!0===n?getTimeIdentifier(a):0);return r>=i&&r<=o}function isOverlappingDates(e,t,a,n){const r=getDayIdentifier(e),i=getDayIdentifier(t),o=getDayIdentifier(a),d=getDayIdentifier(n);return r>=o&&r<=d||i>=o&&i<=d||o>=r&&i>=d}function addToDate(e,t){const a=copyTimestamp(e);return t.year&&(a.year+=t.year),t.month&&(a.month+=t.month),t.day&&(a.day+=t.day),t.hour&&(a.hour+=t.hour),t.minute&&(a.minute+=t.minute),updateFormatted(normalizeTimestamp(a))}function normalizeTimestamp(e){const t=new Date(e.year,e.month-1,e.day,e.hour,e.minute);return{...e,year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate(),hour:t.getHours(),minute:t.getMinutes()}}function daysBetween(e,t){const a=diffTimestamp(e,t,!0);return Math.floor(a/TIME_CONSTANTS.MILLISECONDS_IN.DAY)}function weeksBetween(e,t){let a=copyTimestamp(e),n=copyTimestamp(t);return a=findWeekday(a,0),n=findWeekday(n,6),Math.ceil(daysBetween(a,n)/TIME_CONSTANTS.DAYS_IN.WEEK)}const weekdayDateMap={Sun:new Date("2020-01-05T00:00:00.000Z"),Mon:new Date("2020-01-06T00:00:00.000Z"),Tue:new Date("2020-01-07T00:00:00.000Z"),Wed:new Date("2020-01-08T00:00:00.000Z"),Thu:new Date("2020-01-09T00:00:00.000Z"),Fri:new Date("2020-01-10T00:00:00.000Z"),Sat:new Date("2020-01-11T00:00:00.000Z")};function getWeekdayFormatter(){const e=()=>"",r={long:{timeZone:"UTC",weekday:"long"},short:{timeZone:"UTC",weekday:"short"},narrow:{timeZone:"UTC",weekday:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:t;function t(t,e,a){try{const n=new Intl.DateTimeFormat(a||void 0,r[e]||r["long"]);return n.format(weekdayDateMap[t])}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> day of week: `+t),""}}}function getWeekdayNames(t,a){const e=Object.keys(weekdayDateMap),n=getWeekdayFormatter();return e.map(e=>String(n(e,t,a)))}function getMonthFormatter(){const e=()=>"",i={long:{timeZone:"UTC",month:"long"},short:{timeZone:"UTC",month:"short"},narrow:{timeZone:"UTC",month:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:t;function t(t,e,a){try{const n=new Intl.DateTimeFormat(a||void 0,i[e]||i["long"]),r=new Date;return r.setDate(1),r.setMonth(t),n.format(r)}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> month: `+t),""}}}function getMonthNames(t,a){const n=getMonthFormatter();return[...Array(12).keys()].map(e=>n(e,t,a))}var Timestamp={PARSE_DATETIME:PARSE_DATETIME,PARSE_DATE:PARSE_DATE,PARSE_TIME:PARSE_TIME,DAYS_IN_MONTH:DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MIN:DAYS_IN_MONTH_MIN,DAYS_IN_MONTH_MAX:DAYS_IN_MONTH_MAX,MONTH_MAX:MONTH_MAX,MONTH_MIN:MONTH_MIN,DAY_MIN:DAY_MIN,TIME_CONSTANTS:TIME_CONSTANTS,FIRST_HOUR:FIRST_HOUR,today:today,getStartOfWeek:getStartOfWeek,getEndOfWeek:getEndOfWeek,getStartOfMonth:getStartOfMonth,getEndOfMonth:getEndOfMonth,parseTime:parseTime,validateTimestamp:validateTimestamp,parsed:parsed,parseTimestamp:parseTimestamp,parseDate:parseDate,getDayIdentifier:getDayIdentifier,getTimeIdentifier:getTimeIdentifier,getDayTimeIdentifier:getDayTimeIdentifier,diffTimestamp:diffTimestamp,updateRelative:updateRelative,updateMinutes:updateMinutes,updateWeekday:updateWeekday,updateDayOfYear:updateDayOfYear,updateWorkWeek:updateWorkWeek,updateDisabled:updateDisabled,updateFormatted:updateFormatted,getDayOfYear:getDayOfYear,getWorkWeek:getWorkWeek,getWeekday:getWeekday,isLeapYear:isLeapYear,daysInMonth:daysInMonth,copyTimestamp:copyTimestamp,padNumber:padNumber,getDate:getDate,getTime:getTime,getDateTime:getDateTime,nextDay:nextDay,prevDay:prevDay,relativeDays:relativeDays,findWeekday:findWeekday,createDayList:createDayList,createIntervalList:createIntervalList,createNativeLocaleFormatter:createNativeLocaleFormatter,makeDate:makeDate,makeDateTime:makeDateTime,validateNumber:validateNumber,isBetweenDates:isBetweenDates,isOverlappingDates:isOverlappingDates,daysBetween:daysBetween,weeksBetween:weeksBetween,addToDate:addToDate,compareTimestamps:compareTimestamps,compareDate:compareDate,compareTime:compareTime,compareDateTime:compareDateTime,getWeekdayFormatter:getWeekdayFormatter,getWeekdayNames:getWeekdayNames,getMonthFormatter:getMonthFormatter,getMonthNames:getMonthNames},Timestamp$1=Object.freeze({__proto__:null,DAYS_IN_MONTH:DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MAX:DAYS_IN_MONTH_MAX,DAYS_IN_MONTH_MIN:DAYS_IN_MONTH_MIN,DAY_MIN:DAY_MIN,FIRST_HOUR:FIRST_HOUR,MONTH_MAX:MONTH_MAX,MONTH_MIN:MONTH_MIN,PARSE_DATE:PARSE_DATE,PARSE_DATETIME:PARSE_DATETIME,PARSE_TIME:PARSE_TIME,TIME_CONSTANTS:TIME_CONSTANTS,addToDate:addToDate,compareDate:compareDate,compareDateTime:compareDateTime,compareTime:compareTime,compareTimestamps:compareTimestamps,copyTimestamp:copyTimestamp,createDayList:createDayList,createIntervalList:createIntervalList,createNativeLocaleFormatter:createNativeLocaleFormatter,daysBetween:daysBetween,daysInMonth:daysInMonth,default:Timestamp,diffTimestamp:diffTimestamp,findWeekday:findWeekday,getDate:getDate,getDateTime:getDateTime,getDayIdentifier:getDayIdentifier,getDayOfYear:getDayOfYear,getDayTimeIdentifier:getDayTimeIdentifier,getEndOfMonth:getEndOfMonth,getEndOfWeek:getEndOfWeek,getMonthFormatter:getMonthFormatter,getMonthNames:getMonthNames,getStartOfMonth:getStartOfMonth,getStartOfWeek:getStartOfWeek,getTime:getTime,getTimeIdentifier:getTimeIdentifier,getWeekday:getWeekday,getWeekdayFormatter:getWeekdayFormatter,getWeekdayNames:getWeekdayNames,getWorkWeek:getWorkWeek,isBetweenDates:isBetweenDates,isLeapYear:isLeapYear,isOverlappingDates:isOverlappingDates,isToday:isToday,makeDate:makeDate,makeDateTime:makeDateTime,maxTimestamp:maxTimestamp,minTimestamp:minTimestamp,moveRelativeDays:moveRelativeDays,nextDay:nextDay,padNumber:padNumber,parseDate:parseDate,parseTime:parseTime,parseTimestamp:parseTimestamp,parsed:parsed,prevDay:prevDay,relativeDays:relativeDays,today:today,updateDayOfYear:updateDayOfYear,updateDisabled:updateDisabled,updateFormatted:updateFormatted,updateMinutes:updateMinutes,updateRelative:updateRelative,updateWeekday:updateWeekday,updateWorkWeek:updateWorkWeek,validateNumber:validateNumber,validateTimestamp:validateTimestamp,weeksBetween:weeksBetween});function convertToUnit(e,t="px"){if(e)return isNaN(e)?String(e):"auto"===e?e:""+Number(e)+t}function indexOf(t,a){for(let e=0;e<t.length;e++)if(!0===a(t[e],e))return e;return-1}function minCharWidth(e,t){return 0===t?e:e.slice(0,t)}var helpers={convertToUnit:convertToUnit,indexOf:indexOf,minCharWidth:minCharWidth},helpers$1=Object.freeze({__proto__:null,convertToUnit:convertToUnit,default:helpers,indexOf:indexOf,minCharWidth:minCharWidth});const ResizeObserverDirective={mounted(e,t){if("function"===typeof t.value){const a=t.value,n={callback:a,size:{width:0,height:0},observer:new ResizeObserver(e=>{const t=e[0].contentRect;t.width===n.size.width&&t.height===n.size.height||(n.size.width=t.width,n.size.height=t.height,n.debounceTimeout&&clearTimeout(n.debounceTimeout),n.debounceTimeout=setTimeout(()=>{n.callback(n.size),n.debounceTimeout=void 0},100))})};n.observer.observe(e),e.__onResizeObserver=n}},beforeUnmount(e){if(e.__onResizeObserver){const{observer:t,debounceTimeout:a}=e.__onResizeObserver;a&&clearTimeout(a),t.unobserve(e),delete e.__onResizeObserver}}};function useCalendar(t,a,{scrollArea:e,pane:n}){if(!a){const l="[error: renderCalendar] no renderFunc has been supplied to useCalendar";throw console.error(l),new Error(l)}const r=reactive({width:0,height:0}),i=ref(null);function o({width:e,height:t}){r.width=e,r.height=t}const d=computed(()=>{return!0!==t.noScroll&&e.value&&n.value&&r.height?e.value.offsetWidth-n.value.offsetWidth:0});function u(){}function s(){const e={ref:i,role:"complementary",lang:t.locale,class:`q-calendar ${t.dark?"q-calendar--dark":""} `+(t.bordered?"q-calendar__bordered":"")};return withDirectives(h("div",{...e},[a()]),[[ResizeObserverDirective,o]])}return{rootRef:i,scrollWidth:d,__initCalendar:u,__renderCalendar:s}}const isValidFocusType=e=>e.every(e=>["day","date","weekday","interval","time","resource","task"].includes(e)),useCommonProps={modelValue:{type:String,default:today(),validator:e=>""===e||validateTimestamp(e)},weekdays:{type:Array,default:()=>[0,1,2,3,4,5,6]},dateType:{type:String,default:"round",validator:e=>["round","rounded","square"].includes(e)},weekdayAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},dateAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},bordered:Boolean,dark:Boolean,noAria:Boolean,noActiveDate:Boolean,noHeader:Boolean,noScroll:Boolean,shortWeekdayLabel:Boolean,noDefaultHeaderText:Boolean,noDefaultHeaderBtn:Boolean,minWeekdayLabel:{type:[Number,String],default:1},weekdayBreakpoints:{type:Array,default:()=>[75,35],validator:e=>2===e.length},locale:{type:String,default:"en-US"},animated:Boolean,transitionPrev:{type:String,default:"slide-right"},transitionNext:{type:String,default:"slide-left"},disabledDays:Array,disabledBefore:String,disabledAfter:String,disabledWeekdays:{type:Array,default:()=>[]},dragEnterFunc:Function,dragOverFunc:Function,dragLeaveFunc:Function,dropFunc:Function,selectedDates:{type:[Array,Set],default:()=>[]},selectedStartEndDates:{type:Array,default:()=>[]},hoverable:Boolean,focusable:Boolean,focusType:{type:Array,default:()=>["date"],validator:isValidFocusType}};function useCommon(t,{startDate:e,endDate:a,times:n}){const r=computed(()=>parseTimestamp(e.value)),i=computed(()=>{return"0000-00-00"===a.value?getEndOfWeek(r.value,t.weekdays,n.today):parseTimestamp(a.value)||r.value}),o=computed(()=>createNativeLocaleFormatter(t.locale,()=>({timeZone:"UTC",day:"numeric"}))),d=computed(()=>createNativeLocaleFormatter(t.locale,(e,t)=>({timeZone:"UTC",weekday:t?"short":"long"}))),u=computed(()=>createNativeLocaleFormatter(t.locale,()=>({timeZone:"UTC",dateStyle:"full"})));function s(e,t){return e&&e.length>0&&e.includes(t.date)}function l(e,t){const a={firstDay:!1,betweenDays:!1,lastDay:!1};if(2===e.length){const n=getDayIdentifier(t),r=getDayIdentifier(parsed(e[0])),i=getDayIdentifier(parsed(e[1]));a.firstDay=r===n,a.lastDay=i===n,a.betweenDays=r<n&&i>n}return a}function c(e,t=!1,a=[],n=[],r=!1){const i=s(a,e),{firstDay:o,lastDay:d,betweenDays:u}=l(n,e);return{"q-past-day":!o&&!u&&!d&&!i&&!t&&!!e.past,"q-future-day":!o&&!u&&!d&&!i&&!t&&!!e.future,"q-outside":t,"q-current-day":!!e.current,"q-selected":i,"q-range-first":o,"q-range":u,"q-range-last":d,"q-range-hover":r&&(o||d||u),"q-disabled-day disabled":!0===e.disabled}}function m(e){return getStartOfWeek(e,t.weekdays,n.today)}function y(e){return getEndOfWeek(e,t.weekdays,n.today)}function p(){return{}}return{parsedStart:r,parsedEnd:i,dayFormatter:o,weekdayFormatter:d,ariaDateFormatter:u,arrayHasDate:s,checkDays:l,getRelativeClasses:c,startOfWeek:m,endOfWeek:y,dayStyleDefault:p}}function scrollTo(e,t){e instanceof Window?e.scrollTo({top:t,behavior:"instant"}):e.scrollTop=t}function getVerticalScrollPosition(e){return e instanceof Window?e.scrollY:e.scrollTop}function animVerticalScrollTo(i,o,d=500,u=performance.now(),s=getVerticalScrollPosition(i)){d<=0||s===o?scrollTo(i,o):requestAnimationFrame(e=>{const t=e-u,a=Math.min(t/d,1),n=e=>e<.5?2*e*e:(4-2*e)*e-1,r=s+(o-s)*n(a);scrollTo(i,r),a<1&&animVerticalScrollTo(i,o,d,u,s)})}function animHorizontalScrollTo(r,e,i=500){const o=r.scrollLeft,d=e-o;let u=null;function s(e){null===u&&(u=e);const t=e-u,a=Math.min(t/i,1),n=e=>e<.5?2*e*e:(4-2*e)*e-1;r.scrollLeft=o+d*n(a),t<i&&requestAnimationFrame(s)}requestAnimationFrame(s)}const useIntervalProps={view:{type:String,validator:e=>["day","week","month","month-interval"].includes(e),default:"day"},shortIntervalLabel:Boolean,intervalHeight:{type:[Number,String],default:40,validator:validateNumber},intervalMinutes:{type:[Number,String],default:60,validator:validateNumber},intervalStart:{type:[Number,String],default:0,validator:validateNumber},intervalCount:{type:[Number,String],default:24,validator:validateNumber},intervalStyle:{type:Function,default:null},intervalClass:{type:Function,default:null},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},showIntervalLabel:{type:Function,default:null},hour24Format:Boolean,timeClicksClamped:Boolean,dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)}};function useInterval(i,{times:t,scrollArea:n,parsedStart:e,parsedEnd:a,maxDays:r,size:o,headerColumnRef:d}){const u=computed(()=>parseInt(String(i.intervalStart),10)),m=computed(()=>parseInt(String(i.intervalMinutes),10)),s=computed(()=>parseInt(String(i.intervalCount),10)),y=computed(()=>parseFloat(String(i.intervalHeight))),p=computed(()=>{let e=0;const t=Number(i.columnCount);return i.cellWidth?e=Number(i.cellWidth):o.width>0&&d.value&&(e=d.value.offsetWidth/(t>1?t:r.value)),e}),l=computed(()=>u.value*m.value),c=computed(()=>s.value*y.value),v=computed(()=>s.value*p.value),f=computed(()=>D(e.value)),h=computed(()=>k(a.value)),g=computed(()=>{return createDayList(e.value,a.value,t.today,i.weekdays,i.disabledBefore,i.disabledAfter,i.disabledWeekdays,i.disabledDays,r.value)}),T=computed(()=>{return g.value.map(e=>createIntervalList(e,u.value,m.value,s.value,t.now))});function D(e){return getStartOfWeek(e,i.weekdays,t.today)}function k(e){return getEndOfWeek(e,i.weekdays,t.today)}function w(e,t){return e&&e.length>0&&e.includes(getDateTime(t))}function _(e,t){const a={firstDay:!1,betweenDays:!1,lastDay:!1};if(e&&2===e.length){const n=getDayTimeIdentifier(t),r=getDayTimeIdentifier(parsed(e[0])),i=getDayTimeIdentifier(parsed(e[1]));a.firstDay=r===n,a.lastDay=i===n,a.betweenDays=r<n&&i>n}return a}function I(e,t=[],a=[]){const n=w(t,e),{firstDay:r,lastDay:i,betweenDays:o}=_(a,e);return{"q-selected":n,"q-range-first":!0===r,"q-range":!0===o,"q-range-last":!0===i,"q-disabled-interval disabled":!0===e.disabled}}function b(e,t,a){return[]}const N=computed(()=>{const a={timeZone:"UTC",hour12:!i.hour24Format,hour:"2-digit",minute:"2-digit"},n={timeZone:"UTC",hour12:!i.hour24Format,hour:"numeric",minute:"2-digit"},r={timeZone:"UTC",hour12:!i.hour24Format,hour:"numeric"};return createNativeLocaleFormatter(i.locale,(e,t)=>t?0===e.minute?r:n:a)}),M=computed(()=>{const e={timeZone:"UTC",dateStyle:"full",timeStyle:"short"};return createNativeLocaleFormatter(i.locale,()=>e)});function S(e){const t=T.value[0][0],a=t.hour===e.hour&&t.minute===e.minute;return!a&&0===e.minute}function E(e){}function A(e){return{}}function O(e,t,a=!1,n){let r=copyTimestamp(t);if(e.currentTarget){const i=e.currentTarget.getBoundingClientRect(),o=e,d=e,u=o.changedTouches||o.touches,s=(u&&u[0]?u[0]:d).clientY,l=(s-i.top)/y.value,c=Math.floor((a?Math.floor(l):l)*m.value);0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0))}return r}function H(e,t,a=!1,n){let r=copyTimestamp(t);const i=e.currentTarget.getBoundingClientRect(),o=e,d=e,u=o.changedTouches||o.touches,s=(u&&u[0]?u[0]:d).clientY,l=(s-i.top)/y.value,c=Math.floor((a?Math.floor(l):l)*m.value);return 0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0)),r}function x(e,t,a=!1,n){let r=copyTimestamp(t);if(e.currentTarget){const i=e.currentTarget.getBoundingClientRect(),o=e,d=e,u=o.changedTouches||o.touches,s=(u&&u[0]?u[0]:d).clientX,l=(s-i.left)/p.value,c=Math.floor((a?Math.floor(l):l)*m.value);0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0))}return r}function L(e,t){const a={timestamp:e,timeStartPos:F,timeDurationHeight:W};return void 0!==t&&(a.columnIndex=t),a}function q(e,t){const a={timestamp:copyTimestamp(e),timeStartPosX:R,timeDurationWidth:C};return void 0!==t&&(a.index=t),a}function Y(e,t=0){const a=F(e);return!(!1===a||!n.value)&&(animVerticalScrollTo(n.value,a,t),!0)}function U(e,t=0){const a=R(e);return!(!1===a||!n.value)&&(animHorizontalScrollTo(n.value,a,t),!0)}function W(e){return e/m.value*y.value}function C(e){return e/m.value*p.value}function B(e){return e*m.value/y.value}function P(e){return e*m.value/p.value}function F(e,t=!0){const a=parseTime(e);if(!1===a)return!1;const n=l.value,r=s.value*m.value,i=(a-n)/r;let o=i*c.value;return t&&(o<0&&(o=0),o>c.value)&&(o=c.value),o}function R(e,t=!0){const a=parseTime(e);if(!1===a)return!1;const n=l.value,r=s.value*m.value,i=(a-n)/r;let o=i*v.value;return t&&(o<0&&(o=0),o>v.value)&&(o=v.value),o}return{parsedIntervalStart:u,parsedIntervalMinutes:m,parsedIntervalCount:s,parsedIntervalHeight:y,parsedCellWidth:p,parsedStartMinute:l,bodyHeight:c,bodyWidth:v,parsedWeekStart:f,parsedWeekEnd:h,days:g,intervals:T,intervalFormatter:N,ariaDateTimeFormatter:M,arrayHasDateTime:w,checkIntervals:_,getIntervalClasses:I,getResourceClasses:b,showIntervalLabelDefault:S,showResourceLabelDefault:E,styleDefault:A,getTimestampAtEventInterval:O,getTimestampAtEvent:H,getTimestampAtEventX:x,getScopeForSlot:L,getScopeForSlotX:q,scrollToTime:Y,scrollToTimeX:U,timeDurationHeight:W,timeDurationWidth:C,heightToMinutes:B,widthToMinutes:P,timeStartPos:F,timeStartPosX:R}}const useColumnProps={columnCount:{type:[Number,String],default:0,validator:validateNumber},columnIndexStart:{type:[Number,String],default:0,validator:validateNumber}},useMaxDaysProps={maxDays:{type:Number,default:1}},useTimesProps={now:{type:String,validator:e=>""===e||validateTimestamp(e),default:""}};function useTimes(e){const t=reactive({now:parseTimestamp("0000-00-00 00:00"),today:parseTimestamp("0000-00-00")}),a=computed(()=>e.now?parseTimestamp(e.now):i());function n(){t.now&&t.today&&(t.now.current=t.today.current=!0,t.now.past=t.today.past=!1,t.now.future=t.today.future=!1)}function r(){const e=a.value||i();o(e,t.now),d(e,t.now),o(e,t.today)}function i(){return parseDate(new Date)}function o(e,t){e.date!==t.date&&(t.year=e.year,t.month=e.month,t.day=e.day,t.weekday=e.weekday,t.date=e.date)}function d(e,t){e.time!==t.time&&(t.hour=e.hour,t.minute=e.minute,t.time=e.time)}return watch(a,()=>r()),{times:t,parsedNow:a,setCurrent:n,updateCurrent:r,getNow:i,updateDay:o,updateTime:d}}function useRenderValues(r,{parsedView:i,parsedValue:o,times:d}){const e=computed(()=>{const e=o.value;let t=r.maxDays,a=e,n=e;switch(i.value){case"month":a=getStartOfMonth(e),n=getEndOfMonth(e),t=daysInMonth(a.year,a.month);break;case"week":case"week-agenda":case"week-scheduler":a=getStartOfWeek(e,r.weekdays,d.today),n=getEndOfWeek(a,r.weekdays,d.today),t=r.weekdays.length;break;case"day":case"scheduler":case"agenda":n=moveRelativeDays(copyTimestamp(n),nextDay,t>1?t-1:t,r.weekdays),n=updateFormatted(n);break;case"month-interval":case"month-scheduler":case"month-agenda":a=getStartOfMonth(e),n=getEndOfMonth(e),n=updateFormatted(n),t=daysInMonth(a.year,a.month);break;case"resource":t=1,n=moveRelativeDays(copyTimestamp(n),nextDay,t,r.weekdays),n=updateFormatted(n);break}return{start:a,end:n,maxDays:t}});return{renderValues:e}}const toCamelCase=e=>e.replace(/(-\w)/g,e=>e[1].toUpperCase());function getMouseEventHandlers(t,e,a,n){const r={};for(const i in a){const o=a[i],d=toCamelCase("on-"+i);if(!e.value)return console.warn("$listeners has not been set up"),{};if(void 0!==e.value[d]){const u="on"+o.event.charAt(0).toUpperCase()+o.event.slice(1),s=e=>{return(void 0===o.button||"buttons"in e&&e.buttons>0&&e.button===o.button)&&(o.prevent&&e.preventDefault(),o.stop&&e.stopPropagation(),t(i,n(e,i))),o.result};u in r?Array.isArray(r[u])?r[u].push(s):r[u]=[r[u],s]:r[u]=s}}return r}function getDefaultMouseEventHandlers(e,t,a,n){return getMouseEventHandlers(e,t,getMouseEventName(a),n)}function getMouseEventName(e){return{["click"+e]:{event:"click"},["contextmenu"+e]:{event:"contextmenu",prevent:!0,result:!1},["mousedown"+e]:{event:"mousedown"},["mousemove"+e]:{event:"mousemove"},["mouseup"+e]:{event:"mouseup"},["mouseenter"+e]:{event:"mouseenter"},["mouseleave"+e]:{event:"mouseleave"},["touchstart"+e]:{event:"touchstart"},["touchmove"+e]:{event:"touchmove"},["touchend"+e]:{event:"touchend"}}}function getRawMouseEvents(e){return Object.keys(getMouseEventName(e))}function useMouseEvents(a,n){return{getMouseEventHandlers:(e,t)=>getMouseEventHandlers(a,n,e,t),getDefaultMouseEventHandlers:(e,t)=>getDefaultMouseEventHandlers(a,n,e,t),getMouseEventName:getMouseEventName,getRawMouseEvents:getRawMouseEvents}}const useMoveEmits=["moved"];function useMove(u,{parsedView:s,parsedValue:l,direction:c,maxDays:m,times:y,emittedValue:p,emit:v}){function e(a=1){if(0===a)p.value=today();else{let e=copyTimestamp(l.value);const n=getEndOfMonth(e),r=a>0,i=r?nextDay:prevDay,o=r?n.day:1;let t=r?a:-a;c.value=r?"next":"prev";const d=u.weekdays.length;while(--t>=0)switch(s.value){case"month":e.day=o,e=i(e),e=updateWeekday(e);while(!u.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:r?1:-1});break;case"week":case"week-agenda":case"week-scheduler":e=relativeDays(e,i,d,u.weekdays);break;case"day":case"scheduler":case"agenda":e=relativeDays(e,i,m.value,u.weekdays);break;case"month-interval":case"month-agenda":case"month-scheduler":e.day=o,e=i(e);break;case"resource":e=relativeDays(e,i,m.value,u.weekdays);break}e=updateWeekday(e),e=updateFormatted(e),e=updateDayOfYear(e),e=updateRelative(e,y.now),p.value=e.date,v("moved",e)}}return{move:e}}const listenerRE=/^on[A-Z]/;function useEmitListeners(e=getCurrentInstance()){return{emitListeners:computed(()=>{const t={};return e?.vnode?.props&&Object.keys(e.vnode.props).forEach(e=>{listenerRE.test(e)&&(t[e]=!0)}),t})}}function useFocusHelper(){const e={"aria-hidden":"true",class:"q-calendar__focus-helper"};return[h("span",e)]}function useButton(){function e({focusable:e,focusType:t},a,n){const r=e&&t.includes("date");return h("button",{...a,tabindex:r?0:-1},[n,r&&useFocusHelper()])}return{renderButton:e}}const useCellWidthProps={cellWidth:[Number,String]};function useCellWidth(e){const t=computed(()=>void 0!==e.cellWidth);return{isSticky:t}}const useCheckChangeEmits=["change"];function useCheckChange(n,{days:r,lastStart:i,lastEnd:o}){function e(){const e=r.value;if(0===e.length)return!1;const t=e[0].date,a=e[e.length-1].date;return(!i.value||!o.value||t!==i.value||a!==o.value)&&(i.value=t,o.value=a,n("change",{start:t,end:a,days:e}),!0)}return{checkChange:e}}function useEventUtils(){function e(e,t){return(Array.isArray(t)?t:[t]).includes(e.keyCode)}return{isKeyCode:e}}const isKeyCode=useEventUtils().isKeyCode,useNavigationProps={useNavigation:Boolean};function useNavigation(t,{rootRef:a,focusRef:n,focusValue:r,datesRef:i,parsedView:o,emittedValue:d,direction:u,times:s}){let e=!1;function l(){e||document&&(e=!0,document.addEventListener("keyup",v),document.addEventListener("keydown",p))}function c(){document&&(document.removeEventListener("keyup",v),document.removeEventListener("keydown",p),e=!1)}function m(e){if(e&&document){const t=document.activeElement;if(t!==document.body&&a.value?.contains(t))return!0}return!1}function y(){let t=0;const a=window.setInterval(()=>{const e=i.value[n.value];e&&(e.focus(),50!==++t)&&document.activeElement!==e||window.clearInterval(a)},250)}function p(e){m(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])&&(e.stopPropagation(),e.preventDefault())}function v(e){if(m(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])){const t={33:D,34:k,35:_,36:w,37:g,38:f,39:T,40:h};t[e.keyCode]?.()}}function f(){let e=copyTimestamp(r.value);if("month"===o.value){if(e=addToDate(e,{day:-7}),r.value.month!==e.month)return u.value="prev",void(d.value=e.date)}else e=addToDate(e,{minute:Number(t.intervalMinutes)});u.value="prev",n.value=e.date}function h(){let e=copyTimestamp(r.value);if("month"===o.value){if(e=addToDate(e,{day:7}),r.value.month!==e.month)return u.value="next",void(d.value=e.date)}else e=addToDate(e,{minute:Number(t.intervalMinutes)});u.value="next",n.value=e.date}function g(){let e=copyTimestamp(r.value);u.value="prev";do{e=addToDate(e,{day:-1})}while(!t.weekdays.includes(Number(e.weekday)));n.value=e.date}function T(){let e=copyTimestamp(r.value);u.value="next";do{e=addToDate(e,{day:1})}while(!t.weekdays.includes(Number(e.weekday)));n.value=e.date}function D(){let e=copyTimestamp(r.value);e="month"===o.value?addToDate(e,{month:-1}):addToDate(e,{day:-7}),u.value="prev",n.value=e.date}function k(){let e=copyTimestamp(r.value);e="month"===o.value?addToDate(e,{month:1}):addToDate(e,{day:7}),u.value="next",n.value=e.date}function w(){let e=copyTimestamp(r.value);e="month"===o.value?getStartOfMonth(e):getStartOfWeek(e,t.weekdays||[],s.today);while(!t.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}function _(){let e=copyTimestamp(r.value);e="month"===o.value?getEndOfMonth(e):getEndOfWeek(e,t.weekdays||[],s.today);while(!t.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}return onBeforeUnmount(()=>{c()}),watch(()=>t.useNavigation,e=>{(!0===e?l:c)()}),!0===t.useNavigation&&l(),{startNavigation:l,endNavigation:c,tryFocus:y}}const renderButton=useButton().renderButton;var QCalendarDay=defineComponent({name:"QCalendarDay",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useIntervalProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-interval"),...getRawMouseEvents("-head-intervals"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-time")],setup(y,{slots:p,emit:m,expose:x}){const e=ref(null),L=ref(null),q=ref(null),v=ref(y.modelValue||today()),t=ref(parsed(y.modelValue||today())),f=ref({}),a=ref(),n=ref(),o=ref("next"),d=ref(y.modelValue||today()),u=ref("0000-00-00"),s=ref(0),g=ref(y.modelValue||today()),l=reactive({width:0,height:0}),T=ref(""),D=ref(0),Y=ref(null),U=ref(null),r=(watch(()=>y.view,()=>{s.value=0}),computed(()=>{return"month"===y.view?"month-interval":y.view})),B=getCurrentInstance();if(null===B)throw new Error("current instance is null");const k=useEmitListeners(B).emitListeners,w=useCellWidth(y).isSticky,{times:_,setCurrent:P,updateCurrent:V}=useTimes(y),{parsedStart:i,parsedEnd:z,dayFormatter:Z,weekdayFormatter:$,ariaDateFormatter:X,dayStyleDefault:K,getRelativeClasses:I}=(V(),P(),useCommon(y,{startDate:d,endDate:u,times:_})),c=computed(()=>{return parseTimestamp(y.modelValue,_.now)||i.value||_.today}),j=(t.value=c.value,v.value=c.value.date,useRenderValues(y,{parsedView:r,parsedValue:c,times:_})).renderValues,{rootRef:b,scrollWidth:Q,__renderCalendar:G}=useCalendar(y,Pe,{scrollArea:e,pane:L}),{days:N,intervals:J,intervalFormatter:ee,ariaDateTimeFormatter:te,parsedCellWidth:M,getIntervalClasses:ae,showIntervalLabelDefault:ne,styleDefault:re,getTimestampAtEventInterval:ie,getTimestampAtEvent:oe,getScopeForSlot:S,scrollToTime:de,heightToMinutes:ue,timeDurationHeight:se,timeStartPos:le}=useInterval(y,{times:_,scrollArea:e,parsedStart:i,parsedEnd:z,maxDays:s,size:l,headerColumnRef:q}),E=useMove(y,{parsedView:r,parsedValue:c,direction:o,maxDays:s,times:_,emittedValue:g,emit:m}).move,A=useMouseEvents(m,k).getDefaultMouseEventHandlers,ce=useCheckChange(m,{days:N,lastStart:Y,lastEnd:U}).checkChange,O=useEventUtils().isKeyCode,me=useNavigation(y,{rootRef:b,focusRef:v,focusValue:t,datesRef:f,parsedView:r,emittedValue:g,direction:o,times:_}).tryFocus,W=computed(()=>{const e=parseInt(String(y.columnCount),10);return"day"===r.value&&e>1?e:"day"===r.value&&y.maxDays&&y.maxDays>1?y.maxDays:N.value.length}),ye=computed(()=>{return b.value?parseInt(window.getComputedStyle(b.value).getPropertyValue("--calendar-intervals-width"),10):0}),C=computed(()=>{if(b.value){const e=l.width||b.value.getBoundingClientRect().width;if(e&&ye.value&&W.value)return(e-Q.value-ye.value)/W.value+"px"}return 100/W.value+"%"});function pe(){g.value=today()}function ve(e=1){E(e)}function fe(e=1){E(-e)}function he({width:e,height:t}){l.width=e,l.height=t}function F(e){return e.date===g.value}function ge(){return h("div",{roll:"presentation",class:{"q-calendar-day__head":!0,"q-calendar__sticky":!0===w.value},style:{marginRight:Q.value+"px"}},[Te(),De()])}function Te(){const e=p["head-intervals"],t={timestamps:N.value,days:N.value,date:y.modelValue};return h("div",{class:{"q-calendar-day__head--intervals":!0,"q-calendar__sticky":!0===w.value},...A("-head-intervals",e=>{return{scope:t,event:e}})},[e&&e({scope:t})])}function De(){return h("div",{ref:q,class:{"q-calendar-day__head--days__column":!0}},[ke(),we()])}function ke(){return h("div",{class:{"q-calendar-day__head--days__weekdays":!0}},[..._e()])}function we(){const e=p["head-days-events"],t=parseInt(String(y.columnCount),10);return nextTick(()=>{if(n.value&&0===t&&window)try{const e=window.getComputedStyle(n.value);a.value&&a.value.parentElement&&(a.value.parentElement.style.height=e.height,a.value.style.height=e.height)}catch{}}),h("div",{class:{"q-calendar-day__head--days__event":!0}},[e&&h("div",{ref:a,style:{position:"absolute",left:0,top:0,right:0,overflow:"hidden",zIndex:1}},[e({scope:{days:N.value,ref:n}})]),...Ie()])}function _e(){const e=parseInt(String(y.columnCount),10),a=parseInt(String(y.columnIndexStart),10);return 1===N.value.length&&e>0?Array.apply(null,new Array(e)).map((e,t)=>t+a).map(e=>be(N.value[0],e)):N.value.map(e=>be(e,0))}function Ie(){const e=parseInt(String(y.columnCount),10),a=parseInt(String(y.columnIndexStart),10);return 1===N.value.length&&e>0?Array.apply(null,new Array(e)).map((e,t)=>t+a).map(e=>Me(N.value[0],e)).filter(e=>void 0!==e):N.value.map(e=>Me(e,0)).filter(e=>void 0!==e)}function be(t,e){const a=p["head-day"],n=p["head-date"],r=!0!==y.noActiveDate&&F(t),i=S(t,e),o=(i.activeDate=r,i.droppable=T.value===t.date,i.disabled=!!y.disabledWeekdays&&y.disabledWeekdays.includes(Number(t.weekday)),!0===w.value?y.cellWidth:C.value),d=y.weekdayStyle||K,u={width:o,maxWidth:o,minWidth:o,...d({scope:i})},s=(!0===w.value&&(u.minWidth=o),"function"===typeof y.weekdayClass?y.weekdayClass({scope:i}):{}),l=!0===y.focusable&&y.focusType.includes("weekday"),c=t.date+(void 0!==e?"-"+e:""),m={key:c,ref:e=>{f.value[c]=e},tabindex:!0===l?0:-1,class:{"q-calendar-day__head--day":!0,...s,...I(t),"q-active-date":r,"q-calendar__hoverable":!0===y.hoverable,"q-calendar__focusable":!0===l},style:u,onFocus:()=>{!0===l&&(v.value=c)},onKeydown:e=>{!0!==t.disabled&&O(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==t.disabled&&O(e,[13,32])&&(g.value=t.date)},...A("-head-day",e=>{return{scope:i,event:e}}),onDragenter:e=>{void 0!==y.dragEnterFunc&&"function"===typeof y.dragEnterFunc&&(!0===y.dragEnterFunc(e,"head-day",{scope:i})?T.value=t.date:T.value="")},onDragover:e=>{void 0!==y.dragOverFunc&&"function"===typeof y.dragOverFunc&&(!0===y.dragOverFunc(e,"head-day",{scope:i})?T.value=t.date:T.value="")},onDragleave:e=>{void 0!==y.dragLeaveFunc&&"function"===typeof y.dragLeaveFunc&&(!0===y.dragLeaveFunc(e,"head-day",{scope:i})?T.value=t.date:T.value="")},onDrop:e=>{void 0!==y.dropFunc&&"function"===typeof y.dropFunc&&(!0===y.dropFunc(e,"head-day",{scope:i})?T.value=t.date:T.value="")}};return h("div",m,[void 0!==a&&a({scope:i}),void 0===a&&Ae(t,e),void 0===a&&Ne(t),void 0===a&&n&&n({scope:i}),void 0===a&&Oe(t,e),useFocusHelper()])}function Ne(e){return"stacked"===y.dateHeader?[!0!==y.noDefaultHeaderText?R(e):[],!0!==y.noDefaultHeaderBtn?H(e):[]].filter(e=>void 0!==e):"inline"===y.dateHeader?("left"===y.weekdayAlign&&"right"===y.dateAlign||"right"===y.weekdayAlign&&y.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==y.noDefaultHeaderText&&R(e),!0!==y.noDefaultHeaderBtn&&H(e)])):"inverted"===y.dateHeader?("left"===y.weekdayAlign&&"right"===y.dateAlign||"right"===y.weekdayAlign&&y.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==y.noDefaultHeaderBtn&&H(e),!0!==y.noDefaultHeaderText&&R(e)])):void 0}function Me(e,t){const a=p["head-day-event"],n=!0!==y.noActiveDate&&F(e),r=S(e,t),i=(r.activeDate=n,r.disabled=!!y.disabledWeekdays&&y.disabledWeekdays.includes(Number(e.weekday)),!0===w.value?convertToUnit(M.value):C.value),o={width:i,maxWidth:i,minWidth:i};return!0===w.value&&(o.minWidth=i),h("div",{key:"event-"+e.date+(void 0!==t?"-"+t:""),class:{"q-calendar-day__head--day__event":!0,...I(e),"q-active-date":n},style:o},[a&&a({scope:r})])}function R(e){const t=p["head-weekday-label"],a=!0===y.shortWeekdayLabel,n=S(e,0),r=(n.shortWeekdayLabel=y.shortWeekdayLabel,n.disabled=!!y.disabledWeekdays&&y.disabledWeekdays.includes(Number(e.weekday)),{class:{"q-calendar-day__head--weekday":!0,["q-calendar__"+y.weekdayAlign]:!0,"q-calendar__ellipsis":!0}});return h("div",r,t&&t({scope:n})||Se(e,a))}function Se(e,t){const a=$.value(e,t||y.weekdayBreakpoints[0]>0&&M.value<=y.weekdayBreakpoints[0]);return h("span",{class:"q-calendar-day__head--weekday-label q-calendar__ellipsis"},y.weekdayBreakpoints[1]>0&&M.value<=y.weekdayBreakpoints[1]?minCharWidth(a,Number(y.minWeekdayLabel)):a)}function H(e){const t={class:{"q-calendar-day__head--date":!0,["q-calendar__"+y.dateAlign]:!0}};return h("div",t,Ee(e))}function Ee(a){const e=!0!==y.noActiveDate&&F(a),t=Z.value(a,!1),n=p["head-day-label"],r=p["head-day-button"],i={dayLabel:t,timestamp:a,activeDate:e,disabled:!!y.disabledWeekdays&&y.disabledWeekdays.includes(Number(a.weekday))},o={class:{"q-calendar-day__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===y.dateType,"q-calendar__button--rounded":"rounded"===y.dateType,"q-calendar__button--bordered":!0===a.current,"q-calendar__focusable":!0},disabled:a.disabled,onKeydown:e=>{!0!==a.disabled&&O(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==a.disabled&&O(e,[13,32])&&(g.value=a.date,void 0!==k.value.onClickDate)&&m("click-date",{scope:i})},...A("-date",(e,t)=>{return"click-date"!==t&&"contextmenu-date"!==t||(g.value=a.date,"click-date"===t&&e.preventDefault()),{scope:i,event:e}})};return!0!==y.noAria&&(o.ariaLabel=X.value(a,!1)),r?r({scope:i}):renderButton(y,o,n?n({scope:i}):t)}function Ae(e,t){const a=p["column-header-before"];if(a){const n={timestamp:e,columnIndex:t};return h("div",{class:"q-calendar-day__column-header--before"},[a({scope:n})])}}function Oe(e,t){const a=p["column-header-after"];if(a){const n={timestamp:e,columnIndex:t};return h("div",{class:"q-calendar-day__column-header--after"},[a({scope:n})])}}function We(){return h("div",{class:"q-calendar-day__body"},[Ce()])}function Ce(){return!0===w.value?h("div",{ref:e,class:{"q-calendar-day__scroll-area":!0,"q-calendar__scroll":!0}},[!0!==w.value&&Ye(),Re()]):!0===y.noScroll?Fe():h("div",{ref:e,class:{"q-calendar-day__scroll-area":!0,"q-calendar__scroll":!0}},[Fe()])}function Fe(){return h("div",{ref:L,class:"q-calendar-day__pane"},[Ye(),Re()])}function Re(){const e=p["day-container"];return h("div",{class:"q-calendar-day__day-container"},[!0===w.value&&!0!==y.noHeader&&ge(),h("div",{style:{display:"flex",flexDirection:"row"}},[!0===w.value&&Ye(),...He()]),e&&e({scope:{days:N.value}})])}function He(){const e=parseInt(String(y.columnCount),10),a=parseInt(String(y.columnIndexStart),10);return 1===N.value.length&&e>0?Array.apply(null,new Array(e)).map((e,t)=>t+a).map(e=>xe(N.value[0],0,e)):N.value.map((e,t)=>xe(e,t,0))}function xe(e,t,a){const n=p["day-body"],r=S(e,a),i=!0===w.value?y.cellWidth:C.value,o={width:i,maxWidth:i,minWidth:i};return!0===w.value&&(o.minWidth=i),h("div",{key:e.date+(void 0!==a?":"+a:""),class:{"q-calendar-day__day":!0,...I(e)},style:o},[...Le(t,a),n&&n({scope:r})])}function Le(e,t){return J.value[e].map(e=>qe(e,t))}function qe(a,n){const e=convertToUnit(y.intervalHeight),t=y.intervalStyle||re,r=p["day-interval"],i=S(a,n),o=(i.droppable=D.value===getDayTimeIdentifier(a),"function"===typeof y.intervalClass?y.intervalClass({scope:i}):{}),d=!0===y.focusable&&y.focusType.includes("interval"),u=getDateTime(a),s={height:e,...t({scope:i})},l={key:u,tabindex:!0===d?0:-1,class:{"q-calendar-day__day-interval":0===a.minute,"q-calendar-day__day-interval--section":0!==a.minute,...o,...ae(a,Array.from(y.selectedDates),y.selectedStartEndDates),"q-calendar__hoverable":!0===y.hoverable,"q-calendar__focusable":!0===d},style:s,onDragenter:e=>{void 0!==y.dragEnterFunc&&"function"===typeof y.dragEnterFunc&&(!0===y.dragEnterFunc(e,"interval",{scope:i})?D.value=getDayTimeIdentifier(a):D.value=0)},onDragover:e=>{void 0!==y.dragOverFunc&&"function"===typeof y.dragOverFunc&&(!0===y.dragOverFunc(e,"interval",{scope:i})?D.value=getDayTimeIdentifier(a):D.value=0)},onDragleave:e=>{void 0!==y.dragLeaveFunc&&"function"===typeof y.dragLeaveFunc&&(!0===y.dragLeaveFunc(e,"interval",{scope:i})?D.value=getDayTimeIdentifier(a):D.value=0)},onDrop:e=>{void 0!==y.dropFunc&&"function"===typeof y.dropFunc&&(!0===y.dropFunc(e,"interval",{scope:i})?D.value=getDayTimeIdentifier(a):D.value=0)},onKeydown:e=>{O(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{if(O(e,[13,32])){const t=S(a,n);g.value=t.timestamp.date,void 0!==k.value.onClickTime&&m("click-time",{scope:t,event:e})}},...A("-time",e=>{const t=S(ie(e,a,y.timeClicksClamped,_.now),n);return{scope:t,event:e}})},c=(!0!==y.noAria&&(l.ariaLabel=te.value(a,!1)),r?r({scope:i}):void 0);return h("div",l,[c,useFocusHelper()])}function Ye(){const e={ariaHidden:"true",class:{"q-calendar-day__intervals-column":!0,"q-calendar__ellipsis":!0,"q-calendar__sticky":!0===w.value},...A("-interval",e=>{const t=oe(e,i.value,y.timeClicksClamped,_.now);return{scope:{timestamp:t},event:e}})};return h("div",e,Ue())}function Ue(){return J.value[0].map(e=>Be(e))}function Be(e){const t=p["interval-label"],a=convertToUnit(y.intervalHeight),n=y.shortIntervalLabel??!1,r=y.showIntervalLabel||ne,i=r(e),o=i?ee.value(e,n):void 0;return h("div",{key:e.time,class:{"q-calendar-day__interval":0===e.minute,"q-calendar-day__interval--section":0!==e.minute},style:{height:a}},[h("div",{class:"q-calendar-day__interval--text q-calendar__overflow-wrap"},[t?t({scope:{timestamp:e,label:o}}):o])])}function Pe(){const{start:e,end:t,maxDays:a}=j.value,n=(d.value===e.date&&u.value===t.date&&s.value===a||(d.value=e.date,u.value=t.date,s.value=a),l.width>0),r=withDirectives(h("div",{key:d.value,class:"q-calendar-day"},[!0===n&&!0!==w.value&&!0!==y.noHeader&&ge(),n&&We()]),[[ResizeObserverDirective,he]]);if(!0!==y.animated)return r;{const i="q-calendar--"+("prev"===o.value?y.transitionPrev:y.transitionNext);return h(Transition,{name:i,appear:!0},()=>r)}}return watch([N],ce,{deep:!0,immediate:!0}),watch(()=>y.modelValue,(e,t)=>{if(g.value!==y.modelValue){if(!0===y.animated){const a=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(t));o.value=a>=n?"next":"prev"}g.value=e}v.value=e}),watch(g,(e,t)=>{if(g.value!==y.modelValue){if(!0===y.animated){const a=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(t));o.value=a>=n?"next":"prev"}m("update:model-value",e)}}),watch(v,e=>{e&&(t.value=parseTimestamp(e))}),watch(t,()=>{v.value&&f.value[v.value]?f.value[v.value].focus():me()}),watch(()=>y.maxDays,e=>{s.value=e}),onBeforeUpdate(()=>{f.value={},a.value=void 0,n.value=void 0}),onMounted(()=>{}),x({prev:fe,next:ve,move:E,moveToToday:pe,updateCurrent:V,timeStartPos:le,timeDurationHeight:se,heightToMinutes:ue,scrollToTime:de}),()=>G()}});const version="4.1.2";var Plugin={version:version,QCalendarDay:QCalendarDay,...Timestamp$1,...helpers$1,install(e){e.component(String(QCalendarDay.name),QCalendarDay)}};export{DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MAX,DAYS_IN_MONTH_MIN,DAY_MIN,FIRST_HOUR,MONTH_MAX,MONTH_MIN,PARSE_DATE,PARSE_DATETIME,PARSE_TIME,QCalendarDay,TIME_CONSTANTS,addToDate,compareDate,compareDateTime,compareTime,compareTimestamps,convertToUnit,copyTimestamp,createDayList,createIntervalList,createNativeLocaleFormatter,daysBetween,daysInMonth,Plugin as default,diffTimestamp,findWeekday,getDate,getDateTime,getDayIdentifier,getDayOfYear,getDayTimeIdentifier,getEndOfMonth,getEndOfWeek,getMonthFormatter,getMonthNames,getStartOfMonth,getStartOfWeek,getTime,getTimeIdentifier,getWeekday,getWeekdayFormatter,getWeekdayNames,getWorkWeek,indexOf,isBetweenDates,isLeapYear,isOverlappingDates,isToday,makeDate,makeDateTime,maxTimestamp,minCharWidth,minTimestamp,moveRelativeDays,nextDay,padNumber,parseDate,parseTime,parseTimestamp,parsed,prevDay,relativeDays,today,updateDayOfYear,updateDisabled,updateFormatted,updateMinutes,updateRelative,updateWeekday,updateWorkWeek,validateNumber,validateTimestamp,version,weeksBetween};