/*!
 * @quasar/quasar-ui-qcalendar v4.1.2
 * (c) 2025 Jeff Galbraith <jeff@quasar.dev>
 * Released under the MIT License.
 */
import{reactive,ref,computed,withDirectives,h,watch,getCurrentInstance,onBeforeUnmount,defineComponent,onBeforeUpdate,nextTick,onMounted,Transition}from"vue";const PARSE_DATETIME=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?([^\d]+(\d{1,2}))?(:(\d{1,2}))?(:(\d{1,2}))?(.(\d{1,3}))?$/,PARSE_DATE=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?/,PARSE_TIME=/(\d\d?)(:(\d\d?)|)(:(\d\d?)|)/,DAYS_IN_MONTH=[0,31,28,31,30,31,30,31,31,30,31,30,31],DAYS_IN_MONTH_LEAP=[0,31,29,31,30,31,30,31,31,30,31,30,31],TIME_CONSTANTS={MILLISECONDS_IN:{SECOND:1e3,MINUTE:6e4,HOUR:36e5,DAY:864e5,WEEK:6048e5},SECONDS_IN:{MINUTE:60,HOUR:3600,DAY:86400,WEEK:604800},MINUTES_IN:{MINUTE:1,HOUR:60,DAY:1440,WEEK:10080},HOURS_IN:{DAY:24,WEEK:168},DAYS_IN:{WEEK:7}},DAYS_IN_MONTH_MIN=28,DAYS_IN_MONTH_MAX=31,MONTH_MAX=12,MONTH_MIN=1,DAY_MIN=1,FIRST_HOUR=0;function validateTimestamp(e){return"string"===typeof e&&PARSE_DATETIME.test(e)}function parsed(e){if("string"!==typeof e)return null;const t=PARSE_DATETIME.exec(e);if(!t||!t[1]||!t[2])return null;const a=parseInt(t[1],10),n=parseInt(t[2],10),r=parseInt(t[4]||"1",10),o=parseInt(t[6]||"0",10),i=parseInt(t[8]||"0",10);return{date:e,time:o.toString().padStart(2,"0")+":"+i.toString().padStart(2,"0"),year:a,month:n,day:r,hour:o,minute:i,hasDay:!!t[4],hasTime:!0,past:!1,current:!1,future:!1,disabled:!1,weekday:0,doy:0,workweek:0}}function parseDate(e,t=!1){if(!(e instanceof Date))return null;const a=t?"UTC":"";return updateFormatted({date:padNumber(e[`get${a}FullYear`](),4)+"-"+padNumber(e[`get${a}Month`]()+1,2)+"-"+padNumber(e[`get${a}Date`](),2),time:padNumber(e[`get${a}Hours`]()||0,2)+":"+padNumber(e[`get${a}Minutes`]()||0,2),year:e[`get${a}FullYear`](),month:e[`get${a}Month`]()+1,day:e[`get${a}Date`](),hour:e[`get${a}Hours`](),minute:e[`get${a}Minutes`](),weekday:0,doy:0,workweek:0,hasDay:!0,hasTime:!0,past:!1,current:!1,future:!1,disabled:!1})}function padNumber(e,t){let a=String(e);while(a.length<t)a="0"+a;return a}function isLeapYear(e){return e%4===0&&e%100!==0||e%400===0}function daysInMonth(e,t){return(isLeapYear(e)?DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH)[t]}function nextDay(e){const t=new Date(e.year,e.month-1,e.day+1);return updateFormatted(normalizeTimestamp({...e,year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate()}))}function prevDay(e){const t=new Date(e.year,e.month-1,e.day-1);return updateFormatted(normalizeTimestamp({...e,year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate()}))}function today(){const e=new Date,t=e.getMonth()+1,a=e.getDate(),n=e.getFullYear();return[n,padNumber(t,2),padNumber(a,2)].join("-")}function isToday(e){return e===today()}function getStartOfWeek(e,t,a){let n=copyTimestamp(e);if(t){if(1===n.day||0===n.weekday)while(!t.includes(Number(n.weekday)))n=nextDay(n);n=findWeekday(n,t[0],prevDay),n=updateFormatted(n),a&&(n=updateRelative(n,a,n.hasTime))}return n}function getEndOfWeek(e,t,a){let n=copyTimestamp(e);if(t&&Array.isArray(t)){const r=daysInMonth(n.year,n.month);if(r===n.day||n.weekday===t[t.length-1])while(!t.includes(Number(n.weekday)))n=prevDay(n);n=findWeekday(n,t[t.length-1],nextDay),n=updateFormatted(n),a&&(n=updateRelative(n,a,n.hasTime))}return n}function getStartOfMonth(e){let t=copyTimestamp(e);return t.day=DAY_MIN,t=updateFormatted(t),t}function getEndOfMonth(e){let t=copyTimestamp(e);return t.day=daysInMonth(t.year,t.month),t=updateFormatted(t),t}function parseTime(e){const t=Object.prototype.toString.call(e);switch(t){case"[object Number]":return e;case"[object String]":{const a=PARSE_TIME.exec(e);return a?60*parseInt(a[1],10)+parseInt(a[3]||"0",10):!1}case"[object Object]":return"object"!==typeof e||"number"!==typeof e.hour||"number"!==typeof e.minute?!1:"object"===typeof e&&"hour"in e&&"minute"in e&&60*e.hour+e.minute}return!1}function compareTimestamps(e,t){return!(!e||!t)&&e.year===t.year&&e.month===t.month&&e.day===t.day&&e.hour===t.hour&&e.minute===t.minute}function compareDate(e,t){return getDate(e)===getDate(t)}function compareTime(e,t){return getTime(e)===getTime(t)}function compareDateTime(e,t){return getDateTime(e)===getDateTime(t)}function parseTimestamp(e,t=null){let a=parsed(e);return a?(a=updateFormatted(a),t&&(a=updateRelative(a,t,a.hasTime)),a):null}function getDayIdentifier(e){return 1e8*(e.year??0)+1e6*(e.month??0)+1e4*(e.day??0)}function getTimeIdentifier(e){return 100*(e.hour??0)+(e.minute??0)}function getDayTimeIdentifier(e){return getDayIdentifier(e)+getTimeIdentifier(e)}function diffTimestamp(e,t,a=!1){const n=Date.UTC(e.year??0,(e.month??1)-1,e.day??1,e.hour??0,e.minute??0),r=Date.UTC(t.year??0,(t.month??1)-1,t.day??1,t.hour??0,t.minute??0);return!0===a&&r<n?0:r-n}function updateRelative(e,t,a=!1){let n=copyTimestamp(e),r=getDayIdentifier(t),o=getDayIdentifier(n),i=r===o;return n.hasTime&&a&&i&&(r=getTimeIdentifier(t),o=getTimeIdentifier(n),i=r===o),n.past=o<r,n.current=i,n.future=o>r,n.currentWeekday=n.weekday===t.weekday,n}function updateMinutes(e,t,a=null){let n=copyTimestamp(e);return n.hasTime=!0,n.hour=Math.floor(t/TIME_CONSTANTS.MINUTES_IN.HOUR),n.minute=t%TIME_CONSTANTS.MINUTES_IN.HOUR,n.time=getTime(n),a&&(n=updateRelative(n,a,!0)),n}function updateWeekday(e){let t=copyTimestamp(e);return t.weekday=getWeekday(t),t}function updateDayOfYear(e){let t=copyTimestamp(e);return t.doy=getDayOfYear(t)||0,t}function updateWorkWeek(e){let t=copyTimestamp(e);return t.workweek=getWorkWeek(t),t}function updateDisabled(e,t,a,n,r){let o=copyTimestamp(e);const i=getDayIdentifier(o);if(void 0!==t){const l=parsed(t);if(l){const c=getDayIdentifier(l);i<=c&&(o.disabled=!0)}}if(!0!==o.disabled&&void 0!==a){const m=parsed(a);if(m){const y=getDayIdentifier(m);i>=y&&(o.disabled=!0)}}if(!0!==o.disabled&&Array.isArray(n)&&n.length>0)for(var d in n)if(n[d]===o.weekday){o.disabled=!0;break}if(!0!==o.disabled&&Array.isArray(r)&&r.length>0)for(var s in r)if(Array.isArray(r[s])&&2===r[s].length&&r[s][0]&&r[s][1]){const p=parsed(r[s][0]),v=parsed(r[s][1]);if(p&&v&&isBetweenDates(o,p,v)){o.disabled=!0;break}}else{const f=r[s];if(Array.isArray(f))for(var u of f){const h=parseTimestamp(u);if(h){const g=getDayIdentifier(h);if(g===i){o.disabled=!0;break}}}else if(f){const D=parseTimestamp(f);if(D){const T=getDayIdentifier(D);T===i&&(o.disabled=!0)}}}return o}function updateFormatted(e){let t=copyTimestamp(e);return t.hasTime=!0,t.time=getTime(t),t.date=getDate(t),t.weekday=getWeekday(t),t.doy=getDayOfYear(t)||0,t.workweek=getWorkWeek(t),t}function getDayOfYear(e){if(0!==e.year)return(Date.UTC(e.year,e.month-1,e.day)-Date.UTC(e.year,0,0))/24/60/60/1e3}function getWorkWeek(e){let t=copyTimestamp(e);if(0===t.year){const r=parseTimestamp(today());r&&(t=r)}const a=new Date(Date.UTC(t.year,t.month-1,t.day)),n=4;a.setUTCDate(a.getUTCDate()-(a.getUTCDay()+6)%7+n),a.setUTCDate(a.getUTCDate()+n-(a.getUTCDay()||7));e=new Date(Date.UTC(a.getUTCFullYear(),0,1)),e=Math.ceil(((a.valueOf()-e.valueOf())/864e5+1)/7);return e}function getWeekday(e){let t=e.weekday;if(e.hasDay){const a=Math.floor,n=e.day,r=(e.month+9)%MONTH_MAX+1,o=a(e.year/100),i=e.year%100-(e.month<=2?1:0);t=((n+a(2.6*r-.2)-2*o+i+a(i/4)+a(o/4))%7+7)%7}return t??0}function copyTimestamp(e){return{...e}}function getDate(e){let t=padNumber(e.year,4)+"-"+padNumber(e.month,2);return e.hasDay&&(t+="-"+padNumber(e.day,2)),t}function getTime(e){return e.hasTime?padNumber(e.hour,2)+":"+padNumber(e.minute,2):""}function getDateTime(e){return getDate(e)+" "+(e.hasTime?getTime(e):"00:00")}function moveRelativeDays(e,t=nextDay,a=1,n=[0,1,2,3,4,5,6]){const r=copyTimestamp(e);return relativeDays(r,t,a,n)}function relativeDays(e,t=nextDay,a=1,n=[0,1,2,3,4,5,6]){let r=copyTimestamp(e);n.includes(Number(r.weekday))||0!==r.weekday||t!==nextDay||++a;while(--a>=0)r=t(r),n.length<7&&!n.includes(Number(r.weekday))&&++a;return r}function findWeekday(e,t,a=nextDay,n=6){let r=copyTimestamp(e);while(r.weekday!==t&&--n>=0)r=a(r);return r}function createDayList(e,t,a,n=[0,1,2,3,4,5,6],r=void 0,o=void 0,i=[],d=[],s=42,u=0){const l=getDayIdentifier(e),c=getDayIdentifier(t),m=[];let y=copyTimestamp(e),p=0,v=p===c;if(!(c<l))while((!v||m.length<u)&&m.length<s){if(p=getDayIdentifier(y),v=v||p>c&&m.length>=u,v)break;if(n.includes(Number(y.weekday))){let e=copyTimestamp(y);e=updateFormatted(e),e=updateRelative(e,a),e=updateDisabled(e,r,o,i,d),m.push(e)}y=relativeDays(y,nextDay)}return m}function createIntervalList(t,a,n,r,o){const i=[];for(let e=0;e<r;++e){const d=(a+e)*n,s=copyTimestamp(t);i.push(updateMinutes(s,d,o))}return i}function createNativeLocaleFormatter(n,r){const e=()=>"";return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:(t,e)=>{try{const a=new Intl.DateTimeFormat(n||void 0,r(t,e));return a.format(makeDateTime(t))}catch(e){return console.error(`Intl.DateTimeFormat: ${e.message} -> `+getDateTime(t)),""}}}function makeDate(e,t=!0){return t?new Date(Date.UTC(e.year,e.month-1,e.day,0,0)):new Date(e.year,e.month-1,e.day,0,0)}function makeDateTime(e,t=!0){return t?new Date(Date.UTC(e.year,e.month-1,e.day,e.hour,e.minute)):new Date(e.year,e.month-1,e.day,e.hour,e.minute)}function validateNumber(e){return isFinite(Number(e))}function maxTimestamp(e,t=!1){const a=!0===t?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,t)=>{return Math.max(a(e),a(t))===a(e)?e:t})}function minTimestamp(e,t=!1){const a=!0===t?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,t)=>{return Math.min(a(e),a(t))===a(e)?e:t})}function isBetweenDates(e,t,a,n=!1){const r=getDayIdentifier(e)+(!0===n?getTimeIdentifier(e):0),o=getDayIdentifier(t)+(!0===n?getTimeIdentifier(t):0),i=getDayIdentifier(a)+(!0===n?getTimeIdentifier(a):0);return r>=o&&r<=i}function isOverlappingDates(e,t,a,n){const r=getDayIdentifier(e),o=getDayIdentifier(t),i=getDayIdentifier(a),d=getDayIdentifier(n);return r>=i&&r<=d||o>=i&&o<=d||i>=r&&o>=d}function addToDate(e,t){const a=copyTimestamp(e);return t.year&&(a.year+=t.year),t.month&&(a.month+=t.month),t.day&&(a.day+=t.day),t.hour&&(a.hour+=t.hour),t.minute&&(a.minute+=t.minute),updateFormatted(normalizeTimestamp(a))}function normalizeTimestamp(e){const t=new Date(e.year,e.month-1,e.day,e.hour,e.minute);return{...e,year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate(),hour:t.getHours(),minute:t.getMinutes()}}function daysBetween(e,t){const a=diffTimestamp(e,t,!0);return Math.floor(a/TIME_CONSTANTS.MILLISECONDS_IN.DAY)}function weeksBetween(e,t){let a=copyTimestamp(e),n=copyTimestamp(t);return a=findWeekday(a,0),n=findWeekday(n,6),Math.ceil(daysBetween(a,n)/TIME_CONSTANTS.DAYS_IN.WEEK)}const weekdayDateMap={Sun:new Date("2020-01-05T00:00:00.000Z"),Mon:new Date("2020-01-06T00:00:00.000Z"),Tue:new Date("2020-01-07T00:00:00.000Z"),Wed:new Date("2020-01-08T00:00:00.000Z"),Thu:new Date("2020-01-09T00:00:00.000Z"),Fri:new Date("2020-01-10T00:00:00.000Z"),Sat:new Date("2020-01-11T00:00:00.000Z")};function getWeekdayFormatter(){const e=()=>"",r={long:{timeZone:"UTC",weekday:"long"},short:{timeZone:"UTC",weekday:"short"},narrow:{timeZone:"UTC",weekday:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:t;function t(t,e,a){try{const n=new Intl.DateTimeFormat(a||void 0,r[e]||r["long"]);return n.format(weekdayDateMap[t])}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> day of week: `+t),""}}}function getWeekdayNames(t,a){const e=Object.keys(weekdayDateMap),n=getWeekdayFormatter();return e.map(e=>String(n(e,t,a)))}function getMonthFormatter(){const e=()=>"",o={long:{timeZone:"UTC",month:"long"},short:{timeZone:"UTC",month:"short"},narrow:{timeZone:"UTC",month:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:t;function t(t,e,a){try{const n=new Intl.DateTimeFormat(a||void 0,o[e]||o["long"]),r=new Date;return r.setDate(1),r.setMonth(t),n.format(r)}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> month: `+t),""}}}function getMonthNames(t,a){const n=getMonthFormatter();return[...Array(12).keys()].map(e=>n(e,t,a))}var Timestamp={PARSE_DATETIME:PARSE_DATETIME,PARSE_DATE:PARSE_DATE,PARSE_TIME:PARSE_TIME,DAYS_IN_MONTH:DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MIN:DAYS_IN_MONTH_MIN,DAYS_IN_MONTH_MAX:DAYS_IN_MONTH_MAX,MONTH_MAX:MONTH_MAX,MONTH_MIN:MONTH_MIN,DAY_MIN:DAY_MIN,TIME_CONSTANTS:TIME_CONSTANTS,FIRST_HOUR:FIRST_HOUR,today:today,getStartOfWeek:getStartOfWeek,getEndOfWeek:getEndOfWeek,getStartOfMonth:getStartOfMonth,getEndOfMonth:getEndOfMonth,parseTime:parseTime,validateTimestamp:validateTimestamp,parsed:parsed,parseTimestamp:parseTimestamp,parseDate:parseDate,getDayIdentifier:getDayIdentifier,getTimeIdentifier:getTimeIdentifier,getDayTimeIdentifier:getDayTimeIdentifier,diffTimestamp:diffTimestamp,updateRelative:updateRelative,updateMinutes:updateMinutes,updateWeekday:updateWeekday,updateDayOfYear:updateDayOfYear,updateWorkWeek:updateWorkWeek,updateDisabled:updateDisabled,updateFormatted:updateFormatted,getDayOfYear:getDayOfYear,getWorkWeek:getWorkWeek,getWeekday:getWeekday,isLeapYear:isLeapYear,daysInMonth:daysInMonth,copyTimestamp:copyTimestamp,padNumber:padNumber,getDate:getDate,getTime:getTime,getDateTime:getDateTime,nextDay:nextDay,prevDay:prevDay,relativeDays:relativeDays,findWeekday:findWeekday,createDayList:createDayList,createIntervalList:createIntervalList,createNativeLocaleFormatter:createNativeLocaleFormatter,makeDate:makeDate,makeDateTime:makeDateTime,validateNumber:validateNumber,isBetweenDates:isBetweenDates,isOverlappingDates:isOverlappingDates,daysBetween:daysBetween,weeksBetween:weeksBetween,addToDate:addToDate,compareTimestamps:compareTimestamps,compareDate:compareDate,compareTime:compareTime,compareDateTime:compareDateTime,getWeekdayFormatter:getWeekdayFormatter,getWeekdayNames:getWeekdayNames,getMonthFormatter:getMonthFormatter,getMonthNames:getMonthNames},Timestamp$1=Object.freeze({__proto__:null,DAYS_IN_MONTH:DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MAX:DAYS_IN_MONTH_MAX,DAYS_IN_MONTH_MIN:DAYS_IN_MONTH_MIN,DAY_MIN:DAY_MIN,FIRST_HOUR:FIRST_HOUR,MONTH_MAX:MONTH_MAX,MONTH_MIN:MONTH_MIN,PARSE_DATE:PARSE_DATE,PARSE_DATETIME:PARSE_DATETIME,PARSE_TIME:PARSE_TIME,TIME_CONSTANTS:TIME_CONSTANTS,addToDate:addToDate,compareDate:compareDate,compareDateTime:compareDateTime,compareTime:compareTime,compareTimestamps:compareTimestamps,copyTimestamp:copyTimestamp,createDayList:createDayList,createIntervalList:createIntervalList,createNativeLocaleFormatter:createNativeLocaleFormatter,daysBetween:daysBetween,daysInMonth:daysInMonth,default:Timestamp,diffTimestamp:diffTimestamp,findWeekday:findWeekday,getDate:getDate,getDateTime:getDateTime,getDayIdentifier:getDayIdentifier,getDayOfYear:getDayOfYear,getDayTimeIdentifier:getDayTimeIdentifier,getEndOfMonth:getEndOfMonth,getEndOfWeek:getEndOfWeek,getMonthFormatter:getMonthFormatter,getMonthNames:getMonthNames,getStartOfMonth:getStartOfMonth,getStartOfWeek:getStartOfWeek,getTime:getTime,getTimeIdentifier:getTimeIdentifier,getWeekday:getWeekday,getWeekdayFormatter:getWeekdayFormatter,getWeekdayNames:getWeekdayNames,getWorkWeek:getWorkWeek,isBetweenDates:isBetweenDates,isLeapYear:isLeapYear,isOverlappingDates:isOverlappingDates,isToday:isToday,makeDate:makeDate,makeDateTime:makeDateTime,maxTimestamp:maxTimestamp,minTimestamp:minTimestamp,moveRelativeDays:moveRelativeDays,nextDay:nextDay,padNumber:padNumber,parseDate:parseDate,parseTime:parseTime,parseTimestamp:parseTimestamp,parsed:parsed,prevDay:prevDay,relativeDays:relativeDays,today:today,updateDayOfYear:updateDayOfYear,updateDisabled:updateDisabled,updateFormatted:updateFormatted,updateMinutes:updateMinutes,updateRelative:updateRelative,updateWeekday:updateWeekday,updateWorkWeek:updateWorkWeek,validateNumber:validateNumber,validateTimestamp:validateTimestamp,weeksBetween:weeksBetween});function convertToUnit(e,t="px"){if(e)return isNaN(e)?String(e):"auto"===e?e:""+Number(e)+t}function indexOf(t,a){for(let e=0;e<t.length;e++)if(!0===a(t[e],e))return e;return-1}function minCharWidth(e,t){return 0===t?e:e.slice(0,t)}var helpers={convertToUnit:convertToUnit,indexOf:indexOf,minCharWidth:minCharWidth},helpers$1=Object.freeze({__proto__:null,convertToUnit:convertToUnit,default:helpers,indexOf:indexOf,minCharWidth:minCharWidth});const toCamelCase=e=>e.replace(/(-\w)/g,e=>e[1].toUpperCase());function getMouseEventHandlers(t,e,a,n){const r={};for(const o in a){const i=a[o],d=toCamelCase("on-"+o);if(!e.value)return console.warn("$listeners has not been set up"),{};if(void 0!==e.value[d]){const s="on"+i.event.charAt(0).toUpperCase()+i.event.slice(1),u=e=>{return(void 0===i.button||"buttons"in e&&e.buttons>0&&e.button===i.button)&&(i.prevent&&e.preventDefault(),i.stop&&e.stopPropagation(),t(o,n(e,o))),i.result};s in r?Array.isArray(r[s])?r[s].push(u):r[s]=[r[s],u]:r[s]=u}}return r}function getDefaultMouseEventHandlers(e,t,a,n){return getMouseEventHandlers(e,t,getMouseEventName(a),n)}function getMouseEventName(e){return{["click"+e]:{event:"click"},["contextmenu"+e]:{event:"contextmenu",prevent:!0,result:!1},["mousedown"+e]:{event:"mousedown"},["mousemove"+e]:{event:"mousemove"},["mouseup"+e]:{event:"mouseup"},["mouseenter"+e]:{event:"mouseenter"},["mouseleave"+e]:{event:"mouseleave"},["touchstart"+e]:{event:"touchstart"},["touchmove"+e]:{event:"touchmove"},["touchend"+e]:{event:"touchend"}}}function getRawMouseEvents(e){return Object.keys(getMouseEventName(e))}function useMouseEvents(a,n){return{getMouseEventHandlers:(e,t)=>getMouseEventHandlers(a,n,e,t),getDefaultMouseEventHandlers:(e,t)=>getDefaultMouseEventHandlers(a,n,e,t),getMouseEventName:getMouseEventName,getRawMouseEvents:getRawMouseEvents}}const ResizeObserverDirective={mounted(e,t){if("function"===typeof t.value){const a=t.value,n={callback:a,size:{width:0,height:0},observer:new ResizeObserver(e=>{const t=e[0].contentRect;t.width===n.size.width&&t.height===n.size.height||(n.size.width=t.width,n.size.height=t.height,n.debounceTimeout&&clearTimeout(n.debounceTimeout),n.debounceTimeout=setTimeout(()=>{n.callback(n.size),n.debounceTimeout=void 0},100))})};n.observer.observe(e),e.__onResizeObserver=n}},beforeUnmount(e){if(e.__onResizeObserver){const{observer:t,debounceTimeout:a}=e.__onResizeObserver;a&&clearTimeout(a),t.unobserve(e),delete e.__onResizeObserver}}};function useCalendar(t,a,{scrollArea:e,pane:n}){if(!a){const l="[error: renderCalendar] no renderFunc has been supplied to useCalendar";throw console.error(l),new Error(l)}const r=reactive({width:0,height:0}),o=ref(null);function i({width:e,height:t}){r.width=e,r.height=t}const d=computed(()=>{return!0!==t.noScroll&&e.value&&n.value&&r.height?e.value.offsetWidth-n.value.offsetWidth:0});function s(){}function u(){const e={ref:o,role:"complementary",lang:t.locale,class:`q-calendar ${t.dark?"q-calendar--dark":""} `+(t.bordered?"q-calendar__bordered":"")};return withDirectives(h("div",{...e},[a()]),[[ResizeObserverDirective,i]])}return{rootRef:o,scrollWidth:d,__initCalendar:s,__renderCalendar:u}}const isValidFocusType=e=>e.every(e=>["day","date","weekday","interval","time","resource","task"].includes(e)),useCommonProps={modelValue:{type:String,default:today(),validator:e=>""===e||validateTimestamp(e)},weekdays:{type:Array,default:()=>[0,1,2,3,4,5,6]},dateType:{type:String,default:"round",validator:e=>["round","rounded","square"].includes(e)},weekdayAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},dateAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},bordered:Boolean,dark:Boolean,noAria:Boolean,noActiveDate:Boolean,noHeader:Boolean,noScroll:Boolean,shortWeekdayLabel:Boolean,noDefaultHeaderText:Boolean,noDefaultHeaderBtn:Boolean,minWeekdayLabel:{type:[Number,String],default:1},weekdayBreakpoints:{type:Array,default:()=>[75,35],validator:e=>2===e.length},locale:{type:String,default:"en-US"},animated:Boolean,transitionPrev:{type:String,default:"slide-right"},transitionNext:{type:String,default:"slide-left"},disabledDays:Array,disabledBefore:String,disabledAfter:String,disabledWeekdays:{type:Array,default:()=>[]},dragEnterFunc:Function,dragOverFunc:Function,dragLeaveFunc:Function,dropFunc:Function,selectedDates:{type:[Array,Set],default:()=>[]},selectedStartEndDates:{type:Array,default:()=>[]},hoverable:Boolean,focusable:Boolean,focusType:{type:Array,default:()=>["date"],validator:isValidFocusType}};function useCommon(t,{startDate:e,endDate:a,times:n}){const r=computed(()=>parseTimestamp(e.value)),o=computed(()=>{return"0000-00-00"===a.value?getEndOfWeek(r.value,t.weekdays,n.today):parseTimestamp(a.value)||r.value}),i=computed(()=>createNativeLocaleFormatter(t.locale,()=>({timeZone:"UTC",day:"numeric"}))),d=computed(()=>createNativeLocaleFormatter(t.locale,(e,t)=>({timeZone:"UTC",weekday:t?"short":"long"}))),s=computed(()=>createNativeLocaleFormatter(t.locale,()=>({timeZone:"UTC",dateStyle:"full"})));function u(e,t){return e&&e.length>0&&e.includes(t.date)}function l(e,t){const a={firstDay:!1,betweenDays:!1,lastDay:!1};if(2===e.length){const n=getDayIdentifier(t),r=getDayIdentifier(parsed(e[0])),o=getDayIdentifier(parsed(e[1]));a.firstDay=r===n,a.lastDay=o===n,a.betweenDays=r<n&&o>n}return a}function c(e,t=!1,a=[],n=[],r=!1){const o=u(a,e),{firstDay:i,lastDay:d,betweenDays:s}=l(n,e);return{"q-past-day":!i&&!s&&!d&&!o&&!t&&!!e.past,"q-future-day":!i&&!s&&!d&&!o&&!t&&!!e.future,"q-outside":t,"q-current-day":!!e.current,"q-selected":o,"q-range-first":i,"q-range":s,"q-range-last":d,"q-range-hover":r&&(i||d||s),"q-disabled-day disabled":!0===e.disabled}}function m(e){return getStartOfWeek(e,t.weekdays,n.today)}function y(e){return getEndOfWeek(e,t.weekdays,n.today)}function p(){return{}}return{parsedStart:r,parsedEnd:o,dayFormatter:i,weekdayFormatter:d,ariaDateFormatter:s,arrayHasDate:u,checkDays:l,getRelativeClasses:c,startOfWeek:m,endOfWeek:y,dayStyleDefault:p}}const useMonthProps={dayHeight:{type:[Number,String],default:0,validator:e=>validateNumber(e)},dayMinHeight:{type:[Number,String],default:0,validator:e=>validateNumber(e)},dayStyle:Function,dayClass:Function,weekdayStyle:Function,weekdayClass:Function,dayPadding:String,minWeeks:{type:[Number,String],default:1,validator:e=>validateNumber(e)},shortMonthLabel:Boolean,showWorkWeeks:Boolean,showMonthLabel:{type:Boolean,default:!0},showDayOfYearLabel:Boolean,enableOutsideDays:Boolean,noOutsideDays:Boolean,hover:Boolean,miniMode:{type:[Boolean,String],validator:e=>[!0,!1,"auto"].includes(e)},breakpoint:{type:[Number,String],default:"md",validator:e=>["xs","sm","md","lg","xl"].includes(e)||validateNumber(e)},monthLabelSize:{type:String,default:"sm",validator:e=>["xxs","xs","sm","md","lg","xl","xxl"].includes(e)||!!e&&e.length>0}};function useMonth(n,t,{times:r,parsedStart:a,parsedEnd:o,size:i,headerColumnRef:d}){const e=computed(()=>parseInt(n.minWeeks,10)),s=computed(()=>e.value*n.weekdays.length),u=computed(()=>D(k(a.value))),l=computed(()=>T(w(o.value))),c=computed(()=>{let e=0;return n.cellWidth?e=Number(n.cellWidth):i.width>0&&d.value&&(e=d.value.offsetWidth/n.weekdays.length),e}),m=computed(()=>createDayList(u.value,l.value,r.today,n.weekdays,n.disabledBefore,n.disabledAfter,n.disabledWeekdays,n.disabledDays,Number.MAX_SAFE_INTEGER,s.value)),y=computed(()=>{const e=r.today,t=D(e),a=T(e);return createDayList(t,a,e,n.weekdays,n.disabledBefore,n.disabledAfter,n.disabledWeekdays,n.disabledDays,n.weekdays.length,n.weekdays.length)}),p=computed(()=>createNativeLocaleFormatter(n.locale,(e,t)=>({timeZone:"UTC",month:t?"short":"long"}))),v=computed(()=>{switch(n.breakpoint){case"xs":return 300;case"sm":return 350;case"md":return 400;case"lg":return 450;case"xl":return 500;default:return parseInt(n.breakpoint,10)}}),f=computed(()=>{switch(n.monthLabelSize){case"xxs":return".4em";case"xs":return".6em";case"sm":return".8em";case"md":return"1.0em";case"lg":return"1.2em";case"xl":return"1.4em";case"xxl":return"1.6em";default:return n.monthLabelSize}});let h=!0;const g=computed(()=>{const e=!0===n.miniMode||"auto"===n.miniMode&&void 0!==n.breakpoint&&i.width<v.value;return h&&(h=!1,t("mini-mode",e)),e});function D(e){return getStartOfWeek(e,n.weekdays,r.today)}function T(e){return getEndOfWeek(e,n.weekdays,r.today)}function k(e){return getStartOfMonth(e)}function w(e){return getEndOfMonth(e)}function M(e){const t=getDayIdentifier(e);return t<getDayIdentifier(a.value)||t>getDayIdentifier(o.value)}return watch(g,e=>{t("mini-mode",e)}),{parsedCellWidth:c,parsedMinWeeks:e,parsedMinDays:s,parsedMonthStart:u,parsedMonthEnd:l,parsedBreakpoint:v,parsedMonthLabelSize:f,days:m,todayWeek:y,isMiniMode:g,monthFormatter:p,isOutside:M}}const useTimesProps={now:{type:String,validator:e=>""===e||validateTimestamp(e),default:""}};function useTimes(e){const t=reactive({now:parseTimestamp("0000-00-00 00:00"),today:parseTimestamp("0000-00-00")}),a=computed(()=>e.now?parseTimestamp(e.now):o());function n(){t.now&&t.today&&(t.now.current=t.today.current=!0,t.now.past=t.today.past=!1,t.now.future=t.today.future=!1)}function r(){const e=a.value||o();i(e,t.now),d(e,t.now),i(e,t.today)}function o(){return parseDate(new Date)}function i(e,t){e.date!==t.date&&(t.year=e.year,t.month=e.month,t.day=e.day,t.weekday=e.weekday,t.date=e.date)}function d(e,t){e.time!==t.time&&(t.hour=e.hour,t.minute=e.minute,t.time=e.time)}return watch(a,()=>r()),{times:t,parsedNow:a,setCurrent:n,updateCurrent:r,getNow:o,updateDay:i,updateTime:d}}function useRenderValues(r,{parsedView:o,parsedValue:i,times:d}){const e=computed(()=>{const e=i.value;let t=r.maxDays,a=e,n=e;switch(o.value){case"month":a=getStartOfMonth(e),n=getEndOfMonth(e),t=daysInMonth(a.year,a.month);break;case"week":case"week-agenda":case"week-scheduler":a=getStartOfWeek(e,r.weekdays,d.today),n=getEndOfWeek(a,r.weekdays,d.today),t=r.weekdays.length;break;case"day":case"scheduler":case"agenda":n=moveRelativeDays(copyTimestamp(n),nextDay,t>1?t-1:t,r.weekdays),n=updateFormatted(n);break;case"month-interval":case"month-scheduler":case"month-agenda":a=getStartOfMonth(e),n=getEndOfMonth(e),n=updateFormatted(n),t=daysInMonth(a.year,a.month);break;case"resource":t=1,n=moveRelativeDays(copyTimestamp(n),nextDay,t,r.weekdays),n=updateFormatted(n);break}return{start:a,end:n,maxDays:t}});return{renderValues:e}}const useMoveEmits=["moved"];function useMove(s,{parsedView:u,parsedValue:l,direction:c,maxDays:m,times:y,emittedValue:p,emit:v}){function e(a=1){if(0===a)p.value=today();else{let e=copyTimestamp(l.value);const n=getEndOfMonth(e),r=a>0,o=r?nextDay:prevDay,i=r?n.day:1;let t=r?a:-a;c.value=r?"next":"prev";const d=s.weekdays.length;while(--t>=0)switch(u.value){case"month":e.day=i,e=o(e),e=updateWeekday(e);while(!s.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:r?1:-1});break;case"week":case"week-agenda":case"week-scheduler":e=relativeDays(e,o,d,s.weekdays);break;case"day":case"scheduler":case"agenda":e=relativeDays(e,o,m.value,s.weekdays);break;case"month-interval":case"month-agenda":case"month-scheduler":e.day=i,e=o(e);break;case"resource":e=relativeDays(e,o,m.value,s.weekdays);break}e=updateWeekday(e),e=updateFormatted(e),e=updateDayOfYear(e),e=updateRelative(e,y.now),p.value=e.date,v("moved",e)}}return{move:e}}const listenerRE=/^on[A-Z]/;function useEmitListeners(e=getCurrentInstance()){return{emitListeners:computed(()=>{const t={};return e?.vnode?.props&&Object.keys(e.vnode.props).forEach(e=>{listenerRE.test(e)&&(t[e]=!0)}),t})}}function useFocusHelper(){const e={"aria-hidden":"true",class:"q-calendar__focus-helper"};return[h("span",e)]}function useButton(){function e({focusable:e,focusType:t},a,n){const r=e&&t.includes("date");return h("button",{...a,tabindex:r?0:-1},[n,r&&useFocusHelper()])}return{renderButton:e}}const useCellWidthProps={cellWidth:[Number,String]};function useCellWidth(e){const t=computed(()=>void 0!==e.cellWidth);return{isSticky:t}}const useCheckChangeEmits=["change"];function useCheckChange(n,{days:r,lastStart:o,lastEnd:i}){function e(){const e=r.value;if(0===e.length)return!1;const t=e[0].date,a=e[e.length-1].date;return(!o.value||!i.value||t!==o.value||a!==i.value)&&(o.value=t,i.value=a,n("change",{start:t,end:a,days:e}),!0)}return{checkChange:e}}function useEventUtils(){function e(e,t){return(Array.isArray(t)?t:[t]).includes(e.keyCode)}return{isKeyCode:e}}const isKeyCode=useEventUtils().isKeyCode,useNavigationProps={useNavigation:Boolean};function useNavigation(t,{rootRef:a,focusRef:n,focusValue:r,datesRef:o,parsedView:i,emittedValue:d,direction:s,times:u}){let e=!1;function l(){e||document&&(e=!0,document.addEventListener("keyup",v),document.addEventListener("keydown",p))}function c(){document&&(document.removeEventListener("keyup",v),document.removeEventListener("keydown",p),e=!1)}function m(e){if(e&&document){const t=document.activeElement;if(t!==document.body&&a.value?.contains(t))return!0}return!1}function y(){let t=0;const a=window.setInterval(()=>{const e=o.value[n.value];e&&(e.focus(),50!==++t)&&document.activeElement!==e||window.clearInterval(a)},250)}function p(e){m(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])&&(e.stopPropagation(),e.preventDefault())}function v(e){if(m(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])){const t={33:T,34:k,35:M,36:w,37:g,38:f,39:D,40:h};t[e.keyCode]?.()}}function f(){let e=copyTimestamp(r.value);if("month"===i.value){if(e=addToDate(e,{day:-7}),r.value.month!==e.month)return s.value="prev",void(d.value=e.date)}else e=addToDate(e,{minute:Number(t.intervalMinutes)});s.value="prev",n.value=e.date}function h(){let e=copyTimestamp(r.value);if("month"===i.value){if(e=addToDate(e,{day:7}),r.value.month!==e.month)return s.value="next",void(d.value=e.date)}else e=addToDate(e,{minute:Number(t.intervalMinutes)});s.value="next",n.value=e.date}function g(){let e=copyTimestamp(r.value);s.value="prev";do{e=addToDate(e,{day:-1})}while(!t.weekdays.includes(Number(e.weekday)));n.value=e.date}function D(){let e=copyTimestamp(r.value);s.value="next";do{e=addToDate(e,{day:1})}while(!t.weekdays.includes(Number(e.weekday)));n.value=e.date}function T(){let e=copyTimestamp(r.value);e="month"===i.value?addToDate(e,{month:-1}):addToDate(e,{day:-7}),s.value="prev",n.value=e.date}function k(){let e=copyTimestamp(r.value);e="month"===i.value?addToDate(e,{month:1}):addToDate(e,{day:7}),s.value="next",n.value=e.date}function w(){let e=copyTimestamp(r.value);e="month"===i.value?getStartOfMonth(e):getStartOfWeek(e,t.weekdays||[],u.today);while(!t.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}function M(){let e=copyTimestamp(r.value);e="month"===i.value?getEndOfMonth(e):getEndOfWeek(e,t.weekdays||[],u.today);while(!t.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}return onBeforeUnmount(()=>{c()}),watch(()=>t.useNavigation,e=>{(!0===e?l:c)()}),!0===t.useNavigation&&l(),{startNavigation:l,endNavigation:c,tryFocus:y}}const renderButton=useButton().renderButton;var QCalendarMonth=defineComponent({name:"QCalendarMonth",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useMonthProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value",...useCheckChangeEmits,...useMoveEmits,"mini-mode",...getRawMouseEvents("-date"),...getRawMouseEvents("-day"),...getRawMouseEvents("-head-workweek"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-workweek")],setup(y,{slots:p,emit:c,expose:x}){const L=ref(null),Y=ref(null),e=ref(null),v=ref(y.modelValue||today()),t=ref(parsed(y.modelValue||today())),m=ref({}),u=ref([]),l=ref([]),o=ref("next"),i=ref(y.modelValue||today()),d=ref("0000-00-00"),B=ref(0),f=ref(y.modelValue),s=reactive({width:0,height:0}),g=ref(),D=ref(""),U=ref(null),q=ref(null),a=computed(()=>{return"month"}),n=getCurrentInstance();if(null===n)throw new Error("current instance is null");const T=useEmitListeners(n).emitListeners,P=useCellWidth(y).isSticky,{times:r,setCurrent:V,updateCurrent:k}=(watch(P,()=>{}),useTimes(y)),{parsedStart:w,parsedEnd:M,dayFormatter:z,weekdayFormatter:$,ariaDateFormatter:Z,dayStyleDefault:b,getRelativeClasses:j}=(k(),V(),useCommon(y,{startDate:i,endDate:d,times:r})),_=computed(()=>{return parseTimestamp(y.modelValue,r.now)||w.value||r.today}),K=(t.value=_.value,v.value=_.value.date,computed(()=>{const e={};return void 0!==y.dayPadding&&(e.padding=y.dayPadding),e.minWidth=F.value,e.maxWidth=F.value,e.width=F.value,e})),X=useRenderValues(y,{parsedView:a,times:r,parsedValue:_}).renderValues,{rootRef:N,__renderCalendar:Q}=useCalendar(y,Ee,{scrollArea:L,pane:Y}),{days:I,todayWeek:G,isMiniMode:E,parsedCellWidth:J,parsedMonthLabelSize:ee,isOutside:te,monthFormatter:ae}=useMonth(y,c,{times:r,parsedStart:w,parsedEnd:M,size:s,headerColumnRef:e}),O=useMove(y,{parsedView:a,parsedValue:_,direction:o,maxDays:B,times:r,emittedValue:f,emit:c}).move,S=useMouseEvents(c,T).getDefaultMouseEventHandlers,ne=useCheckChange(c,{days:I,lastStart:U,lastEnd:q}).checkChange,A=useEventUtils().isKeyCode,re=useNavigation(y,{rootRef:N,focusRef:v,focusValue:t,datesRef:m,parsedView:a,emittedValue:f,direction:o,times:r}).tryFocus,oe=computed(()=>{return N.value&&!0===y.showWorkWeeks?parseInt(window.getComputedStyle(N.value).getPropertyValue(!0===E.value?"--calendar-mini-work-week-width":"--calendar-work-week-width"),10):0}),W=computed(()=>{return y.weekdays.length}),F=computed(()=>{if(N.value){const e=s.width||N.value.getBoundingClientRect().width;if(e&&W.value)return(e-oe.value)/W.value+"px"}return 100/W.value+"%"}),C=computed(()=>{return!0===y.focusable&&y.focusType.includes("day")&&!0!==E.value}),R=computed(()=>{return!0===y.focusable&&y.focusType.includes("date")&&!0!==C.value});function ie(){f.value=today()}function de(e=1){O(e)}function se(e=1){O(-e)}function ue({width:e,height:t}){s.width=e,s.height=t}function H(e){return e.date===f.value}function le(t){for(let e=0;e<t.length;++e)if(!0===t[e].current)return{timestamp:t[e]};return{timestamp:!1}}function ce(){if(!0!==E.value&&0===y.dayHeight){const t=p.week;if(void 0!==t&&window)for(var e in u.value){const a=u.value[e];if(void 0!==a){const n=l.value[e];if(void 0!==n){const r=window.getComputedStyle(a),o=parseFloat(r.marginTop)+parseFloat(r.marginBottom);n.clientHeight+o>n.clientHeight&&(n.style.height=a.clientHeight+o+"px")}}}}}function me(){return h("div",{class:"q-calendar-month__body"},[...Te()])}function ye(){return h("div",{role:"presentation",class:"q-calendar-month__head"},[!0===y.showWorkWeeks&&ve(),h("div",{class:"q-calendar-month__head--wrapper"},[pe()])])}function pe(){return h("div",{ref:e,class:{"q-calendar-month__head--weekdays":!0}},[...fe()])}function ve(){const e=p["head-workweek"],t={start:w.value,end:M.value,miniMode:E.value};return h("div",{class:"q-calendar-month__head--workweek",...S("-head-workweek",e=>{return{scope:t,event:e}})},e?e({scope:t}):"#")}function fe(){return G.value.map((e,t)=>he(e,t))}function he(t,e){const a=p["head-day"],n=I.value.filter(e=>e.weekday===t.weekday),r=n[0].weekday,o=!0!==y.noActiveDate&&H(t),i={activeDate:o,weekday:r,timestamp:t,days:n,index:e,miniMode:E.value,droppable:g.value===Number(t.weekday),disabled:!!y.disabledWeekdays&&y.disabledWeekdays.includes(Number(t.weekday))},d="function"===typeof y.weekdayClass?y.weekdayClass({scope:i}):{},s=!0===y.focusable&&y.focusType.includes("weekday"),u=F.value,l=y.weekdayStyle||b,c={width:u,maxWidth:u,minWidth:u,...l({scope:i})},m={key:t.date+(void 0!==e?"-"+e:""),tabindex:!0===s?0:-1,class:{"q-calendar-month__head--weekday":!0,...d,"q-disabled-day disabled":!0===i.disabled,["q-calendar__"+y.weekdayAlign]:!0,"q-calendar__ellipsis":!0,"q-calendar__focusable":!0===s},style:c,onDragenter:e=>{void 0!==y.dragEnterFunc&&"function"===typeof y.dragEnterFunc&&(!0===y.dragEnterFunc(e,"head-day",{scope:i})?g.value=Number(t.weekday):g.value=-1)},onDragover:e=>{void 0!==y.dragOverFunc&&"function"===typeof y.dragOverFunc&&(!0===y.dragOverFunc(e,"head-day",{scope:i})?g.value=Number(t.weekday):g.value=-1)},onDragleave:e=>{void 0!==y.dragLeaveFunc&&"function"===typeof y.dragLeaveFunc&&(!0===y.dragLeaveFunc(e,"head-day",{scope:i})?g.value=Number(t.weekday):g.value=-1)},onDrop:e=>{void 0!==y.dropFunc&&"function"===typeof y.dropFunc&&(!0===y.dropFunc(e,"head-day",{scope:i})?g.value=Number(t.weekday):g.value=-1)},onFocus:()=>{!0===s&&(v.value=t.date)},...S("-head-day",e=>{return{scope:i,event:e}})};return!0!==y.noAria&&(m.ariaLabel=$.value(t,!1)),h("div",m,[void 0===a&&De(t,y.shortWeekdayLabel||E.value),void 0!==a&&a({scope:i}),ge(t,e),!0===s&&useFocusHelper()])}function ge(t,e){const a=p["head-day-event"],n=!0!==y.noActiveDate&&H(t),r=I.value.filter(e=>e.weekday===t.weekday),o=r[0].weekday,i={weekday:o,timestamp:t,days:r,index:e,miniMode:E.value,activeDate:n,disabled:!!y.disabledWeekdays&&y.disabledWeekdays.includes(Number(t.weekday))},d=F.value,s=y.weekdayStyle||b,u={width:d,maxWidth:d,minWidth:d,...s({scope:i})};return h("div",{key:"event-"+t.date+(void 0!==e?"-"+e:""),class:{"q-calendar-month__head--event":!0},style:u},[void 0!==a&&a({scope:i})])}function De(e,t){const a=$.value(e,t||y.weekdayBreakpoints[0]>0&&J.value<=y.weekdayBreakpoints[0]);return h("span",{class:"q-calendar__ellipsis"},!0===E.value&&!0===y.shortWeekdayLabel||y.weekdayBreakpoints[1]>0&&J.value<=y.weekdayBreakpoints[1]?minCharWidth(a,Number(y.minWeekdayLabel)):a)}function Te(){const t=y.weekdays.length,a=[];for(let e=0;e<I.value.length;e+=t)a.push(ke(I.value.slice(e,e+t),e/t));return a}function ke(e,t){const a=p.week,n=y.weekdays,r={week:e,weekdays:n,miniMode:E.value},o={},i=parseInt(String(y.dayHeight),10),d=parseInt(String(y.dayMinHeight),10),s=(o.height=i>0&&!0!==E.value?convertToUnit(i):"auto",d>0&&!0!==E.value&&(o.minHeight=convertToUnit(d)),0===i&&0===d);return h("div",{key:e[0].date,ref:e=>{l.value[t]=e},class:{"q-calendar-month__week--wrapper":!0,"q-calendar-month__week--auto-height":s},style:o},[!0===y.showWorkWeeks?we(e):void 0,h("div",{class:"q-calendar-month__week"},[h("div",{class:"q-calendar-month__week--days"},e.map(e=>Me(e))),!0!==E.value&&void 0!==a?h("div",{ref:e=>{u.value[t]=e},class:"q-calendar-month__week--events"},a({scope:r})):void 0])])}function we(e){const t=p.workweek,a=e.length>2?e[2]:e[0],n=le(e).timestamp,r=Number(a.workweek).toLocaleString(y.locale),o={workweekLabel:r,week:e,miniMode:E.value};return h("div",{key:a.workweek,class:{"q-calendar-month__workweek":!0,...j(!1!==n?n:a,!1)},...S("-workweek",e=>{return{scope:o,event:e}})},t?t({scope:o}):r)}function Me(t){const e=p.day,a=y.dayStyle||b,n=te(t),r=!0!==y.noActiveDate&&_.value.date===t.date,o=!1===n&&!0===y.showMonthLabel&&I.value.find(e=>e.month===t.month)?.day===t.day,i={outside:n,timestamp:t,miniMode:E.value,activeDate:r,hasMonth:o,droppable:D.value===t.date,disabled:!!y.disabledWeekdays&&y.disabledWeekdays.includes(Number(t.weekday))},d=Object.assign({...K.value},a({scope:i})),s="function"===typeof y.dayClass?y.dayClass({scope:i}):{},u={key:t.date,ref:e=>{!0===C.value&&(m.value[t.date]=e)},tabindex:!0===C.value?0:-1,class:{"q-calendar-month__day":!0,...s,...j(t,n,Array.from(y.selectedDates),y.selectedStartEndDates,y.hover),"q-active-date":!0===r,disabled:!0!==y.enableOutsideDays&&!0===n,"q-calendar__hoverable":!0===y.hoverable,"q-calendar__focusable":!0===C.value},style:d,onFocus:()=>{!0===C.value&&(v.value=t.date)},onKeydown:e=>{!0!==n&&!0!==t.disabled&&A(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==n&&!0!==t.disabled&&A(e,[13,32])&&(e.stopPropagation(),e.preventDefault(),void 0!==T.value.onClickDay)&&!0!==E.value&&c("click-day",{scope:i,e:e})},...S("-day",e=>{return{scope:i,event:e}})},l={onDragenter:e=>{void 0!==y.dragEnterFunc&&"function"===typeof y.dragEnterFunc&&(!0===y.dragEnterFunc(e,"day",{scope:i})?D.value=t.date:D.value="")},onDragover:e=>{void 0!==y.dragOverFunc&&"function"===typeof y.dragOverFunc&&(!0===y.dragOverFunc(e,"day",{scope:i})?D.value=t.date:D.value="")},onDragleave:e=>{void 0!==y.dragLeaveFunc&&"function"===typeof y.dragLeaveFunc&&(!0===y.dragLeaveFunc(e,"day",{scope:i})?D.value=t.date:D.value="")},onDrop:e=>{void 0!==y.dropFunc&&"function"===typeof y.dropFunc&&(!0===y.dropFunc(e,"day",{scope:i})?D.value=t.date:D.value="")}};return!0!==n&&Object.assign(u,l),!0!==y.noAria&&(u.ariaLabel=Z.value(t,!1)),h("div",u,[be(t,n,o),h("div",{class:{"q-calendar-month__day--content":!0}},e?e({scope:i}):void 0),!0===C.value&&useFocusHelper()])}function be(e,t,a){let n,r;const o=[_e(e,t)],i=(!0!==E.value&&!0===a&&s.width>340&&(r=Ie(e,t)),!0!==E.value&&!0===y.showDayOfYearLabel&&void 0===r&&s.width>300&&(n=Ne(e,t)),"left"===y.dateAlign?(void 0!==n&&o.push(n),void 0!==r&&o.push(r)):"right"===y.dateAlign?(void 0!==n&&o.unshift(n),void 0!==r&&o.unshift(r)):(n=void 0,r=void 0),{class:{"q-calendar-month__day--label__wrapper":!0,"q-calendar__ellipsis":!0,["q-calendar__"+y.dateAlign]:void 0===n&&void 0===r,"q-calendar__justify":void 0!==n||void 0!==r}});return h("div",i,o)}function _e(a,t){if(!0!==t||!0!==y.noOutsideDays){const e=z.value(a,!1),n=p["head-day-label"],r=p["head-day-button"],o=y.selectedDates&&Array.from(y.selectedDates).length>0&&Array.from(y.selectedDates).includes(a.date),i=!0!==y.noActiveDate&&H(a),d={dayLabel:e,timestamp:a,outside:t,activeDate:i,selectedDate:o,miniMode:E.value,disabled:!!y.disabledWeekdays&&y.disabledWeekdays.includes(Number(a.weekday))},s={key:a.date,ref:e=>{!0===R.value&&(m.value[a.date]=e)},tabindex:!0===R.value?0:-1,class:{"q-calendar-month__day--label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===y.dateType,"q-calendar__button--rounded":"rounded"===y.dateType,"q-calendar__button--bordered":!0===a.current,"q-calendar__hoverable":!0===y.hoverable,"q-calendar__focusable":!0===R.value},disabled:!0===a.disabled||!0!==y.enableOutsideDays&&!0===t,onFocus:()=>{!0===R.value&&(v.value=a.date)},onKeydown:e=>{!0!==t&&!0!==a.disabled&&A(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0===R.value&&!0!==t&&!0!==a.disabled&&A(e,[13,32])&&(e.stopPropagation(),e.preventDefault(),f.value=a.date,void 0!==T.value.onClickDate)&&c("click-date",{scope:d,event:e})},...S("-date",(e,t)=>{return e.stopPropagation(),"click-date"!==t&&"contextmenu-date"!==t||(f.value=a.date),{scope:d,event:e}})};return!0!==y.noAria&&(s.ariaLabel=Z.value(a,!1)),[r?r({scope:d}):renderButton(y,s,n?n({scope:d}):e),!0===R.value&&useFocusHelper()].filter(e=>!1!==e)}}function Ne(e,t){if(!0!==t||!0!==y.noOutsideDays){const a=p["day-of-year"],n={timestamp:e};return h("span",{class:{"q-calendar-month__day--day-of-year":!0,"q-calendar__ellipsis":!0}},a?a({scope:n}):e.doy)}}function Ie(e,t){if(!0!==t||!0!==y.noOutsideDays){const a=p["month-label"],n=ae.value(e,y.shortMonthLabel||s.width<500),r={monthLabel:n,timestamp:e,miniMode:E.value},o={};return!0!==E.value&&void 0!==ee.value&&(o.fontSize=ee.value),h("span",{class:"q-calendar-month__day--month q-calendar__ellipsis",style:o},[a?a({scope:r}):!0!==E.value?n:void 0])}}function Ee(){const{start:e,end:t}=X.value,a=(i.value=e.date,d.value=t.date,s.width>0),n=withDirectives(h("div",{class:{"q-calendar-mini":!0===E.value,"q-calendar-month":!0},key:i.value},[!0===a&&!0!==y.noHeader&&ye(),!0===a&&me()]),[[ResizeObserverDirective,ue]]);if(!0!==y.animated)return n;{const r="q-calendar--"+("prev"===o.value?y.transitionPrev:y.transitionNext);return h(Transition,{name:r,appear:!0},()=>n)}}return watch([I],ne,{deep:!0,immediate:!0}),watch(()=>y.modelValue,(e,t)=>{if(f.value!==e){if(!0===y.animated){const a=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(t));o.value=a>=n?"next":"prev"}f.value=e}v.value=e}),watch(f,(e,t)=>{if(f.value!==y.modelValue){if(!0===y.animated){const a=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(t));o.value=a>=n?"next":"prev"}c("update:model-value",e)}}),watch(v,e=>{e&&(t.value=parseTimestamp(e),f.value!==e)&&(f.value=e)}),watch(t,()=>{m.value[v.value]?m.value[v.value].focus():re()}),onBeforeUpdate(()=>{m.value={},u.value=[],l.value=[],nextTick(()=>{ce()})}),onMounted(()=>{ce()}),x({prev:se,next:de,move:O,moveToToday:ie,updateCurrent:k}),()=>Q()}});const version="4.1.2";var Plugin={version:version,QCalendarMonth:QCalendarMonth,...Timestamp$1,...helpers$1,install(e){e.component(String(QCalendarMonth.name),QCalendarMonth)}};export{DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MAX,DAYS_IN_MONTH_MIN,DAY_MIN,FIRST_HOUR,MONTH_MAX,MONTH_MIN,PARSE_DATE,PARSE_DATETIME,PARSE_TIME,QCalendarMonth,TIME_CONSTANTS,addToDate,compareDate,compareDateTime,compareTime,compareTimestamps,convertToUnit,copyTimestamp,createDayList,createIntervalList,createNativeLocaleFormatter,daysBetween,daysInMonth,Plugin as default,diffTimestamp,findWeekday,getDate,getDateTime,getDayIdentifier,getDayOfYear,getDayTimeIdentifier,getEndOfMonth,getEndOfWeek,getMonthFormatter,getMonthNames,getStartOfMonth,getStartOfWeek,getTime,getTimeIdentifier,getWeekday,getWeekdayFormatter,getWeekdayNames,getWorkWeek,indexOf,isBetweenDates,isLeapYear,isOverlappingDates,isToday,makeDate,makeDateTime,maxTimestamp,minCharWidth,minTimestamp,moveRelativeDays,nextDay,padNumber,parseDate,parseTime,parseTimestamp,parsed,prevDay,relativeDays,today,updateDayOfYear,updateDisabled,updateFormatted,updateMinutes,updateRelative,updateWeekday,updateWorkWeek,validateNumber,validateTimestamp,version,weeksBetween};