/*!
 * @quasar/quasar-ui-qcalendar v4.1.2
 * (c) 2025 Jeff Galbraith <jeff@quasar.dev>
 * Released under the MIT License.
 */
var vue=require("vue");const PARSE_DATETIME=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?([^\d]+(\d{1,2}))?(:(\d{1,2}))?(:(\d{1,2}))?(.(\d{1,3}))?$/,PARSE_DATE=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?/,PARSE_TIME=/(\d\d?)(:(\d\d?)|)(:(\d\d?)|)/,DAYS_IN_MONTH=[0,31,28,31,30,31,30,31,31,30,31,30,31],DAYS_IN_MONTH_LEAP=[0,31,29,31,30,31,30,31,31,30,31,30,31],TIME_CONSTANTS={MILLISECONDS_IN:{SECOND:1e3,MINUTE:6e4,HOUR:36e5,DAY:864e5,WEEK:6048e5},SECONDS_IN:{MINUTE:60,HOUR:3600,DAY:86400,WEEK:604800},MINUTES_IN:{MINUTE:1,HOUR:60,DAY:1440,WEEK:10080},HOURS_IN:{DAY:24,WEEK:168},DAYS_IN:{WEEK:7}},DAYS_IN_MONTH_MIN=28,DAYS_IN_MONTH_MAX=31,MONTH_MAX=12,MONTH_MIN=1,DAY_MIN=1,FIRST_HOUR=0;function validateTimestamp(e){return"string"===typeof e&&PARSE_DATETIME.test(e)}function parsed(e){if("string"!==typeof e)return null;const a=PARSE_DATETIME.exec(e);if(!a||!a[1]||!a[2])return null;const t=parseInt(a[1],10),n=parseInt(a[2],10),r=parseInt(a[4]||"1",10),u=parseInt(a[6]||"0",10),o=parseInt(a[8]||"0",10);return{date:e,time:u.toString().padStart(2,"0")+":"+o.toString().padStart(2,"0"),year:t,month:n,day:r,hour:u,minute:o,hasDay:!!a[4],hasTime:!0,past:!1,current:!1,future:!1,disabled:!1,weekday:0,doy:0,workweek:0}}function parseDate(e,a=!1){if(!(e instanceof Date))return null;const t=a?"UTC":"";return updateFormatted({date:padNumber(e[`get${t}FullYear`](),4)+"-"+padNumber(e[`get${t}Month`]()+1,2)+"-"+padNumber(e[`get${t}Date`](),2),time:padNumber(e[`get${t}Hours`]()||0,2)+":"+padNumber(e[`get${t}Minutes`]()||0,2),year:e[`get${t}FullYear`](),month:e[`get${t}Month`]()+1,day:e[`get${t}Date`](),hour:e[`get${t}Hours`](),minute:e[`get${t}Minutes`](),weekday:0,doy:0,workweek:0,hasDay:!0,hasTime:!0,past:!1,current:!1,future:!1,disabled:!1})}function padNumber(e,a){let t=String(e);while(t.length<a)t="0"+t;return t}function isLeapYear(e){return e%4===0&&e%100!==0||e%400===0}function daysInMonth(e,a){return(isLeapYear(e)?DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH)[a]}function nextDay(e){const a=new Date(e.year,e.month-1,e.day+1);return updateFormatted(normalizeTimestamp({...e,year:a.getFullYear(),month:a.getMonth()+1,day:a.getDate()}))}function prevDay(e){const a=new Date(e.year,e.month-1,e.day-1);return updateFormatted(normalizeTimestamp({...e,year:a.getFullYear(),month:a.getMonth()+1,day:a.getDate()}))}function today(){const e=new Date,a=e.getMonth()+1,t=e.getDate(),n=e.getFullYear();return[n,padNumber(a,2),padNumber(t,2)].join("-")}function isToday(e){return e===today()}function getStartOfWeek(e,a,t){let n=copyTimestamp(e);if(a){if(1===n.day||0===n.weekday)while(!a.includes(Number(n.weekday)))n=nextDay(n);n=findWeekday(n,a[0],prevDay),n=updateFormatted(n),t&&(n=updateRelative(n,t,n.hasTime))}return n}function getEndOfWeek(e,a,t){let n=copyTimestamp(e);if(a&&Array.isArray(a)){const r=daysInMonth(n.year,n.month);if(r===n.day||n.weekday===a[a.length-1])while(!a.includes(Number(n.weekday)))n=prevDay(n);n=findWeekday(n,a[a.length-1],nextDay),n=updateFormatted(n),t&&(n=updateRelative(n,t,n.hasTime))}return n}function getStartOfMonth(e){let a=copyTimestamp(e);return a.day=DAY_MIN,a=updateFormatted(a),a}function getEndOfMonth(e){let a=copyTimestamp(e);return a.day=daysInMonth(a.year,a.month),a=updateFormatted(a),a}function parseTime(e){const a=Object.prototype.toString.call(e);switch(a){case"[object Number]":return e;case"[object String]":{const t=PARSE_TIME.exec(e);return t?60*parseInt(t[1],10)+parseInt(t[3]||"0",10):!1}case"[object Object]":return"object"!==typeof e||"number"!==typeof e.hour||"number"!==typeof e.minute?!1:"object"===typeof e&&"hour"in e&&"minute"in e&&60*e.hour+e.minute}return!1}function compareTimestamps(e,a){return!(!e||!a)&&e.year===a.year&&e.month===a.month&&e.day===a.day&&e.hour===a.hour&&e.minute===a.minute}function compareDate(e,a){return getDate(e)===getDate(a)}function compareTime(e,a){return getTime(e)===getTime(a)}function compareDateTime(e,a){return getDateTime(e)===getDateTime(a)}function parseTimestamp(e,a=null){let t=parsed(e);return t?(t=updateFormatted(t),a&&(t=updateRelative(t,a,t.hasTime)),t):null}function getDayIdentifier(e){return 1e8*(e.year??0)+1e6*(e.month??0)+1e4*(e.day??0)}function getTimeIdentifier(e){return 100*(e.hour??0)+(e.minute??0)}function getDayTimeIdentifier(e){return getDayIdentifier(e)+getTimeIdentifier(e)}function diffTimestamp(e,a,t=!1){const n=Date.UTC(e.year??0,(e.month??1)-1,e.day??1,e.hour??0,e.minute??0),r=Date.UTC(a.year??0,(a.month??1)-1,a.day??1,a.hour??0,a.minute??0);return!0===t&&r<n?0:r-n}function updateRelative(e,a,t=!1){let n=copyTimestamp(e),r=getDayIdentifier(a),u=getDayIdentifier(n),o=r===u;return n.hasTime&&t&&o&&(r=getTimeIdentifier(a),u=getTimeIdentifier(n),o=r===u),n.past=u<r,n.current=o,n.future=u>r,n.currentWeekday=n.weekday===a.weekday,n}function updateMinutes(e,a,t=null){let n=copyTimestamp(e);return n.hasTime=!0,n.hour=Math.floor(a/TIME_CONSTANTS.MINUTES_IN.HOUR),n.minute=a%TIME_CONSTANTS.MINUTES_IN.HOUR,n.time=getTime(n),t&&(n=updateRelative(n,t,!0)),n}function updateWeekday(e){let a=copyTimestamp(e);return a.weekday=getWeekday(a),a}function updateDayOfYear(e){let a=copyTimestamp(e);return a.doy=getDayOfYear(a)||0,a}function updateWorkWeek(e){let a=copyTimestamp(e);return a.workweek=getWorkWeek(a),a}function updateDisabled(e,a,t,n,r){let u=copyTimestamp(e);const o=getDayIdentifier(u);if(void 0!==a){const s=parsed(a);if(s){const c=getDayIdentifier(s);o<=c&&(u.disabled=!0)}}if(!0!==u.disabled&&void 0!==t){const v=parsed(t);if(v){const p=getDayIdentifier(v);o>=p&&(u.disabled=!0)}}if(!0!==u.disabled&&Array.isArray(n)&&n.length>0)for(var d in n)if(n[d]===u.weekday){u.disabled=!0;break}if(!0!==u.disabled&&Array.isArray(r)&&r.length>0)for(var l in r)if(Array.isArray(r[l])&&2===r[l].length&&r[l][0]&&r[l][1]){const m=parsed(r[l][0]),y=parsed(r[l][1]);if(m&&y&&isBetweenDates(u,m,y)){u.disabled=!0;break}}else{const f=r[l];if(Array.isArray(f))for(var i of f){const h=parseTimestamp(i);if(h){const g=getDayIdentifier(h);if(g===o){u.disabled=!0;break}}}else if(f){const _=parseTimestamp(f);if(_){const k=getDayIdentifier(_);k===o&&(u.disabled=!0)}}}return u}function updateFormatted(e){let a=copyTimestamp(e);return a.hasTime=!0,a.time=getTime(a),a.date=getDate(a),a.weekday=getWeekday(a),a.doy=getDayOfYear(a)||0,a.workweek=getWorkWeek(a),a}function getDayOfYear(e){if(0!==e.year)return(Date.UTC(e.year,e.month-1,e.day)-Date.UTC(e.year,0,0))/24/60/60/1e3}function getWorkWeek(e){let a=copyTimestamp(e);if(0===a.year){const r=parseTimestamp(today());r&&(a=r)}const t=new Date(Date.UTC(a.year,a.month-1,a.day)),n=4;t.setUTCDate(t.getUTCDate()-(t.getUTCDay()+6)%7+n),t.setUTCDate(t.getUTCDate()+n-(t.getUTCDay()||7));e=new Date(Date.UTC(t.getUTCFullYear(),0,1)),e=Math.ceil(((t.valueOf()-e.valueOf())/864e5+1)/7);return e}function getWeekday(e){let a=e.weekday;if(e.hasDay){const t=Math.floor,n=e.day,r=(e.month+9)%MONTH_MAX+1,u=t(e.year/100),o=e.year%100-(e.month<=2?1:0);a=((n+t(2.6*r-.2)-2*u+o+t(o/4)+t(u/4))%7+7)%7}return a??0}function copyTimestamp(e){return{...e}}function getDate(e){let a=padNumber(e.year,4)+"-"+padNumber(e.month,2);return e.hasDay&&(a+="-"+padNumber(e.day,2)),a}function getTime(e){return e.hasTime?padNumber(e.hour,2)+":"+padNumber(e.minute,2):""}function getDateTime(e){return getDate(e)+" "+(e.hasTime?getTime(e):"00:00")}function moveRelativeDays(e,a=nextDay,t=1,n=[0,1,2,3,4,5,6]){const r=copyTimestamp(e);return relativeDays(r,a,t,n)}function relativeDays(e,a=nextDay,t=1,n=[0,1,2,3,4,5,6]){let r=copyTimestamp(e);n.includes(Number(r.weekday))||0!==r.weekday||a!==nextDay||++t;while(--t>=0)r=a(r),n.length<7&&!n.includes(Number(r.weekday))&&++t;return r}function findWeekday(e,a,t=nextDay,n=6){let r=copyTimestamp(e);while(r.weekday!==a&&--n>=0)r=t(r);return r}function createDayList(e,a,t,n=[0,1,2,3,4,5,6],r=void 0,u=void 0,o=[],d=[],l=42,i=0){const s=getDayIdentifier(e),c=getDayIdentifier(a),v=[];let p=copyTimestamp(e),m=0,y=m===c;if(!(c<s))while((!y||v.length<i)&&v.length<l){if(m=getDayIdentifier(p),y=y||m>c&&v.length>=i,y)break;if(n.includes(Number(p.weekday))){let e=copyTimestamp(p);e=updateFormatted(e),e=updateRelative(e,t),e=updateDisabled(e,r,u,o,d),v.push(e)}p=relativeDays(p,nextDay)}return v}function createIntervalList(a,t,n,r,u){const o=[];for(let e=0;e<r;++e){const d=(t+e)*n,l=copyTimestamp(a);o.push(updateMinutes(l,d,u))}return o}function createNativeLocaleFormatter(n,r){const e=()=>"";return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:(a,e)=>{try{const t=new Intl.DateTimeFormat(n||void 0,r(a,e));return t.format(makeDateTime(a))}catch(e){return console.error(`Intl.DateTimeFormat: ${e.message} -> `+getDateTime(a)),""}}}function makeDate(e,a=!0){return a?new Date(Date.UTC(e.year,e.month-1,e.day,0,0)):new Date(e.year,e.month-1,e.day,0,0)}function makeDateTime(e,a=!0){return a?new Date(Date.UTC(e.year,e.month-1,e.day,e.hour,e.minute)):new Date(e.year,e.month-1,e.day,e.hour,e.minute)}function validateNumber(e){return isFinite(Number(e))}function maxTimestamp(e,a=!1){const t=!0===a?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,a)=>{return Math.max(t(e),t(a))===t(e)?e:a})}function minTimestamp(e,a=!1){const t=!0===a?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,a)=>{return Math.min(t(e),t(a))===t(e)?e:a})}function isBetweenDates(e,a,t,n=!1){const r=getDayIdentifier(e)+(!0===n?getTimeIdentifier(e):0),u=getDayIdentifier(a)+(!0===n?getTimeIdentifier(a):0),o=getDayIdentifier(t)+(!0===n?getTimeIdentifier(t):0);return r>=u&&r<=o}function isOverlappingDates(e,a,t,n){const r=getDayIdentifier(e),u=getDayIdentifier(a),o=getDayIdentifier(t),d=getDayIdentifier(n);return r>=o&&r<=d||u>=o&&u<=d||o>=r&&u>=d}function addToDate(e,a){const t=copyTimestamp(e);return a.year&&(t.year+=a.year),a.month&&(t.month+=a.month),a.day&&(t.day+=a.day),a.hour&&(t.hour+=a.hour),a.minute&&(t.minute+=a.minute),updateFormatted(normalizeTimestamp(t))}function normalizeTimestamp(e){const a=new Date(e.year,e.month-1,e.day,e.hour,e.minute);return{...e,year:a.getFullYear(),month:a.getMonth()+1,day:a.getDate(),hour:a.getHours(),minute:a.getMinutes()}}function daysBetween(e,a){const t=diffTimestamp(e,a,!0);return Math.floor(t/TIME_CONSTANTS.MILLISECONDS_IN.DAY)}function weeksBetween(e,a){let t=copyTimestamp(e),n=copyTimestamp(a);return t=findWeekday(t,0),n=findWeekday(n,6),Math.ceil(daysBetween(t,n)/TIME_CONSTANTS.DAYS_IN.WEEK)}const weekdayDateMap={Sun:new Date("2020-01-05T00:00:00.000Z"),Mon:new Date("2020-01-06T00:00:00.000Z"),Tue:new Date("2020-01-07T00:00:00.000Z"),Wed:new Date("2020-01-08T00:00:00.000Z"),Thu:new Date("2020-01-09T00:00:00.000Z"),Fri:new Date("2020-01-10T00:00:00.000Z"),Sat:new Date("2020-01-11T00:00:00.000Z")};function getWeekdayFormatter(){const e=()=>"",r={long:{timeZone:"UTC",weekday:"long"},short:{timeZone:"UTC",weekday:"short"},narrow:{timeZone:"UTC",weekday:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:a;function a(a,e,t){try{const n=new Intl.DateTimeFormat(t||void 0,r[e]||r["long"]);return n.format(weekdayDateMap[a])}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> day of week: `+a),""}}}function getWeekdayNames(a,t){const e=Object.keys(weekdayDateMap),n=getWeekdayFormatter();return e.map(e=>String(n(e,a,t)))}function getMonthFormatter(){const e=()=>"",u={long:{timeZone:"UTC",month:"long"},short:{timeZone:"UTC",month:"short"},narrow:{timeZone:"UTC",month:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:a;function a(a,e,t){try{const n=new Intl.DateTimeFormat(t||void 0,u[e]||u["long"]),r=new Date;return r.setDate(1),r.setMonth(a),n.format(r)}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> month: `+a),""}}}function getMonthNames(a,t){const n=getMonthFormatter();return[...Array(12).keys()].map(e=>n(e,a,t))}function convertToUnit(e,a="px"){if(e)return isNaN(e)?String(e):"auto"===e?e:""+Number(e)+a}function indexOf(a,t){for(let e=0;e<a.length;e++)if(!0===t(a[e],e))return e;return-1}function minCharWidth(e,a){return 0===a?e:e.slice(0,a)}const ResizeObserverDirective={mounted(e,a){if("function"===typeof a.value){const t=a.value,n={callback:t,size:{width:0,height:0},observer:new ResizeObserver(e=>{const a=e[0].contentRect;a.width===n.size.width&&a.height===n.size.height||(n.size.width=a.width,n.size.height=a.height,n.debounceTimeout&&clearTimeout(n.debounceTimeout),n.debounceTimeout=setTimeout(()=>{n.callback(n.size),n.debounceTimeout=void 0},100))})};n.observer.observe(e),e.__onResizeObserver=n}},beforeUnmount(e){if(e.__onResizeObserver){const{observer:a,debounceTimeout:t}=e.__onResizeObserver;t&&clearTimeout(t),a.unobserve(e),delete e.__onResizeObserver}}};function useCalendar(a,t,{scrollArea:e,pane:n}){if(!t){const s="[error: renderCalendar] no renderFunc has been supplied to useCalendar";throw console.error(s),new Error(s)}const r=vue.reactive({width:0,height:0}),u=vue.ref(null);function o({width:e,height:a}){r.width=e,r.height=a}const d=vue.computed(()=>{return!0!==a.noScroll&&e.value&&n.value&&r.height?e.value.offsetWidth-n.value.offsetWidth:0});function l(){}function i(){const e={ref:u,role:"complementary",lang:a.locale,class:`q-calendar ${a.dark?"q-calendar--dark":""} `+(a.bordered?"q-calendar__bordered":"")};return vue.withDirectives(vue.h("div",{...e},[t()]),[[ResizeObserverDirective,o]])}return{rootRef:u,scrollWidth:d,__initCalendar:l,__renderCalendar:i}}const isValidFocusType=e=>e.every(e=>["day","date","weekday","interval","time","resource","task"].includes(e)),useCommonProps={modelValue:{type:String,default:today(),validator:e=>""===e||validateTimestamp(e)},weekdays:{type:Array,default:()=>[0,1,2,3,4,5,6]},dateType:{type:String,default:"round",validator:e=>["round","rounded","square"].includes(e)},weekdayAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},dateAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},bordered:Boolean,dark:Boolean,noAria:Boolean,noActiveDate:Boolean,noHeader:Boolean,noScroll:Boolean,shortWeekdayLabel:Boolean,noDefaultHeaderText:Boolean,noDefaultHeaderBtn:Boolean,minWeekdayLabel:{type:[Number,String],default:1},weekdayBreakpoints:{type:Array,default:()=>[75,35],validator:e=>2===e.length},locale:{type:String,default:"en-US"},animated:Boolean,transitionPrev:{type:String,default:"slide-right"},transitionNext:{type:String,default:"slide-left"},disabledDays:Array,disabledBefore:String,disabledAfter:String,disabledWeekdays:{type:Array,default:()=>[]},dragEnterFunc:Function,dragOverFunc:Function,dragLeaveFunc:Function,dropFunc:Function,selectedDates:{type:[Array,Set],default:()=>[]},selectedStartEndDates:{type:Array,default:()=>[]},hoverable:Boolean,focusable:Boolean,focusType:{type:Array,default:()=>["date"],validator:isValidFocusType}};function useCommon(a,{startDate:e,endDate:t,times:n}){const r=vue.computed(()=>parseTimestamp(e.value)),u=vue.computed(()=>{return"0000-00-00"===t.value?getEndOfWeek(r.value,a.weekdays,n.today):parseTimestamp(t.value)||r.value}),o=vue.computed(()=>createNativeLocaleFormatter(a.locale,()=>({timeZone:"UTC",day:"numeric"}))),d=vue.computed(()=>createNativeLocaleFormatter(a.locale,(e,a)=>({timeZone:"UTC",weekday:a?"short":"long"}))),l=vue.computed(()=>createNativeLocaleFormatter(a.locale,()=>({timeZone:"UTC",dateStyle:"full"})));function i(e,a){return e&&e.length>0&&e.includes(a.date)}function s(e,a){const t={firstDay:!1,betweenDays:!1,lastDay:!1};if(2===e.length){const n=getDayIdentifier(a),r=getDayIdentifier(parsed(e[0])),u=getDayIdentifier(parsed(e[1]));t.firstDay=r===n,t.lastDay=u===n,t.betweenDays=r<n&&u>n}return t}function c(e,a=!1,t=[],n=[],r=!1){const u=i(t,e),{firstDay:o,lastDay:d,betweenDays:l}=s(n,e);return{"q-past-day":!o&&!l&&!d&&!u&&!a&&!!e.past,"q-future-day":!o&&!l&&!d&&!u&&!a&&!!e.future,"q-outside":a,"q-current-day":!!e.current,"q-selected":u,"q-range-first":o,"q-range":l,"q-range-last":d,"q-range-hover":r&&(o||d||l),"q-disabled-day disabled":!0===e.disabled}}function v(e){return getStartOfWeek(e,a.weekdays,n.today)}function p(e){return getEndOfWeek(e,a.weekdays,n.today)}function m(){return{}}return{parsedStart:r,parsedEnd:u,dayFormatter:o,weekdayFormatter:d,ariaDateFormatter:l,arrayHasDate:i,checkDays:s,getRelativeClasses:c,startOfWeek:v,endOfWeek:p,dayStyleDefault:m}}function scrollTo(e,a){e instanceof Window?e.scrollTo({top:a,behavior:"instant"}):e.scrollTop=a}function getVerticalScrollPosition(e){return e instanceof Window?e.scrollY:e.scrollTop}function animVerticalScrollTo(u,o,d=500,l=performance.now(),i=getVerticalScrollPosition(u)){d<=0||i===o?scrollTo(u,o):requestAnimationFrame(e=>{const a=e-l,t=Math.min(a/d,1),n=e=>e<.5?2*e*e:(4-2*e)*e-1,r=i+(o-i)*n(t);scrollTo(u,r),t<1&&animVerticalScrollTo(u,o,d,l,i)})}function animHorizontalScrollTo(r,e,u=500){const o=r.scrollLeft,d=e-o;let l=null;function i(e){null===l&&(l=e);const a=e-l,t=Math.min(a/u,1),n=e=>e<.5?2*e*e:(4-2*e)*e-1;r.scrollLeft=o+d*n(t),a<u&&requestAnimationFrame(i)}requestAnimationFrame(i)}const useIntervalProps={view:{type:String,validator:e=>["day","week","month","month-interval"].includes(e),default:"day"},shortIntervalLabel:Boolean,intervalHeight:{type:[Number,String],default:40,validator:validateNumber},intervalMinutes:{type:[Number,String],default:60,validator:validateNumber},intervalStart:{type:[Number,String],default:0,validator:validateNumber},intervalCount:{type:[Number,String],default:24,validator:validateNumber},intervalStyle:{type:Function,default:null},intervalClass:{type:Function,default:null},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},showIntervalLabel:{type:Function,default:null},hour24Format:Boolean,timeClicksClamped:Boolean,dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)}},useSchedulerProps={view:{type:String,validator:e=>["day","week","month","month-interval"].includes(e),default:"day"},modelResources:{type:Array},resourceKey:{type:String,default:"id"},resourceLabel:{type:String,default:"label"},resourceHeight:{type:[Number,String],default:0,validator:validateNumber},resourceMinHeight:{type:[Number,String],default:70,validator:validateNumber},resourceStyle:{type:Function,default:null},resourceClass:{type:Function,default:null},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},dayStyle:{type:Function,default:null},dayClass:{type:Function,default:null},dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)}},useAgendaProps={view:{type:String,validator:e=>["day","week","month","month-interval"].includes(e),default:"day"},leftColumnOptions:{type:Array},rightColumnOptions:{type:Array},columnOptionsId:{type:String},columnOptionsLabel:{type:String},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},dayStyle:{type:Function,default:null},dayClass:{type:Function,default:null},dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)},dayHeight:{type:[Number,String],default:0,validator:validateNumber},dayMinHeight:{type:[Number,String],default:40,validator:validateNumber}},useResourceProps={modelResources:{type:Array},resourceKey:{type:String,default:"id"},resourceLabel:{type:String,default:"label"},resourceHeight:{type:[Number,String],default:0,validator:validateNumber},resourceMinHeight:{type:[Number,String],default:70,validator:validateNumber},resourceStyle:{type:Function,default:null},resourceClass:{type:Function,default:null},cellWidth:{type:[Number,String],default:100},intervalHeaderHeight:{type:[Number,String],default:20,validator:validateNumber},noSticky:Boolean};function useInterval(u,{times:a,scrollArea:n,parsedStart:e,parsedEnd:t,maxDays:r,size:o,headerColumnRef:d}){const l=vue.computed(()=>parseInt(String(u.intervalStart),10)),v=vue.computed(()=>parseInt(String(u.intervalMinutes),10)),i=vue.computed(()=>parseInt(String(u.intervalCount),10)),p=vue.computed(()=>parseFloat(String(u.intervalHeight))),m=vue.computed(()=>{let e=0;const a=Number(u.columnCount);return u.cellWidth?e=Number(u.cellWidth):o.width>0&&d.value&&(e=d.value.offsetWidth/(a>1?a:r.value)),e}),s=vue.computed(()=>l.value*v.value),c=vue.computed(()=>i.value*p.value),y=vue.computed(()=>i.value*m.value),f=vue.computed(()=>k(e.value)),h=vue.computed(()=>w(t.value)),g=vue.computed(()=>{return createDayList(e.value,t.value,a.today,u.weekdays,u.disabledBefore,u.disabledAfter,u.disabledWeekdays,u.disabledDays,r.value)}),_=vue.computed(()=>{return g.value.map(e=>createIntervalList(e,l.value,v.value,i.value,a.now))});function k(e){return getStartOfWeek(e,u.weekdays,a.today)}function w(e){return getEndOfWeek(e,u.weekdays,a.today)}function D(e,a){return e&&e.length>0&&e.includes(getDateTime(a))}function b(e,a){const t={firstDay:!1,betweenDays:!1,lastDay:!1};if(e&&2===e.length){const n=getDayTimeIdentifier(a),r=getDayTimeIdentifier(parsed(e[0])),u=getDayTimeIdentifier(parsed(e[1]));t.firstDay=r===n,t.lastDay=u===n,t.betweenDays=r<n&&u>n}return t}function T(e,a=[],t=[]){const n=D(a,e),{firstDay:r,lastDay:u,betweenDays:o}=b(t,e);return{"q-selected":n,"q-range-first":!0===r,"q-range":!0===o,"q-range-last":!0===u,"q-disabled-interval disabled":!0===e.disabled}}function C(e,a,t){return[]}const x=vue.computed(()=>{const t={timeZone:"UTC",hour12:!u.hour24Format,hour:"2-digit",minute:"2-digit"},n={timeZone:"UTC",hour12:!u.hour24Format,hour:"numeric",minute:"2-digit"},r={timeZone:"UTC",hour12:!u.hour24Format,hour:"numeric"};return createNativeLocaleFormatter(u.locale,(e,a)=>a?0===e.minute?r:n:t)}),F=vue.computed(()=>{const e={timeZone:"UTC",dateStyle:"full",timeStyle:"short"};return createNativeLocaleFormatter(u.locale,()=>e)});function S(e){const a=_.value[0][0],t=a.hour===e.hour&&a.minute===e.minute;return!t&&0===e.minute}function q(e){}function I(e){return{}}function E(e,a,t=!1,n){let r=copyTimestamp(a);if(e.currentTarget){const u=e.currentTarget.getBoundingClientRect(),o=e,d=e,l=o.changedTouches||o.touches,i=(l&&l[0]?l[0]:d).clientY,s=(i-u.top)/p.value,c=Math.floor((t?Math.floor(s):s)*v.value);0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0))}return r}function O(e,a,t=!1,n){let r=copyTimestamp(a);const u=e.currentTarget.getBoundingClientRect(),o=e,d=e,l=o.changedTouches||o.touches,i=(l&&l[0]?l[0]:d).clientY,s=(i-u.top)/p.value,c=Math.floor((t?Math.floor(s):s)*v.value);return 0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0)),r}function H(e,a,t=!1,n){let r=copyTimestamp(a);if(e.currentTarget){const u=e.currentTarget.getBoundingClientRect(),o=e,d=e,l=o.changedTouches||o.touches,i=(l&&l[0]?l[0]:d).clientX,s=(i-u.left)/m.value,c=Math.floor((t?Math.floor(s):s)*v.value);0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0))}return r}function R(e,a){const t={timestamp:e,timeStartPos:N,timeDurationHeight:M};return void 0!==a&&(t.columnIndex=a),t}function L(e,a){const t={timestamp:copyTimestamp(e),timeStartPosX:A,timeDurationWidth:W};return void 0!==a&&(t.index=a),t}function V(e,a=0){const t=N(e);return!(!1===t||!n.value)&&(animVerticalScrollTo(n.value,t,a),!0)}function P(e,a=0){const t=A(e);return!(!1===t||!n.value)&&(animHorizontalScrollTo(n.value,t,a),!0)}function M(e){return e/v.value*p.value}function W(e){return e/v.value*m.value}function B(e){return e*v.value/p.value}function U(e){return e*v.value/m.value}function N(e,a=!0){const t=parseTime(e);if(!1===t)return!1;const n=s.value,r=i.value*v.value,u=(t-n)/r;let o=u*c.value;return a&&(o<0&&(o=0),o>c.value)&&(o=c.value),o}function A(e,a=!0){const t=parseTime(e);if(!1===t)return!1;const n=s.value,r=i.value*v.value,u=(t-n)/r;let o=u*y.value;return a&&(o<0&&(o=0),o>y.value)&&(o=y.value),o}return{parsedIntervalStart:l,parsedIntervalMinutes:v,parsedIntervalCount:i,parsedIntervalHeight:p,parsedCellWidth:m,parsedStartMinute:s,bodyHeight:c,bodyWidth:y,parsedWeekStart:f,parsedWeekEnd:h,days:g,intervals:_,intervalFormatter:x,ariaDateTimeFormatter:F,arrayHasDateTime:D,checkIntervals:b,getIntervalClasses:T,getResourceClasses:C,showIntervalLabelDefault:S,showResourceLabelDefault:q,styleDefault:I,getTimestampAtEventInterval:E,getTimestampAtEvent:O,getTimestampAtEventX:H,getScopeForSlot:R,getScopeForSlotX:L,scrollToTime:V,scrollToTimeX:P,timeDurationHeight:M,timeDurationWidth:W,heightToMinutes:B,widthToMinutes:U,timeStartPos:N,timeStartPosX:A}}const useColumnProps={columnCount:{type:[Number,String],default:0,validator:validateNumber},columnIndexStart:{type:[Number,String],default:0,validator:validateNumber}},useMaxDaysProps={maxDays:{type:Number,default:1}},useTimesProps={now:{type:String,validator:e=>""===e||validateTimestamp(e),default:""}};function useTimes(e){const a=vue.reactive({now:parseTimestamp("0000-00-00 00:00"),today:parseTimestamp("0000-00-00")}),t=vue.computed(()=>e.now?parseTimestamp(e.now):u());function n(){a.now&&a.today&&(a.now.current=a.today.current=!0,a.now.past=a.today.past=!1,a.now.future=a.today.future=!1)}function r(){const e=t.value||u();o(e,a.now),d(e,a.now),o(e,a.today)}function u(){return parseDate(new Date)}function o(e,a){e.date!==a.date&&(a.year=e.year,a.month=e.month,a.day=e.day,a.weekday=e.weekday,a.date=e.date)}function d(e,a){e.time!==a.time&&(a.hour=e.hour,a.minute=e.minute,a.time=e.time)}return vue.watch(t,()=>r()),{times:a,parsedNow:t,setCurrent:n,updateCurrent:r,getNow:u,updateDay:o,updateTime:d}}function useRenderValues(r,{parsedView:u,parsedValue:o,times:d}){const e=vue.computed(()=>{const e=o.value;let a=r.maxDays,t=e,n=e;switch(u.value){case"month":t=getStartOfMonth(e),n=getEndOfMonth(e),a=daysInMonth(t.year,t.month);break;case"week":case"week-agenda":case"week-scheduler":t=getStartOfWeek(e,r.weekdays,d.today),n=getEndOfWeek(t,r.weekdays,d.today),a=r.weekdays.length;break;case"day":case"scheduler":case"agenda":n=moveRelativeDays(copyTimestamp(n),nextDay,a>1?a-1:a,r.weekdays),n=updateFormatted(n);break;case"month-interval":case"month-scheduler":case"month-agenda":t=getStartOfMonth(e),n=getEndOfMonth(e),n=updateFormatted(n),a=daysInMonth(t.year,t.month);break;case"resource":a=1,n=moveRelativeDays(copyTimestamp(n),nextDay,a,r.weekdays),n=updateFormatted(n);break}return{start:t,end:n,maxDays:a}});return{renderValues:e}}const toCamelCase=e=>e.replace(/(-\w)/g,e=>e[1].toUpperCase());function getMouseEventHandlers(a,e,t,n){const r={};for(const u in t){const o=t[u],d=toCamelCase("on-"+u);if(!e.value)return console.warn("$listeners has not been set up"),{};if(void 0!==e.value[d]){const l="on"+o.event.charAt(0).toUpperCase()+o.event.slice(1),i=e=>{return(void 0===o.button||"buttons"in e&&e.buttons>0&&e.button===o.button)&&(o.prevent&&e.preventDefault(),o.stop&&e.stopPropagation(),a(u,n(e,u))),o.result};l in r?Array.isArray(r[l])?r[l].push(i):r[l]=[r[l],i]:r[l]=i}}return r}function getDefaultMouseEventHandlers(e,a,t,n){return getMouseEventHandlers(e,a,getMouseEventName(t),n)}function getMouseEventName(e){return{["click"+e]:{event:"click"},["contextmenu"+e]:{event:"contextmenu",prevent:!0,result:!1},["mousedown"+e]:{event:"mousedown"},["mousemove"+e]:{event:"mousemove"},["mouseup"+e]:{event:"mouseup"},["mouseenter"+e]:{event:"mouseenter"},["mouseleave"+e]:{event:"mouseleave"},["touchstart"+e]:{event:"touchstart"},["touchmove"+e]:{event:"touchmove"},["touchend"+e]:{event:"touchend"}}}function getRawMouseEvents(e){return Object.keys(getMouseEventName(e))}function useMouseEvents(t,n){return{getMouseEventHandlers:(e,a)=>getMouseEventHandlers(t,n,e,a),getDefaultMouseEventHandlers:(e,a)=>getDefaultMouseEventHandlers(t,n,e,a),getMouseEventName:getMouseEventName,getRawMouseEvents:getRawMouseEvents}}const useMoveEmits=["moved"];function useMove(l,{parsedView:i,parsedValue:s,direction:c,maxDays:v,times:p,emittedValue:m,emit:y}){function e(t=1){if(0===t)m.value=today();else{let e=copyTimestamp(s.value);const n=getEndOfMonth(e),r=t>0,u=r?nextDay:prevDay,o=r?n.day:1;let a=r?t:-t;c.value=r?"next":"prev";const d=l.weekdays.length;while(--a>=0)switch(i.value){case"month":e.day=o,e=u(e),e=updateWeekday(e);while(!l.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:r?1:-1});break;case"week":case"week-agenda":case"week-scheduler":e=relativeDays(e,u,d,l.weekdays);break;case"day":case"scheduler":case"agenda":e=relativeDays(e,u,v.value,l.weekdays);break;case"month-interval":case"month-agenda":case"month-scheduler":e.day=o,e=u(e);break;case"resource":e=relativeDays(e,u,v.value,l.weekdays);break}e=updateWeekday(e),e=updateFormatted(e),e=updateDayOfYear(e),e=updateRelative(e,p.now),m.value=e.date,y("moved",e)}}return{move:e}}const listenerRE=/^on[A-Z]/;function useEmitListeners(e=vue.getCurrentInstance()){return{emitListeners:vue.computed(()=>{const a={};return e?.vnode?.props&&Object.keys(e.vnode.props).forEach(e=>{listenerRE.test(e)&&(a[e]=!0)}),a})}}function useFocusHelper(){const e={"aria-hidden":"true",class:"q-calendar__focus-helper"};return[vue.h("span",e)]}function useButton(){function e({focusable:e,focusType:a},t,n){const r=e&&a.includes("date");return vue.h("button",{...t,tabindex:r?0:-1},[n,r&&useFocusHelper()])}return{renderButton:e}}const useCellWidthProps={cellWidth:[Number,String]};function useCellWidth(e){const a=vue.computed(()=>void 0!==e.cellWidth);return{isSticky:a}}const useCheckChangeEmits=["change"];function useCheckChange(n,{days:r,lastStart:u,lastEnd:o}){function e(){const e=r.value;if(0===e.length)return!1;const a=e[0].date,t=e[e.length-1].date;return(!u.value||!o.value||a!==u.value||t!==o.value)&&(u.value=a,o.value=t,n("change",{start:a,end:t,days:e}),!0)}return{checkChange:e}}function useEventUtils(){function e(e,a){return(Array.isArray(a)?a:[a]).includes(e.keyCode)}return{isKeyCode:e}}const isKeyCode=useEventUtils().isKeyCode,useNavigationProps={useNavigation:Boolean};function useNavigation(a,{rootRef:t,focusRef:n,focusValue:r,datesRef:u,parsedView:o,emittedValue:d,direction:l,times:i}){let e=!1;function s(){e||document&&(e=!0,document.addEventListener("keyup",y),document.addEventListener("keydown",m))}function c(){document&&(document.removeEventListener("keyup",y),document.removeEventListener("keydown",m),e=!1)}function v(e){if(e&&document){const a=document.activeElement;if(a!==document.body&&t.value?.contains(a))return!0}return!1}function p(){let a=0;const t=window.setInterval(()=>{const e=u.value[n.value];e&&(e.focus(),50!==++a)&&document.activeElement!==e||window.clearInterval(t)},250)}function m(e){v(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])&&(e.stopPropagation(),e.preventDefault())}function y(e){if(v(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])){const a={33:k,34:w,35:b,36:D,37:g,38:f,39:_,40:h};a[e.keyCode]?.()}}function f(){let e=copyTimestamp(r.value);if("month"===o.value){if(e=addToDate(e,{day:-7}),r.value.month!==e.month)return l.value="prev",void(d.value=e.date)}else e=addToDate(e,{minute:Number(a.intervalMinutes)});l.value="prev",n.value=e.date}function h(){let e=copyTimestamp(r.value);if("month"===o.value){if(e=addToDate(e,{day:7}),r.value.month!==e.month)return l.value="next",void(d.value=e.date)}else e=addToDate(e,{minute:Number(a.intervalMinutes)});l.value="next",n.value=e.date}function g(){let e=copyTimestamp(r.value);l.value="prev";do{e=addToDate(e,{day:-1})}while(!a.weekdays.includes(Number(e.weekday)));n.value=e.date}function _(){let e=copyTimestamp(r.value);l.value="next";do{e=addToDate(e,{day:1})}while(!a.weekdays.includes(Number(e.weekday)));n.value=e.date}function k(){let e=copyTimestamp(r.value);e="month"===o.value?addToDate(e,{month:-1}):addToDate(e,{day:-7}),l.value="prev",n.value=e.date}function w(){let e=copyTimestamp(r.value);e="month"===o.value?addToDate(e,{month:1}):addToDate(e,{day:7}),l.value="next",n.value=e.date}function D(){let e=copyTimestamp(r.value);e="month"===o.value?getStartOfMonth(e):getStartOfWeek(e,a.weekdays||[],i.today);while(!a.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}function b(){let e=copyTimestamp(r.value);e="month"===o.value?getEndOfMonth(e):getEndOfWeek(e,a.weekdays||[],i.today);while(!a.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}return vue.onBeforeUnmount(()=>{c()}),vue.watch(()=>a.useNavigation,e=>{(!0===e?s:c)()}),!0===a.useNavigation&&s(),{startNavigation:s,endNavigation:c,tryFocus:p}}const renderButton$4=useButton().renderButton;var QCalendarAgenda=vue.defineComponent({name:"QCalendarAgenda",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useAgendaProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-time")],setup(v,{slots:p,emit:d,expose:O}){const e=vue.ref(null),a=vue.ref(null),H=vue.ref(null),m=vue.ref(v.modelValue||today()),t=vue.ref(parsed(v.modelValue||today())),y=vue.ref({}),n=vue.ref(),r=vue.ref(),o=vue.ref("next"),l=vue.ref(v.modelValue||today()),i=vue.ref("0000-00-00"),s=vue.ref(0),c=vue.ref(v.modelValue),f=vue.reactive({width:0,height:0}),h=vue.ref(""),R=vue.ref(null),L=vue.ref(null),u=(vue.watch(()=>v.view,()=>{s.value=0}),vue.computed(()=>{return"month"===v.view?"month-interval":v.view})),V=vue.getCurrentInstance();if(null===V)throw new Error("current instance is null");const P=useEmitListeners(V).emitListeners,g=useCellWidth(v).isSticky,{times:_,setCurrent:B,updateCurrent:U}=(vue.watch(g,()=>{}),useTimes(v)),{parsedStart:K,parsedEnd:z,dayFormatter:Y,weekdayFormatter:Q,ariaDateFormatter:$,dayStyleDefault:X,getRelativeClasses:k}=(U(),B(),useCommon(v,{startDate:l,endDate:i,times:_})),w=vue.computed(()=>{return parseTimestamp(v.modelValue,_.now)||K.value||_.today}),Z=(t.value=w.value,m.value=w.value.date,useRenderValues(v,{parsedView:u,parsedValue:w,times:_})).renderValues,{rootRef:D,scrollWidth:j,__renderCalendar:G}=useCalendar(v,Ce,{scrollArea:e,pane:a}),{days:b,parsedCellWidth:J,getScopeForSlot:T}=useInterval(v,{times:_,scrollArea:e,parsedStart:K,parsedEnd:z,maxDays:s,size:f,headerColumnRef:H}),C=useMove(v,{parsedView:u,parsedValue:w,direction:o,maxDays:s,times:_,emittedValue:c,emit:d}).move,x=useMouseEvents(d,P).getDefaultMouseEventHandlers,ee=useCheckChange(d,{days:b,lastStart:R,lastEnd:L}).checkChange,ae=useEventUtils().isKeyCode,te=useNavigation(v,{rootRef:D,focusRef:m,focusValue:t,datesRef:y,parsedView:u,emittedValue:c,direction:o,times:_}).tryFocus,F=vue.computed(()=>{return b.value.length+(!0===S.value?v.leftColumnOptions.length:0)+(!0===q.value?v.rightColumnOptions.length:0)+b.value.length===1&&parseInt(String(v.columnCount),10)>0?parseInt(String(v.columnCount),10):0}),S=vue.computed(()=>{return void 0!==v.leftColumnOptions&&Array.isArray(v.leftColumnOptions)}),q=vue.computed(()=>{return void 0!==v.rightColumnOptions&&Array.isArray(v.rightColumnOptions)}),I=vue.computed(()=>{if(D.value){const e=f.width||D.value.getBoundingClientRect().width;if(e&&F.value)return(e-j.value)/F.value+"px"}return 100/F.value+"%"});function ne(){c.value=today()}function re(e=1){C(e)}function ue(e=1){C(-e)}function oe({width:e,height:a}){f.width=e,f.height=a}function E(e){return e.date===c.value}function M(a,t){const e=p["head-column"],n={column:a,index:t,days:b.value},r=!0===g.value?v.cellWidth:I.value,u=!0===v.focusable&&v.focusType.includes("weekday"),o=void 0!==v.columnOptionsId?a[v.columnOptionsId]:"id",d={maxWidth:r,width:r};return vue.h("div",{key:o,tabindex:!0===u?0:-1,class:{"q-calendar-agenda__head--day":!0,"q-column-day":!0,"q-calendar__hoverable":!0===v.hoverable,"q-calendar__focusable":!0===u},style:d,onDragenter:e=>{void 0!==v.dragEnterFunc&&"function"===typeof v.dragEnterFunc&&(!0===v.dragEnterFunc(e,"head-column",{scope:n})?h.value=o:h.value="")},onDragover:e=>{void 0!==v.dragOverFunc&&"function"===typeof v.dragOverFunc&&(!0===v.dragOverFunc(e,"head-column",{scope:n})?h.value=o:h.value="")},onDragleave:e=>{void 0!==v.dragLeaveFunc&&"function"===typeof v.dragLeaveFunc&&(!0===v.dragLeaveFunc(e,"head-column",{scope:n})?h.value=o:h.value="")},onDrop:e=>{void 0!==v.dropFunc&&"function"===typeof v.dropFunc&&(!0===v.dropFunc(e,"head-column",{scope:n})?h.value=o:h.value="")},...x("-head-column",e=>{return{scope:{column:a,index:t},event:e}})},[!0!==v.noDefaultHeaderText&&de(a),e&&e(n),useFocusHelper()])}function de(e){const a=p["head-column-label"],t={column:e},n=void 0!==v.columnOptionsLabel?e[v.columnOptionsLabel]:e.label,r=vue.h("div",{class:{"q-calendar-agenda__head--weekday":!0,["q-calendar__"+v.weekdayAlign]:!0,ellipsis:!0},style:{alignSelf:"center"}},[a&&a({scope:t}),!a&&vue.h("span",{class:"ellipsis"},n)]);return"stacked"===v.dateHeader?r:vue.h("div",{class:"q-calendar__header--inline",style:{height:"100%"}},[r])}function le(){return vue.h("div",{roll:"presentation",class:{"q-calendar-agenda__head":!0,"q-calendar__sticky":!0===g.value},style:{marginRight:j.value+"px"}},[ie()])}function ie(){return vue.h("div",{ref:H,class:{"q-calendar-agenda__head--days__column":!0}},[se(),ce()])}function se(){return vue.h("div",{class:{"q-calendar-agenda__head--days__weekdays":!0}},ve())}function ce(){const e=p["head-days-events"];return vue.nextTick(()=>{if(r.value&&0===v.columnCount&&window)try{const e=window.getComputedStyle(r.value);n.value&&n.value.parentElement&&(n.value.parentElement.style.height=e.height,n.value.style.height=e.height)}catch{}}),vue.h("div",{class:{"q-calendar-agenda__head--days__event":!0}},[e&&vue.h("div",{ref:n,style:{position:"absolute",left:0,top:0,right:0,overflow:"hidden",zIndex:1}},[e({scope:{days:b.value,ref:r}})]),...pe()])}function ve(){const e=parseInt(String(v.columnCount),10),t=parseInt(String(v.columnIndexStart),10);return(1===b.value.length&&e>0?[!0===S.value?v.leftColumnOptions.map((e,a)=>M(e,a)):[],...Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>me(b.value[0],e)),!0===q.value?v.rightColumnOptions.map((e,a)=>M(e,a)):[]]:[!0===S.value?v.leftColumnOptions.map((e,a)=>M(e,a)):[],...b.value.map(e=>me(e)),!0===q.value?v.rightColumnOptions.map((e,a)=>M(e,a)):[]]).flat()}function pe(){const t=parseInt(String(v.columnCount),10);return 1===b.value.length&&t>0?[...Array.apply(null,new Array(parseInt(String(v.columnCount),10))).map((e,a)=>a+t).map(e=>fe(b.value[0],e))]:b.value.map(e=>fe(e,0))}function me(a,e){const t=p["head-day"],n=p["head-date"],r=!0!==v.noActiveDate&&E(a),u=T(a,e??0),o=(u.activeDate=r,u.droppable=h.value===a.date,u.disabled=!!v.disabledWeekdays&&v.disabledWeekdays.includes(Number(a.weekday)),!0===g.value?v.cellWidth:I.value),d=v.weekdayStyle||X,l={width:o,maxWidth:o,...d({scope:u})},i=(!0===g.value&&(l.minWidth=o),"function"===typeof v.weekdayClass?v.weekdayClass({scope:u}):{}),s=!0===v.focusable&&v.focusType.includes("weekday"),c={key:a.date+(void 0!==e?"-"+e:""),ref:e=>{y.value[a.date]=e},tabindex:!0===s?0:-1,class:{"q-calendar-agenda__head--day":!0,...i,...k(a),"q-active-date":r,"q-calendar__hoverable":!0===v.hoverable,"q-calendar__focusable":!0===s},style:l,onDragenter:e=>{void 0!==v.dragEnterFunc&&"function"===typeof v.dragEnterFunc&&(!0===v.dragEnterFunc(e,"head-day",{scope:u})?h.value=a.date:h.value="")},onDragover:e=>{void 0!==v.dragOverFunc&&"function"===typeof v.dragOverFunc&&(!0===v.dragOverFunc(e,"head-day",{scope:u})?h.value=a.date:h.value="")},onDragleave:e=>{void 0!==v.dragLeaveFunc&&"function"===typeof v.dragLeaveFunc&&(!0===v.dragLeaveFunc(e,"head-day",{scope:u})?h.value=a.date:h.value="")},onDrop:e=>{void 0!==v.dropFunc&&"function"===typeof v.dropFunc&&(!0===v.dropFunc(e,"head-day",{scope:u})?h.value=a.date:h.value="")},onFocus:()=>{!0===s&&(m.value=a.date)},...x("-head-day",e=>{return{scope:u,event:e}})};return vue.h("div",c,[void 0!==t&&t({scope:u}),void 0===t&&ye(a),void 0===t&&n&&n({scope:u}),useFocusHelper()])}function ye(e){return"stacked"===v.dateHeader?[!0!==v.noDefaultHeaderText&&W(e),!0!==v.noDefaultHeaderBtn&&N(e)].filter(e=>!1!==e):"inline"===v.dateHeader?("left"===v.weekdayAlign&&"right"===v.dateAlign||"right"===v.weekdayAlign&&v.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==v.noDefaultHeaderText&&W(e),!0!==v.noDefaultHeaderBtn&&N(e)])):"inverted"===v.dateHeader?("left"===v.weekdayAlign&&"right"===v.dateAlign||"right"===v.weekdayAlign&&v.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==v.noDefaultHeaderBtn&&N(e),!0!==v.noDefaultHeaderText&&W(e)])):void 0}function fe(e,a){const t=p["head-day-event"],n=!0!==v.noActiveDate&&E(e),r=T(e,a),u=(r.activeDate=n,r.disabled=!!v.disabledWeekdays&&v.disabledWeekdays.includes(Number(e.weekday)),!0===g.value?v.cellWidth:I.value),o={width:u,maxWidth:u};return!0===g.value&&(o.minWidth=u),vue.h("div",{key:"event-"+e.date+(void 0!==a?"-"+a:""),class:{"q-calendar-agenda__head--day__event":!0,...k(e),"q-active-date":n},style:o},[t&&t({scope:r})])}function W(e){const a=p["head-weekday-label"],t=T(e,0),n=(t.shortWeekdayLabel=v.shortWeekdayLabel,{class:{"q-calendar-agenda__head--weekday":!0,["q-calendar__"+v.weekdayAlign]:!0,"q-calendar__ellipsis":!0}});return vue.h("div",n,a&&a({scope:t})||he(e,v.shortWeekdayLabel))}function he(e,a){const t=Q.value(e,a||v.weekdayBreakpoints[0]>0&&J.value<=v.weekdayBreakpoints[0]);return vue.h("span",{class:"q-calendar__ellipsis"},v.weekdayBreakpoints[1]>0&&J.value<=v.weekdayBreakpoints[1]?minCharWidth(t,Number(v.minWeekdayLabel)):t)}function N(e){const a={class:{"q-calendar-agenda__head--date":!0,["q-calendar__"+v.dateAlign]:!0}};return vue.h("div",a,ge(e))}function ge(t){const e=!0!==v.noActiveDate&&E(t),a=Y.value(t,!1),n=p["head-day-label"],r=p["head-day-button"],u={dayLabel:a,timestamp:t,activeDate:e,disabled:!!v.disabledWeekdays&&v.disabledWeekdays.includes(Number(t.weekday))},o={class:{"q-calendar-agenda__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===v.dateType,"q-calendar__button--rounded":"rounded"===v.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__focusable":!0},disabled:t.disabled,onKeydown:e=>{!0!==t.disabled&&ae(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==t.disabled&&ae(e,[13,32])&&(c.value=t.date,void 0!==P.value.onClickDate)&&d("click-date",{scope:u})},...x("-date",(e,a)=>{return"click-date"!==a&&"contextmenu-date"!==a||(c.value=t.date,"click-date"===a&&e.preventDefault()),{scope:u,event:e}})};return!0!==v.noAria&&(o.ariaLabel=$.value(t,!1)),r?r({scope:u}):renderButton$4(v,o,n?n({scope:u}):a)}function _e(){return vue.h("div",{class:"q-calendar-agenda__body"},[ke()])}function ke(){return!0===g.value?vue.h("div",{ref:e,class:{"q-calendar-agenda__scroll-area":!0,"q-calendar__scroll":!0}},[De()]):!0===v.noScroll?we():vue.h("div",{ref:e,class:{"q-calendar-agenda__scroll-area":!0,"q-calendar__scroll":!0}},[we()])}function we(){return vue.h("div",{ref:a,class:"q-calendar-agenda__pane"},[De()])}function De(){const e=p["day-container"];return vue.h("div",{class:"q-calendar-agenda__day-container"},[!0===g.value&&!0!==v.noHeader&&le(),vue.h("div",{style:{display:"flex",flexDirection:"row",height:"100%"}},[...be()||[]].flat()),e&&e({scope:{days:b.value}})])}function be(){const e=parseInt(String(v.columnCount),10),t=parseInt(String(v.columnIndexStart),10);return(1===b.value.length&&e>0?[!0===S.value?v.leftColumnOptions.map((e,a)=>A(e,a)):[],...Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>Te(b.value[0],0,e)),!0===q.value?v.rightColumnOptions.map((e,a)=>A(e,a)):[]]:[!0===S.value?v.leftColumnOptions.map((e,a)=>A(e,a)):[],...b.value.map((e,a)=>Te(e,a,0)),!0===q.value?v.rightColumnOptions.map((e,a)=>A(e,a)):[]]).flat()}function A(e,a){const t=p.column,n={column:e,days:b.value,index:a},r=!0===g.value?v.cellWidth:I.value,u=!0===v.focusable&&v.focusType.includes("day"),o=void 0!==v.columnOptionsId?e[v.columnOptionsId]:void 0;return vue.h("div",{key:o,tabindex:!0===u?0:-1,class:{"q-calendar-agenda__day":!0,"q-column-day":!0,"q-calendar__hoverable":!0===v.hoverable,"q-calendar__focusable":!0===u},style:{maxWidth:r,width:r},onDragenter:e=>{void 0!==v.dragEnterFunc&&"function"===typeof v.dragEnterFunc&&(!0===v.dragEnterFunc(e,"column",{scope:n})?h.value=o:h.value="")},onDragover:e=>{void 0!==v.dragOverFunc&&"function"===typeof v.dragOverFunc&&(!0===v.dragOverFunc(e,"column",{scope:n})?h.value=o:h.value="")},onDragleave:e=>{void 0!==v.dragLeaveFunc&&"function"===typeof v.dragLeaveFunc&&(!0===v.dragLeaveFunc(e,"column",{scope:n})?h.value=o:h.value="")},onDrop:e=>{void 0!==v.dropFunc&&"function"===typeof v.dropFunc&&(!0===v.dropFunc(e,"column",{scope:n})?h.value=o:h.value="")},...x("-column",e=>{return{scope:n,event:e}})},[t&&t({scope:n})])}function Te(e,a,t){const n=parseInt(String(v.dayHeight),10),r=parseInt(String(v.dayMinHeight),10),u=p.day,o=T(e,t),d=!0===g.value?v.cellWidth:I.value,l={width:d,maxWidth:d};return!0===g.value&&(l.minWidth=d),l.height=n>0?convertToUnit(n):"auto",r>0&&(l.minHeight=convertToUnit(r)),vue.h("div",{key:e.date+(void 0!==t?":"+t:""),class:{"q-calendar-agenda__day":!0,...k(e)},style:l},[u&&u({scope:o})])}function Ce(){const{start:e,end:a,maxDays:t}=Z.value,n=(l.value===e.date&&i.value===a.date&&s.value===t||(l.value=e.date,i.value=a.date,s.value=t),f.width>0),r=vue.withDirectives(vue.h("div",{class:"q-calendar-agenda",key:l.value},[!0===n&&!0!==g.value&&!0!==v.noHeader&&le(),!0===n&&_e()]),[[ResizeObserverDirective,oe]]);if(!0!==v.animated)return r;{const u="q-calendar--"+("prev"===o.value?v.transitionPrev:v.transitionNext);return vue.h(vue.Transition,{name:u,appear:!0},()=>r)}}return vue.watch([b],ee,{deep:!0,immediate:!0}),vue.watch(()=>v.modelValue,(e,a)=>{if(c.value!==e){if(!0===v.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}c.value=e}m.value=e}),vue.watch(c,(e,a)=>{if(c.value!==v.modelValue){if(!0===v.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}d("update:model-value",e)}}),vue.watch(m,e=>{e&&(t.value=parseTimestamp(e))}),vue.watch(t,()=>{m.value&&y.value[m.value]?y.value[m.value].focus():te()}),vue.watch(()=>v.maxDays,e=>{s.value=e}),vue.onBeforeUpdate(()=>{y.value={}}),vue.onMounted(()=>{}),O({prev:ue,next:re,move:C,moveToToday:ne,updateCurrent:U}),()=>G()}});const renderButton$3=useButton().renderButton;var QCalendarDay=vue.defineComponent({name:"QCalendarDay",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useIntervalProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-interval"),...getRawMouseEvents("-head-intervals"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-time")],setup(p,{slots:m,emit:v,expose:O}){const e=vue.ref(null),H=vue.ref(null),R=vue.ref(null),y=vue.ref(p.modelValue||today()),a=vue.ref(parsed(p.modelValue||today())),f=vue.ref({}),t=vue.ref(),n=vue.ref(),o=vue.ref("next"),d=vue.ref(p.modelValue||today()),l=vue.ref("0000-00-00"),i=vue.ref(0),h=vue.ref(p.modelValue||today()),s=vue.reactive({width:0,height:0}),g=vue.ref(""),_=vue.ref(0),L=vue.ref(null),V=vue.ref(null),r=(vue.watch(()=>p.view,()=>{i.value=0}),vue.computed(()=>{return"month"===p.view?"month-interval":p.view})),P=vue.getCurrentInstance();if(null===P)throw new Error("current instance is null");const k=useEmitListeners(P).emitListeners,w=useCellWidth(p).isSticky,{times:D,setCurrent:B,updateCurrent:U}=useTimes(p),{parsedStart:u,parsedEnd:K,dayFormatter:z,weekdayFormatter:Y,ariaDateFormatter:Q,dayStyleDefault:$,getRelativeClasses:b}=(U(),B(),useCommon(p,{startDate:d,endDate:l,times:D})),c=vue.computed(()=>{return parseTimestamp(p.modelValue,D.now)||u.value||D.today}),X=(a.value=c.value,y.value=c.value.date,useRenderValues(p,{parsedView:r,parsedValue:c,times:D})).renderValues,{rootRef:T,scrollWidth:Z,__renderCalendar:j}=useCalendar(p,Be,{scrollArea:e,pane:H}),{days:C,intervals:G,intervalFormatter:J,ariaDateTimeFormatter:ee,parsedCellWidth:x,getIntervalClasses:ae,showIntervalLabelDefault:te,styleDefault:ne,getTimestampAtEventInterval:re,getTimestampAtEvent:ue,getScopeForSlot:F,scrollToTime:oe,heightToMinutes:de,timeDurationHeight:le,timeStartPos:ie}=useInterval(p,{times:D,scrollArea:e,parsedStart:u,parsedEnd:K,maxDays:i,size:s,headerColumnRef:R}),S=useMove(p,{parsedView:r,parsedValue:c,direction:o,maxDays:i,times:D,emittedValue:h,emit:v}).move,q=useMouseEvents(v,k).getDefaultMouseEventHandlers,se=useCheckChange(v,{days:C,lastStart:L,lastEnd:V}).checkChange,I=useEventUtils().isKeyCode,ce=useNavigation(p,{rootRef:T,focusRef:y,focusValue:a,datesRef:f,parsedView:r,emittedValue:h,direction:o,times:D}).tryFocus,E=vue.computed(()=>{const e=parseInt(String(p.columnCount),10);return"day"===r.value&&e>1?e:"day"===r.value&&p.maxDays&&p.maxDays>1?p.maxDays:C.value.length}),ve=vue.computed(()=>{return T.value?parseInt(window.getComputedStyle(T.value).getPropertyValue("--calendar-intervals-width"),10):0}),M=vue.computed(()=>{if(T.value){const e=s.width||T.value.getBoundingClientRect().width;if(e&&ve.value&&E.value)return(e-Z.value-ve.value)/E.value+"px"}return 100/E.value+"%"});function pe(){h.value=today()}function me(e=1){S(e)}function ye(e=1){S(-e)}function fe({width:e,height:a}){s.width=e,s.height=a}function W(e){return e.date===h.value}function he(){return vue.h("div",{roll:"presentation",class:{"q-calendar-day__head":!0,"q-calendar__sticky":!0===w.value},style:{marginRight:Z.value+"px"}},[ge(),_e()])}function ge(){const e=m["head-intervals"],a={timestamps:C.value,days:C.value,date:p.modelValue};return vue.h("div",{class:{"q-calendar-day__head--intervals":!0,"q-calendar__sticky":!0===w.value},...q("-head-intervals",e=>{return{scope:a,event:e}})},[e&&e({scope:a})])}function _e(){return vue.h("div",{ref:R,class:{"q-calendar-day__head--days__column":!0}},[ke(),we()])}function ke(){return vue.h("div",{class:{"q-calendar-day__head--days__weekdays":!0}},[...De()])}function we(){const e=m["head-days-events"],a=parseInt(String(p.columnCount),10);return vue.nextTick(()=>{if(n.value&&0===a&&window)try{const e=window.getComputedStyle(n.value);t.value&&t.value.parentElement&&(t.value.parentElement.style.height=e.height,t.value.style.height=e.height)}catch{}}),vue.h("div",{class:{"q-calendar-day__head--days__event":!0}},[e&&vue.h("div",{ref:t,style:{position:"absolute",left:0,top:0,right:0,overflow:"hidden",zIndex:1}},[e({scope:{days:C.value,ref:n}})]),...be()])}function De(){const e=parseInt(String(p.columnCount),10),t=parseInt(String(p.columnIndexStart),10);return 1===C.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>Te(C.value[0],e)):C.value.map(e=>Te(e,0))}function be(){const e=parseInt(String(p.columnCount),10),t=parseInt(String(p.columnIndexStart),10);return 1===C.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>xe(C.value[0],e)).filter(e=>void 0!==e):C.value.map(e=>xe(e,0)).filter(e=>void 0!==e)}function Te(a,e){const t=m["head-day"],n=m["head-date"],r=!0!==p.noActiveDate&&W(a),u=F(a,e),o=(u.activeDate=r,u.droppable=g.value===a.date,u.disabled=!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(a.weekday)),!0===w.value?p.cellWidth:M.value),d=p.weekdayStyle||$,l={width:o,maxWidth:o,minWidth:o,...d({scope:u})},i=(!0===w.value&&(l.minWidth=o),"function"===typeof p.weekdayClass?p.weekdayClass({scope:u}):{}),s=!0===p.focusable&&p.focusType.includes("weekday"),c=a.date+(void 0!==e?"-"+e:""),v={key:c,ref:e=>{f.value[c]=e},tabindex:!0===s?0:-1,class:{"q-calendar-day__head--day":!0,...i,...b(a),"q-active-date":r,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===s},style:l,onFocus:()=>{!0===s&&(y.value=c)},onKeydown:e=>{!0!==a.disabled&&I(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==a.disabled&&I(e,[13,32])&&(h.value=a.date)},...q("-head-day",e=>{return{scope:u,event:e}}),onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"head-day",{scope:u})?g.value=a.date:g.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"head-day",{scope:u})?g.value=a.date:g.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"head-day",{scope:u})?g.value=a.date:g.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"head-day",{scope:u})?g.value=a.date:g.value="")}};return vue.h("div",v,[void 0!==t&&t({scope:u}),void 0===t&&qe(a,e),void 0===t&&Ce(a),void 0===t&&n&&n({scope:u}),void 0===t&&Ie(a,e),useFocusHelper()])}function Ce(e){return"stacked"===p.dateHeader?[!0!==p.noDefaultHeaderText?N(e):[],!0!==p.noDefaultHeaderBtn?A(e):[]].filter(e=>void 0!==e):"inline"===p.dateHeader?("left"===p.weekdayAlign&&"right"===p.dateAlign||"right"===p.weekdayAlign&&p.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==p.noDefaultHeaderText&&N(e),!0!==p.noDefaultHeaderBtn&&A(e)])):"inverted"===p.dateHeader?("left"===p.weekdayAlign&&"right"===p.dateAlign||"right"===p.weekdayAlign&&p.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==p.noDefaultHeaderBtn&&A(e),!0!==p.noDefaultHeaderText&&N(e)])):void 0}function xe(e,a){const t=m["head-day-event"],n=!0!==p.noActiveDate&&W(e),r=F(e,a),u=(r.activeDate=n,r.disabled=!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(e.weekday)),!0===w.value?convertToUnit(x.value):M.value),o={width:u,maxWidth:u,minWidth:u};return!0===w.value&&(o.minWidth=u),vue.h("div",{key:"event-"+e.date+(void 0!==a?"-"+a:""),class:{"q-calendar-day__head--day__event":!0,...b(e),"q-active-date":n},style:o},[t&&t({scope:r})])}function N(e){const a=m["head-weekday-label"],t=!0===p.shortWeekdayLabel,n=F(e,0),r=(n.shortWeekdayLabel=p.shortWeekdayLabel,n.disabled=!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(e.weekday)),{class:{"q-calendar-day__head--weekday":!0,["q-calendar__"+p.weekdayAlign]:!0,"q-calendar__ellipsis":!0}});return vue.h("div",r,a&&a({scope:n})||Fe(e,t))}function Fe(e,a){const t=Y.value(e,a||p.weekdayBreakpoints[0]>0&&x.value<=p.weekdayBreakpoints[0]);return vue.h("span",{class:"q-calendar-day__head--weekday-label q-calendar__ellipsis"},p.weekdayBreakpoints[1]>0&&x.value<=p.weekdayBreakpoints[1]?minCharWidth(t,Number(p.minWeekdayLabel)):t)}function A(e){const a={class:{"q-calendar-day__head--date":!0,["q-calendar__"+p.dateAlign]:!0}};return vue.h("div",a,Se(e))}function Se(t){const e=!0!==p.noActiveDate&&W(t),a=z.value(t,!1),n=m["head-day-label"],r=m["head-day-button"],u={dayLabel:a,timestamp:t,activeDate:e,disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(t.weekday))},o={class:{"q-calendar-day__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===p.dateType,"q-calendar__button--rounded":"rounded"===p.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__focusable":!0},disabled:t.disabled,onKeydown:e=>{!0!==t.disabled&&I(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==t.disabled&&I(e,[13,32])&&(h.value=t.date,void 0!==k.value.onClickDate)&&v("click-date",{scope:u})},...q("-date",(e,a)=>{return"click-date"!==a&&"contextmenu-date"!==a||(h.value=t.date,"click-date"===a&&e.preventDefault()),{scope:u,event:e}})};return!0!==p.noAria&&(o.ariaLabel=Q.value(t,!1)),r?r({scope:u}):renderButton$3(p,o,n?n({scope:u}):a)}function qe(e,a){const t=m["column-header-before"];if(t){const n={timestamp:e,columnIndex:a};return vue.h("div",{class:"q-calendar-day__column-header--before"},[t({scope:n})])}}function Ie(e,a){const t=m["column-header-after"];if(t){const n={timestamp:e,columnIndex:a};return vue.h("div",{class:"q-calendar-day__column-header--after"},[t({scope:n})])}}function Ee(){return vue.h("div",{class:"q-calendar-day__body"},[Me()])}function Me(){return!0===w.value?vue.h("div",{ref:e,class:{"q-calendar-day__scroll-area":!0,"q-calendar__scroll":!0}},[!0!==w.value&&Le(),Ne()]):!0===p.noScroll?We():vue.h("div",{ref:e,class:{"q-calendar-day__scroll-area":!0,"q-calendar__scroll":!0}},[We()])}function We(){return vue.h("div",{ref:H,class:"q-calendar-day__pane"},[Le(),Ne()])}function Ne(){const e=m["day-container"];return vue.h("div",{class:"q-calendar-day__day-container"},[!0===w.value&&!0!==p.noHeader&&he(),vue.h("div",{style:{display:"flex",flexDirection:"row"}},[!0===w.value&&Le(),...Ae()]),e&&e({scope:{days:C.value}})])}function Ae(){const e=parseInt(String(p.columnCount),10),t=parseInt(String(p.columnIndexStart),10);return 1===C.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>Oe(C.value[0],0,e)):C.value.map((e,a)=>Oe(e,a,0))}function Oe(e,a,t){const n=m["day-body"],r=F(e,t),u=!0===w.value?p.cellWidth:M.value,o={width:u,maxWidth:u,minWidth:u};return!0===w.value&&(o.minWidth=u),vue.h("div",{key:e.date+(void 0!==t?":"+t:""),class:{"q-calendar-day__day":!0,...b(e)},style:o},[...He(a,t),n&&n({scope:r})])}function He(e,a){return G.value[e].map(e=>Re(e,a))}function Re(t,n){const e=convertToUnit(p.intervalHeight),a=p.intervalStyle||ne,r=m["day-interval"],u=F(t,n),o=(u.droppable=_.value===getDayTimeIdentifier(t),"function"===typeof p.intervalClass?p.intervalClass({scope:u}):{}),d=!0===p.focusable&&p.focusType.includes("interval"),l=getDateTime(t),i={height:e,...a({scope:u})},s={key:l,tabindex:!0===d?0:-1,class:{"q-calendar-day__day-interval":0===t.minute,"q-calendar-day__day-interval--section":0!==t.minute,...o,...ae(t,Array.from(p.selectedDates),p.selectedStartEndDates),"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===d},style:i,onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"interval",{scope:u})?_.value=getDayTimeIdentifier(t):_.value=0)},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"interval",{scope:u})?_.value=getDayTimeIdentifier(t):_.value=0)},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"interval",{scope:u})?_.value=getDayTimeIdentifier(t):_.value=0)},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"interval",{scope:u})?_.value=getDayTimeIdentifier(t):_.value=0)},onKeydown:e=>{I(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{if(I(e,[13,32])){const a=F(t,n);h.value=a.timestamp.date,void 0!==k.value.onClickTime&&v("click-time",{scope:a,event:e})}},...q("-time",e=>{const a=F(re(e,t,p.timeClicksClamped,D.now),n);return{scope:a,event:e}})},c=(!0!==p.noAria&&(s.ariaLabel=ee.value(t,!1)),r?r({scope:u}):void 0);return vue.h("div",s,[c,useFocusHelper()])}function Le(){const e={ariaHidden:"true",class:{"q-calendar-day__intervals-column":!0,"q-calendar__ellipsis":!0,"q-calendar__sticky":!0===w.value},...q("-interval",e=>{const a=ue(e,u.value,p.timeClicksClamped,D.now);return{scope:{timestamp:a},event:e}})};return vue.h("div",e,Ve())}function Ve(){return G.value[0].map(e=>Pe(e))}function Pe(e){const a=m["interval-label"],t=convertToUnit(p.intervalHeight),n=p.shortIntervalLabel??!1,r=p.showIntervalLabel||te,u=r(e),o=u?J.value(e,n):void 0;return vue.h("div",{key:e.time,class:{"q-calendar-day__interval":0===e.minute,"q-calendar-day__interval--section":0!==e.minute},style:{height:t}},[vue.h("div",{class:"q-calendar-day__interval--text q-calendar__overflow-wrap"},[a?a({scope:{timestamp:e,label:o}}):o])])}function Be(){const{start:e,end:a,maxDays:t}=X.value,n=(d.value===e.date&&l.value===a.date&&i.value===t||(d.value=e.date,l.value=a.date,i.value=t),s.width>0),r=vue.withDirectives(vue.h("div",{key:d.value,class:"q-calendar-day"},[!0===n&&!0!==w.value&&!0!==p.noHeader&&he(),n&&Ee()]),[[ResizeObserverDirective,fe]]);if(!0!==p.animated)return r;{const u="q-calendar--"+("prev"===o.value?p.transitionPrev:p.transitionNext);return vue.h(vue.Transition,{name:u,appear:!0},()=>r)}}return vue.watch([C],se,{deep:!0,immediate:!0}),vue.watch(()=>p.modelValue,(e,a)=>{if(h.value!==p.modelValue){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}h.value=e}y.value=e}),vue.watch(h,(e,a)=>{if(h.value!==p.modelValue){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}v("update:model-value",e)}}),vue.watch(y,e=>{e&&(a.value=parseTimestamp(e))}),vue.watch(a,()=>{y.value&&f.value[y.value]?f.value[y.value].focus():ce()}),vue.watch(()=>p.maxDays,e=>{i.value=e}),vue.onBeforeUpdate(()=>{f.value={},t.value=void 0,n.value=void 0}),vue.onMounted(()=>{}),O({prev:ye,next:me,move:S,moveToToday:pe,updateCurrent:U,timeStartPos:ie,timeDurationHeight:le,heightToMinutes:de,scrollToTime:oe}),()=>j()}});const useMonthProps={dayHeight:{type:[Number,String],default:0,validator:e=>validateNumber(e)},dayMinHeight:{type:[Number,String],default:0,validator:e=>validateNumber(e)},dayStyle:Function,dayClass:Function,weekdayStyle:Function,weekdayClass:Function,dayPadding:String,minWeeks:{type:[Number,String],default:1,validator:e=>validateNumber(e)},shortMonthLabel:Boolean,showWorkWeeks:Boolean,showMonthLabel:{type:Boolean,default:!0},showDayOfYearLabel:Boolean,enableOutsideDays:Boolean,noOutsideDays:Boolean,hover:Boolean,miniMode:{type:[Boolean,String],validator:e=>[!0,!1,"auto"].includes(e)},breakpoint:{type:[Number,String],default:"md",validator:e=>["xs","sm","md","lg","xl"].includes(e)||validateNumber(e)},monthLabelSize:{type:String,default:"sm",validator:e=>["xxs","xs","sm","md","lg","xl","xxl"].includes(e)||!!e&&e.length>0}};function useMonth(n,a,{times:r,parsedStart:t,parsedEnd:u,size:o,headerColumnRef:d}){const e=vue.computed(()=>parseInt(n.minWeeks,10)),l=vue.computed(()=>e.value*n.weekdays.length),i=vue.computed(()=>_(w(t.value))),s=vue.computed(()=>k(D(u.value))),c=vue.computed(()=>{let e=0;return n.cellWidth?e=Number(n.cellWidth):o.width>0&&d.value&&(e=d.value.offsetWidth/n.weekdays.length),e}),v=vue.computed(()=>createDayList(i.value,s.value,r.today,n.weekdays,n.disabledBefore,n.disabledAfter,n.disabledWeekdays,n.disabledDays,Number.MAX_SAFE_INTEGER,l.value)),p=vue.computed(()=>{const e=r.today,a=_(e),t=k(e);return createDayList(a,t,e,n.weekdays,n.disabledBefore,n.disabledAfter,n.disabledWeekdays,n.disabledDays,n.weekdays.length,n.weekdays.length)}),m=vue.computed(()=>createNativeLocaleFormatter(n.locale,(e,a)=>({timeZone:"UTC",month:a?"short":"long"}))),y=vue.computed(()=>{switch(n.breakpoint){case"xs":return 300;case"sm":return 350;case"md":return 400;case"lg":return 450;case"xl":return 500;default:return parseInt(n.breakpoint,10)}}),f=vue.computed(()=>{switch(n.monthLabelSize){case"xxs":return".4em";case"xs":return".6em";case"sm":return".8em";case"md":return"1.0em";case"lg":return"1.2em";case"xl":return"1.4em";case"xxl":return"1.6em";default:return n.monthLabelSize}});let h=!0;const g=vue.computed(()=>{const e=!0===n.miniMode||"auto"===n.miniMode&&void 0!==n.breakpoint&&o.width<y.value;return h&&(h=!1,a("mini-mode",e)),e});function _(e){return getStartOfWeek(e,n.weekdays,r.today)}function k(e){return getEndOfWeek(e,n.weekdays,r.today)}function w(e){return getStartOfMonth(e)}function D(e){return getEndOfMonth(e)}function b(e){const a=getDayIdentifier(e);return a<getDayIdentifier(t.value)||a>getDayIdentifier(u.value)}return vue.watch(g,e=>{a("mini-mode",e)}),{parsedCellWidth:c,parsedMinWeeks:e,parsedMinDays:l,parsedMonthStart:i,parsedMonthEnd:s,parsedBreakpoint:y,parsedMonthLabelSize:f,days:v,todayWeek:p,isMiniMode:g,monthFormatter:m,isOutside:b}}const renderButton$2=useButton().renderButton;var QCalendarMonth=vue.defineComponent({name:"QCalendarMonth",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useMonthProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value",...useCheckChangeEmits,...useMoveEmits,"mini-mode",...getRawMouseEvents("-date"),...getRawMouseEvents("-day"),...getRawMouseEvents("-head-workweek"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-workweek")],setup(p,{slots:m,emit:c,expose:O}){const H=vue.ref(null),R=vue.ref(null),e=vue.ref(null),y=vue.ref(p.modelValue||today()),a=vue.ref(parsed(p.modelValue||today())),v=vue.ref({}),i=vue.ref([]),s=vue.ref([]),u=vue.ref("next"),o=vue.ref(p.modelValue||today()),d=vue.ref("0000-00-00"),L=vue.ref(0),f=vue.ref(p.modelValue),l=vue.reactive({width:0,height:0}),h=vue.ref(),g=vue.ref(""),V=vue.ref(null),P=vue.ref(null),t=vue.computed(()=>{return"month"}),n=vue.getCurrentInstance();if(null===n)throw new Error("current instance is null");const _=useEmitListeners(n).emitListeners,B=useCellWidth(p).isSticky,{times:r,setCurrent:U,updateCurrent:k}=(vue.watch(B,()=>{}),useTimes(p)),{parsedStart:w,parsedEnd:D,dayFormatter:K,weekdayFormatter:z,ariaDateFormatter:Y,dayStyleDefault:b,getRelativeClasses:Q}=(k(),U(),useCommon(p,{startDate:o,endDate:d,times:r})),T=vue.computed(()=>{return parseTimestamp(p.modelValue,r.now)||w.value||r.today}),$=(a.value=T.value,y.value=T.value.date,vue.computed(()=>{const e={};return void 0!==p.dayPadding&&(e.padding=p.dayPadding),e.minWidth=M.value,e.maxWidth=M.value,e.width=M.value,e})),X=useRenderValues(p,{parsedView:t,times:r,parsedValue:T}).renderValues,{rootRef:C,__renderCalendar:Z}=useCalendar(p,Fe,{scrollArea:H,pane:R}),{days:x,todayWeek:j,isMiniMode:F,parsedCellWidth:G,parsedMonthLabelSize:J,isOutside:ee,monthFormatter:ae}=useMonth(p,c,{times:r,parsedStart:w,parsedEnd:D,size:l,headerColumnRef:e}),S=useMove(p,{parsedView:t,parsedValue:T,direction:u,maxDays:L,times:r,emittedValue:f,emit:c}).move,q=useMouseEvents(c,_).getDefaultMouseEventHandlers,te=useCheckChange(c,{days:x,lastStart:V,lastEnd:P}).checkChange,I=useEventUtils().isKeyCode,ne=useNavigation(p,{rootRef:C,focusRef:y,focusValue:a,datesRef:v,parsedView:t,emittedValue:f,direction:u,times:r}).tryFocus,re=vue.computed(()=>{return C.value&&!0===p.showWorkWeeks?parseInt(window.getComputedStyle(C.value).getPropertyValue(!0===F.value?"--calendar-mini-work-week-width":"--calendar-work-week-width"),10):0}),E=vue.computed(()=>{return p.weekdays.length}),M=vue.computed(()=>{if(C.value){const e=l.width||C.value.getBoundingClientRect().width;if(e&&E.value)return(e-re.value)/E.value+"px"}return 100/E.value+"%"}),W=vue.computed(()=>{return!0===p.focusable&&p.focusType.includes("day")&&!0!==F.value}),N=vue.computed(()=>{return!0===p.focusable&&p.focusType.includes("date")&&!0!==W.value});function ue(){f.value=today()}function oe(e=1){S(e)}function de(e=1){S(-e)}function le({width:e,height:a}){l.width=e,l.height=a}function A(e){return e.date===f.value}function ie(a){for(let e=0;e<a.length;++e)if(!0===a[e].current)return{timestamp:a[e]};return{timestamp:!1}}function se(){if(!0!==F.value&&0===p.dayHeight){const a=m.week;if(void 0!==a&&window)for(var e in i.value){const t=i.value[e];if(void 0!==t){const n=s.value[e];if(void 0!==n){const r=window.getComputedStyle(t),u=parseFloat(r.marginTop)+parseFloat(r.marginBottom);n.clientHeight+u>n.clientHeight&&(n.style.height=t.clientHeight+u+"px")}}}}}function ce(){return vue.h("div",{class:"q-calendar-month__body"},[..._e()])}function ve(){return vue.h("div",{role:"presentation",class:"q-calendar-month__head"},[!0===p.showWorkWeeks&&me(),vue.h("div",{class:"q-calendar-month__head--wrapper"},[pe()])])}function pe(){return vue.h("div",{ref:e,class:{"q-calendar-month__head--weekdays":!0}},[...ye()])}function me(){const e=m["head-workweek"],a={start:w.value,end:D.value,miniMode:F.value};return vue.h("div",{class:"q-calendar-month__head--workweek",...q("-head-workweek",e=>{return{scope:a,event:e}})},e?e({scope:a}):"#")}function ye(){return j.value.map((e,a)=>fe(e,a))}function fe(a,e){const t=m["head-day"],n=x.value.filter(e=>e.weekday===a.weekday),r=n[0].weekday,u=!0!==p.noActiveDate&&A(a),o={activeDate:u,weekday:r,timestamp:a,days:n,index:e,miniMode:F.value,droppable:h.value===Number(a.weekday),disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(a.weekday))},d="function"===typeof p.weekdayClass?p.weekdayClass({scope:o}):{},l=!0===p.focusable&&p.focusType.includes("weekday"),i=M.value,s=p.weekdayStyle||b,c={width:i,maxWidth:i,minWidth:i,...s({scope:o})},v={key:a.date+(void 0!==e?"-"+e:""),tabindex:!0===l?0:-1,class:{"q-calendar-month__head--weekday":!0,...d,"q-disabled-day disabled":!0===o.disabled,["q-calendar__"+p.weekdayAlign]:!0,"q-calendar__ellipsis":!0,"q-calendar__focusable":!0===l},style:c,onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"head-day",{scope:o})?h.value=Number(a.weekday):h.value=-1)},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"head-day",{scope:o})?h.value=Number(a.weekday):h.value=-1)},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"head-day",{scope:o})?h.value=Number(a.weekday):h.value=-1)},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"head-day",{scope:o})?h.value=Number(a.weekday):h.value=-1)},onFocus:()=>{!0===l&&(y.value=a.date)},...q("-head-day",e=>{return{scope:o,event:e}})};return!0!==p.noAria&&(v.ariaLabel=z.value(a,!1)),vue.h("div",v,[void 0===t&&ge(a,p.shortWeekdayLabel||F.value),void 0!==t&&t({scope:o}),he(a,e),!0===l&&useFocusHelper()])}function he(a,e){const t=m["head-day-event"],n=!0!==p.noActiveDate&&A(a),r=x.value.filter(e=>e.weekday===a.weekday),u=r[0].weekday,o={weekday:u,timestamp:a,days:r,index:e,miniMode:F.value,activeDate:n,disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(a.weekday))},d=M.value,l=p.weekdayStyle||b,i={width:d,maxWidth:d,minWidth:d,...l({scope:o})};return vue.h("div",{key:"event-"+a.date+(void 0!==e?"-"+e:""),class:{"q-calendar-month__head--event":!0},style:i},[void 0!==t&&t({scope:o})])}function ge(e,a){const t=z.value(e,a||p.weekdayBreakpoints[0]>0&&G.value<=p.weekdayBreakpoints[0]);return vue.h("span",{class:"q-calendar__ellipsis"},!0===F.value&&!0===p.shortWeekdayLabel||p.weekdayBreakpoints[1]>0&&G.value<=p.weekdayBreakpoints[1]?minCharWidth(t,Number(p.minWeekdayLabel)):t)}function _e(){const a=p.weekdays.length,t=[];for(let e=0;e<x.value.length;e+=a)t.push(ke(x.value.slice(e,e+a),e/a));return t}function ke(e,a){const t=m.week,n=p.weekdays,r={week:e,weekdays:n,miniMode:F.value},u={},o=parseInt(String(p.dayHeight),10),d=parseInt(String(p.dayMinHeight),10),l=(u.height=o>0&&!0!==F.value?convertToUnit(o):"auto",d>0&&!0!==F.value&&(u.minHeight=convertToUnit(d)),0===o&&0===d);return vue.h("div",{key:e[0].date,ref:e=>{s.value[a]=e},class:{"q-calendar-month__week--wrapper":!0,"q-calendar-month__week--auto-height":l},style:u},[!0===p.showWorkWeeks?we(e):void 0,vue.h("div",{class:"q-calendar-month__week"},[vue.h("div",{class:"q-calendar-month__week--days"},e.map(e=>De(e))),!0!==F.value&&void 0!==t?vue.h("div",{ref:e=>{i.value[a]=e},class:"q-calendar-month__week--events"},t({scope:r})):void 0])])}function we(e){const a=m.workweek,t=e.length>2?e[2]:e[0],n=ie(e).timestamp,r=Number(t.workweek).toLocaleString(p.locale),u={workweekLabel:r,week:e,miniMode:F.value};return vue.h("div",{key:t.workweek,class:{"q-calendar-month__workweek":!0,...Q(!1!==n?n:t,!1)},...q("-workweek",e=>{return{scope:u,event:e}})},a?a({scope:u}):r)}function De(a){const e=m.day,t=p.dayStyle||b,n=ee(a),r=!0!==p.noActiveDate&&T.value.date===a.date,u=!1===n&&!0===p.showMonthLabel&&x.value.find(e=>e.month===a.month)?.day===a.day,o={outside:n,timestamp:a,miniMode:F.value,activeDate:r,hasMonth:u,droppable:g.value===a.date,disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(a.weekday))},d=Object.assign({...$.value},t({scope:o})),l="function"===typeof p.dayClass?p.dayClass({scope:o}):{},i={key:a.date,ref:e=>{!0===W.value&&(v.value[a.date]=e)},tabindex:!0===W.value?0:-1,class:{"q-calendar-month__day":!0,...l,...Q(a,n,Array.from(p.selectedDates),p.selectedStartEndDates,p.hover),"q-active-date":!0===r,disabled:!0!==p.enableOutsideDays&&!0===n,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===W.value},style:d,onFocus:()=>{!0===W.value&&(y.value=a.date)},onKeydown:e=>{!0!==n&&!0!==a.disabled&&I(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==n&&!0!==a.disabled&&I(e,[13,32])&&(e.stopPropagation(),e.preventDefault(),void 0!==_.value.onClickDay)&&!0!==F.value&&c("click-day",{scope:o,e:e})},...q("-day",e=>{return{scope:o,event:e}})},s={onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"day",{scope:o})?g.value=a.date:g.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"day",{scope:o})?g.value=a.date:g.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"day",{scope:o})?g.value=a.date:g.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"day",{scope:o})?g.value=a.date:g.value="")}};return!0!==n&&Object.assign(i,s),!0!==p.noAria&&(i.ariaLabel=Y.value(a,!1)),vue.h("div",i,[be(a,n,u),vue.h("div",{class:{"q-calendar-month__day--content":!0}},e?e({scope:o}):void 0),!0===W.value&&useFocusHelper()])}function be(e,a,t){let n,r;const u=[Te(e,a)],o=(!0!==F.value&&!0===t&&l.width>340&&(r=xe(e,a)),!0!==F.value&&!0===p.showDayOfYearLabel&&void 0===r&&l.width>300&&(n=Ce(e,a)),"left"===p.dateAlign?(void 0!==n&&u.push(n),void 0!==r&&u.push(r)):"right"===p.dateAlign?(void 0!==n&&u.unshift(n),void 0!==r&&u.unshift(r)):(n=void 0,r=void 0),{class:{"q-calendar-month__day--label__wrapper":!0,"q-calendar__ellipsis":!0,["q-calendar__"+p.dateAlign]:void 0===n&&void 0===r,"q-calendar__justify":void 0!==n||void 0!==r}});return vue.h("div",o,u)}function Te(t,a){if(!0!==a||!0!==p.noOutsideDays){const e=K.value(t,!1),n=m["head-day-label"],r=m["head-day-button"],u=p.selectedDates&&Array.from(p.selectedDates).length>0&&Array.from(p.selectedDates).includes(t.date),o=!0!==p.noActiveDate&&A(t),d={dayLabel:e,timestamp:t,outside:a,activeDate:o,selectedDate:u,miniMode:F.value,disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(t.weekday))},l={key:t.date,ref:e=>{!0===N.value&&(v.value[t.date]=e)},tabindex:!0===N.value?0:-1,class:{"q-calendar-month__day--label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===p.dateType,"q-calendar__button--rounded":"rounded"===p.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===N.value},disabled:!0===t.disabled||!0!==p.enableOutsideDays&&!0===a,onFocus:()=>{!0===N.value&&(y.value=t.date)},onKeydown:e=>{!0!==a&&!0!==t.disabled&&I(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0===N.value&&!0!==a&&!0!==t.disabled&&I(e,[13,32])&&(e.stopPropagation(),e.preventDefault(),f.value=t.date,void 0!==_.value.onClickDate)&&c("click-date",{scope:d,event:e})},...q("-date",(e,a)=>{return e.stopPropagation(),"click-date"!==a&&"contextmenu-date"!==a||(f.value=t.date),{scope:d,event:e}})};return!0!==p.noAria&&(l.ariaLabel=Y.value(t,!1)),[r?r({scope:d}):renderButton$2(p,l,n?n({scope:d}):e),!0===N.value&&useFocusHelper()].filter(e=>!1!==e)}}function Ce(e,a){if(!0!==a||!0!==p.noOutsideDays){const t=m["day-of-year"],n={timestamp:e};return vue.h("span",{class:{"q-calendar-month__day--day-of-year":!0,"q-calendar__ellipsis":!0}},t?t({scope:n}):e.doy)}}function xe(e,a){if(!0!==a||!0!==p.noOutsideDays){const t=m["month-label"],n=ae.value(e,p.shortMonthLabel||l.width<500),r={monthLabel:n,timestamp:e,miniMode:F.value},u={};return!0!==F.value&&void 0!==J.value&&(u.fontSize=J.value),vue.h("span",{class:"q-calendar-month__day--month q-calendar__ellipsis",style:u},[t?t({scope:r}):!0!==F.value?n:void 0])}}function Fe(){const{start:e,end:a}=X.value,t=(o.value=e.date,d.value=a.date,l.width>0),n=vue.withDirectives(vue.h("div",{class:{"q-calendar-mini":!0===F.value,"q-calendar-month":!0},key:o.value},[!0===t&&!0!==p.noHeader&&ve(),!0===t&&ce()]),[[ResizeObserverDirective,le]]);if(!0!==p.animated)return n;{const r="q-calendar--"+("prev"===u.value?p.transitionPrev:p.transitionNext);return vue.h(vue.Transition,{name:r,appear:!0},()=>n)}}return vue.watch([x],te,{deep:!0,immediate:!0}),vue.watch(()=>p.modelValue,(e,a)=>{if(f.value!==e){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));u.value=t>=n?"next":"prev"}f.value=e}y.value=e}),vue.watch(f,(e,a)=>{if(f.value!==p.modelValue){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));u.value=t>=n?"next":"prev"}c("update:model-value",e)}}),vue.watch(y,e=>{e&&(a.value=parseTimestamp(e),f.value!==e)&&(f.value=e)}),vue.watch(a,()=>{v.value[y.value]?v.value[y.value].focus():ne()}),vue.onBeforeUpdate(()=>{v.value={},i.value=[],s.value=[],vue.nextTick(()=>{se()})}),vue.onMounted(()=>{se()}),O({prev:de,next:oe,move:S,moveToToday:ue,updateCurrent:k}),()=>Z()}}),QCalendarResource=vue.defineComponent({name:"QCalendarResource",props:{...useCommonProps,...useResourceProps,...useIntervalProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useNavigationProps},emits:["update:model-value","update:model-resources","resource-expanded",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-interval"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-time"),...getRawMouseEvents("-head-resources"),...getRawMouseEvents("-resource")],setup(p,{slots:m,emit:v,expose:O}){const e=vue.ref(null),H=vue.ref(null),R=vue.ref(null),a=vue.ref(null),y=vue.ref(p.modelValue||today()),t=vue.ref(parsed(p.modelValue||today())),f=vue.ref({}),h=vue.ref({}),o=vue.ref("next"),d=vue.ref(p.modelValue||today()),l=vue.ref("0000-00-00"),i=vue.ref(0),r=vue.ref(p.modelValue),s=vue.reactive({width:0,height:0}),g=vue.ref(""),_=vue.ref(""),k=vue.ref(""),L=vue.ref(null),V=vue.ref(null),n=(vue.watch(()=>p.view,()=>{i.value=0}),vue.computed(()=>{return"month"===p.view?"month-interval":p.view})),w=vue.computed(()=>{return parseInt(String(p.cellWidth),10)}),u=vue.getCurrentInstance();if(null===u)throw new Error("current instance is null");const D=useEmitListeners(u).emitListeners,{times:c,setCurrent:P,updateCurrent:b}=useTimes(p),{parsedStart:T,parsedEnd:B,dayStyleDefault:C}=(b(),P(),useCommon(p,{startDate:d,endDate:l,times:c})),x=vue.computed(()=>{return parseTimestamp(p.modelValue,c.now)||T.value||c.today}),U=(t.value=x.value,y.value=x.value.date,useRenderValues(p,{parsedView:n,times:c,parsedValue:x})).renderValues,{rootRef:K,__renderCalendar:z}=useCalendar(p,ge,{scrollArea:e,pane:H}),{days:F,intervals:S,intervalFormatter:Y,styleDefault:Q,scrollToTimeX:$,timeDurationWidth:q,timeStartPosX:I,widthToMinutes:X}=useInterval(p,{times:c,scrollArea:e,parsedStart:T,parsedEnd:B,maxDays:i,size:s,headerColumnRef:a}),E=useMove(p,{parsedView:n,parsedValue:x,direction:o,maxDays:i,times:c,emittedValue:r,emit:v}).move,M=useMouseEvents(v,D).getDefaultMouseEventHandlers,Z=useCheckChange(v,{days:F,lastStart:L,lastEnd:V}).checkChange,j=useEventUtils().isKeyCode,G=useNavigation(p,{rootRef:K,focusRef:y,focusValue:t,datesRef:f,parsedView:n,emittedValue:r,direction:o,times:c}).tryFocus,W=vue.computed(()=>{const e=parseInt(String(p.resourceHeight),10);return 0===e?"auto":e}),N=vue.computed(()=>{return parseInt(String(p.resourceMinHeight),10)}),A=vue.computed(()=>{return parseInt(String(p.intervalHeaderHeight),10)});function J(){r.value=today()}function ee(e=1){E(e)}function ae(e=1){E(-e)}function te({width:e,height:a}){s.width=e,s.height=a}function ne(e){return e.date===r.value}function re(){const e={height:convertToUnit(A.value)};return vue.h("div",{ref:R,roll:"presentation",class:{"q-calendar-resource__head":!0,"q-calendar__sticky":!0!==p.noSticky},style:e},[ue(),oe()])}function ue(){const e=m["head-resources"],a=convertToUnit(A.value),t={timestamps:S,date:p.modelValue,resources:p.modelResources};return vue.h("div",{class:{"q-calendar-resource__head--resources":!0,"q-calendar__sticky":!0!==p.noSticky},style:{height:a},...M("-head-resources",e=>{return{scope:t,event:e}})},[e&&e({scope:t})])}function oe(){return vue.h("div",{ref:a,class:{"q-calendar-resource__head--intervals":!0}},[S.value.map(e=>e.map((e,a)=>de(e,a)))])}function de(e,a){const t=m["interval-label"],n=!0!==p.noActiveDate&&ne(e),r=convertToUnit(w.value),u=convertToUnit(A.value),o=p.shortIntervalLabel,d=Y.value(e,o),l={timestamp:e,index:a,label:d,droppable:g.value===d},i=p.intervalStyle||C,s={width:r,maxWidth:r,minWidth:r,height:u,...i({scope:l})},c="function"===typeof p.intervalClass?p.intervalClass({scope:l}):{},v=!0===p.focusable&&p.focusType.includes("interval");return vue.h("div",{key:d,tabindex:!0===v?0:-1,class:{"q-calendar-resource__head--interval":!0,...c,"q-active-date":n,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===v},style:s,onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"interval",{scope:l})?g.value=d:g.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"interval",{scope:l})?g.value=d:g.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"interval",{scope:l})?g.value=d:g.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"interval",{scope:l})?g.value=d:g.value="")},onFocus:()=>{!0===v&&(y.value=d)},...M("-interval",e=>{return{scope:l,event:e}})},[t?t({scope:l}):d,useFocusHelper()])}function le(){return vue.h("div",{class:"q-calendar-resource__body"},[ie()])}function ie(){return vue.h("div",{ref:e,class:{"q-calendar-resource__scroll-area":!0,"q-calendar__scroll":!0}},[ce()])}function se(){return vue.h("div",{},"No resources have been defined")}function ce(){return vue.h("div",{class:"q-calendar-resource__day--container"},[re(),void 0===p.modelResources&&se(),void 0!==p.modelResources&&ve()])}function ve(){const e={class:"q-calendar-resource__resources--body"};return vue.h("div",e,pe())}function pe(e=void 0,t=0,n=!0){return void 0===e&&(e=p.modelResources),e.map((e,a)=>{return me(e,a,t,void 0!==e.children?e.expanded:n)}).filter(e=>!!e)}function me(e,a,t=0,n=!0){const r={},u=(r.height="auto"===W.value?W.value:convertToUnit(W.value),N.value>0&&(r.minHeight=convertToUnit(N.value)),vue.h("div",{key:e[p.resourceKey]+"-"+a,class:{"q-calendar-resource__resource--row":!0},style:r},[ye(e,a,t,n),fe(e,a)]));return void 0!==e.children?[u,vue.h("div",{class:{"q-calendar__child":!0,"q-calendar__child--expanded":!0===n,"q-calendar__child--collapsed":!0!==n}},[pe(e.children,t+1,!1===n?n:e.expanded)])]:[u]}function ye(a,e,t=0,n=!0){const r=m["resource-label"],u={},o=(u.height=void 0!==a.height?convertToUnit(parseInt(a.height,10)):W.value?convertToUnit(W.value):"auto",N.value>0&&(u.minHeight=convertToUnit(N.value)),p.resourceStyle||Q),d=a[p.resourceLabel],l=!0===p.focusable&&p.focusType.includes("resource")&&!0===n,i=a[p.resourceKey],s={resource:a,timestamps:S,resourceIndex:e,indentLevel:t,label:d,droppable:_.value===i},c="function"===typeof p.resourceClass?p.resourceClass({scope:s}):{};return vue.h("div",{key:a[p.resourceKey]+"-"+e,ref:e=>{e instanceof HTMLElement&&(h.value[a[p.resourceKey]]=e)},tabindex:!0===l?0:-1,class:{"q-calendar-resource__resource":0===t,"q-calendar-resource__resource--section":0!==t,...c,"q-calendar__sticky":!0!==p.noSticky,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===l},style:{...u,...o({scope:s})},onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"resource",{scope:s})?_.value=i:_.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"resource",{scope:s})?_.value=i:_.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"resource",{scope:s})?_.value=i:_.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"resource",{scope:s})?_.value=i:_.value="")},onKeydown:e=>{j(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{j(e,[13,32])&&void 0!==D.value.onClickResource&&v("click-resource",{scope:s,event:e})},...M("-resource",e=>{return{scope:s,event:e}})},[[vue.h("div",{class:{"q-calendar__parent":void 0!==a.children,"q-calendar__parent--expanded":void 0!==a.children&&!0===a.expanded,"q-calendar__parent--collapsed":void 0!==a.children&&!0!==a.expanded},onClick:e=>{e.stopPropagation(),a.expanded=!a.expanded,v("resource-expanded",{expanded:a.expanded,scope:s})}}),vue.h("div",{class:{"q-calendar-resource__resource--text":!0,"q-calendar__ellipsis":!0},style:{paddingLeft:10*t+2+"px"}},[r?r({scope:s}):d]),useFocusHelper()]])}function fe(a,t){const e=m["resource-intervals"],n={resource:a,timestamps:S,resourceIndex:t,timeStartPosX:I,timeDurationWidth:q};return vue.h("div",{class:"q-calendar-resource__resource--intervals"},[S.value.map(e=>e.map(e=>he(a,e,t))),e&&e({scope:n})])}function he(a,e,t){const n=m["resource-interval"],r=!0!==p.noActiveDate&&ne(e),u=a[p.resourceKey],o=e.time+"-"+u,d=!0===p.focusable&&p.focusType.includes("time"),l={activeDate:r,resource:a,timestamp:e,resourceIndex:t,droppable:k.value===o},i=p.intervalStyle||C,s=convertToUnit(w.value),c={width:s,maxWidth:s,minWidth:s,...i({scope:l})};return c.height=void 0!==a.height?convertToUnit(parseInt(a.height,10)):"auto"===W.value?W.value:convertToUnit(W.value),N.value>0&&(c.minHeight=convertToUnit(N.value)),vue.h("div",{key:o,ref:e=>{e instanceof HTMLElement&&(f.value[a[p.resourceKey]]=e)},tabindex:!0===d?0:-1,class:{"q-calendar-resource__resource--interval":!0,"q-active-date":r,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===d},style:c,onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"time",{scope:l})?k.value=o:k.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"time",{scope:l})?k.value=o:k.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"time",{scope:l})?k.value=o:k.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"time",{scope:l})?k.value=o:k.value="")},onFocus:()=>{!0===d&&(y.value=o)},...M("-time",e=>{return{scope:l,event:e}})},[n&&n({scope:l}),useFocusHelper()])}function ge(){const{start:e,end:a,maxDays:t}=U.value,n=(d.value===e.date&&l.value===a.date&&i.value===t||(d.value=e.date,l.value=a.date,i.value=t),s.width>0),r=vue.withDirectives(vue.h("div",{class:"q-calendar-resource",key:d.value},[!0===n&&le()]),[[ResizeObserverDirective,te]]);if(!0!==p.animated)return r;{const u="q-calendar--"+("prev"===o.value?p.transitionPrev:p.transitionNext);return vue.h(vue.Transition,{name:u,appear:!0},()=>r)}}return vue.watch([F],Z,{deep:!0,immediate:!0}),vue.watch(()=>p.modelValue,(e,a)=>{if(r.value!==e){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}r.value=e}y.value=e}),vue.watch(r,(e,a)=>{if(r.value!==p.modelValue){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}v("update:model-value",e)}}),vue.watch(y,e=>{e&&(t.value=parseTimestamp(e))}),vue.watch(t,()=>{f.value[y.value]?f.value[y.value].focus():G()}),vue.onBeforeUpdate(()=>{f.value={},h.value={}}),vue.onMounted(()=>{}),O({prev:ae,next:ee,move:E,moveToToday:J,updateCurrent:b,timeStartPosX:I,timeDurationWidth:q,widthToMinutes:X,scrollToTimeX:$}),()=>z()}});const renderButton$1=useButton().renderButton;var QCalendarScheduler=vue.defineComponent({name:"QCalendarScheduler",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useSchedulerProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value","update:model-resources","resource-expanded",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-day-resource"),...getRawMouseEvents("-head-resources"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-resource")],setup(f,{slots:h,emit:g,expose:O}){const e=vue.ref(null),a=vue.ref(null),H=vue.ref(null),p=vue.ref(f.modelValue||today()),t=vue.ref(parsed(f.modelValue||today())),m=vue.ref({}),R=vue.ref({}),n=vue.ref(),r=vue.ref(),d=vue.ref("next"),l=vue.ref(f.modelValue||today()),i=vue.ref("0000-00-00"),s=vue.ref(0),_=vue.ref(f.modelValue),c=vue.reactive({width:0,height:0}),y=vue.ref(""),k=vue.ref(""),L=vue.ref(null),V=vue.ref(null),u=(vue.watch(()=>f.view,()=>{s.value=0}),vue.computed(()=>{return"month"===f.view?"month-interval":f.view})),P=vue.getCurrentInstance();if(null===P)throw new Error("current instance is null");const w=useEmitListeners(P).emitListeners,D=useCellWidth(f).isSticky,{times:o,setCurrent:B,updateCurrent:U}=useTimes(f),{parsedStart:K,parsedEnd:z,dayFormatter:Y,weekdayFormatter:Q,ariaDateFormatter:$,dayStyleDefault:X,getRelativeClasses:b}=(U(),B(),useCommon(f,{startDate:l,endDate:i,times:o})),T=vue.computed(()=>{return parseTimestamp(f.modelValue,o.now)||K.value||o.today}),Z=(t.value=T.value,p.value=T.value.date,useRenderValues(f,{parsedView:u,parsedValue:T,times:o})).renderValues,{rootRef:v,scrollWidth:j,__renderCalendar:G}=useCalendar(f,We,{scrollArea:e,pane:a}),{days:C,parsedCellWidth:x,styleDefault:J}=useInterval(f,{times:o,scrollArea:e,parsedStart:K,parsedEnd:z,maxDays:s,size:c,headerColumnRef:H}),F=useMove(f,{parsedView:u,parsedValue:T,direction:d,maxDays:s,times:o,emittedValue:_,emit:g}).move,S=useMouseEvents(g,w).getDefaultMouseEventHandlers,ee=useCheckChange(g,{days:C,lastStart:L,lastEnd:V}).checkChange,q=useEventUtils().isKeyCode,ae=useNavigation(f,{rootRef:v,focusRef:p,focusValue:t,datesRef:m,parsedView:u,emittedValue:_,direction:d,times:o}).tryFocus,I=vue.computed(()=>{const e=parseInt(String(f.columnCount),10);return"day"===u.value&&e>1?e:"day"===u.value&&f.maxDays&&f.maxDays>1?f.maxDays:C.value.length}),te=vue.computed(()=>{return v.value?parseInt(window.getComputedStyle(v.value).getPropertyValue("--calendar-resources-width"),10):0}),E=vue.computed(()=>{const e=parseInt(String(f.resourceHeight),10);return 0===e?"auto":e}),ne=vue.computed(()=>{return parseInt(String(f.resourceMinHeight),10)}),M=vue.computed(()=>{if(v.value){const e=c.width||v.value.getBoundingClientRect().width;if(e&&te.value&&I.value)return(e-j.value-te.value)/I.value+"px"}return 100/I.value+"%"});function re(){_.value=today()}function ue(e=1){F(e)}function oe(e=1){F(-e)}function de({width:e,height:a}){c.width=e,c.height=a}function W(e){return e.date===_.value}function le(){return vue.h("div",{roll:"presentation",class:{"q-calendar-scheduler__head":!0,"q-calendar__sticky":!0===D.value},style:{marginRight:j.value+"px"}},[ie(),se()])}function ie(){const e=h["head-resources"],a={days:C.value,timestamps:C.value,date:f.modelValue,resources:f.modelResources};return vue.h("div",{class:{"q-calendar-scheduler__head--resources":!0,"q-calendar__sticky":!0===D.value},...S("-head-resources",e=>{return{scope:a,event:e}})},[e&&e({scope:a})])}function se(){return vue.h("div",{ref:H,class:{"q-calendar-scheduler__head--days__column":!0}},[ce(),ve()])}function ce(){return vue.h("div",{class:{"q-calendar-scheduler__head--days__weekdays":!0}},[...pe()])}function ve(){const e=h["head-days-events"];return vue.nextTick(()=>{if(r.value&&0===parseInt(String(f.columnCount),10)&&window)try{const e=window.getComputedStyle(r.value);n.value&&n.value.parentElement&&(n.value.parentElement.style.height=e.height,n.value.style.height=e.height)}catch{}}),vue.h("div",{class:{"q-calendar-scheduler__head--days__event":!0}},[e&&vue.h("div",{ref:n,style:{position:"absolute",left:0,top:0,right:0,overflow:"hidden",zIndex:1}},[e({scope:{timestamps:C.value,days:C.value,ref:r}})]),...me()])}function pe(){const e=parseInt(String(f.columnCount),10),t=parseInt(String(f.columnIndexStart),10);return 1===C.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>ye(C.value[0],e)):C.value.map(e=>ye(e,0))}function me(){const e=parseInt(String(f.columnCount),10),t=parseInt(String(f.columnIndexStart),10);return 1===C.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>he(C.value[0],e)):C.value.map(e=>he(e,0))}function ye(a,e){const t=h["head-day"],n=h["head-date"],r=!0!==f.noActiveDate&&W(a),u={timestamp:a,activeDate:r,droppable:y.value===a.date,disabled:!!f.disabledWeekdays&&f.disabledWeekdays.includes(Number(a.weekday)),columnIndex:e??0},o=!0===D.value?convertToUnit(x.value):M.value,d=f.weekdayStyle||X,l={width:o,maxWidth:o,minWidth:o,...d({scope:u})},i=(!0===D.value&&(l.minWidth=o),"function"===typeof f.weekdayClass?f.weekdayClass({scope:u}):{}),s=!0===f.focusable&&f.focusType.includes("weekday"),c=a.date+(void 0!==e?"-"+e:""),v={key:c,ref:e=>{null!==e&&(m.value[c]=e)},tabindex:!0===s?0:-1,class:{"q-calendar-scheduler__head--day":!0,...i,...b(a),"q-active-date":r,"q-calendar__hoverable":!0===f.hoverable,"q-calendar__focusable":!0===s},style:l,onFocus:()=>{!0===s&&(p.value=c)},onKeydown:e=>{!0!==a.disabled&&q(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==a.disabled&&q(e,[13,32])&&(_.value=a.date)},...S("-head-day",e=>{return{scope:u,event:e}}),onDragenter:e=>{void 0!==f.dragEnterFunc&&"function"===typeof f.dragEnterFunc&&(!0===f.dragEnterFunc(e,"head-day",{scope:u})?y.value=a.date:y.value="")},onDragover:e=>{void 0!==f.dragOverFunc&&"function"===typeof f.dragOverFunc&&(!0===f.dragOverFunc(e,"head-day",{scope:u})?y.value=a.date:y.value="")},onDragleave:e=>{void 0!==f.dragLeaveFunc&&"function"===typeof f.dragLeaveFunc&&(!0===f.dragLeaveFunc(e,"head-day",{scope:u})?y.value=a.date:y.value="")},onDrop:e=>{void 0!==f.dropFunc&&"function"===typeof f.dropFunc&&(!0===f.dropFunc(e,"head-day",{scope:u})?y.value=a.date:y.value="")}};return vue.h("div",v,[void 0!==t&&t({scope:u}),void 0===t&&ke(a,e),void 0===t&&fe(a),void 0===t&&n&&n({scope:u}),void 0===t&&we(a,e),useFocusHelper()])}function fe(e){return"stacked"===f.dateHeader?[!0!==f.noDefaultHeaderText?N(e):[],!0!==f.noDefaultHeaderBtn?A(e):[]].flat():"inline"===f.dateHeader?("left"===f.weekdayAlign&&"right"===f.dateAlign||"right"===f.weekdayAlign&&f.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==f.noDefaultHeaderText&&N(e),!0!==f.noDefaultHeaderBtn&&A(e)])):"inverted"===f.dateHeader?("left"===f.weekdayAlign&&"right"===f.dateAlign||"right"===f.weekdayAlign&&f.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==f.noDefaultHeaderBtn&&A(e),!0!==f.noDefaultHeaderText&&N(e)])):void 0}function he(e,a){const t=h["head-day-event"],n=!0!==f.noActiveDate&&W(e),r={timestamp:e,activeDate:n,droppable:y.value===e.date,disabled:!!f.disabledWeekdays&&f.disabledWeekdays.includes(Number(e.weekday)),columnIndex:a??0},u=!0===D.value?convertToUnit(x.value):M.value,o={width:u,maxWidth:u,minWidth:u};return!0===D.value&&(o.minWidth=u),vue.h("div",{key:"event-"+e.date+(void 0!==a?"-"+a:""),class:{"q-calendar-scheduler__head--day__event":!0,...b(e),"q-active-date":n},style:o},[t&&t({scope:r})])}function N(e){const a=h["head-weekday-label"],t=!0===f.shortWeekdayLabel,n={timestamp:e,shortWeekdayLabel:t},r={class:{"q-calendar-scheduler__head--weekday":!0,["q-calendar__"+f.weekdayAlign]:!0,"q-calendar__ellipsis":!0}};return vue.h("div",r,a&&a({scope:n})||ge(e,t))}function ge(e,a){const t=Q.value(e,a||f.weekdayBreakpoints[0]>0&&x.value<=f.weekdayBreakpoints[0]);return vue.h("span",{class:"q-calendar-scheduler__head--weekday-label q-calendar__ellipsis"},f.weekdayBreakpoints[1]>0&&x.value<=f.weekdayBreakpoints[1]?minCharWidth(t,Number(f.minWeekdayLabel)):t)}function A(e){const a={class:{"q-calendar-scheduler__head--date":!0,["q-calendar__"+f.dateAlign]:!0}};return vue.h("div",a,_e(e))}function _e(t){const e=!0!==f.noActiveDate&&W(t),a=Y.value(t,!1),n=h["head-day-label"],r=h["head-day-button"],u={dayLabel:a,timestamp:t,activeDate:e},o={class:{"q-calendar-scheduler__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===f.dateType,"q-calendar__button--rounded":"rounded"===f.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__focusable":!0},disabled:t.disabled,onKeydown:e=>{!0!==t.disabled&&q(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==t.disabled&&q(e,[13,32])&&(_.value=t.date,void 0!==w.value.onClickDate)&&g("click-date",{scope:u})},...S("-date",(e,a)=>{return"click-date"!==a&&"contextmenu-date"!==a||(_.value=t.date,"click-date"===a&&e.preventDefault()),{scope:u,event:e}})};return!0!==f.noAria&&(o.ariaLabel=$.value(t,!1)),r?vue.h("div",[r({scope:u})]):renderButton$1(f,o,n?n({scope:u}):a)}function ke(e,a){const t=h["column-header-before"];if(t){const n={timestamp:e,columnIndex:a};return vue.h("div",{class:"q-calendar-scheduler__column-header--before"},[t({scope:n})])}}function we(e,a){const t=h["column-header-after"];if(t){const n={timestamp:e,columnIndex:a};return vue.h("div",{class:"q-calendar-scheduler__column-header--after"},[t({scope:n})])}}function De(){return vue.h("div",{class:"q-calendar-scheduler__body"},[be()])}function be(){return!0===D.value?vue.h("div",{ref:e,class:{"q-calendar-scheduler__scroll-area":!0,"q-calendar__scroll":!0}},[!0!==D.value&&qe(),Ce()]):!0===f.noScroll?Te():vue.h("div",{ref:e,class:{"q-calendar-scheduler__scroll-area":!0,"q-calendar__scroll":!0}},[Te()])}function Te(){return vue.h("div",{ref:a,class:"q-calendar-scheduler__pane"},[Ce()])}function Ce(){return vue.h("div",{class:"q-calendar-scheduler__day--container"},[!0===D.value&&!0!==f.noHeader&&le(),xe()])}function xe(e=void 0,t=0,n=!0){return void 0===e&&(e=f.modelResources),e.map((e,a)=>{return Fe(e,a,t,void 0!==e.children?e.expanded:n)}).flat()}function Fe(e,a,t=0,n=!0){const r={},u=(r.height=void 0!==e.height?convertToUnit(parseInt(e.height,10)):E.value?convertToUnit(E.value):"auto",ne.value>0&&(r.minHeight=convertToUnit(ne.value)),vue.h("div",{key:e[f.resourceKey]+"-"+a,class:{"q-calendar-scheduler__resource--row":!0},style:r},[Se(e,a,t,n),qe(e,a,t,n)]));return void 0!==e.children?[u,vue.h("div",{class:{"q-calendar__child":!0,"q-calendar__child--expanded":!0===n,"q-calendar__child--collapsed":!0!==n}},[xe(e.children,t+1,!1===n?n:e.expanded)])]:[u]}function Se(a,e,t=0,n=!0){const r=h["resource-label"],u=parseInt(String(f.resourceMinHeight),10),o={},d=(o.height=void 0!==a.height?convertToUnit(parseInt(a.height,10)):E.value?convertToUnit(E.value):"auto",u>0&&(o.minHeight=convertToUnit(u)),f.resourceStyle||J),l=a[f.resourceLabel],i=!0===f.focusable&&f.focusType.includes("resource")&&!0===n,s=a[f.resourceKey],c={resource:a,timestamps:C.value,days:C.value,resourceIndex:e,indentLevel:t,label:l,droppable:k.value===s},v="function"===typeof f.resourceClass?f.resourceClass({scope:c}):{};return vue.h("div",{key:a[f.resourceKey]+"-"+e,ref:e=>{null!==e&&(R.value[a[f.resourceKey]]=e)},tabindex:!0===i?0:-1,class:{"q-calendar-scheduler__resource":0===t,"q-calendar-scheduler__resource--section":0!==t,...v,"q-calendar__sticky":!0===D.value,"q-calendar__hoverable":!0===f.hoverable,"q-calendar__focusable":!0===i},style:{...o,...d({scope:c})},onDragenter:e=>{void 0!==f.dragEnterFunc&&"function"===typeof f.dragEnterFunc&&(!0===f.dragEnterFunc(e,"resource",{scope:c})?k.value=s:k.value="")},onDragover:e=>{void 0!==f.dragOverFunc&&"function"===typeof f.dragOverFunc&&(!0===f.dragOverFunc(e,"resource",{scope:c})?k.value=s:k.value="")},onDragleave:e=>{void 0!==f.dragLeaveFunc&&"function"===typeof f.dragLeaveFunc&&(!0===f.dragLeaveFunc(e,"resource",{scope:c})?k.value=s:k.value="")},onDrop:e=>{void 0!==f.dropFunc&&"function"===typeof f.dropFunc&&(!0===f.dropFunc(e,"resource",{scope:c})?k.value=s:k.value="")},onKeydown:e=>{q(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{q(e,[13,32])&&void 0!==w.value.onClickResource&&g("click-resource",{scope:c,event:e})},...S("-resource",e=>{return{scope:c,event:e}})},[[vue.h("div",{class:{"q-calendar__parent":void 0!==a.children,"q-calendar__parent--expanded":void 0!==a.children&&!0===a.expanded,"q-calendar__parent--collapsed":void 0!==a.children&&!0!==a.expanded},onClick:e=>{e.stopPropagation(),a.expanded=!a.expanded,g("resource-expanded",{expanded:a.expanded,scope:c})}}),vue.h("div",{class:{"q-calendar-scheduler__resource--text":!0,"q-calendar__ellipsis":!0},style:{paddingLeft:10*t+2+"px"}},[r?r({scope:c}):l]),useFocusHelper()]])}function qe(e,a,t=0,n=!0){const r=h["resource-days"],u=!0===D.value?convertToUnit(x.value):M.value,o={resource:e,resourceIndex:a,indentLevel:t,expanded:n,cellWidth:u,timestamps:C.value,days:C.value},d={},l=(d.height=parseInt(String(f.resourceHeight),10)>0?convertToUnit(parseInt(String(f.resourceHeight),10)):"auto",parseInt(String(f.resourceMinHeight),10)>0&&(d.minHeight=convertToUnit(parseInt(String(f.resourceMinHeight),10))),{class:"q-calendar-scheduler__resource--days",style:d});return vue.h("div",l,[...Ie(e,a,t,n),r&&r({scope:o})])}function Ie(a,t,n=0,r=!0){return 1===C.value.length&&parseInt(String(f.columnCount),10)>0?Array.apply(null,new Array(parseInt(String(f.columnCount),10))).map((e,a)=>a+parseInt(String(f.columnIndexStart),10)).map(e=>Ee(C.value[0],e,a,t,n,r)):C.value.map(e=>Ee(e,0,a,t,n,r))}function Ee(e,a,t,n,r=0,u=!0){const o=h.day,d=f.dayStyle||X,l=!0!==f.noActiveDate&&T.value.date===e.date,i=e.date+":"+t[f.resourceKey]+(void 0!==a?":"+a:""),s=k.value===i,c={timestamp:e,columnIndex:a,resource:t,resourceIndex:n,indentLevel:r,activeDate:l,droppable:s},v=!0===D.value?convertToUnit(x.value):M.value,p={width:v,maxWidth:v,...d({scope:c})},m=(p.height=parseInt(String(f.resourceHeight),10)>0?convertToUnit(parseInt(String(f.resourceHeight),10)):"auto",parseInt(String(f.resourceMinHeight),10)>0&&(p.minHeight=convertToUnit(parseInt(String(f.resourceMinHeight),10))),"function"===typeof f.dayClass?f.dayClass({scope:c}):{}),y=!0===f.focusable&&f.focusType.includes("day")&&!0===u;return vue.h("div",{key:e.date+(void 0!==a?":"+a:""),tabindex:!0===y?0:-1,class:{"q-calendar-scheduler__day":0===r,"q-calendar-scheduler__day--section":0!==r,...m,...b(e),"q-calendar__hoverable":!0===f.hoverable,"q-calendar__focusable":!0===y},style:p,onDragenter:e=>{void 0!==f.dragEnterFunc&&"function"===typeof f.dragEnterFunc&&(!0===f.dragEnterFunc(e,"day",{scope:c})?k.value=i:k.value="")},onDragover:e=>{void 0!==f.dragOverFunc&&"function"===typeof f.dragOverFunc&&(!0===f.dragOverFunc(e,"day",{scope:c})?k.value=i:k.value="")},onDragleave:e=>{void 0!==f.dragLeaveFunc&&"function"===typeof f.dragLeaveFunc&&(!0===f.dragLeaveFunc(e,"day",{scope:c})?k.value=i:k.value="")},onDrop:e=>{void 0!==f.dropFunc&&"function"===typeof f.dropFunc&&(!0===f.dropFunc(e,"day",{scope:c})?k.value=i:k.value="")},onKeydown:e=>{q(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{q(e,[13,32])&&(_.value=c.timestamp.date,void 0!==w.value.onClickResource)&&g("click-resource",{scope:c,event:e})},...S("-day-resource",e=>{return{scope:c,event:e}})},[o&&o({scope:c}),useFocusHelper()])}function Me(){return vue.h("div",{},"No resources have been defined")}function We(){const{start:e,end:a,maxDays:t}=Z.value,n=(l.value===e.date&&i.value===a.date&&s.value===t||(l.value=e.date,i.value=a.date,s.value=t),c.width>0),r=f.modelResources&&f.modelResources.length>0,u=vue.withDirectives(vue.h("div",{key:l.value,class:"q-calendar-scheduler"},[!0===n&&!0===r&&!0!==D.value&&!0!==f.noHeader&&le(),!0===n&&!0===r&&De(),!1===r&&Me()]),[[ResizeObserverDirective,de]]);if(!0!==f.animated)return u;{const o="q-calendar--"+("prev"===d.value?f.transitionPrev:f.transitionNext);return vue.h(vue.Transition,{name:o,appear:!0},()=>u)}}return vue.watch([C],ee,{deep:!0,immediate:!0}),vue.watch(()=>f.modelValue,(e,a)=>{if(_.value!==f.modelValue){if(!0===f.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));d.value=t>=n?"next":"prev"}_.value=e}p.value=e}),vue.watch(_,(e,a)=>{if(_.value!==f.modelValue){if(!0===f.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));d.value=t>=n?"next":"prev"}g("update:model-value",e)}}),vue.watch(p,e=>{e&&(t.value=parseTimestamp(e))}),vue.watch(t,()=>{m.value[p.value]?m.value[p.value].focus():ae()}),vue.watch(()=>f.maxDays,e=>{s.value=e}),vue.onBeforeUpdate(()=>{m.value={},n.value=void 0,r.value=void 0,R.value={}}),vue.onMounted(()=>{}),O({prev:oe,next:ue,move:F,moveToToday:re,updateCurrent:U}),()=>G()}});const useTaskProps={modelValue:{type:String,default:today(),validator:e=>""===e||validateTimestamp(e)},modelTasks:{type:Array,default:()=>[]},modelTitle:{type:Array,default:()=>[]},modelFooter:{type:Array,default:()=>[]},taskKey:{type:[String,Number],default:"id"},weekdays:{type:Array,default:()=>[0,1,2,3,4,5,6]},dateType:{type:String,default:"round",validator:e=>["round","rounded","square"].includes(e)},dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)},weekdayAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},dateAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},dayHeight:{type:[Number,String],default:0,validator:validateNumber},dayMinHeight:{type:[Number,String],default:40,validator:validateNumber},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},dayStyle:{type:Function,default:null},dayClass:{type:Function,default:null},footerDayClass:{type:Function,default:null},view:{type:String,validator:e=>["day","week","month"].includes(e)},viewCount:{type:Number,default:1,validator:e=>validateNumber(e)&&e>0},taskWidth:{type:Number,default:200,validator:e=>validateNumber(e)&&e>0}};function useTask(a,e,{times:t}){const n=vue.computed(()=>{if(!a.modelValue)throw new Error("QCalendarTask: no modelValue provided");if("day"===a.view)return parseTimestamp(a.modelValue);if("week"===a.view)return getStartOfWeek(parseTimestamp(a.modelValue),a.weekdays,t.today);if("month"===a.view)return getStartOfMonth(parseTimestamp(a.modelValue));throw new Error(`QCalendarTask: unknown 'view' type (${a.view})`)}),r=vue.computed(()=>{if(!a.modelValue)throw new Error("QCalendarTask: no modelValue provided");if("day"===a.view){if(1===a.viewCount)return n.value;let e=copyTimestamp(n.value);return e=addToDate(e,{day:a.viewCount-1}),e}if("week"===a.view){if(1===a.viewCount)return getEndOfWeek(parseTimestamp(a.modelValue),a.weekdays,t.today);{let e=copyTimestamp(n.value);return e=addToDate(e,{day:(a.viewCount-1)*TIME_CONSTANTS.DAYS_IN.WEEK}),getEndOfWeek(e,a.weekdays,t.today)}}if("month"!==a.view)throw new Error(`QCalendarTask: unknown 'view' type (${a.view})`);if(1===a.viewCount)return getEndOfMonth(parseTimestamp(a.modelValue));{let e=copyTimestamp(n.value);return e=addToDate(e,{month:a.viewCount}),getEndOfMonth(e)}}),u=vue.computed(()=>{return createDayList(n.value,r.value,t.today,a.weekdays,a.disabledBefore,a.disabledAfter,a.disabledWeekdays||[],a.disabledDays||[],Number.MAX_SAFE_INTEGER)});return{days:u,parsedStartDate:n,parsedEndDate:r}}const renderButton=useButton().renderButton;var QCalendarTask=vue.defineComponent({name:"QCalendarTask",directives:{ResizeObserver:ResizeObserverDirective},props:{...useTimesProps,...useNavigationProps,...useCellWidthProps,...useCommonProps,...useTaskProps},emits:["update:model-value","update:model-tasks","update:model-title","update:model-footer","task-expanded",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-day"),...getRawMouseEvents("-head-day")],setup(c,{slots:v,emit:i,expose:O}){const e=vue.ref(null),H=vue.ref(null),u=vue.ref("next"),o=vue.ref(c.modelValue||today()),d=vue.ref("0000-00-00"),a=vue.ref(0),p=vue.ref(c.modelValue),m=vue.ref(c.modelValue||today()),t=vue.ref(parsed(c.modelValue||today())),y=vue.ref({}),l=vue.reactive({width:0,height:0}),f=vue.ref(""),h=vue.ref(""),R=vue.ref(null),L=vue.ref(null),n=(vue.watch(()=>c.view,()=>{a.value=0}),vue.computed(()=>{return"month"===c.view?"month-interval":c.view})),r=vue.getCurrentInstance();if(null===r)throw new Error("current instance is null");const s=useEmitListeners(r).emitListeners,{times:g,setCurrent:V,updateCurrent:_}=useTimes(c),{parsedStart:P,dayFormatter:B,weekdayFormatter:U,ariaDateFormatter:K,dayStyleDefault:k,getRelativeClasses:w}=(_(),V(),useCommon(c,{startDate:o,endDate:d,times:g})),D=vue.computed(()=>{return parseTimestamp(c.modelValue,g.now)||P.value||g.today}),z=(t.value=D.value,m.value=D.value.date,useRenderValues(c,{parsedView:n,times:g,parsedValue:D})).renderValues,{rootRef:Y,__renderCalendar:Q}=useCalendar(c,Ie,{scrollArea:e,pane:H}),{days:b,parsedStartDate:T,parsedEndDate:C}=useTask(c,i,{times:g}),x=useMove(c,{parsedView:n,parsedValue:D,direction:u,maxDays:a,times:g,emittedValue:p,emit:i}).move,F=useMouseEvents(i,s).getDefaultMouseEventHandlers,$=useCheckChange(i,{days:b,lastStart:R,lastEnd:L}).checkChange,S=useEventUtils().isKeyCode,X=useNavigation(c,{rootRef:Y,focusRef:m,focusValue:t,datesRef:y,parsedView:n,emittedValue:p,direction:u,times:g}).tryFocus,q=vue.ref(!0),I=vue.computed(()=>{return void 0!==c.cellWidth?parseInt(String(c.cellWidth),10):150}),E=vue.computed(()=>{return!0===c.focusable&&c.focusType.includes("day")}),Z=vue.computed(()=>{return!0===c.focusable&&c.focusType.includes("date")&&!0!==E.value}),M=vue.computed(()=>{return!0===c.focusable&&c.focusType.includes("weekday")}),j=vue.computed(()=>{return parseInt(String(c.dayHeight),10)}),G=vue.computed(()=>{return parseInt(String(c.dayMinHeight),10)});function J(){p.value=today()}function ee(e=1){x(e)}function ae(e=1){x(-e)}function te({width:e,height:a}){l.width=e,l.height=a}function W(e){return e.date===p.value}function ne(e,a,t){const n=v.day,r=c.dayStyle||k,u=!0!==c.noActiveDate&&D.value.date===e.date,o=a[c.taskKey],d={timestamp:e,task:a,taskIndex:t,activeDate:u,droppable:h.value===o},l=convertToUnit(I.value),i={width:l,minWidth:l,maxWidth:l,...r({scope:d})},s="function"===typeof c.dayClass?c.dayClass({scope:d}):{};return vue.h("div",{tabindex:!0===E.value?0:-1,class:{"q-calendar-task__task--day":!0,...s,...w(e),"q-active-date":!0===u,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===E.value},style:i,onFocus:()=>{E.value},...F("-day",e=>{return{scope:d,event:e}}),onDragenter:e=>{void 0!==c.dragEnterFunc&&"function"===typeof c.dragEnterFunc&&(!0===c.dragEnterFunc(e,"day",{scope:d})?h.value=o:h.value="")},onDragover:e=>{void 0!==c.dragOverFunc&&"function"===typeof c.dragOverFunc&&(!0===c.dragOverFunc(e,"day",{scope:d})?h.value=o:h.value="")},onDragleave:e=>{void 0!==c.dragLeaveFunc&&"function"===typeof c.dragLeaveFunc&&(!0===c.dragLeaveFunc(e,"day",{scope:d})?h.value=o:h.value="")},onDrop:e=>{void 0!==c.dropFunc&&"function"===typeof c.dropFunc&&(!0===c.dropFunc(e,"day",{scope:d})?h.value=o:h.value="")}},[n&&n({scope:d}),useFocusHelper()])}function re(a,t){return b.value.map(e=>ne(e,a,t))}function ue(e,a){const t=v.days,n={timestamps:b.value,days:b.value,task:e,taskIndex:a,cellWidth:I.value};return vue.h("div",{class:"q-calendar-task__task--days-row"},[re(e,a),t&&t({scope:n})])}function oe(a,e,t=0,n=!0){const r=0===t?v.task:v.subtask,u={start:T.value,end:C.value,task:a,taskIndex:e,expanded:n},o=convertToUnit(c.taskWidth),d={width:o,minWidth:o,maxWidth:o},l=!0===c.focusable&&c.focusType.includes("task");return vue.h("div",{class:{"q-calendar-task__task--item":!0,"q-calendar__sticky":!0===q.value,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===l},style:d},[vue.h("div",{style:{flexDirection:"column",justifyContent:"center",alignItems:"center",width:10+10*t+"px"}},[vue.h("div",{class:{"q-calendar__parent":void 0!==a.children,"q-calendar__parent--expanded":void 0!==a.children&&!0===a.expanded,"q-calendar__parent--collapsed":void 0!==a.children&&!0!==a.expanded},onClick:e=>{e.stopPropagation(),a.expanded=!a.expanded,i("task-expanded",{expanded:a.expanded,scope:u})}})]),r&&r({scope:u}),useFocusHelper()])}function de(e,a,t=0,n=!0){const r=void 0!==e.height?convertToUnit(parseInt(e.height,10)):j.value>0?convertToUnit(j.value):"auto",u=G.value>0?convertToUnit(G.value):void 0,o={height:r},d=(void 0!==u&&(o.minHeight=u),vue.h("div",{key:e[c.taskKey]+"-"+a,class:{"q-calendar-task__task":0===t,"q-calendar-task__task--section":0!==t},style:o},[oe(e,a,t,n),ue(e,a)]));return void 0!==e.children?[d,vue.h("div",{class:{"q-calendar__child":!0,"q-calendar__child--expanded":!0===n,"q-calendar__child--collapsed":!0!==n}},[le(e.children,t+1,!1===n?n:e.expanded)])]:[d]}function le(e=void 0,t=0,n=!0){return void 0===e&&(e=c.modelTasks),e.map((e,a)=>{return de(e,a,t,void 0!==e.children?e.expanded:n)}).flat()}function ie(){return vue.h("div",{class:{"q-calendar-task__task--container":!0,"q-calendar__sticky":!0===q.value}},[le()])}function se(e,a){const t=v["footer-task"],n={start:T.value,end:C.value,footer:e,index:a},r=convertToUnit(c.taskWidth),u={width:r,minWidth:r,maxWidth:r};return vue.h("div",{class:{"q-calendar-task__footer--task":!0,"q-calendar__sticky":!0===q.value},style:u},[t&&t({scope:n})])}function ce(e,a,t){const n=v["footer-day"],r={timestamp:e,footer:a,index:t},u=convertToUnit(I.value),o={width:u,minWidth:u,maxWidth:u},d="function"===typeof c.footerDayClass?c.footerDayClass({scope:r}):{};return vue.h("div",{class:{"q-calendar-task__footer--day":!0,...d,...w(e),"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===E.value},style:o},[n&&n({scope:r})])}function ve(a,t){return vue.h("div",{class:"q-calendar-task__footer--day-wrapper"},[b.value.map(e=>ce(e,a,t))])}function pe(){const t=!0===c.focusable&&c.focusType.includes("task");return c.modelFooter.map((e,a)=>{return vue.h("div",{class:{"q-calendar-task__footer--wrapper":!0,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===t}},{default:()=>[se(e,a),ve(e,a)]})})}function me(){return vue.h("div",{class:{"q-calendar-task__footer":!0,"q-calendar__sticky":!0===q.value}},pe())}function ye(){return vue.h("div",{class:{"q-calendar-task__container":!0}},[!0!==c.noHeader&&Fe(),ie(),me()])}function fe(){const e=v["head-tasks"],a={start:T.value,end:C.value},t=convertToUnit(parseInt(String(c.taskWidth),10)),n={width:t,minWidth:t,maxWidth:t};return vue.h("div",{class:{"q-calendar-task__head--tasks":!0,"q-calendar__sticky":!0===q.value},style:n},[e&&e({scope:a})])}function he(e,a){const t=v["title-task"],n=convertToUnit(parseInt(String(c.taskWidth),10)),r={width:n,minWidth:n,maxWidth:n},u={start:T.value,end:C.value,cellWidth:n,title:e,index:a};return vue.h("div",{class:{"q-calendar-task__title--task":!0,"q-calendar__sticky":!0===q.value},style:r},[t&&t({scope:u})])}function N(e){const a=v["head-weekday-label"],t=!0!==c.noActiveDate&&W(e),n={activeDate:t,timestamp:e,disabled:!!c.disabledWeekdays&&c.disabledWeekdays.includes(Number(e.weekday))},r={class:{"q-calendar-task__head--weekday":!0,["q-calendar__"+c.weekdayAlign]:!0,"q-calendar__ellipsis":!0}};return vue.h("div",r,a&&a({scope:n})||ge(e,c.shortWeekdayLabel))}function ge(e,a){const t=U.value(e,a||c.weekdayBreakpoints[0]>0&&I.value<=c.weekdayBreakpoints[0]);return vue.h("span",{class:"q-calendar__ellipsis"},c.weekdayBreakpoints[1]>0&&I.value<=c.weekdayBreakpoints[1]?minCharWidth(t,Number(c.minWeekdayLabel)):t)}function A(e){const a={class:{"q-calendar-task__head--date":!0,["q-calendar__"+c.dateAlign]:!0}};return vue.h("div",a,_e(e))}function _e(t){const e=!0!==c.noActiveDate&&W(t),a=B.value(t,!1),n=v["head-day-label"],r=v["head-day-button"],u={dayLabel:a,timestamp:t,activeDate:e},o=t.date,d={key:o,tabindex:!0===Z.value?0:-1,class:{"q-calendar-task__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===c.dateType,"q-calendar__button--rounded":"rounded"===c.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===Z.value},disabled:t.disabled,onKeydown:e=>{!0!==t.disabled&&S(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==t.disabled&&S(e,[13,32])&&(p.value=t.date,void 0!==s.value.onClickDate)&&i("click-date",{scope:u})},...F("-date",(e,a)=>{return"click-date"!==a&&"contextmenu-date"!==a||(p.value=t.date,"click-date"===a&&e.preventDefault()),{scope:u,event:e}})};return!0!==c.noAria&&(d.ariaLabel=K.value(t,!1)),r?r({scope:u}):renderButton(c,d,n?n({scope:u}):a)}function ke(e){return"stacked"===c.dateHeader?[!0!==c.noDefaultHeaderText&&N(e),!0!==c.noDefaultHeaderBtn&&A(e)].filter(e=>!1!==e):"inline"===c.dateHeader?("left"===c.weekdayAlign&&"right"===c.dateAlign||"right"===c.weekdayAlign&&c.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==c.noDefaultHeaderText&&N(e),!0!==c.noDefaultHeaderBtn&&A(e)])):"inverted"===c.dateHeader?("left"===c.weekdayAlign&&"right"===c.dateAlign||"right"===c.weekdayAlign&&c.dateAlign,vue.h("div",{class:"q-calendar__header--inline"},[!0!==c.noDefaultHeaderBtn&&A(e),!0!==c.noDefaultHeaderText&&N(e)])):void 0}function we(e,a,t){const n=v["title-day"],r=convertToUnit(I.value),u={width:r,minWidth:r,maxWidth:r},o={timestamp:e,title:a,index:t,cellWidth:I.value},d="function"===typeof c.dayClass?c.dayClass({scope:o}):{},l=!0===c.focusable&&c.focusType.includes("day");return vue.h("div",{class:{"q-calendar-task__title--day":!0,...d,...w(e),"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===l},style:u},[n&&n({scope:o}),useFocusHelper()])}function De(a){const e=v["head-day"],t=v["head-date"],n=!0!==c.noActiveDate&&W(a),r={timestamp:a,activeDate:n,droppable:f.value=a.date,disabled:!!c.disabledWeekdays&&c.disabledWeekdays.includes(Number(a.weekday))},u=c.weekdayStyle||k,o="function"===typeof c.weekdayClass?c.weekdayClass({scope:r}):{},d=convertToUnit(I.value),l={width:d,minWidth:d,maxWidth:d,...u({scope:r})},i=a.date,s={key:i,ref:e=>{y.value[i]=e},tabindex:!0===M.value?0:-1,class:{"q-calendar-task__head--day":!0,...o,...w(a),"q-active-date":n,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===M.value},style:l,onFocus:()=>{!0===M.value&&(m.value=i)},onKeydown:e=>{!0!==a.disabled&&S(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==a.disabled&&S(e,[13,32])&&(p.value=a.date)},...F("-head-day",e=>{return{scope:r,event:e}}),onDragenter:e=>{void 0!==c.dragEnterFunc&&"function"===typeof c.dragEnterFunc&&(!0===c.dragEnterFunc(e,"head-day",{scope:r})?f.value=a.date:f.value="")},onDragover:e=>{void 0!==c.dragOverFunc&&"function"===typeof c.dragOverFunc&&(!0===c.dragOverFunc(e,"head-day",{scope:r})?f.value=a.date:f.value="")},onDragleave:e=>{void 0!==c.dragLeaveFunc&&"function"===typeof c.dragLeaveFunc&&(!0===c.dragLeaveFunc(e,"head-day",{scope:r})?f.value=a.date:f.value="")},onDrop:e=>{void 0!==c.dropFunc&&"function"===typeof c.dropFunc&&(!0===c.dropFunc(e,"head-day",{scope:r})?f.value=a.date:f.value="")}};return vue.h("div",s,[void 0!==e&&e({scope:r}),void 0===e&&ke(a),void 0===e&&t&&t({scope:r}),useFocusHelper()])}function be(){return b.value.map(e=>De(e))}function Te(a,t){return b.value.map(e=>we(e,a,t))}function Ce(){return vue.h("div",{class:{"q-calendar-task__head--days":!0}},[...be()])}function xe(e,a){return vue.h("div",{class:{"q-calendar-task__title--days":!0}},[...Te(e,a)])}function Fe(){return vue.h("div",{roll:"presentation",class:{"q-calendar-task__head":!0,"q-calendar__sticky":!0===q.value},style:{}},[vue.h("div",{style:{position:"relative",display:"flex"}},[fe(),Ce()]),c.modelTitle.map((e,a)=>vue.h("div",{class:"q-calendar-task__title",style:{position:"relative",display:"flex"}},[he(e,a),xe(e,a)]))])}function Se(){return vue.h("div",{class:"q-calendar-task__body"},[qe()])}function qe(){return vue.h("div",{ref:e,class:{"q-calendar-task__scroll-area":!0,"q-calendar__scroll":!0}},[ye()])}function Ie(){const{start:e,end:a}=z.value,t=(o.value=e.date,d.value=a.date,l.width>0),n=vue.withDirectives(vue.h("div",{key:o.value,class:"q-calendar-task"},[!0===t&&Se()]),[[ResizeObserverDirective,te]]);if(!0!==c.animated)return n;{const r="q-calendar--"+("prev"===u.value?c.transitionPrev:c.transitionNext);return vue.h(vue.Transition,{name:r,appear:!0},()=>n)}}return vue.watch([b],$,{deep:!0,immediate:!0}),vue.watch(()=>c.modelValue,(e,a)=>{if(p.value!==e){if(!0===c.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));u.value=t>=n?"next":"prev"}p.value=e}m.value=e}),vue.watch(p,(e,a)=>{if(p.value!==c.modelValue){if(!0===c.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));u.value=t>=n?"next":"prev"}i("update:model-value",e)}}),vue.watch(m,e=>{e&&(t.value=parseTimestamp(e))}),vue.watch(t,()=>{y.value[m.value]?y.value[m.value].focus():X()}),vue.onBeforeUpdate(()=>{y.value={}}),vue.onMounted(()=>{}),O({prev:ae,next:ee,move:x,moveToToday:J,updateCurrent:_}),()=>Q()}}),QCalendar=vue.defineComponent({name:"QCalendar",props:{mode:{type:String,validator:e=>["day","month","agenda","resource","scheduler","task"].includes(e),default:"day"},...useCommonProps,...useMonthProps,...useTimesProps,...useCellWidthProps,...useNavigationProps,...useIntervalProps,...useSchedulerProps,...useResourceProps,...useMaxDaysProps,...useTaskProps},setup(e,{attrs:a,slots:t,expose:n}){const r=vue.ref(),u=vue.computed(()=>{switch(e.mode){case"agenda":return QCalendarAgenda;case"resource":return QCalendarResource;case"scheduler":return QCalendarScheduler;case"month":return QCalendarMonth;case"day":return QCalendarDay;case"task":return QCalendarTask;default:return QCalendarDay}});function o(){r.value&&r.value.moveToToday()}function d(e=-1){r.value&&r.value.move(e)}function l(e=1){r.value&&r.value.next(e)}function i(e=1){r.value&&r.value.prev(e)}function s(){r.value&&r.value.updateCurrent()}function c(e,a=!0){if(r.value)return r.value.timeStartPos(e,a)}function v(e,a=!0){if(r.value)return r.value.timeStartPosX(e,a)}function p(e){if(r.value)return r.value.timeDurationWidth(e)}function m(e){if(r.value)return r.value.timeDurationHeight(e)}function y(e){if(r.value)return r.value.heightToMinutes(e)}function f(e){if(r.value)return r.value.widthToMinutes(e)}function h(e,a=0){r.value&&r.value.scrollToTime(e,a)}function g(e,a=0){r.value&&r.value.scrollToTimeX(e,a)}return n({prev:i,next:l,move:d,moveToToday:o,updateCurrent:s,timeStartPos:c,timeStartPosX:v,timeDurationWidth:p,timeDurationHeight:m,heightToMinutes:y,widthToMinutes:f,scrollToTime:h,scrollToTimeX:g}),()=>vue.h(u.value,{ref:r,...e,...a},t)}});const version="4.1.2";exports.DAYS_IN_MONTH=DAYS_IN_MONTH,exports.DAYS_IN_MONTH_LEAP=DAYS_IN_MONTH_LEAP,exports.DAYS_IN_MONTH_MAX=DAYS_IN_MONTH_MAX,exports.DAYS_IN_MONTH_MIN=DAYS_IN_MONTH_MIN,exports.DAY_MIN=DAY_MIN,exports.FIRST_HOUR=FIRST_HOUR,exports.MONTH_MAX=MONTH_MAX,exports.MONTH_MIN=MONTH_MIN,exports.PARSE_DATE=PARSE_DATE,exports.PARSE_DATETIME=PARSE_DATETIME,exports.PARSE_TIME=PARSE_TIME,exports.QCalendar=QCalendar,exports.QCalendarAgenda=QCalendarAgenda,exports.QCalendarDay=QCalendarDay,exports.QCalendarMonth=QCalendarMonth,exports.QCalendarResource=QCalendarResource,exports.QCalendarScheduler=QCalendarScheduler,exports.QCalendarTask=QCalendarTask,exports.TIME_CONSTANTS=TIME_CONSTANTS,exports.addToDate=addToDate,exports.compareDate=compareDate,exports.compareDateTime=compareDateTime,exports.compareTime=compareTime,exports.compareTimestamps=compareTimestamps,exports.convertToUnit=convertToUnit,exports.copyTimestamp=copyTimestamp,exports.createDayList=createDayList,exports.createIntervalList=createIntervalList,exports.createNativeLocaleFormatter=createNativeLocaleFormatter,exports.daysBetween=daysBetween,exports.daysInMonth=daysInMonth,exports.diffTimestamp=diffTimestamp,exports.findWeekday=findWeekday,exports.getDate=getDate,exports.getDateTime=getDateTime,exports.getDayIdentifier=getDayIdentifier,exports.getDayOfYear=getDayOfYear,exports.getDayTimeIdentifier=getDayTimeIdentifier,exports.getEndOfMonth=getEndOfMonth,exports.getEndOfWeek=getEndOfWeek,exports.getMonthFormatter=getMonthFormatter,exports.getMonthNames=getMonthNames,exports.getStartOfMonth=getStartOfMonth,exports.getStartOfWeek=getStartOfWeek,exports.getTime=getTime,exports.getTimeIdentifier=getTimeIdentifier,exports.getWeekday=getWeekday,exports.getWeekdayFormatter=getWeekdayFormatter,exports.getWeekdayNames=getWeekdayNames,exports.getWorkWeek=getWorkWeek,exports.indexOf=indexOf,exports.isBetweenDates=isBetweenDates,exports.isLeapYear=isLeapYear,exports.isOverlappingDates=isOverlappingDates,exports.isToday=isToday,exports.makeDate=makeDate,exports.makeDateTime=makeDateTime,exports.maxTimestamp=maxTimestamp,exports.minCharWidth=minCharWidth,exports.minTimestamp=minTimestamp,exports.moveRelativeDays=moveRelativeDays,exports.nextDay=nextDay,exports.padNumber=padNumber,exports.parseDate=parseDate,exports.parseTime=parseTime,exports.parseTimestamp=parseTimestamp,exports.parsed=parsed,exports.prevDay=prevDay,exports.relativeDays=relativeDays,exports.today=today,exports.updateDayOfYear=updateDayOfYear,exports.updateDisabled=updateDisabled,exports.updateFormatted=updateFormatted,exports.updateMinutes=updateMinutes,exports.updateRelative=updateRelative,exports.updateWeekday=updateWeekday,exports.updateWorkWeek=updateWorkWeek,exports.validateNumber=validateNumber,exports.validateTimestamp=validateTimestamp,exports.version=version,exports.weeksBetween=weeksBetween;