/*!
 * @quasar/quasar-ui-qcalendar v4.1.2
 * (c) 2025 Jeff Galbraith <jeff@quasar.dev>
 * Released under the MIT License.
 */
import{reactive,ref,computed,withDirectives,h,watch,getCurrentInstance,onBeforeUnmount,defineComponent,onBeforeUpdate,onMounted,Transition,nextTick}from"vue";const PARSE_DATETIME=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?([^\d]+(\d{1,2}))?(:(\d{1,2}))?(:(\d{1,2}))?(.(\d{1,3}))?$/,PARSE_DATE=/^(\d{4})-(\d{1,2})(-(\d{1,2}))?/,PARSE_TIME=/(\d\d?)(:(\d\d?)|)(:(\d\d?)|)/,DAYS_IN_MONTH=[0,31,28,31,30,31,30,31,31,30,31,30,31],DAYS_IN_MONTH_LEAP=[0,31,29,31,30,31,30,31,31,30,31,30,31],TIME_CONSTANTS={MILLISECONDS_IN:{SECOND:1e3,MINUTE:6e4,HOUR:36e5,DAY:864e5,WEEK:6048e5},SECONDS_IN:{MINUTE:60,HOUR:3600,DAY:86400,WEEK:604800},MINUTES_IN:{MINUTE:1,HOUR:60,DAY:1440,WEEK:10080},HOURS_IN:{DAY:24,WEEK:168},DAYS_IN:{WEEK:7}},DAYS_IN_MONTH_MIN=28,DAYS_IN_MONTH_MAX=31,MONTH_MAX=12,MONTH_MIN=1,DAY_MIN=1,FIRST_HOUR=0;function validateTimestamp(e){return"string"===typeof e&&PARSE_DATETIME.test(e)}function parsed(e){if("string"!==typeof e)return null;const a=PARSE_DATETIME.exec(e);if(!a||!a[1]||!a[2])return null;const t=parseInt(a[1],10),n=parseInt(a[2],10),r=parseInt(a[4]||"1",10),d=parseInt(a[6]||"0",10),o=parseInt(a[8]||"0",10);return{date:e,time:d.toString().padStart(2,"0")+":"+o.toString().padStart(2,"0"),year:t,month:n,day:r,hour:d,minute:o,hasDay:!!a[4],hasTime:!0,past:!1,current:!1,future:!1,disabled:!1,weekday:0,doy:0,workweek:0}}function parseDate(e,a=!1){if(!(e instanceof Date))return null;const t=a?"UTC":"";return updateFormatted({date:padNumber(e[`get${t}FullYear`](),4)+"-"+padNumber(e[`get${t}Month`]()+1,2)+"-"+padNumber(e[`get${t}Date`](),2),time:padNumber(e[`get${t}Hours`]()||0,2)+":"+padNumber(e[`get${t}Minutes`]()||0,2),year:e[`get${t}FullYear`](),month:e[`get${t}Month`]()+1,day:e[`get${t}Date`](),hour:e[`get${t}Hours`](),minute:e[`get${t}Minutes`](),weekday:0,doy:0,workweek:0,hasDay:!0,hasTime:!0,past:!1,current:!1,future:!1,disabled:!1})}function padNumber(e,a){let t=String(e);while(t.length<a)t="0"+t;return t}function isLeapYear(e){return e%4===0&&e%100!==0||e%400===0}function daysInMonth(e,a){return(isLeapYear(e)?DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH)[a]}function nextDay(e){const a=new Date(e.year,e.month-1,e.day+1);return updateFormatted(normalizeTimestamp({...e,year:a.getFullYear(),month:a.getMonth()+1,day:a.getDate()}))}function prevDay(e){const a=new Date(e.year,e.month-1,e.day-1);return updateFormatted(normalizeTimestamp({...e,year:a.getFullYear(),month:a.getMonth()+1,day:a.getDate()}))}function today(){const e=new Date,a=e.getMonth()+1,t=e.getDate(),n=e.getFullYear();return[n,padNumber(a,2),padNumber(t,2)].join("-")}function isToday(e){return e===today()}function getStartOfWeek(e,a,t){let n=copyTimestamp(e);if(a){if(1===n.day||0===n.weekday)while(!a.includes(Number(n.weekday)))n=nextDay(n);n=findWeekday(n,a[0],prevDay),n=updateFormatted(n),t&&(n=updateRelative(n,t,n.hasTime))}return n}function getEndOfWeek(e,a,t){let n=copyTimestamp(e);if(a&&Array.isArray(a)){const r=daysInMonth(n.year,n.month);if(r===n.day||n.weekday===a[a.length-1])while(!a.includes(Number(n.weekday)))n=prevDay(n);n=findWeekday(n,a[a.length-1],nextDay),n=updateFormatted(n),t&&(n=updateRelative(n,t,n.hasTime))}return n}function getStartOfMonth(e){let a=copyTimestamp(e);return a.day=DAY_MIN,a=updateFormatted(a),a}function getEndOfMonth(e){let a=copyTimestamp(e);return a.day=daysInMonth(a.year,a.month),a=updateFormatted(a),a}function parseTime(e){const a=Object.prototype.toString.call(e);switch(a){case"[object Number]":return e;case"[object String]":{const t=PARSE_TIME.exec(e);return t?60*parseInt(t[1],10)+parseInt(t[3]||"0",10):!1}case"[object Object]":return"object"!==typeof e||"number"!==typeof e.hour||"number"!==typeof e.minute?!1:"object"===typeof e&&"hour"in e&&"minute"in e&&60*e.hour+e.minute}return!1}function compareTimestamps(e,a){return!(!e||!a)&&e.year===a.year&&e.month===a.month&&e.day===a.day&&e.hour===a.hour&&e.minute===a.minute}function compareDate(e,a){return getDate(e)===getDate(a)}function compareTime(e,a){return getTime(e)===getTime(a)}function compareDateTime(e,a){return getDateTime(e)===getDateTime(a)}function parseTimestamp(e,a=null){let t=parsed(e);return t?(t=updateFormatted(t),a&&(t=updateRelative(t,a,t.hasTime)),t):null}function getDayIdentifier(e){return 1e8*(e.year??0)+1e6*(e.month??0)+1e4*(e.day??0)}function getTimeIdentifier(e){return 100*(e.hour??0)+(e.minute??0)}function getDayTimeIdentifier(e){return getDayIdentifier(e)+getTimeIdentifier(e)}function diffTimestamp(e,a,t=!1){const n=Date.UTC(e.year??0,(e.month??1)-1,e.day??1,e.hour??0,e.minute??0),r=Date.UTC(a.year??0,(a.month??1)-1,a.day??1,a.hour??0,a.minute??0);return!0===t&&r<n?0:r-n}function updateRelative(e,a,t=!1){let n=copyTimestamp(e),r=getDayIdentifier(a),d=getDayIdentifier(n),o=r===d;return n.hasTime&&t&&o&&(r=getTimeIdentifier(a),d=getTimeIdentifier(n),o=r===d),n.past=d<r,n.current=o,n.future=d>r,n.currentWeekday=n.weekday===a.weekday,n}function updateMinutes(e,a,t=null){let n=copyTimestamp(e);return n.hasTime=!0,n.hour=Math.floor(a/TIME_CONSTANTS.MINUTES_IN.HOUR),n.minute=a%TIME_CONSTANTS.MINUTES_IN.HOUR,n.time=getTime(n),t&&(n=updateRelative(n,t,!0)),n}function updateWeekday(e){let a=copyTimestamp(e);return a.weekday=getWeekday(a),a}function updateDayOfYear(e){let a=copyTimestamp(e);return a.doy=getDayOfYear(a)||0,a}function updateWorkWeek(e){let a=copyTimestamp(e);return a.workweek=getWorkWeek(a),a}function updateDisabled(e,a,t,n,r){let d=copyTimestamp(e);const o=getDayIdentifier(d);if(void 0!==a){const s=parsed(a);if(s){const c=getDayIdentifier(s);o<=c&&(d.disabled=!0)}}if(!0!==d.disabled&&void 0!==t){const v=parsed(t);if(v){const p=getDayIdentifier(v);o>=p&&(d.disabled=!0)}}if(!0!==d.disabled&&Array.isArray(n)&&n.length>0)for(var u in n)if(n[u]===d.weekday){d.disabled=!0;break}if(!0!==d.disabled&&Array.isArray(r)&&r.length>0)for(var i in r)if(Array.isArray(r[i])&&2===r[i].length&&r[i][0]&&r[i][1]){const m=parsed(r[i][0]),y=parsed(r[i][1]);if(m&&y&&isBetweenDates(d,m,y)){d.disabled=!0;break}}else{const f=r[i];if(Array.isArray(f))for(var l of f){const h=parseTimestamp(l);if(h){const g=getDayIdentifier(h);if(g===o){d.disabled=!0;break}}}else if(f){const _=parseTimestamp(f);if(_){const k=getDayIdentifier(_);k===o&&(d.disabled=!0)}}}return d}function updateFormatted(e){let a=copyTimestamp(e);return a.hasTime=!0,a.time=getTime(a),a.date=getDate(a),a.weekday=getWeekday(a),a.doy=getDayOfYear(a)||0,a.workweek=getWorkWeek(a),a}function getDayOfYear(e){if(0!==e.year)return(Date.UTC(e.year,e.month-1,e.day)-Date.UTC(e.year,0,0))/24/60/60/1e3}function getWorkWeek(e){let a=copyTimestamp(e);if(0===a.year){const r=parseTimestamp(today());r&&(a=r)}const t=new Date(Date.UTC(a.year,a.month-1,a.day)),n=4;t.setUTCDate(t.getUTCDate()-(t.getUTCDay()+6)%7+n),t.setUTCDate(t.getUTCDate()+n-(t.getUTCDay()||7));e=new Date(Date.UTC(t.getUTCFullYear(),0,1)),e=Math.ceil(((t.valueOf()-e.valueOf())/864e5+1)/7);return e}function getWeekday(e){let a=e.weekday;if(e.hasDay){const t=Math.floor,n=e.day,r=(e.month+9)%MONTH_MAX+1,d=t(e.year/100),o=e.year%100-(e.month<=2?1:0);a=((n+t(2.6*r-.2)-2*d+o+t(o/4)+t(d/4))%7+7)%7}return a??0}function copyTimestamp(e){return{...e}}function getDate(e){let a=padNumber(e.year,4)+"-"+padNumber(e.month,2);return e.hasDay&&(a+="-"+padNumber(e.day,2)),a}function getTime(e){return e.hasTime?padNumber(e.hour,2)+":"+padNumber(e.minute,2):""}function getDateTime(e){return getDate(e)+" "+(e.hasTime?getTime(e):"00:00")}function moveRelativeDays(e,a=nextDay,t=1,n=[0,1,2,3,4,5,6]){const r=copyTimestamp(e);return relativeDays(r,a,t,n)}function relativeDays(e,a=nextDay,t=1,n=[0,1,2,3,4,5,6]){let r=copyTimestamp(e);n.includes(Number(r.weekday))||0!==r.weekday||a!==nextDay||++t;while(--t>=0)r=a(r),n.length<7&&!n.includes(Number(r.weekday))&&++t;return r}function findWeekday(e,a,t=nextDay,n=6){let r=copyTimestamp(e);while(r.weekday!==a&&--n>=0)r=t(r);return r}function createDayList(e,a,t,n=[0,1,2,3,4,5,6],r=void 0,d=void 0,o=[],u=[],i=42,l=0){const s=getDayIdentifier(e),c=getDayIdentifier(a),v=[];let p=copyTimestamp(e),m=0,y=m===c;if(!(c<s))while((!y||v.length<l)&&v.length<i){if(m=getDayIdentifier(p),y=y||m>c&&v.length>=l,y)break;if(n.includes(Number(p.weekday))){let e=copyTimestamp(p);e=updateFormatted(e),e=updateRelative(e,t),e=updateDisabled(e,r,d,o,u),v.push(e)}p=relativeDays(p,nextDay)}return v}function createIntervalList(a,t,n,r,d){const o=[];for(let e=0;e<r;++e){const u=(t+e)*n,i=copyTimestamp(a);o.push(updateMinutes(i,u,d))}return o}function createNativeLocaleFormatter(n,r){const e=()=>"";return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:(a,e)=>{try{const t=new Intl.DateTimeFormat(n||void 0,r(a,e));return t.format(makeDateTime(a))}catch(e){return console.error(`Intl.DateTimeFormat: ${e.message} -> `+getDateTime(a)),""}}}function makeDate(e,a=!0){return a?new Date(Date.UTC(e.year,e.month-1,e.day,0,0)):new Date(e.year,e.month-1,e.day,0,0)}function makeDateTime(e,a=!0){return a?new Date(Date.UTC(e.year,e.month-1,e.day,e.hour,e.minute)):new Date(e.year,e.month-1,e.day,e.hour,e.minute)}function validateNumber(e){return isFinite(Number(e))}function maxTimestamp(e,a=!1){const t=!0===a?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,a)=>{return Math.max(t(e),t(a))===t(e)?e:a})}function minTimestamp(e,a=!1){const t=!0===a?getDayTimeIdentifier:getDayIdentifier;return e.reduce((e,a)=>{return Math.min(t(e),t(a))===t(e)?e:a})}function isBetweenDates(e,a,t,n=!1){const r=getDayIdentifier(e)+(!0===n?getTimeIdentifier(e):0),d=getDayIdentifier(a)+(!0===n?getTimeIdentifier(a):0),o=getDayIdentifier(t)+(!0===n?getTimeIdentifier(t):0);return r>=d&&r<=o}function isOverlappingDates(e,a,t,n){const r=getDayIdentifier(e),d=getDayIdentifier(a),o=getDayIdentifier(t),u=getDayIdentifier(n);return r>=o&&r<=u||d>=o&&d<=u||o>=r&&d>=u}function addToDate(e,a){const t=copyTimestamp(e);return a.year&&(t.year+=a.year),a.month&&(t.month+=a.month),a.day&&(t.day+=a.day),a.hour&&(t.hour+=a.hour),a.minute&&(t.minute+=a.minute),updateFormatted(normalizeTimestamp(t))}function normalizeTimestamp(e){const a=new Date(e.year,e.month-1,e.day,e.hour,e.minute);return{...e,year:a.getFullYear(),month:a.getMonth()+1,day:a.getDate(),hour:a.getHours(),minute:a.getMinutes()}}function daysBetween(e,a){const t=diffTimestamp(e,a,!0);return Math.floor(t/TIME_CONSTANTS.MILLISECONDS_IN.DAY)}function weeksBetween(e,a){let t=copyTimestamp(e),n=copyTimestamp(a);return t=findWeekday(t,0),n=findWeekday(n,6),Math.ceil(daysBetween(t,n)/TIME_CONSTANTS.DAYS_IN.WEEK)}const weekdayDateMap={Sun:new Date("2020-01-05T00:00:00.000Z"),Mon:new Date("2020-01-06T00:00:00.000Z"),Tue:new Date("2020-01-07T00:00:00.000Z"),Wed:new Date("2020-01-08T00:00:00.000Z"),Thu:new Date("2020-01-09T00:00:00.000Z"),Fri:new Date("2020-01-10T00:00:00.000Z"),Sat:new Date("2020-01-11T00:00:00.000Z")};function getWeekdayFormatter(){const e=()=>"",r={long:{timeZone:"UTC",weekday:"long"},short:{timeZone:"UTC",weekday:"short"},narrow:{timeZone:"UTC",weekday:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:a;function a(a,e,t){try{const n=new Intl.DateTimeFormat(t||void 0,r[e]||r["long"]);return n.format(weekdayDateMap[a])}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> day of week: `+a),""}}}function getWeekdayNames(a,t){const e=Object.keys(weekdayDateMap),n=getWeekdayFormatter();return e.map(e=>String(n(e,a,t)))}function getMonthFormatter(){const e=()=>"",d={long:{timeZone:"UTC",month:"long"},short:{timeZone:"UTC",month:"short"},narrow:{timeZone:"UTC",month:"narrow"}};return"undefined"===typeof Intl||"undefined"===typeof Intl.DateTimeFormat?e:a;function a(a,e,t){try{const n=new Intl.DateTimeFormat(t||void 0,d[e]||d["long"]),r=new Date;return r.setDate(1),r.setMonth(a),n.format(r)}catch(e){return e instanceof Error&&console.error(`Intl.DateTimeFormat: ${e.message} -> month: `+a),""}}}function getMonthNames(a,t){const n=getMonthFormatter();return[...Array(12).keys()].map(e=>n(e,a,t))}var Timestamp={PARSE_DATETIME:PARSE_DATETIME,PARSE_DATE:PARSE_DATE,PARSE_TIME:PARSE_TIME,DAYS_IN_MONTH:DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MIN:DAYS_IN_MONTH_MIN,DAYS_IN_MONTH_MAX:DAYS_IN_MONTH_MAX,MONTH_MAX:MONTH_MAX,MONTH_MIN:MONTH_MIN,DAY_MIN:DAY_MIN,TIME_CONSTANTS:TIME_CONSTANTS,FIRST_HOUR:FIRST_HOUR,today:today,getStartOfWeek:getStartOfWeek,getEndOfWeek:getEndOfWeek,getStartOfMonth:getStartOfMonth,getEndOfMonth:getEndOfMonth,parseTime:parseTime,validateTimestamp:validateTimestamp,parsed:parsed,parseTimestamp:parseTimestamp,parseDate:parseDate,getDayIdentifier:getDayIdentifier,getTimeIdentifier:getTimeIdentifier,getDayTimeIdentifier:getDayTimeIdentifier,diffTimestamp:diffTimestamp,updateRelative:updateRelative,updateMinutes:updateMinutes,updateWeekday:updateWeekday,updateDayOfYear:updateDayOfYear,updateWorkWeek:updateWorkWeek,updateDisabled:updateDisabled,updateFormatted:updateFormatted,getDayOfYear:getDayOfYear,getWorkWeek:getWorkWeek,getWeekday:getWeekday,isLeapYear:isLeapYear,daysInMonth:daysInMonth,copyTimestamp:copyTimestamp,padNumber:padNumber,getDate:getDate,getTime:getTime,getDateTime:getDateTime,nextDay:nextDay,prevDay:prevDay,relativeDays:relativeDays,findWeekday:findWeekday,createDayList:createDayList,createIntervalList:createIntervalList,createNativeLocaleFormatter:createNativeLocaleFormatter,makeDate:makeDate,makeDateTime:makeDateTime,validateNumber:validateNumber,isBetweenDates:isBetweenDates,isOverlappingDates:isOverlappingDates,daysBetween:daysBetween,weeksBetween:weeksBetween,addToDate:addToDate,compareTimestamps:compareTimestamps,compareDate:compareDate,compareTime:compareTime,compareDateTime:compareDateTime,getWeekdayFormatter:getWeekdayFormatter,getWeekdayNames:getWeekdayNames,getMonthFormatter:getMonthFormatter,getMonthNames:getMonthNames},Timestamp$1=Object.freeze({__proto__:null,DAYS_IN_MONTH:DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP:DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MAX:DAYS_IN_MONTH_MAX,DAYS_IN_MONTH_MIN:DAYS_IN_MONTH_MIN,DAY_MIN:DAY_MIN,FIRST_HOUR:FIRST_HOUR,MONTH_MAX:MONTH_MAX,MONTH_MIN:MONTH_MIN,PARSE_DATE:PARSE_DATE,PARSE_DATETIME:PARSE_DATETIME,PARSE_TIME:PARSE_TIME,TIME_CONSTANTS:TIME_CONSTANTS,addToDate:addToDate,compareDate:compareDate,compareDateTime:compareDateTime,compareTime:compareTime,compareTimestamps:compareTimestamps,copyTimestamp:copyTimestamp,createDayList:createDayList,createIntervalList:createIntervalList,createNativeLocaleFormatter:createNativeLocaleFormatter,daysBetween:daysBetween,daysInMonth:daysInMonth,default:Timestamp,diffTimestamp:diffTimestamp,findWeekday:findWeekday,getDate:getDate,getDateTime:getDateTime,getDayIdentifier:getDayIdentifier,getDayOfYear:getDayOfYear,getDayTimeIdentifier:getDayTimeIdentifier,getEndOfMonth:getEndOfMonth,getEndOfWeek:getEndOfWeek,getMonthFormatter:getMonthFormatter,getMonthNames:getMonthNames,getStartOfMonth:getStartOfMonth,getStartOfWeek:getStartOfWeek,getTime:getTime,getTimeIdentifier:getTimeIdentifier,getWeekday:getWeekday,getWeekdayFormatter:getWeekdayFormatter,getWeekdayNames:getWeekdayNames,getWorkWeek:getWorkWeek,isBetweenDates:isBetweenDates,isLeapYear:isLeapYear,isOverlappingDates:isOverlappingDates,isToday:isToday,makeDate:makeDate,makeDateTime:makeDateTime,maxTimestamp:maxTimestamp,minTimestamp:minTimestamp,moveRelativeDays:moveRelativeDays,nextDay:nextDay,padNumber:padNumber,parseDate:parseDate,parseTime:parseTime,parseTimestamp:parseTimestamp,parsed:parsed,prevDay:prevDay,relativeDays:relativeDays,today:today,updateDayOfYear:updateDayOfYear,updateDisabled:updateDisabled,updateFormatted:updateFormatted,updateMinutes:updateMinutes,updateRelative:updateRelative,updateWeekday:updateWeekday,updateWorkWeek:updateWorkWeek,validateNumber:validateNumber,validateTimestamp:validateTimestamp,weeksBetween:weeksBetween});function convertToUnit(e,a="px"){if(e)return isNaN(e)?String(e):"auto"===e?e:""+Number(e)+a}function indexOf(a,t){for(let e=0;e<a.length;e++)if(!0===t(a[e],e))return e;return-1}function minCharWidth(e,a){return 0===a?e:e.slice(0,a)}var helpers={convertToUnit:convertToUnit,indexOf:indexOf,minCharWidth:minCharWidth},helpers$1=Object.freeze({__proto__:null,convertToUnit:convertToUnit,default:helpers,indexOf:indexOf,minCharWidth:minCharWidth});const ResizeObserverDirective={mounted(e,a){if("function"===typeof a.value){const t=a.value,n={callback:t,size:{width:0,height:0},observer:new ResizeObserver(e=>{const a=e[0].contentRect;a.width===n.size.width&&a.height===n.size.height||(n.size.width=a.width,n.size.height=a.height,n.debounceTimeout&&clearTimeout(n.debounceTimeout),n.debounceTimeout=setTimeout(()=>{n.callback(n.size),n.debounceTimeout=void 0},100))})};n.observer.observe(e),e.__onResizeObserver=n}},beforeUnmount(e){if(e.__onResizeObserver){const{observer:a,debounceTimeout:t}=e.__onResizeObserver;t&&clearTimeout(t),a.unobserve(e),delete e.__onResizeObserver}}};function useCalendar(a,t,{scrollArea:e,pane:n}){if(!t){const s="[error: renderCalendar] no renderFunc has been supplied to useCalendar";throw console.error(s),new Error(s)}const r=reactive({width:0,height:0}),d=ref(null);function o({width:e,height:a}){r.width=e,r.height=a}const u=computed(()=>{return!0!==a.noScroll&&e.value&&n.value&&r.height?e.value.offsetWidth-n.value.offsetWidth:0});function i(){}function l(){const e={ref:d,role:"complementary",lang:a.locale,class:`q-calendar ${a.dark?"q-calendar--dark":""} `+(a.bordered?"q-calendar__bordered":"")};return withDirectives(h("div",{...e},[t()]),[[ResizeObserverDirective,o]])}return{rootRef:d,scrollWidth:u,__initCalendar:i,__renderCalendar:l}}const isValidFocusType=e=>e.every(e=>["day","date","weekday","interval","time","resource","task"].includes(e)),useCommonProps={modelValue:{type:String,default:today(),validator:e=>""===e||validateTimestamp(e)},weekdays:{type:Array,default:()=>[0,1,2,3,4,5,6]},dateType:{type:String,default:"round",validator:e=>["round","rounded","square"].includes(e)},weekdayAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},dateAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},bordered:Boolean,dark:Boolean,noAria:Boolean,noActiveDate:Boolean,noHeader:Boolean,noScroll:Boolean,shortWeekdayLabel:Boolean,noDefaultHeaderText:Boolean,noDefaultHeaderBtn:Boolean,minWeekdayLabel:{type:[Number,String],default:1},weekdayBreakpoints:{type:Array,default:()=>[75,35],validator:e=>2===e.length},locale:{type:String,default:"en-US"},animated:Boolean,transitionPrev:{type:String,default:"slide-right"},transitionNext:{type:String,default:"slide-left"},disabledDays:Array,disabledBefore:String,disabledAfter:String,disabledWeekdays:{type:Array,default:()=>[]},dragEnterFunc:Function,dragOverFunc:Function,dragLeaveFunc:Function,dropFunc:Function,selectedDates:{type:[Array,Set],default:()=>[]},selectedStartEndDates:{type:Array,default:()=>[]},hoverable:Boolean,focusable:Boolean,focusType:{type:Array,default:()=>["date"],validator:isValidFocusType}};function useCommon(a,{startDate:e,endDate:t,times:n}){const r=computed(()=>parseTimestamp(e.value)),d=computed(()=>{return"0000-00-00"===t.value?getEndOfWeek(r.value,a.weekdays,n.today):parseTimestamp(t.value)||r.value}),o=computed(()=>createNativeLocaleFormatter(a.locale,()=>({timeZone:"UTC",day:"numeric"}))),u=computed(()=>createNativeLocaleFormatter(a.locale,(e,a)=>({timeZone:"UTC",weekday:a?"short":"long"}))),i=computed(()=>createNativeLocaleFormatter(a.locale,()=>({timeZone:"UTC",dateStyle:"full"})));function l(e,a){return e&&e.length>0&&e.includes(a.date)}function s(e,a){const t={firstDay:!1,betweenDays:!1,lastDay:!1};if(2===e.length){const n=getDayIdentifier(a),r=getDayIdentifier(parsed(e[0])),d=getDayIdentifier(parsed(e[1]));t.firstDay=r===n,t.lastDay=d===n,t.betweenDays=r<n&&d>n}return t}function c(e,a=!1,t=[],n=[],r=!1){const d=l(t,e),{firstDay:o,lastDay:u,betweenDays:i}=s(n,e);return{"q-past-day":!o&&!i&&!u&&!d&&!a&&!!e.past,"q-future-day":!o&&!i&&!u&&!d&&!a&&!!e.future,"q-outside":a,"q-current-day":!!e.current,"q-selected":d,"q-range-first":o,"q-range":i,"q-range-last":u,"q-range-hover":r&&(o||u||i),"q-disabled-day disabled":!0===e.disabled}}function v(e){return getStartOfWeek(e,a.weekdays,n.today)}function p(e){return getEndOfWeek(e,a.weekdays,n.today)}function m(){return{}}return{parsedStart:r,parsedEnd:d,dayFormatter:o,weekdayFormatter:u,ariaDateFormatter:i,arrayHasDate:l,checkDays:s,getRelativeClasses:c,startOfWeek:v,endOfWeek:p,dayStyleDefault:m}}function scrollTo(e,a){e instanceof Window?e.scrollTo({top:a,behavior:"instant"}):e.scrollTop=a}function getVerticalScrollPosition(e){return e instanceof Window?e.scrollY:e.scrollTop}function animVerticalScrollTo(d,o,u=500,i=performance.now(),l=getVerticalScrollPosition(d)){u<=0||l===o?scrollTo(d,o):requestAnimationFrame(e=>{const a=e-i,t=Math.min(a/u,1),n=e=>e<.5?2*e*e:(4-2*e)*e-1,r=l+(o-l)*n(t);scrollTo(d,r),t<1&&animVerticalScrollTo(d,o,u,i,l)})}function animHorizontalScrollTo(r,e,d=500){const o=r.scrollLeft,u=e-o;let i=null;function l(e){null===i&&(i=e);const a=e-i,t=Math.min(a/d,1),n=e=>e<.5?2*e*e:(4-2*e)*e-1;r.scrollLeft=o+u*n(t),a<d&&requestAnimationFrame(l)}requestAnimationFrame(l)}const useIntervalProps={view:{type:String,validator:e=>["day","week","month","month-interval"].includes(e),default:"day"},shortIntervalLabel:Boolean,intervalHeight:{type:[Number,String],default:40,validator:validateNumber},intervalMinutes:{type:[Number,String],default:60,validator:validateNumber},intervalStart:{type:[Number,String],default:0,validator:validateNumber},intervalCount:{type:[Number,String],default:24,validator:validateNumber},intervalStyle:{type:Function,default:null},intervalClass:{type:Function,default:null},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},showIntervalLabel:{type:Function,default:null},hour24Format:Boolean,timeClicksClamped:Boolean,dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)}},useSchedulerProps={view:{type:String,validator:e=>["day","week","month","month-interval"].includes(e),default:"day"},modelResources:{type:Array},resourceKey:{type:String,default:"id"},resourceLabel:{type:String,default:"label"},resourceHeight:{type:[Number,String],default:0,validator:validateNumber},resourceMinHeight:{type:[Number,String],default:70,validator:validateNumber},resourceStyle:{type:Function,default:null},resourceClass:{type:Function,default:null},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},dayStyle:{type:Function,default:null},dayClass:{type:Function,default:null},dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)}},useAgendaProps={view:{type:String,validator:e=>["day","week","month","month-interval"].includes(e),default:"day"},leftColumnOptions:{type:Array},rightColumnOptions:{type:Array},columnOptionsId:{type:String},columnOptionsLabel:{type:String},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},dayStyle:{type:Function,default:null},dayClass:{type:Function,default:null},dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)},dayHeight:{type:[Number,String],default:0,validator:validateNumber},dayMinHeight:{type:[Number,String],default:40,validator:validateNumber}},useResourceProps={modelResources:{type:Array},resourceKey:{type:String,default:"id"},resourceLabel:{type:String,default:"label"},resourceHeight:{type:[Number,String],default:0,validator:validateNumber},resourceMinHeight:{type:[Number,String],default:70,validator:validateNumber},resourceStyle:{type:Function,default:null},resourceClass:{type:Function,default:null},cellWidth:{type:[Number,String],default:100},intervalHeaderHeight:{type:[Number,String],default:20,validator:validateNumber},noSticky:Boolean};function useInterval(d,{times:a,scrollArea:n,parsedStart:e,parsedEnd:t,maxDays:r,size:o,headerColumnRef:u}){const i=computed(()=>parseInt(String(d.intervalStart),10)),v=computed(()=>parseInt(String(d.intervalMinutes),10)),l=computed(()=>parseInt(String(d.intervalCount),10)),p=computed(()=>parseFloat(String(d.intervalHeight))),m=computed(()=>{let e=0;const a=Number(d.columnCount);return d.cellWidth?e=Number(d.cellWidth):o.width>0&&u.value&&(e=u.value.offsetWidth/(a>1?a:r.value)),e}),s=computed(()=>i.value*v.value),c=computed(()=>l.value*p.value),y=computed(()=>l.value*m.value),f=computed(()=>k(e.value)),h=computed(()=>D(t.value)),g=computed(()=>{return createDayList(e.value,t.value,a.today,d.weekdays,d.disabledBefore,d.disabledAfter,d.disabledWeekdays,d.disabledDays,r.value)}),_=computed(()=>{return g.value.map(e=>createIntervalList(e,i.value,v.value,l.value,a.now))});function k(e){return getStartOfWeek(e,d.weekdays,a.today)}function D(e){return getEndOfWeek(e,d.weekdays,a.today)}function w(e,a){return e&&e.length>0&&e.includes(getDateTime(a))}function T(e,a){const t={firstDay:!1,betweenDays:!1,lastDay:!1};if(e&&2===e.length){const n=getDayTimeIdentifier(a),r=getDayTimeIdentifier(parsed(e[0])),d=getDayTimeIdentifier(parsed(e[1]));t.firstDay=r===n,t.lastDay=d===n,t.betweenDays=r<n&&d>n}return t}function b(e,a=[],t=[]){const n=w(a,e),{firstDay:r,lastDay:d,betweenDays:o}=T(t,e);return{"q-selected":n,"q-range-first":!0===r,"q-range":!0===o,"q-range-last":!0===d,"q-disabled-interval disabled":!0===e.disabled}}function C(e,a,t){return[]}const S=computed(()=>{const t={timeZone:"UTC",hour12:!d.hour24Format,hour:"2-digit",minute:"2-digit"},n={timeZone:"UTC",hour12:!d.hour24Format,hour:"numeric",minute:"2-digit"},r={timeZone:"UTC",hour12:!d.hour24Format,hour:"numeric"};return createNativeLocaleFormatter(d.locale,(e,a)=>a?0===e.minute?r:n:t)}),F=computed(()=>{const e={timeZone:"UTC",dateStyle:"full",timeStyle:"short"};return createNativeLocaleFormatter(d.locale,()=>e)});function I(e){const a=_.value[0][0],t=a.hour===e.hour&&a.minute===e.minute;return!t&&0===e.minute}function M(e){}function q(e){return{}}function E(e,a,t=!1,n){let r=copyTimestamp(a);if(e.currentTarget){const d=e.currentTarget.getBoundingClientRect(),o=e,u=e,i=o.changedTouches||o.touches,l=(i&&i[0]?i[0]:u).clientY,s=(l-d.top)/p.value,c=Math.floor((t?Math.floor(s):s)*v.value);0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0))}return r}function O(e,a,t=!1,n){let r=copyTimestamp(a);const d=e.currentTarget.getBoundingClientRect(),o=e,u=e,i=o.changedTouches||o.touches,l=(i&&i[0]?i[0]:u).clientY,s=(l-d.top)/p.value,c=Math.floor((t?Math.floor(s):s)*v.value);return 0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0)),r}function H(e,a,t=!1,n){let r=copyTimestamp(a);if(e.currentTarget){const d=e.currentTarget.getBoundingClientRect(),o=e,u=e,i=o.changedTouches||o.touches,l=(i&&i[0]?i[0]:u).clientX,s=(l-d.left)/m.value,c=Math.floor((t?Math.floor(s):s)*v.value);0!==c&&(r=addToDate(r,{minute:c})),n&&(r=updateRelative(r,n,!0))}return r}function R(e,a){const t={timestamp:e,timeStartPos:x,timeDurationHeight:N};return void 0!==a&&(t.columnIndex=a),t}function L(e,a){const t={timestamp:copyTimestamp(e),timeStartPosX:A,timeDurationWidth:W};return void 0!==a&&(t.index=a),t}function P(e,a=0){const t=x(e);return!(!1===t||!n.value)&&(animVerticalScrollTo(n.value,t,a),!0)}function V(e,a=0){const t=A(e);return!(!1===t||!n.value)&&(animHorizontalScrollTo(n.value,t,a),!0)}function N(e){return e/v.value*p.value}function W(e){return e/v.value*m.value}function B(e){return e*v.value/p.value}function U(e){return e*v.value/m.value}function x(e,a=!0){const t=parseTime(e);if(!1===t)return!1;const n=s.value,r=l.value*v.value,d=(t-n)/r;let o=d*c.value;return a&&(o<0&&(o=0),o>c.value)&&(o=c.value),o}function A(e,a=!0){const t=parseTime(e);if(!1===t)return!1;const n=s.value,r=l.value*v.value,d=(t-n)/r;let o=d*y.value;return a&&(o<0&&(o=0),o>y.value)&&(o=y.value),o}return{parsedIntervalStart:i,parsedIntervalMinutes:v,parsedIntervalCount:l,parsedIntervalHeight:p,parsedCellWidth:m,parsedStartMinute:s,bodyHeight:c,bodyWidth:y,parsedWeekStart:f,parsedWeekEnd:h,days:g,intervals:_,intervalFormatter:S,ariaDateTimeFormatter:F,arrayHasDateTime:w,checkIntervals:T,getIntervalClasses:b,getResourceClasses:C,showIntervalLabelDefault:I,showResourceLabelDefault:M,styleDefault:q,getTimestampAtEventInterval:E,getTimestampAtEvent:O,getTimestampAtEventX:H,getScopeForSlot:R,getScopeForSlotX:L,scrollToTime:P,scrollToTimeX:V,timeDurationHeight:N,timeDurationWidth:W,heightToMinutes:B,widthToMinutes:U,timeStartPos:x,timeStartPosX:A}}const useColumnProps={columnCount:{type:[Number,String],default:0,validator:validateNumber},columnIndexStart:{type:[Number,String],default:0,validator:validateNumber}},useMaxDaysProps={maxDays:{type:Number,default:1}},useTimesProps={now:{type:String,validator:e=>""===e||validateTimestamp(e),default:""}};function useTimes(e){const a=reactive({now:parseTimestamp("0000-00-00 00:00"),today:parseTimestamp("0000-00-00")}),t=computed(()=>e.now?parseTimestamp(e.now):d());function n(){a.now&&a.today&&(a.now.current=a.today.current=!0,a.now.past=a.today.past=!1,a.now.future=a.today.future=!1)}function r(){const e=t.value||d();o(e,a.now),u(e,a.now),o(e,a.today)}function d(){return parseDate(new Date)}function o(e,a){e.date!==a.date&&(a.year=e.year,a.month=e.month,a.day=e.day,a.weekday=e.weekday,a.date=e.date)}function u(e,a){e.time!==a.time&&(a.hour=e.hour,a.minute=e.minute,a.time=e.time)}return watch(t,()=>r()),{times:a,parsedNow:t,setCurrent:n,updateCurrent:r,getNow:d,updateDay:o,updateTime:u}}function useRenderValues(r,{parsedView:d,parsedValue:o,times:u}){const e=computed(()=>{const e=o.value;let a=r.maxDays,t=e,n=e;switch(d.value){case"month":t=getStartOfMonth(e),n=getEndOfMonth(e),a=daysInMonth(t.year,t.month);break;case"week":case"week-agenda":case"week-scheduler":t=getStartOfWeek(e,r.weekdays,u.today),n=getEndOfWeek(t,r.weekdays,u.today),a=r.weekdays.length;break;case"day":case"scheduler":case"agenda":n=moveRelativeDays(copyTimestamp(n),nextDay,a>1?a-1:a,r.weekdays),n=updateFormatted(n);break;case"month-interval":case"month-scheduler":case"month-agenda":t=getStartOfMonth(e),n=getEndOfMonth(e),n=updateFormatted(n),a=daysInMonth(t.year,t.month);break;case"resource":a=1,n=moveRelativeDays(copyTimestamp(n),nextDay,a,r.weekdays),n=updateFormatted(n);break}return{start:t,end:n,maxDays:a}});return{renderValues:e}}const toCamelCase=e=>e.replace(/(-\w)/g,e=>e[1].toUpperCase());function getMouseEventHandlers(a,e,t,n){const r={};for(const d in t){const o=t[d],u=toCamelCase("on-"+d);if(!e.value)return console.warn("$listeners has not been set up"),{};if(void 0!==e.value[u]){const i="on"+o.event.charAt(0).toUpperCase()+o.event.slice(1),l=e=>{return(void 0===o.button||"buttons"in e&&e.buttons>0&&e.button===o.button)&&(o.prevent&&e.preventDefault(),o.stop&&e.stopPropagation(),a(d,n(e,d))),o.result};i in r?Array.isArray(r[i])?r[i].push(l):r[i]=[r[i],l]:r[i]=l}}return r}function getDefaultMouseEventHandlers(e,a,t,n){return getMouseEventHandlers(e,a,getMouseEventName(t),n)}function getMouseEventName(e){return{["click"+e]:{event:"click"},["contextmenu"+e]:{event:"contextmenu",prevent:!0,result:!1},["mousedown"+e]:{event:"mousedown"},["mousemove"+e]:{event:"mousemove"},["mouseup"+e]:{event:"mouseup"},["mouseenter"+e]:{event:"mouseenter"},["mouseleave"+e]:{event:"mouseleave"},["touchstart"+e]:{event:"touchstart"},["touchmove"+e]:{event:"touchmove"},["touchend"+e]:{event:"touchend"}}}function getRawMouseEvents(e){return Object.keys(getMouseEventName(e))}function useMouseEvents(t,n){return{getMouseEventHandlers:(e,a)=>getMouseEventHandlers(t,n,e,a),getDefaultMouseEventHandlers:(e,a)=>getDefaultMouseEventHandlers(t,n,e,a),getMouseEventName:getMouseEventName,getRawMouseEvents:getRawMouseEvents}}const useMoveEmits=["moved"];function useMove(i,{parsedView:l,parsedValue:s,direction:c,maxDays:v,times:p,emittedValue:m,emit:y}){function e(t=1){if(0===t)m.value=today();else{let e=copyTimestamp(s.value);const n=getEndOfMonth(e),r=t>0,d=r?nextDay:prevDay,o=r?n.day:1;let a=r?t:-t;c.value=r?"next":"prev";const u=i.weekdays.length;while(--a>=0)switch(l.value){case"month":e.day=o,e=d(e),e=updateWeekday(e);while(!i.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:r?1:-1});break;case"week":case"week-agenda":case"week-scheduler":e=relativeDays(e,d,u,i.weekdays);break;case"day":case"scheduler":case"agenda":e=relativeDays(e,d,v.value,i.weekdays);break;case"month-interval":case"month-agenda":case"month-scheduler":e.day=o,e=d(e);break;case"resource":e=relativeDays(e,d,v.value,i.weekdays);break}e=updateWeekday(e),e=updateFormatted(e),e=updateDayOfYear(e),e=updateRelative(e,p.now),m.value=e.date,y("moved",e)}}return{move:e}}const listenerRE=/^on[A-Z]/;function useEmitListeners(e=getCurrentInstance()){return{emitListeners:computed(()=>{const a={};return e?.vnode?.props&&Object.keys(e.vnode.props).forEach(e=>{listenerRE.test(e)&&(a[e]=!0)}),a})}}function useFocusHelper(){const e={"aria-hidden":"true",class:"q-calendar__focus-helper"};return[h("span",e)]}function useButton(){function e({focusable:e,focusType:a},t,n){const r=e&&a.includes("date");return h("button",{...t,tabindex:r?0:-1},[n,r&&useFocusHelper()])}return{renderButton:e}}const useCellWidthProps={cellWidth:[Number,String]};function useCellWidth(e){const a=computed(()=>void 0!==e.cellWidth);return{isSticky:a}}const useCheckChangeEmits=["change"];function useCheckChange(n,{days:r,lastStart:d,lastEnd:o}){function e(){const e=r.value;if(0===e.length)return!1;const a=e[0].date,t=e[e.length-1].date;return(!d.value||!o.value||a!==d.value||t!==o.value)&&(d.value=a,o.value=t,n("change",{start:a,end:t,days:e}),!0)}return{checkChange:e}}function useEventUtils(){function e(e,a){return(Array.isArray(a)?a:[a]).includes(e.keyCode)}return{isKeyCode:e}}const isKeyCode=useEventUtils().isKeyCode,useNavigationProps={useNavigation:Boolean};function useNavigation(a,{rootRef:t,focusRef:n,focusValue:r,datesRef:d,parsedView:o,emittedValue:u,direction:i,times:l}){let e=!1;function s(){e||document&&(e=!0,document.addEventListener("keyup",y),document.addEventListener("keydown",m))}function c(){document&&(document.removeEventListener("keyup",y),document.removeEventListener("keydown",m),e=!1)}function v(e){if(e&&document){const a=document.activeElement;if(a!==document.body&&t.value?.contains(a))return!0}return!1}function p(){let a=0;const t=window.setInterval(()=>{const e=d.value[n.value];e&&(e.focus(),50!==++a)&&document.activeElement!==e||window.clearInterval(t)},250)}function m(e){v(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])&&(e.stopPropagation(),e.preventDefault())}function y(e){if(v(e)&&isKeyCode(e,[33,34,35,36,37,38,39,40])){const a={33:k,34:D,35:T,36:w,37:g,38:f,39:_,40:h};a[e.keyCode]?.()}}function f(){let e=copyTimestamp(r.value);if("month"===o.value){if(e=addToDate(e,{day:-7}),r.value.month!==e.month)return i.value="prev",void(u.value=e.date)}else e=addToDate(e,{minute:Number(a.intervalMinutes)});i.value="prev",n.value=e.date}function h(){let e=copyTimestamp(r.value);if("month"===o.value){if(e=addToDate(e,{day:7}),r.value.month!==e.month)return i.value="next",void(u.value=e.date)}else e=addToDate(e,{minute:Number(a.intervalMinutes)});i.value="next",n.value=e.date}function g(){let e=copyTimestamp(r.value);i.value="prev";do{e=addToDate(e,{day:-1})}while(!a.weekdays.includes(Number(e.weekday)));n.value=e.date}function _(){let e=copyTimestamp(r.value);i.value="next";do{e=addToDate(e,{day:1})}while(!a.weekdays.includes(Number(e.weekday)));n.value=e.date}function k(){let e=copyTimestamp(r.value);e="month"===o.value?addToDate(e,{month:-1}):addToDate(e,{day:-7}),i.value="prev",n.value=e.date}function D(){let e=copyTimestamp(r.value);e="month"===o.value?addToDate(e,{month:1}):addToDate(e,{day:7}),i.value="next",n.value=e.date}function w(){let e=copyTimestamp(r.value);e="month"===o.value?getStartOfMonth(e):getStartOfWeek(e,a.weekdays||[],l.today);while(!a.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}function T(){let e=copyTimestamp(r.value);e="month"===o.value?getEndOfMonth(e):getEndOfWeek(e,a.weekdays||[],l.today);while(!a.weekdays.includes(Number(e.weekday)))e=addToDate(e,{day:-1});n.value=e.date}return onBeforeUnmount(()=>{c()}),watch(()=>a.useNavigation,e=>{(!0===e?s:c)()}),!0===a.useNavigation&&s(),{startNavigation:s,endNavigation:c,tryFocus:p}}const renderButton$4=useButton().renderButton;var QCalendarAgenda=defineComponent({name:"QCalendarAgenda",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useAgendaProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-time")],setup(v,{slots:p,emit:u,expose:H}){const e=ref(null),a=ref(null),R=ref(null),m=ref(v.modelValue||today()),t=ref(parsed(v.modelValue||today())),y=ref({}),n=ref(),r=ref(),o=ref("next"),i=ref(v.modelValue||today()),l=ref("0000-00-00"),s=ref(0),c=ref(v.modelValue),f=reactive({width:0,height:0}),g=ref(""),L=ref(null),P=ref(null),d=(watch(()=>v.view,()=>{s.value=0}),computed(()=>{return"month"===v.view?"month-interval":v.view})),V=getCurrentInstance();if(null===V)throw new Error("current instance is null");const B=useEmitListeners(V).emitListeners,_=useCellWidth(v).isSticky,{times:k,setCurrent:U,updateCurrent:Y}=(watch(_,()=>{}),useTimes(v)),{parsedStart:K,parsedEnd:Q,dayFormatter:z,weekdayFormatter:X,ariaDateFormatter:$,dayStyleDefault:Z,getRelativeClasses:D}=(Y(),U(),useCommon(v,{startDate:i,endDate:l,times:k})),w=computed(()=>{return parseTimestamp(v.modelValue,k.now)||K.value||k.today}),j=(t.value=w.value,m.value=w.value.date,useRenderValues(v,{parsedView:d,parsedValue:w,times:k})).renderValues,{rootRef:T,scrollWidth:G,__renderCalendar:J}=useCalendar(v,Se,{scrollArea:e,pane:a}),{days:b,parsedCellWidth:ee,getScopeForSlot:C}=useInterval(v,{times:k,scrollArea:e,parsedStart:K,parsedEnd:Q,maxDays:s,size:f,headerColumnRef:R}),S=useMove(v,{parsedView:d,parsedValue:w,direction:o,maxDays:s,times:k,emittedValue:c,emit:u}).move,F=useMouseEvents(u,B).getDefaultMouseEventHandlers,ae=useCheckChange(u,{days:b,lastStart:L,lastEnd:P}).checkChange,te=useEventUtils().isKeyCode,ne=useNavigation(v,{rootRef:T,focusRef:m,focusValue:t,datesRef:y,parsedView:d,emittedValue:c,direction:o,times:k}).tryFocus,I=computed(()=>{return b.value.length+(!0===M.value?v.leftColumnOptions.length:0)+(!0===q.value?v.rightColumnOptions.length:0)+b.value.length===1&&parseInt(String(v.columnCount),10)>0?parseInt(String(v.columnCount),10):0}),M=computed(()=>{return void 0!==v.leftColumnOptions&&Array.isArray(v.leftColumnOptions)}),q=computed(()=>{return void 0!==v.rightColumnOptions&&Array.isArray(v.rightColumnOptions)}),E=computed(()=>{if(T.value){const e=f.width||T.value.getBoundingClientRect().width;if(e&&I.value)return(e-G.value)/I.value+"px"}return 100/I.value+"%"});function re(){c.value=today()}function de(e=1){S(e)}function oe(e=1){S(-e)}function ue({width:e,height:a}){f.width=e,f.height=a}function N(e){return e.date===c.value}function W(a,t){const e=p["head-column"],n={column:a,index:t,days:b.value},r=!0===_.value?v.cellWidth:E.value,d=!0===v.focusable&&v.focusType.includes("weekday"),o=void 0!==v.columnOptionsId?a[v.columnOptionsId]:"id",u={maxWidth:r,width:r};return h("div",{key:o,tabindex:!0===d?0:-1,class:{"q-calendar-agenda__head--day":!0,"q-column-day":!0,"q-calendar__hoverable":!0===v.hoverable,"q-calendar__focusable":!0===d},style:u,onDragenter:e=>{void 0!==v.dragEnterFunc&&"function"===typeof v.dragEnterFunc&&(!0===v.dragEnterFunc(e,"head-column",{scope:n})?g.value=o:g.value="")},onDragover:e=>{void 0!==v.dragOverFunc&&"function"===typeof v.dragOverFunc&&(!0===v.dragOverFunc(e,"head-column",{scope:n})?g.value=o:g.value="")},onDragleave:e=>{void 0!==v.dragLeaveFunc&&"function"===typeof v.dragLeaveFunc&&(!0===v.dragLeaveFunc(e,"head-column",{scope:n})?g.value=o:g.value="")},onDrop:e=>{void 0!==v.dropFunc&&"function"===typeof v.dropFunc&&(!0===v.dropFunc(e,"head-column",{scope:n})?g.value=o:g.value="")},...F("-head-column",e=>{return{scope:{column:a,index:t},event:e}})},[!0!==v.noDefaultHeaderText&&ie(a),e&&e(n),useFocusHelper()])}function ie(e){const a=p["head-column-label"],t={column:e},n=void 0!==v.columnOptionsLabel?e[v.columnOptionsLabel]:e.label,r=h("div",{class:{"q-calendar-agenda__head--weekday":!0,["q-calendar__"+v.weekdayAlign]:!0,ellipsis:!0},style:{alignSelf:"center"}},[a&&a({scope:t}),!a&&h("span",{class:"ellipsis"},n)]);return"stacked"===v.dateHeader?r:h("div",{class:"q-calendar__header--inline",style:{height:"100%"}},[r])}function le(){return h("div",{roll:"presentation",class:{"q-calendar-agenda__head":!0,"q-calendar__sticky":!0===_.value},style:{marginRight:G.value+"px"}},[se()])}function se(){return h("div",{ref:R,class:{"q-calendar-agenda__head--days__column":!0}},[ce(),ve()])}function ce(){return h("div",{class:{"q-calendar-agenda__head--days__weekdays":!0}},pe())}function ve(){const e=p["head-days-events"];return nextTick(()=>{if(r.value&&0===v.columnCount&&window)try{const e=window.getComputedStyle(r.value);n.value&&n.value.parentElement&&(n.value.parentElement.style.height=e.height,n.value.style.height=e.height)}catch{}}),h("div",{class:{"q-calendar-agenda__head--days__event":!0}},[e&&h("div",{ref:n,style:{position:"absolute",left:0,top:0,right:0,overflow:"hidden",zIndex:1}},[e({scope:{days:b.value,ref:r}})]),...me()])}function pe(){const e=parseInt(String(v.columnCount),10),t=parseInt(String(v.columnIndexStart),10);return(1===b.value.length&&e>0?[!0===M.value?v.leftColumnOptions.map((e,a)=>W(e,a)):[],...Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>ye(b.value[0],e)),!0===q.value?v.rightColumnOptions.map((e,a)=>W(e,a)):[]]:[!0===M.value?v.leftColumnOptions.map((e,a)=>W(e,a)):[],...b.value.map(e=>ye(e)),!0===q.value?v.rightColumnOptions.map((e,a)=>W(e,a)):[]]).flat()}function me(){const t=parseInt(String(v.columnCount),10);return 1===b.value.length&&t>0?[...Array.apply(null,new Array(parseInt(String(v.columnCount),10))).map((e,a)=>a+t).map(e=>he(b.value[0],e))]:b.value.map(e=>he(e,0))}function ye(a,e){const t=p["head-day"],n=p["head-date"],r=!0!==v.noActiveDate&&N(a),d=C(a,e??0),o=(d.activeDate=r,d.droppable=g.value===a.date,d.disabled=!!v.disabledWeekdays&&v.disabledWeekdays.includes(Number(a.weekday)),!0===_.value?v.cellWidth:E.value),u=v.weekdayStyle||Z,i={width:o,maxWidth:o,...u({scope:d})},l=(!0===_.value&&(i.minWidth=o),"function"===typeof v.weekdayClass?v.weekdayClass({scope:d}):{}),s=!0===v.focusable&&v.focusType.includes("weekday"),c={key:a.date+(void 0!==e?"-"+e:""),ref:e=>{y.value[a.date]=e},tabindex:!0===s?0:-1,class:{"q-calendar-agenda__head--day":!0,...l,...D(a),"q-active-date":r,"q-calendar__hoverable":!0===v.hoverable,"q-calendar__focusable":!0===s},style:i,onDragenter:e=>{void 0!==v.dragEnterFunc&&"function"===typeof v.dragEnterFunc&&(!0===v.dragEnterFunc(e,"head-day",{scope:d})?g.value=a.date:g.value="")},onDragover:e=>{void 0!==v.dragOverFunc&&"function"===typeof v.dragOverFunc&&(!0===v.dragOverFunc(e,"head-day",{scope:d})?g.value=a.date:g.value="")},onDragleave:e=>{void 0!==v.dragLeaveFunc&&"function"===typeof v.dragLeaveFunc&&(!0===v.dragLeaveFunc(e,"head-day",{scope:d})?g.value=a.date:g.value="")},onDrop:e=>{void 0!==v.dropFunc&&"function"===typeof v.dropFunc&&(!0===v.dropFunc(e,"head-day",{scope:d})?g.value=a.date:g.value="")},onFocus:()=>{!0===s&&(m.value=a.date)},...F("-head-day",e=>{return{scope:d,event:e}})};return h("div",c,[void 0!==t&&t({scope:d}),void 0===t&&fe(a),void 0===t&&n&&n({scope:d}),useFocusHelper()])}function fe(e){return"stacked"===v.dateHeader?[!0!==v.noDefaultHeaderText&&x(e),!0!==v.noDefaultHeaderBtn&&A(e)].filter(e=>!1!==e):"inline"===v.dateHeader?("left"===v.weekdayAlign&&"right"===v.dateAlign||"right"===v.weekdayAlign&&v.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==v.noDefaultHeaderText&&x(e),!0!==v.noDefaultHeaderBtn&&A(e)])):"inverted"===v.dateHeader?("left"===v.weekdayAlign&&"right"===v.dateAlign||"right"===v.weekdayAlign&&v.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==v.noDefaultHeaderBtn&&A(e),!0!==v.noDefaultHeaderText&&x(e)])):void 0}function he(e,a){const t=p["head-day-event"],n=!0!==v.noActiveDate&&N(e),r=C(e,a),d=(r.activeDate=n,r.disabled=!!v.disabledWeekdays&&v.disabledWeekdays.includes(Number(e.weekday)),!0===_.value?v.cellWidth:E.value),o={width:d,maxWidth:d};return!0===_.value&&(o.minWidth=d),h("div",{key:"event-"+e.date+(void 0!==a?"-"+a:""),class:{"q-calendar-agenda__head--day__event":!0,...D(e),"q-active-date":n},style:o},[t&&t({scope:r})])}function x(e){const a=p["head-weekday-label"],t=C(e,0),n=(t.shortWeekdayLabel=v.shortWeekdayLabel,{class:{"q-calendar-agenda__head--weekday":!0,["q-calendar__"+v.weekdayAlign]:!0,"q-calendar__ellipsis":!0}});return h("div",n,a&&a({scope:t})||ge(e,v.shortWeekdayLabel))}function ge(e,a){const t=X.value(e,a||v.weekdayBreakpoints[0]>0&&ee.value<=v.weekdayBreakpoints[0]);return h("span",{class:"q-calendar__ellipsis"},v.weekdayBreakpoints[1]>0&&ee.value<=v.weekdayBreakpoints[1]?minCharWidth(t,Number(v.minWeekdayLabel)):t)}function A(e){const a={class:{"q-calendar-agenda__head--date":!0,["q-calendar__"+v.dateAlign]:!0}};return h("div",a,_e(e))}function _e(t){const e=!0!==v.noActiveDate&&N(t),a=z.value(t,!1),n=p["head-day-label"],r=p["head-day-button"],d={dayLabel:a,timestamp:t,activeDate:e,disabled:!!v.disabledWeekdays&&v.disabledWeekdays.includes(Number(t.weekday))},o={class:{"q-calendar-agenda__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===v.dateType,"q-calendar__button--rounded":"rounded"===v.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__focusable":!0},disabled:t.disabled,onKeydown:e=>{!0!==t.disabled&&te(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==t.disabled&&te(e,[13,32])&&(c.value=t.date,void 0!==B.value.onClickDate)&&u("click-date",{scope:d})},...F("-date",(e,a)=>{return"click-date"!==a&&"contextmenu-date"!==a||(c.value=t.date,"click-date"===a&&e.preventDefault()),{scope:d,event:e}})};return!0!==v.noAria&&(o.ariaLabel=$.value(t,!1)),r?r({scope:d}):renderButton$4(v,o,n?n({scope:d}):a)}function ke(){return h("div",{class:"q-calendar-agenda__body"},[De()])}function De(){return!0===_.value?h("div",{ref:e,class:{"q-calendar-agenda__scroll-area":!0,"q-calendar__scroll":!0}},[Te()]):!0===v.noScroll?we():h("div",{ref:e,class:{"q-calendar-agenda__scroll-area":!0,"q-calendar__scroll":!0}},[we()])}function we(){return h("div",{ref:a,class:"q-calendar-agenda__pane"},[Te()])}function Te(){const e=p["day-container"];return h("div",{class:"q-calendar-agenda__day-container"},[!0===_.value&&!0!==v.noHeader&&le(),h("div",{style:{display:"flex",flexDirection:"row",height:"100%"}},[...be()||[]].flat()),e&&e({scope:{days:b.value}})])}function be(){const e=parseInt(String(v.columnCount),10),t=parseInt(String(v.columnIndexStart),10);return(1===b.value.length&&e>0?[!0===M.value?v.leftColumnOptions.map((e,a)=>O(e,a)):[],...Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>Ce(b.value[0],0,e)),!0===q.value?v.rightColumnOptions.map((e,a)=>O(e,a)):[]]:[!0===M.value?v.leftColumnOptions.map((e,a)=>O(e,a)):[],...b.value.map((e,a)=>Ce(e,a,0)),!0===q.value?v.rightColumnOptions.map((e,a)=>O(e,a)):[]]).flat()}function O(e,a){const t=p.column,n={column:e,days:b.value,index:a},r=!0===_.value?v.cellWidth:E.value,d=!0===v.focusable&&v.focusType.includes("day"),o=void 0!==v.columnOptionsId?e[v.columnOptionsId]:void 0;return h("div",{key:o,tabindex:!0===d?0:-1,class:{"q-calendar-agenda__day":!0,"q-column-day":!0,"q-calendar__hoverable":!0===v.hoverable,"q-calendar__focusable":!0===d},style:{maxWidth:r,width:r},onDragenter:e=>{void 0!==v.dragEnterFunc&&"function"===typeof v.dragEnterFunc&&(!0===v.dragEnterFunc(e,"column",{scope:n})?g.value=o:g.value="")},onDragover:e=>{void 0!==v.dragOverFunc&&"function"===typeof v.dragOverFunc&&(!0===v.dragOverFunc(e,"column",{scope:n})?g.value=o:g.value="")},onDragleave:e=>{void 0!==v.dragLeaveFunc&&"function"===typeof v.dragLeaveFunc&&(!0===v.dragLeaveFunc(e,"column",{scope:n})?g.value=o:g.value="")},onDrop:e=>{void 0!==v.dropFunc&&"function"===typeof v.dropFunc&&(!0===v.dropFunc(e,"column",{scope:n})?g.value=o:g.value="")},...F("-column",e=>{return{scope:n,event:e}})},[t&&t({scope:n})])}function Ce(e,a,t){const n=parseInt(String(v.dayHeight),10),r=parseInt(String(v.dayMinHeight),10),d=p.day,o=C(e,t),u=!0===_.value?v.cellWidth:E.value,i={width:u,maxWidth:u};return!0===_.value&&(i.minWidth=u),i.height=n>0?convertToUnit(n):"auto",r>0&&(i.minHeight=convertToUnit(r)),h("div",{key:e.date+(void 0!==t?":"+t:""),class:{"q-calendar-agenda__day":!0,...D(e)},style:i},[d&&d({scope:o})])}function Se(){const{start:e,end:a,maxDays:t}=j.value,n=(i.value===e.date&&l.value===a.date&&s.value===t||(i.value=e.date,l.value=a.date,s.value=t),f.width>0),r=withDirectives(h("div",{class:"q-calendar-agenda",key:i.value},[!0===n&&!0!==_.value&&!0!==v.noHeader&&le(),!0===n&&ke()]),[[ResizeObserverDirective,ue]]);if(!0!==v.animated)return r;{const d="q-calendar--"+("prev"===o.value?v.transitionPrev:v.transitionNext);return h(Transition,{name:d,appear:!0},()=>r)}}return watch([b],ae,{deep:!0,immediate:!0}),watch(()=>v.modelValue,(e,a)=>{if(c.value!==e){if(!0===v.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}c.value=e}m.value=e}),watch(c,(e,a)=>{if(c.value!==v.modelValue){if(!0===v.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}u("update:model-value",e)}}),watch(m,e=>{e&&(t.value=parseTimestamp(e))}),watch(t,()=>{m.value&&y.value[m.value]?y.value[m.value].focus():ne()}),watch(()=>v.maxDays,e=>{s.value=e}),onBeforeUpdate(()=>{y.value={}}),onMounted(()=>{}),H({prev:oe,next:de,move:S,moveToToday:re,updateCurrent:Y}),()=>J()}});const renderButton$3=useButton().renderButton;var QCalendarDay=defineComponent({name:"QCalendarDay",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useIntervalProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-interval"),...getRawMouseEvents("-head-intervals"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-time")],setup(p,{slots:m,emit:v,expose:H}){const e=ref(null),R=ref(null),L=ref(null),y=ref(p.modelValue||today()),a=ref(parsed(p.modelValue||today())),f=ref({}),t=ref(),n=ref(),o=ref("next"),u=ref(p.modelValue||today()),i=ref("0000-00-00"),l=ref(0),g=ref(p.modelValue||today()),s=reactive({width:0,height:0}),_=ref(""),k=ref(0),P=ref(null),V=ref(null),r=(watch(()=>p.view,()=>{l.value=0}),computed(()=>{return"month"===p.view?"month-interval":p.view})),B=getCurrentInstance();if(null===B)throw new Error("current instance is null");const D=useEmitListeners(B).emitListeners,w=useCellWidth(p).isSticky,{times:T,setCurrent:U,updateCurrent:Y}=useTimes(p),{parsedStart:d,parsedEnd:K,dayFormatter:Q,weekdayFormatter:z,ariaDateFormatter:X,dayStyleDefault:$,getRelativeClasses:b}=(Y(),U(),useCommon(p,{startDate:u,endDate:i,times:T})),c=computed(()=>{return parseTimestamp(p.modelValue,T.now)||d.value||T.today}),Z=(a.value=c.value,y.value=c.value.date,useRenderValues(p,{parsedView:r,parsedValue:c,times:T})).renderValues,{rootRef:C,scrollWidth:j,__renderCalendar:G}=useCalendar(p,Ue,{scrollArea:e,pane:R}),{days:S,intervals:J,intervalFormatter:ee,ariaDateTimeFormatter:ae,parsedCellWidth:F,getIntervalClasses:te,showIntervalLabelDefault:ne,styleDefault:re,getTimestampAtEventInterval:de,getTimestampAtEvent:oe,getScopeForSlot:I,scrollToTime:ue,heightToMinutes:ie,timeDurationHeight:le,timeStartPos:se}=useInterval(p,{times:T,scrollArea:e,parsedStart:d,parsedEnd:K,maxDays:l,size:s,headerColumnRef:L}),M=useMove(p,{parsedView:r,parsedValue:c,direction:o,maxDays:l,times:T,emittedValue:g,emit:v}).move,q=useMouseEvents(v,D).getDefaultMouseEventHandlers,ce=useCheckChange(v,{days:S,lastStart:P,lastEnd:V}).checkChange,E=useEventUtils().isKeyCode,ve=useNavigation(p,{rootRef:C,focusRef:y,focusValue:a,datesRef:f,parsedView:r,emittedValue:g,direction:o,times:T}).tryFocus,N=computed(()=>{const e=parseInt(String(p.columnCount),10);return"day"===r.value&&e>1?e:"day"===r.value&&p.maxDays&&p.maxDays>1?p.maxDays:S.value.length}),pe=computed(()=>{return C.value?parseInt(window.getComputedStyle(C.value).getPropertyValue("--calendar-intervals-width"),10):0}),W=computed(()=>{if(C.value){const e=s.width||C.value.getBoundingClientRect().width;if(e&&pe.value&&N.value)return(e-j.value-pe.value)/N.value+"px"}return 100/N.value+"%"});function me(){g.value=today()}function ye(e=1){M(e)}function fe(e=1){M(-e)}function he({width:e,height:a}){s.width=e,s.height=a}function x(e){return e.date===g.value}function ge(){return h("div",{roll:"presentation",class:{"q-calendar-day__head":!0,"q-calendar__sticky":!0===w.value},style:{marginRight:j.value+"px"}},[_e(),ke()])}function _e(){const e=m["head-intervals"],a={timestamps:S.value,days:S.value,date:p.modelValue};return h("div",{class:{"q-calendar-day__head--intervals":!0,"q-calendar__sticky":!0===w.value},...q("-head-intervals",e=>{return{scope:a,event:e}})},[e&&e({scope:a})])}function ke(){return h("div",{ref:L,class:{"q-calendar-day__head--days__column":!0}},[De(),we()])}function De(){return h("div",{class:{"q-calendar-day__head--days__weekdays":!0}},[...Te()])}function we(){const e=m["head-days-events"],a=parseInt(String(p.columnCount),10);return nextTick(()=>{if(n.value&&0===a&&window)try{const e=window.getComputedStyle(n.value);t.value&&t.value.parentElement&&(t.value.parentElement.style.height=e.height,t.value.style.height=e.height)}catch{}}),h("div",{class:{"q-calendar-day__head--days__event":!0}},[e&&h("div",{ref:t,style:{position:"absolute",left:0,top:0,right:0,overflow:"hidden",zIndex:1}},[e({scope:{days:S.value,ref:n}})]),...be()])}function Te(){const e=parseInt(String(p.columnCount),10),t=parseInt(String(p.columnIndexStart),10);return 1===S.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>Ce(S.value[0],e)):S.value.map(e=>Ce(e,0))}function be(){const e=parseInt(String(p.columnCount),10),t=parseInt(String(p.columnIndexStart),10);return 1===S.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>Fe(S.value[0],e)).filter(e=>void 0!==e):S.value.map(e=>Fe(e,0)).filter(e=>void 0!==e)}function Ce(a,e){const t=m["head-day"],n=m["head-date"],r=!0!==p.noActiveDate&&x(a),d=I(a,e),o=(d.activeDate=r,d.droppable=_.value===a.date,d.disabled=!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(a.weekday)),!0===w.value?p.cellWidth:W.value),u=p.weekdayStyle||$,i={width:o,maxWidth:o,minWidth:o,...u({scope:d})},l=(!0===w.value&&(i.minWidth=o),"function"===typeof p.weekdayClass?p.weekdayClass({scope:d}):{}),s=!0===p.focusable&&p.focusType.includes("weekday"),c=a.date+(void 0!==e?"-"+e:""),v={key:c,ref:e=>{f.value[c]=e},tabindex:!0===s?0:-1,class:{"q-calendar-day__head--day":!0,...l,...b(a),"q-active-date":r,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===s},style:i,onFocus:()=>{!0===s&&(y.value=c)},onKeydown:e=>{!0!==a.disabled&&E(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==a.disabled&&E(e,[13,32])&&(g.value=a.date)},...q("-head-day",e=>{return{scope:d,event:e}}),onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"head-day",{scope:d})?_.value=a.date:_.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"head-day",{scope:d})?_.value=a.date:_.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"head-day",{scope:d})?_.value=a.date:_.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"head-day",{scope:d})?_.value=a.date:_.value="")}};return h("div",v,[void 0!==t&&t({scope:d}),void 0===t&&qe(a,e),void 0===t&&Se(a),void 0===t&&n&&n({scope:d}),void 0===t&&Ee(a,e),useFocusHelper()])}function Se(e){return"stacked"===p.dateHeader?[!0!==p.noDefaultHeaderText?A(e):[],!0!==p.noDefaultHeaderBtn?O(e):[]].filter(e=>void 0!==e):"inline"===p.dateHeader?("left"===p.weekdayAlign&&"right"===p.dateAlign||"right"===p.weekdayAlign&&p.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==p.noDefaultHeaderText&&A(e),!0!==p.noDefaultHeaderBtn&&O(e)])):"inverted"===p.dateHeader?("left"===p.weekdayAlign&&"right"===p.dateAlign||"right"===p.weekdayAlign&&p.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==p.noDefaultHeaderBtn&&O(e),!0!==p.noDefaultHeaderText&&A(e)])):void 0}function Fe(e,a){const t=m["head-day-event"],n=!0!==p.noActiveDate&&x(e),r=I(e,a),d=(r.activeDate=n,r.disabled=!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(e.weekday)),!0===w.value?convertToUnit(F.value):W.value),o={width:d,maxWidth:d,minWidth:d};return!0===w.value&&(o.minWidth=d),h("div",{key:"event-"+e.date+(void 0!==a?"-"+a:""),class:{"q-calendar-day__head--day__event":!0,...b(e),"q-active-date":n},style:o},[t&&t({scope:r})])}function A(e){const a=m["head-weekday-label"],t=!0===p.shortWeekdayLabel,n=I(e,0),r=(n.shortWeekdayLabel=p.shortWeekdayLabel,n.disabled=!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(e.weekday)),{class:{"q-calendar-day__head--weekday":!0,["q-calendar__"+p.weekdayAlign]:!0,"q-calendar__ellipsis":!0}});return h("div",r,a&&a({scope:n})||Ie(e,t))}function Ie(e,a){const t=z.value(e,a||p.weekdayBreakpoints[0]>0&&F.value<=p.weekdayBreakpoints[0]);return h("span",{class:"q-calendar-day__head--weekday-label q-calendar__ellipsis"},p.weekdayBreakpoints[1]>0&&F.value<=p.weekdayBreakpoints[1]?minCharWidth(t,Number(p.minWeekdayLabel)):t)}function O(e){const a={class:{"q-calendar-day__head--date":!0,["q-calendar__"+p.dateAlign]:!0}};return h("div",a,Me(e))}function Me(t){const e=!0!==p.noActiveDate&&x(t),a=Q.value(t,!1),n=m["head-day-label"],r=m["head-day-button"],d={dayLabel:a,timestamp:t,activeDate:e,disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(t.weekday))},o={class:{"q-calendar-day__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===p.dateType,"q-calendar__button--rounded":"rounded"===p.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__focusable":!0},disabled:t.disabled,onKeydown:e=>{!0!==t.disabled&&E(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==t.disabled&&E(e,[13,32])&&(g.value=t.date,void 0!==D.value.onClickDate)&&v("click-date",{scope:d})},...q("-date",(e,a)=>{return"click-date"!==a&&"contextmenu-date"!==a||(g.value=t.date,"click-date"===a&&e.preventDefault()),{scope:d,event:e}})};return!0!==p.noAria&&(o.ariaLabel=X.value(t,!1)),r?r({scope:d}):renderButton$3(p,o,n?n({scope:d}):a)}function qe(e,a){const t=m["column-header-before"];if(t){const n={timestamp:e,columnIndex:a};return h("div",{class:"q-calendar-day__column-header--before"},[t({scope:n})])}}function Ee(e,a){const t=m["column-header-after"];if(t){const n={timestamp:e,columnIndex:a};return h("div",{class:"q-calendar-day__column-header--after"},[t({scope:n})])}}function Ne(){return h("div",{class:"q-calendar-day__body"},[We()])}function We(){return!0===w.value?h("div",{ref:e,class:{"q-calendar-day__scroll-area":!0,"q-calendar__scroll":!0}},[!0!==w.value&&Pe(),Ae()]):!0===p.noScroll?xe():h("div",{ref:e,class:{"q-calendar-day__scroll-area":!0,"q-calendar__scroll":!0}},[xe()])}function xe(){return h("div",{ref:R,class:"q-calendar-day__pane"},[Pe(),Ae()])}function Ae(){const e=m["day-container"];return h("div",{class:"q-calendar-day__day-container"},[!0===w.value&&!0!==p.noHeader&&ge(),h("div",{style:{display:"flex",flexDirection:"row"}},[!0===w.value&&Pe(),...Oe()]),e&&e({scope:{days:S.value}})])}function Oe(){const e=parseInt(String(p.columnCount),10),t=parseInt(String(p.columnIndexStart),10);return 1===S.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>He(S.value[0],0,e)):S.value.map((e,a)=>He(e,a,0))}function He(e,a,t){const n=m["day-body"],r=I(e,t),d=!0===w.value?p.cellWidth:W.value,o={width:d,maxWidth:d,minWidth:d};return!0===w.value&&(o.minWidth=d),h("div",{key:e.date+(void 0!==t?":"+t:""),class:{"q-calendar-day__day":!0,...b(e)},style:o},[...Re(a,t),n&&n({scope:r})])}function Re(e,a){return J.value[e].map(e=>Le(e,a))}function Le(t,n){const e=convertToUnit(p.intervalHeight),a=p.intervalStyle||re,r=m["day-interval"],d=I(t,n),o=(d.droppable=k.value===getDayTimeIdentifier(t),"function"===typeof p.intervalClass?p.intervalClass({scope:d}):{}),u=!0===p.focusable&&p.focusType.includes("interval"),i=getDateTime(t),l={height:e,...a({scope:d})},s={key:i,tabindex:!0===u?0:-1,class:{"q-calendar-day__day-interval":0===t.minute,"q-calendar-day__day-interval--section":0!==t.minute,...o,...te(t,Array.from(p.selectedDates),p.selectedStartEndDates),"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===u},style:l,onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"interval",{scope:d})?k.value=getDayTimeIdentifier(t):k.value=0)},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"interval",{scope:d})?k.value=getDayTimeIdentifier(t):k.value=0)},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"interval",{scope:d})?k.value=getDayTimeIdentifier(t):k.value=0)},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"interval",{scope:d})?k.value=getDayTimeIdentifier(t):k.value=0)},onKeydown:e=>{E(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{if(E(e,[13,32])){const a=I(t,n);g.value=a.timestamp.date,void 0!==D.value.onClickTime&&v("click-time",{scope:a,event:e})}},...q("-time",e=>{const a=I(de(e,t,p.timeClicksClamped,T.now),n);return{scope:a,event:e}})},c=(!0!==p.noAria&&(s.ariaLabel=ae.value(t,!1)),r?r({scope:d}):void 0);return h("div",s,[c,useFocusHelper()])}function Pe(){const e={ariaHidden:"true",class:{"q-calendar-day__intervals-column":!0,"q-calendar__ellipsis":!0,"q-calendar__sticky":!0===w.value},...q("-interval",e=>{const a=oe(e,d.value,p.timeClicksClamped,T.now);return{scope:{timestamp:a},event:e}})};return h("div",e,Ve())}function Ve(){return J.value[0].map(e=>Be(e))}function Be(e){const a=m["interval-label"],t=convertToUnit(p.intervalHeight),n=p.shortIntervalLabel??!1,r=p.showIntervalLabel||ne,d=r(e),o=d?ee.value(e,n):void 0;return h("div",{key:e.time,class:{"q-calendar-day__interval":0===e.minute,"q-calendar-day__interval--section":0!==e.minute},style:{height:t}},[h("div",{class:"q-calendar-day__interval--text q-calendar__overflow-wrap"},[a?a({scope:{timestamp:e,label:o}}):o])])}function Ue(){const{start:e,end:a,maxDays:t}=Z.value,n=(u.value===e.date&&i.value===a.date&&l.value===t||(u.value=e.date,i.value=a.date,l.value=t),s.width>0),r=withDirectives(h("div",{key:u.value,class:"q-calendar-day"},[!0===n&&!0!==w.value&&!0!==p.noHeader&&ge(),n&&Ne()]),[[ResizeObserverDirective,he]]);if(!0!==p.animated)return r;{const d="q-calendar--"+("prev"===o.value?p.transitionPrev:p.transitionNext);return h(Transition,{name:d,appear:!0},()=>r)}}return watch([S],ce,{deep:!0,immediate:!0}),watch(()=>p.modelValue,(e,a)=>{if(g.value!==p.modelValue){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}g.value=e}y.value=e}),watch(g,(e,a)=>{if(g.value!==p.modelValue){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}v("update:model-value",e)}}),watch(y,e=>{e&&(a.value=parseTimestamp(e))}),watch(a,()=>{y.value&&f.value[y.value]?f.value[y.value].focus():ve()}),watch(()=>p.maxDays,e=>{l.value=e}),onBeforeUpdate(()=>{f.value={},t.value=void 0,n.value=void 0}),onMounted(()=>{}),H({prev:fe,next:ye,move:M,moveToToday:me,updateCurrent:Y,timeStartPos:se,timeDurationHeight:le,heightToMinutes:ie,scrollToTime:ue}),()=>G()}});const useMonthProps={dayHeight:{type:[Number,String],default:0,validator:e=>validateNumber(e)},dayMinHeight:{type:[Number,String],default:0,validator:e=>validateNumber(e)},dayStyle:Function,dayClass:Function,weekdayStyle:Function,weekdayClass:Function,dayPadding:String,minWeeks:{type:[Number,String],default:1,validator:e=>validateNumber(e)},shortMonthLabel:Boolean,showWorkWeeks:Boolean,showMonthLabel:{type:Boolean,default:!0},showDayOfYearLabel:Boolean,enableOutsideDays:Boolean,noOutsideDays:Boolean,hover:Boolean,miniMode:{type:[Boolean,String],validator:e=>[!0,!1,"auto"].includes(e)},breakpoint:{type:[Number,String],default:"md",validator:e=>["xs","sm","md","lg","xl"].includes(e)||validateNumber(e)},monthLabelSize:{type:String,default:"sm",validator:e=>["xxs","xs","sm","md","lg","xl","xxl"].includes(e)||!!e&&e.length>0}};function useMonth(n,a,{times:r,parsedStart:t,parsedEnd:d,size:o,headerColumnRef:u}){const e=computed(()=>parseInt(n.minWeeks,10)),i=computed(()=>e.value*n.weekdays.length),l=computed(()=>_(D(t.value))),s=computed(()=>k(w(d.value))),c=computed(()=>{let e=0;return n.cellWidth?e=Number(n.cellWidth):o.width>0&&u.value&&(e=u.value.offsetWidth/n.weekdays.length),e}),v=computed(()=>createDayList(l.value,s.value,r.today,n.weekdays,n.disabledBefore,n.disabledAfter,n.disabledWeekdays,n.disabledDays,Number.MAX_SAFE_INTEGER,i.value)),p=computed(()=>{const e=r.today,a=_(e),t=k(e);return createDayList(a,t,e,n.weekdays,n.disabledBefore,n.disabledAfter,n.disabledWeekdays,n.disabledDays,n.weekdays.length,n.weekdays.length)}),m=computed(()=>createNativeLocaleFormatter(n.locale,(e,a)=>({timeZone:"UTC",month:a?"short":"long"}))),y=computed(()=>{switch(n.breakpoint){case"xs":return 300;case"sm":return 350;case"md":return 400;case"lg":return 450;case"xl":return 500;default:return parseInt(n.breakpoint,10)}}),f=computed(()=>{switch(n.monthLabelSize){case"xxs":return".4em";case"xs":return".6em";case"sm":return".8em";case"md":return"1.0em";case"lg":return"1.2em";case"xl":return"1.4em";case"xxl":return"1.6em";default:return n.monthLabelSize}});let h=!0;const g=computed(()=>{const e=!0===n.miniMode||"auto"===n.miniMode&&void 0!==n.breakpoint&&o.width<y.value;return h&&(h=!1,a("mini-mode",e)),e});function _(e){return getStartOfWeek(e,n.weekdays,r.today)}function k(e){return getEndOfWeek(e,n.weekdays,r.today)}function D(e){return getStartOfMonth(e)}function w(e){return getEndOfMonth(e)}function T(e){const a=getDayIdentifier(e);return a<getDayIdentifier(t.value)||a>getDayIdentifier(d.value)}return watch(g,e=>{a("mini-mode",e)}),{parsedCellWidth:c,parsedMinWeeks:e,parsedMinDays:i,parsedMonthStart:l,parsedMonthEnd:s,parsedBreakpoint:y,parsedMonthLabelSize:f,days:v,todayWeek:p,isMiniMode:g,monthFormatter:m,isOutside:T}}const renderButton$2=useButton().renderButton;var QCalendarMonth=defineComponent({name:"QCalendarMonth",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useMonthProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value",...useCheckChangeEmits,...useMoveEmits,"mini-mode",...getRawMouseEvents("-date"),...getRawMouseEvents("-day"),...getRawMouseEvents("-head-workweek"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-workweek")],setup(p,{slots:m,emit:c,expose:H}){const R=ref(null),L=ref(null),e=ref(null),y=ref(p.modelValue||today()),a=ref(parsed(p.modelValue||today())),v=ref({}),l=ref([]),s=ref([]),d=ref("next"),o=ref(p.modelValue||today()),u=ref("0000-00-00"),P=ref(0),f=ref(p.modelValue),i=reactive({width:0,height:0}),g=ref(),_=ref(""),V=ref(null),B=ref(null),t=computed(()=>{return"month"}),n=getCurrentInstance();if(null===n)throw new Error("current instance is null");const k=useEmitListeners(n).emitListeners,U=useCellWidth(p).isSticky,{times:r,setCurrent:Y,updateCurrent:D}=(watch(U,()=>{}),useTimes(p)),{parsedStart:w,parsedEnd:T,dayFormatter:K,weekdayFormatter:Q,ariaDateFormatter:z,dayStyleDefault:b,getRelativeClasses:X}=(D(),Y(),useCommon(p,{startDate:o,endDate:u,times:r})),C=computed(()=>{return parseTimestamp(p.modelValue,r.now)||w.value||r.today}),$=(a.value=C.value,y.value=C.value.date,computed(()=>{const e={};return void 0!==p.dayPadding&&(e.padding=p.dayPadding),e.minWidth=W.value,e.maxWidth=W.value,e.width=W.value,e})),Z=useRenderValues(p,{parsedView:t,times:r,parsedValue:C}).renderValues,{rootRef:S,__renderCalendar:j}=useCalendar(p,Ie,{scrollArea:R,pane:L}),{days:F,todayWeek:G,isMiniMode:I,parsedCellWidth:J,parsedMonthLabelSize:ee,isOutside:ae,monthFormatter:te}=useMonth(p,c,{times:r,parsedStart:w,parsedEnd:T,size:i,headerColumnRef:e}),M=useMove(p,{parsedView:t,parsedValue:C,direction:d,maxDays:P,times:r,emittedValue:f,emit:c}).move,q=useMouseEvents(c,k).getDefaultMouseEventHandlers,ne=useCheckChange(c,{days:F,lastStart:V,lastEnd:B}).checkChange,E=useEventUtils().isKeyCode,re=useNavigation(p,{rootRef:S,focusRef:y,focusValue:a,datesRef:v,parsedView:t,emittedValue:f,direction:d,times:r}).tryFocus,de=computed(()=>{return S.value&&!0===p.showWorkWeeks?parseInt(window.getComputedStyle(S.value).getPropertyValue(!0===I.value?"--calendar-mini-work-week-width":"--calendar-work-week-width"),10):0}),N=computed(()=>{return p.weekdays.length}),W=computed(()=>{if(S.value){const e=i.width||S.value.getBoundingClientRect().width;if(e&&N.value)return(e-de.value)/N.value+"px"}return 100/N.value+"%"}),x=computed(()=>{return!0===p.focusable&&p.focusType.includes("day")&&!0!==I.value}),A=computed(()=>{return!0===p.focusable&&p.focusType.includes("date")&&!0!==x.value});function oe(){f.value=today()}function ue(e=1){M(e)}function ie(e=1){M(-e)}function le({width:e,height:a}){i.width=e,i.height=a}function O(e){return e.date===f.value}function se(a){for(let e=0;e<a.length;++e)if(!0===a[e].current)return{timestamp:a[e]};return{timestamp:!1}}function ce(){if(!0!==I.value&&0===p.dayHeight){const a=m.week;if(void 0!==a&&window)for(var e in l.value){const t=l.value[e];if(void 0!==t){const n=s.value[e];if(void 0!==n){const r=window.getComputedStyle(t),d=parseFloat(r.marginTop)+parseFloat(r.marginBottom);n.clientHeight+d>n.clientHeight&&(n.style.height=t.clientHeight+d+"px")}}}}}function ve(){return h("div",{class:"q-calendar-month__body"},[...ke()])}function pe(){return h("div",{role:"presentation",class:"q-calendar-month__head"},[!0===p.showWorkWeeks&&ye(),h("div",{class:"q-calendar-month__head--wrapper"},[me()])])}function me(){return h("div",{ref:e,class:{"q-calendar-month__head--weekdays":!0}},[...fe()])}function ye(){const e=m["head-workweek"],a={start:w.value,end:T.value,miniMode:I.value};return h("div",{class:"q-calendar-month__head--workweek",...q("-head-workweek",e=>{return{scope:a,event:e}})},e?e({scope:a}):"#")}function fe(){return G.value.map((e,a)=>he(e,a))}function he(a,e){const t=m["head-day"],n=F.value.filter(e=>e.weekday===a.weekday),r=n[0].weekday,d=!0!==p.noActiveDate&&O(a),o={activeDate:d,weekday:r,timestamp:a,days:n,index:e,miniMode:I.value,droppable:g.value===Number(a.weekday),disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(a.weekday))},u="function"===typeof p.weekdayClass?p.weekdayClass({scope:o}):{},i=!0===p.focusable&&p.focusType.includes("weekday"),l=W.value,s=p.weekdayStyle||b,c={width:l,maxWidth:l,minWidth:l,...s({scope:o})},v={key:a.date+(void 0!==e?"-"+e:""),tabindex:!0===i?0:-1,class:{"q-calendar-month__head--weekday":!0,...u,"q-disabled-day disabled":!0===o.disabled,["q-calendar__"+p.weekdayAlign]:!0,"q-calendar__ellipsis":!0,"q-calendar__focusable":!0===i},style:c,onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"head-day",{scope:o})?g.value=Number(a.weekday):g.value=-1)},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"head-day",{scope:o})?g.value=Number(a.weekday):g.value=-1)},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"head-day",{scope:o})?g.value=Number(a.weekday):g.value=-1)},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"head-day",{scope:o})?g.value=Number(a.weekday):g.value=-1)},onFocus:()=>{!0===i&&(y.value=a.date)},...q("-head-day",e=>{return{scope:o,event:e}})};return!0!==p.noAria&&(v.ariaLabel=Q.value(a,!1)),h("div",v,[void 0===t&&_e(a,p.shortWeekdayLabel||I.value),void 0!==t&&t({scope:o}),ge(a,e),!0===i&&useFocusHelper()])}function ge(a,e){const t=m["head-day-event"],n=!0!==p.noActiveDate&&O(a),r=F.value.filter(e=>e.weekday===a.weekday),d=r[0].weekday,o={weekday:d,timestamp:a,days:r,index:e,miniMode:I.value,activeDate:n,disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(a.weekday))},u=W.value,i=p.weekdayStyle||b,l={width:u,maxWidth:u,minWidth:u,...i({scope:o})};return h("div",{key:"event-"+a.date+(void 0!==e?"-"+e:""),class:{"q-calendar-month__head--event":!0},style:l},[void 0!==t&&t({scope:o})])}function _e(e,a){const t=Q.value(e,a||p.weekdayBreakpoints[0]>0&&J.value<=p.weekdayBreakpoints[0]);return h("span",{class:"q-calendar__ellipsis"},!0===I.value&&!0===p.shortWeekdayLabel||p.weekdayBreakpoints[1]>0&&J.value<=p.weekdayBreakpoints[1]?minCharWidth(t,Number(p.minWeekdayLabel)):t)}function ke(){const a=p.weekdays.length,t=[];for(let e=0;e<F.value.length;e+=a)t.push(De(F.value.slice(e,e+a),e/a));return t}function De(e,a){const t=m.week,n=p.weekdays,r={week:e,weekdays:n,miniMode:I.value},d={},o=parseInt(String(p.dayHeight),10),u=parseInt(String(p.dayMinHeight),10),i=(d.height=o>0&&!0!==I.value?convertToUnit(o):"auto",u>0&&!0!==I.value&&(d.minHeight=convertToUnit(u)),0===o&&0===u);return h("div",{key:e[0].date,ref:e=>{s.value[a]=e},class:{"q-calendar-month__week--wrapper":!0,"q-calendar-month__week--auto-height":i},style:d},[!0===p.showWorkWeeks?we(e):void 0,h("div",{class:"q-calendar-month__week"},[h("div",{class:"q-calendar-month__week--days"},e.map(e=>Te(e))),!0!==I.value&&void 0!==t?h("div",{ref:e=>{l.value[a]=e},class:"q-calendar-month__week--events"},t({scope:r})):void 0])])}function we(e){const a=m.workweek,t=e.length>2?e[2]:e[0],n=se(e).timestamp,r=Number(t.workweek).toLocaleString(p.locale),d={workweekLabel:r,week:e,miniMode:I.value};return h("div",{key:t.workweek,class:{"q-calendar-month__workweek":!0,...X(!1!==n?n:t,!1)},...q("-workweek",e=>{return{scope:d,event:e}})},a?a({scope:d}):r)}function Te(a){const e=m.day,t=p.dayStyle||b,n=ae(a),r=!0!==p.noActiveDate&&C.value.date===a.date,d=!1===n&&!0===p.showMonthLabel&&F.value.find(e=>e.month===a.month)?.day===a.day,o={outside:n,timestamp:a,miniMode:I.value,activeDate:r,hasMonth:d,droppable:_.value===a.date,disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(a.weekday))},u=Object.assign({...$.value},t({scope:o})),i="function"===typeof p.dayClass?p.dayClass({scope:o}):{},l={key:a.date,ref:e=>{!0===x.value&&(v.value[a.date]=e)},tabindex:!0===x.value?0:-1,class:{"q-calendar-month__day":!0,...i,...X(a,n,Array.from(p.selectedDates),p.selectedStartEndDates,p.hover),"q-active-date":!0===r,disabled:!0!==p.enableOutsideDays&&!0===n,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===x.value},style:u,onFocus:()=>{!0===x.value&&(y.value=a.date)},onKeydown:e=>{!0!==n&&!0!==a.disabled&&E(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==n&&!0!==a.disabled&&E(e,[13,32])&&(e.stopPropagation(),e.preventDefault(),void 0!==k.value.onClickDay)&&!0!==I.value&&c("click-day",{scope:o,e:e})},...q("-day",e=>{return{scope:o,event:e}})},s={onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"day",{scope:o})?_.value=a.date:_.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"day",{scope:o})?_.value=a.date:_.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"day",{scope:o})?_.value=a.date:_.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"day",{scope:o})?_.value=a.date:_.value="")}};return!0!==n&&Object.assign(l,s),!0!==p.noAria&&(l.ariaLabel=z.value(a,!1)),h("div",l,[be(a,n,d),h("div",{class:{"q-calendar-month__day--content":!0}},e?e({scope:o}):void 0),!0===x.value&&useFocusHelper()])}function be(e,a,t){let n,r;const d=[Ce(e,a)],o=(!0!==I.value&&!0===t&&i.width>340&&(r=Fe(e,a)),!0!==I.value&&!0===p.showDayOfYearLabel&&void 0===r&&i.width>300&&(n=Se(e,a)),"left"===p.dateAlign?(void 0!==n&&d.push(n),void 0!==r&&d.push(r)):"right"===p.dateAlign?(void 0!==n&&d.unshift(n),void 0!==r&&d.unshift(r)):(n=void 0,r=void 0),{class:{"q-calendar-month__day--label__wrapper":!0,"q-calendar__ellipsis":!0,["q-calendar__"+p.dateAlign]:void 0===n&&void 0===r,"q-calendar__justify":void 0!==n||void 0!==r}});return h("div",o,d)}function Ce(t,a){if(!0!==a||!0!==p.noOutsideDays){const e=K.value(t,!1),n=m["head-day-label"],r=m["head-day-button"],d=p.selectedDates&&Array.from(p.selectedDates).length>0&&Array.from(p.selectedDates).includes(t.date),o=!0!==p.noActiveDate&&O(t),u={dayLabel:e,timestamp:t,outside:a,activeDate:o,selectedDate:d,miniMode:I.value,disabled:!!p.disabledWeekdays&&p.disabledWeekdays.includes(Number(t.weekday))},i={key:t.date,ref:e=>{!0===A.value&&(v.value[t.date]=e)},tabindex:!0===A.value?0:-1,class:{"q-calendar-month__day--label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===p.dateType,"q-calendar__button--rounded":"rounded"===p.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===A.value},disabled:!0===t.disabled||!0!==p.enableOutsideDays&&!0===a,onFocus:()=>{!0===A.value&&(y.value=t.date)},onKeydown:e=>{!0!==a&&!0!==t.disabled&&E(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0===A.value&&!0!==a&&!0!==t.disabled&&E(e,[13,32])&&(e.stopPropagation(),e.preventDefault(),f.value=t.date,void 0!==k.value.onClickDate)&&c("click-date",{scope:u,event:e})},...q("-date",(e,a)=>{return e.stopPropagation(),"click-date"!==a&&"contextmenu-date"!==a||(f.value=t.date),{scope:u,event:e}})};return!0!==p.noAria&&(i.ariaLabel=z.value(t,!1)),[r?r({scope:u}):renderButton$2(p,i,n?n({scope:u}):e),!0===A.value&&useFocusHelper()].filter(e=>!1!==e)}}function Se(e,a){if(!0!==a||!0!==p.noOutsideDays){const t=m["day-of-year"],n={timestamp:e};return h("span",{class:{"q-calendar-month__day--day-of-year":!0,"q-calendar__ellipsis":!0}},t?t({scope:n}):e.doy)}}function Fe(e,a){if(!0!==a||!0!==p.noOutsideDays){const t=m["month-label"],n=te.value(e,p.shortMonthLabel||i.width<500),r={monthLabel:n,timestamp:e,miniMode:I.value},d={};return!0!==I.value&&void 0!==ee.value&&(d.fontSize=ee.value),h("span",{class:"q-calendar-month__day--month q-calendar__ellipsis",style:d},[t?t({scope:r}):!0!==I.value?n:void 0])}}function Ie(){const{start:e,end:a}=Z.value,t=(o.value=e.date,u.value=a.date,i.width>0),n=withDirectives(h("div",{class:{"q-calendar-mini":!0===I.value,"q-calendar-month":!0},key:o.value},[!0===t&&!0!==p.noHeader&&pe(),!0===t&&ve()]),[[ResizeObserverDirective,le]]);if(!0!==p.animated)return n;{const r="q-calendar--"+("prev"===d.value?p.transitionPrev:p.transitionNext);return h(Transition,{name:r,appear:!0},()=>n)}}return watch([F],ne,{deep:!0,immediate:!0}),watch(()=>p.modelValue,(e,a)=>{if(f.value!==e){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));d.value=t>=n?"next":"prev"}f.value=e}y.value=e}),watch(f,(e,a)=>{if(f.value!==p.modelValue){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));d.value=t>=n?"next":"prev"}c("update:model-value",e)}}),watch(y,e=>{e&&(a.value=parseTimestamp(e),f.value!==e)&&(f.value=e)}),watch(a,()=>{v.value[y.value]?v.value[y.value].focus():re()}),onBeforeUpdate(()=>{v.value={},l.value=[],s.value=[],nextTick(()=>{ce()})}),onMounted(()=>{ce()}),H({prev:ie,next:ue,move:M,moveToToday:oe,updateCurrent:D}),()=>j()}}),QCalendarResource=defineComponent({name:"QCalendarResource",props:{...useCommonProps,...useResourceProps,...useIntervalProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useNavigationProps},emits:["update:model-value","update:model-resources","resource-expanded",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-interval"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-time"),...getRawMouseEvents("-head-resources"),...getRawMouseEvents("-resource")],setup(p,{slots:m,emit:v,expose:H}){const e=ref(null),R=ref(null),L=ref(null),a=ref(null),y=ref(p.modelValue||today()),t=ref(parsed(p.modelValue||today())),f=ref({}),g=ref({}),o=ref("next"),u=ref(p.modelValue||today()),i=ref("0000-00-00"),l=ref(0),r=ref(p.modelValue),s=reactive({width:0,height:0}),_=ref(""),k=ref(""),D=ref(""),P=ref(null),V=ref(null),n=(watch(()=>p.view,()=>{l.value=0}),computed(()=>{return"month"===p.view?"month-interval":p.view})),w=computed(()=>{return parseInt(String(p.cellWidth),10)}),d=getCurrentInstance();if(null===d)throw new Error("current instance is null");const T=useEmitListeners(d).emitListeners,{times:c,setCurrent:B,updateCurrent:b}=useTimes(p),{parsedStart:C,parsedEnd:U,dayStyleDefault:S}=(b(),B(),useCommon(p,{startDate:u,endDate:i,times:c})),F=computed(()=>{return parseTimestamp(p.modelValue,c.now)||C.value||c.today}),Y=(t.value=F.value,y.value=F.value.date,useRenderValues(p,{parsedView:n,times:c,parsedValue:F})).renderValues,{rootRef:K,__renderCalendar:Q}=useCalendar(p,_e,{scrollArea:e,pane:R}),{days:I,intervals:M,intervalFormatter:z,styleDefault:X,scrollToTimeX:$,timeDurationWidth:q,timeStartPosX:E,widthToMinutes:Z}=useInterval(p,{times:c,scrollArea:e,parsedStart:C,parsedEnd:U,maxDays:l,size:s,headerColumnRef:a}),N=useMove(p,{parsedView:n,parsedValue:F,direction:o,maxDays:l,times:c,emittedValue:r,emit:v}).move,W=useMouseEvents(v,T).getDefaultMouseEventHandlers,j=useCheckChange(v,{days:I,lastStart:P,lastEnd:V}).checkChange,G=useEventUtils().isKeyCode,J=useNavigation(p,{rootRef:K,focusRef:y,focusValue:t,datesRef:f,parsedView:n,emittedValue:r,direction:o,times:c}).tryFocus,x=computed(()=>{const e=parseInt(String(p.resourceHeight),10);return 0===e?"auto":e}),A=computed(()=>{return parseInt(String(p.resourceMinHeight),10)}),O=computed(()=>{return parseInt(String(p.intervalHeaderHeight),10)});function ee(){r.value=today()}function ae(e=1){N(e)}function te(e=1){N(-e)}function ne({width:e,height:a}){s.width=e,s.height=a}function re(e){return e.date===r.value}function de(){const e={height:convertToUnit(O.value)};return h("div",{ref:L,roll:"presentation",class:{"q-calendar-resource__head":!0,"q-calendar__sticky":!0!==p.noSticky},style:e},[oe(),ue()])}function oe(){const e=m["head-resources"],a=convertToUnit(O.value),t={timestamps:M,date:p.modelValue,resources:p.modelResources};return h("div",{class:{"q-calendar-resource__head--resources":!0,"q-calendar__sticky":!0!==p.noSticky},style:{height:a},...W("-head-resources",e=>{return{scope:t,event:e}})},[e&&e({scope:t})])}function ue(){return h("div",{ref:a,class:{"q-calendar-resource__head--intervals":!0}},[M.value.map(e=>e.map((e,a)=>ie(e,a)))])}function ie(e,a){const t=m["interval-label"],n=!0!==p.noActiveDate&&re(e),r=convertToUnit(w.value),d=convertToUnit(O.value),o=p.shortIntervalLabel,u=z.value(e,o),i={timestamp:e,index:a,label:u,droppable:_.value===u},l=p.intervalStyle||S,s={width:r,maxWidth:r,minWidth:r,height:d,...l({scope:i})},c="function"===typeof p.intervalClass?p.intervalClass({scope:i}):{},v=!0===p.focusable&&p.focusType.includes("interval");return h("div",{key:u,tabindex:!0===v?0:-1,class:{"q-calendar-resource__head--interval":!0,...c,"q-active-date":n,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===v},style:s,onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"interval",{scope:i})?_.value=u:_.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"interval",{scope:i})?_.value=u:_.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"interval",{scope:i})?_.value=u:_.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"interval",{scope:i})?_.value=u:_.value="")},onFocus:()=>{!0===v&&(y.value=u)},...W("-interval",e=>{return{scope:i,event:e}})},[t?t({scope:i}):u,useFocusHelper()])}function le(){return h("div",{class:"q-calendar-resource__body"},[se()])}function se(){return h("div",{ref:e,class:{"q-calendar-resource__scroll-area":!0,"q-calendar__scroll":!0}},[ve()])}function ce(){return h("div",{},"No resources have been defined")}function ve(){return h("div",{class:"q-calendar-resource__day--container"},[de(),void 0===p.modelResources&&ce(),void 0!==p.modelResources&&pe()])}function pe(){const e={class:"q-calendar-resource__resources--body"};return h("div",e,me())}function me(e=void 0,t=0,n=!0){return void 0===e&&(e=p.modelResources),e.map((e,a)=>{return ye(e,a,t,void 0!==e.children?e.expanded:n)}).filter(e=>!!e)}function ye(e,a,t=0,n=!0){const r={},d=(r.height="auto"===x.value?x.value:convertToUnit(x.value),A.value>0&&(r.minHeight=convertToUnit(A.value)),h("div",{key:e[p.resourceKey]+"-"+a,class:{"q-calendar-resource__resource--row":!0},style:r},[fe(e,a,t,n),he(e,a)]));return void 0!==e.children?[d,h("div",{class:{"q-calendar__child":!0,"q-calendar__child--expanded":!0===n,"q-calendar__child--collapsed":!0!==n}},[me(e.children,t+1,!1===n?n:e.expanded)])]:[d]}function fe(a,e,t=0,n=!0){const r=m["resource-label"],d={},o=(d.height=void 0!==a.height?convertToUnit(parseInt(a.height,10)):x.value?convertToUnit(x.value):"auto",A.value>0&&(d.minHeight=convertToUnit(A.value)),p.resourceStyle||X),u=a[p.resourceLabel],i=!0===p.focusable&&p.focusType.includes("resource")&&!0===n,l=a[p.resourceKey],s={resource:a,timestamps:M,resourceIndex:e,indentLevel:t,label:u,droppable:k.value===l},c="function"===typeof p.resourceClass?p.resourceClass({scope:s}):{};return h("div",{key:a[p.resourceKey]+"-"+e,ref:e=>{e instanceof HTMLElement&&(g.value[a[p.resourceKey]]=e)},tabindex:!0===i?0:-1,class:{"q-calendar-resource__resource":0===t,"q-calendar-resource__resource--section":0!==t,...c,"q-calendar__sticky":!0!==p.noSticky,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===i},style:{...d,...o({scope:s})},onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"resource",{scope:s})?k.value=l:k.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"resource",{scope:s})?k.value=l:k.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"resource",{scope:s})?k.value=l:k.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"resource",{scope:s})?k.value=l:k.value="")},onKeydown:e=>{G(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{G(e,[13,32])&&void 0!==T.value.onClickResource&&v("click-resource",{scope:s,event:e})},...W("-resource",e=>{return{scope:s,event:e}})},[[h("div",{class:{"q-calendar__parent":void 0!==a.children,"q-calendar__parent--expanded":void 0!==a.children&&!0===a.expanded,"q-calendar__parent--collapsed":void 0!==a.children&&!0!==a.expanded},onClick:e=>{e.stopPropagation(),a.expanded=!a.expanded,v("resource-expanded",{expanded:a.expanded,scope:s})}}),h("div",{class:{"q-calendar-resource__resource--text":!0,"q-calendar__ellipsis":!0},style:{paddingLeft:10*t+2+"px"}},[r?r({scope:s}):u]),useFocusHelper()]])}function he(a,t){const e=m["resource-intervals"],n={resource:a,timestamps:M,resourceIndex:t,timeStartPosX:E,timeDurationWidth:q};return h("div",{class:"q-calendar-resource__resource--intervals"},[M.value.map(e=>e.map(e=>ge(a,e,t))),e&&e({scope:n})])}function ge(a,e,t){const n=m["resource-interval"],r=!0!==p.noActiveDate&&re(e),d=a[p.resourceKey],o=e.time+"-"+d,u=!0===p.focusable&&p.focusType.includes("time"),i={activeDate:r,resource:a,timestamp:e,resourceIndex:t,droppable:D.value===o},l=p.intervalStyle||S,s=convertToUnit(w.value),c={width:s,maxWidth:s,minWidth:s,...l({scope:i})};return c.height=void 0!==a.height?convertToUnit(parseInt(a.height,10)):"auto"===x.value?x.value:convertToUnit(x.value),A.value>0&&(c.minHeight=convertToUnit(A.value)),h("div",{key:o,ref:e=>{e instanceof HTMLElement&&(f.value[a[p.resourceKey]]=e)},tabindex:!0===u?0:-1,class:{"q-calendar-resource__resource--interval":!0,"q-active-date":r,"q-calendar__hoverable":!0===p.hoverable,"q-calendar__focusable":!0===u},style:c,onDragenter:e=>{void 0!==p.dragEnterFunc&&"function"===typeof p.dragEnterFunc&&(!0===p.dragEnterFunc(e,"time",{scope:i})?D.value=o:D.value="")},onDragover:e=>{void 0!==p.dragOverFunc&&"function"===typeof p.dragOverFunc&&(!0===p.dragOverFunc(e,"time",{scope:i})?D.value=o:D.value="")},onDragleave:e=>{void 0!==p.dragLeaveFunc&&"function"===typeof p.dragLeaveFunc&&(!0===p.dragLeaveFunc(e,"time",{scope:i})?D.value=o:D.value="")},onDrop:e=>{void 0!==p.dropFunc&&"function"===typeof p.dropFunc&&(!0===p.dropFunc(e,"time",{scope:i})?D.value=o:D.value="")},onFocus:()=>{!0===u&&(y.value=o)},...W("-time",e=>{return{scope:i,event:e}})},[n&&n({scope:i}),useFocusHelper()])}function _e(){const{start:e,end:a,maxDays:t}=Y.value,n=(u.value===e.date&&i.value===a.date&&l.value===t||(u.value=e.date,i.value=a.date,l.value=t),s.width>0),r=withDirectives(h("div",{class:"q-calendar-resource",key:u.value},[!0===n&&le()]),[[ResizeObserverDirective,ne]]);if(!0!==p.animated)return r;{const d="q-calendar--"+("prev"===o.value?p.transitionPrev:p.transitionNext);return h(Transition,{name:d,appear:!0},()=>r)}}return watch([I],j,{deep:!0,immediate:!0}),watch(()=>p.modelValue,(e,a)=>{if(r.value!==e){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}r.value=e}y.value=e}),watch(r,(e,a)=>{if(r.value!==p.modelValue){if(!0===p.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));o.value=t>=n?"next":"prev"}v("update:model-value",e)}}),watch(y,e=>{e&&(t.value=parseTimestamp(e))}),watch(t,()=>{f.value[y.value]?f.value[y.value].focus():J()}),onBeforeUpdate(()=>{f.value={},g.value={}}),onMounted(()=>{}),H({prev:te,next:ae,move:N,moveToToday:ee,updateCurrent:b,timeStartPosX:E,timeDurationWidth:q,widthToMinutes:Z,scrollToTimeX:$}),()=>Q()}});const renderButton$1=useButton().renderButton;var QCalendarScheduler=defineComponent({name:"QCalendarScheduler",directives:{ResizeObserver:ResizeObserverDirective},props:{...useCommonProps,...useSchedulerProps,...useColumnProps,...useMaxDaysProps,...useTimesProps,...useCellWidthProps,...useNavigationProps},emits:["update:model-value","update:model-resources","resource-expanded",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-day-resource"),...getRawMouseEvents("-head-resources"),...getRawMouseEvents("-head-day"),...getRawMouseEvents("-resource")],setup(f,{slots:g,emit:_,expose:H}){const e=ref(null),a=ref(null),R=ref(null),p=ref(f.modelValue||today()),t=ref(parsed(f.modelValue||today())),m=ref({}),L=ref({}),n=ref(),r=ref(),u=ref("next"),i=ref(f.modelValue||today()),l=ref("0000-00-00"),s=ref(0),k=ref(f.modelValue),c=reactive({width:0,height:0}),y=ref(""),D=ref(""),P=ref(null),V=ref(null),d=(watch(()=>f.view,()=>{s.value=0}),computed(()=>{return"month"===f.view?"month-interval":f.view})),B=getCurrentInstance();if(null===B)throw new Error("current instance is null");const w=useEmitListeners(B).emitListeners,T=useCellWidth(f).isSticky,{times:o,setCurrent:U,updateCurrent:Y}=useTimes(f),{parsedStart:K,parsedEnd:Q,dayFormatter:z,weekdayFormatter:X,ariaDateFormatter:$,dayStyleDefault:Z,getRelativeClasses:b}=(Y(),U(),useCommon(f,{startDate:i,endDate:l,times:o})),C=computed(()=>{return parseTimestamp(f.modelValue,o.now)||K.value||o.today}),j=(t.value=C.value,p.value=C.value.date,useRenderValues(f,{parsedView:d,parsedValue:C,times:o})).renderValues,{rootRef:v,scrollWidth:G,__renderCalendar:J}=useCalendar(f,xe,{scrollArea:e,pane:a}),{days:S,parsedCellWidth:F,styleDefault:ee}=useInterval(f,{times:o,scrollArea:e,parsedStart:K,parsedEnd:Q,maxDays:s,size:c,headerColumnRef:R}),I=useMove(f,{parsedView:d,parsedValue:C,direction:u,maxDays:s,times:o,emittedValue:k,emit:_}).move,M=useMouseEvents(_,w).getDefaultMouseEventHandlers,ae=useCheckChange(_,{days:S,lastStart:P,lastEnd:V}).checkChange,q=useEventUtils().isKeyCode,te=useNavigation(f,{rootRef:v,focusRef:p,focusValue:t,datesRef:m,parsedView:d,emittedValue:k,direction:u,times:o}).tryFocus,E=computed(()=>{const e=parseInt(String(f.columnCount),10);return"day"===d.value&&e>1?e:"day"===d.value&&f.maxDays&&f.maxDays>1?f.maxDays:S.value.length}),ne=computed(()=>{return v.value?parseInt(window.getComputedStyle(v.value).getPropertyValue("--calendar-resources-width"),10):0}),N=computed(()=>{const e=parseInt(String(f.resourceHeight),10);return 0===e?"auto":e}),re=computed(()=>{return parseInt(String(f.resourceMinHeight),10)}),W=computed(()=>{if(v.value){const e=c.width||v.value.getBoundingClientRect().width;if(e&&ne.value&&E.value)return(e-G.value-ne.value)/E.value+"px"}return 100/E.value+"%"});function de(){k.value=today()}function oe(e=1){I(e)}function ue(e=1){I(-e)}function ie({width:e,height:a}){c.width=e,c.height=a}function x(e){return e.date===k.value}function le(){return h("div",{roll:"presentation",class:{"q-calendar-scheduler__head":!0,"q-calendar__sticky":!0===T.value},style:{marginRight:G.value+"px"}},[se(),ce()])}function se(){const e=g["head-resources"],a={days:S.value,timestamps:S.value,date:f.modelValue,resources:f.modelResources};return h("div",{class:{"q-calendar-scheduler__head--resources":!0,"q-calendar__sticky":!0===T.value},...M("-head-resources",e=>{return{scope:a,event:e}})},[e&&e({scope:a})])}function ce(){return h("div",{ref:R,class:{"q-calendar-scheduler__head--days__column":!0}},[ve(),pe()])}function ve(){return h("div",{class:{"q-calendar-scheduler__head--days__weekdays":!0}},[...me()])}function pe(){const e=g["head-days-events"];return nextTick(()=>{if(r.value&&0===parseInt(String(f.columnCount),10)&&window)try{const e=window.getComputedStyle(r.value);n.value&&n.value.parentElement&&(n.value.parentElement.style.height=e.height,n.value.style.height=e.height)}catch{}}),h("div",{class:{"q-calendar-scheduler__head--days__event":!0}},[e&&h("div",{ref:n,style:{position:"absolute",left:0,top:0,right:0,overflow:"hidden",zIndex:1}},[e({scope:{timestamps:S.value,days:S.value,ref:r}})]),...ye()])}function me(){const e=parseInt(String(f.columnCount),10),t=parseInt(String(f.columnIndexStart),10);return 1===S.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>fe(S.value[0],e)):S.value.map(e=>fe(e,0))}function ye(){const e=parseInt(String(f.columnCount),10),t=parseInt(String(f.columnIndexStart),10);return 1===S.value.length&&e>0?Array.apply(null,new Array(e)).map((e,a)=>a+t).map(e=>ge(S.value[0],e)):S.value.map(e=>ge(e,0))}function fe(a,e){const t=g["head-day"],n=g["head-date"],r=!0!==f.noActiveDate&&x(a),d={timestamp:a,activeDate:r,droppable:y.value===a.date,disabled:!!f.disabledWeekdays&&f.disabledWeekdays.includes(Number(a.weekday)),columnIndex:e??0},o=!0===T.value?convertToUnit(F.value):W.value,u=f.weekdayStyle||Z,i={width:o,maxWidth:o,minWidth:o,...u({scope:d})},l=(!0===T.value&&(i.minWidth=o),"function"===typeof f.weekdayClass?f.weekdayClass({scope:d}):{}),s=!0===f.focusable&&f.focusType.includes("weekday"),c=a.date+(void 0!==e?"-"+e:""),v={key:c,ref:e=>{null!==e&&(m.value[c]=e)},tabindex:!0===s?0:-1,class:{"q-calendar-scheduler__head--day":!0,...l,...b(a),"q-active-date":r,"q-calendar__hoverable":!0===f.hoverable,"q-calendar__focusable":!0===s},style:i,onFocus:()=>{!0===s&&(p.value=c)},onKeydown:e=>{!0!==a.disabled&&q(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==a.disabled&&q(e,[13,32])&&(k.value=a.date)},...M("-head-day",e=>{return{scope:d,event:e}}),onDragenter:e=>{void 0!==f.dragEnterFunc&&"function"===typeof f.dragEnterFunc&&(!0===f.dragEnterFunc(e,"head-day",{scope:d})?y.value=a.date:y.value="")},onDragover:e=>{void 0!==f.dragOverFunc&&"function"===typeof f.dragOverFunc&&(!0===f.dragOverFunc(e,"head-day",{scope:d})?y.value=a.date:y.value="")},onDragleave:e=>{void 0!==f.dragLeaveFunc&&"function"===typeof f.dragLeaveFunc&&(!0===f.dragLeaveFunc(e,"head-day",{scope:d})?y.value=a.date:y.value="")},onDrop:e=>{void 0!==f.dropFunc&&"function"===typeof f.dropFunc&&(!0===f.dropFunc(e,"head-day",{scope:d})?y.value=a.date:y.value="")}};return h("div",v,[void 0!==t&&t({scope:d}),void 0===t&&De(a,e),void 0===t&&he(a),void 0===t&&n&&n({scope:d}),void 0===t&&we(a,e),useFocusHelper()])}function he(e){return"stacked"===f.dateHeader?[!0!==f.noDefaultHeaderText?A(e):[],!0!==f.noDefaultHeaderBtn?O(e):[]].flat():"inline"===f.dateHeader?("left"===f.weekdayAlign&&"right"===f.dateAlign||"right"===f.weekdayAlign&&f.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==f.noDefaultHeaderText&&A(e),!0!==f.noDefaultHeaderBtn&&O(e)])):"inverted"===f.dateHeader?("left"===f.weekdayAlign&&"right"===f.dateAlign||"right"===f.weekdayAlign&&f.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==f.noDefaultHeaderBtn&&O(e),!0!==f.noDefaultHeaderText&&A(e)])):void 0}function ge(e,a){const t=g["head-day-event"],n=!0!==f.noActiveDate&&x(e),r={timestamp:e,activeDate:n,droppable:y.value===e.date,disabled:!!f.disabledWeekdays&&f.disabledWeekdays.includes(Number(e.weekday)),columnIndex:a??0},d=!0===T.value?convertToUnit(F.value):W.value,o={width:d,maxWidth:d,minWidth:d};return!0===T.value&&(o.minWidth=d),h("div",{key:"event-"+e.date+(void 0!==a?"-"+a:""),class:{"q-calendar-scheduler__head--day__event":!0,...b(e),"q-active-date":n},style:o},[t&&t({scope:r})])}function A(e){const a=g["head-weekday-label"],t=!0===f.shortWeekdayLabel,n={timestamp:e,shortWeekdayLabel:t},r={class:{"q-calendar-scheduler__head--weekday":!0,["q-calendar__"+f.weekdayAlign]:!0,"q-calendar__ellipsis":!0}};return h("div",r,a&&a({scope:n})||_e(e,t))}function _e(e,a){const t=X.value(e,a||f.weekdayBreakpoints[0]>0&&F.value<=f.weekdayBreakpoints[0]);return h("span",{class:"q-calendar-scheduler__head--weekday-label q-calendar__ellipsis"},f.weekdayBreakpoints[1]>0&&F.value<=f.weekdayBreakpoints[1]?minCharWidth(t,Number(f.minWeekdayLabel)):t)}function O(e){const a={class:{"q-calendar-scheduler__head--date":!0,["q-calendar__"+f.dateAlign]:!0}};return h("div",a,ke(e))}function ke(t){const e=!0!==f.noActiveDate&&x(t),a=z.value(t,!1),n=g["head-day-label"],r=g["head-day-button"],d={dayLabel:a,timestamp:t,activeDate:e},o={class:{"q-calendar-scheduler__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===f.dateType,"q-calendar__button--rounded":"rounded"===f.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__focusable":!0},disabled:t.disabled,onKeydown:e=>{!0!==t.disabled&&q(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==t.disabled&&q(e,[13,32])&&(k.value=t.date,void 0!==w.value.onClickDate)&&_("click-date",{scope:d})},...M("-date",(e,a)=>{return"click-date"!==a&&"contextmenu-date"!==a||(k.value=t.date,"click-date"===a&&e.preventDefault()),{scope:d,event:e}})};return!0!==f.noAria&&(o.ariaLabel=$.value(t,!1)),r?h("div",[r({scope:d})]):renderButton$1(f,o,n?n({scope:d}):a)}function De(e,a){const t=g["column-header-before"];if(t){const n={timestamp:e,columnIndex:a};return h("div",{class:"q-calendar-scheduler__column-header--before"},[t({scope:n})])}}function we(e,a){const t=g["column-header-after"];if(t){const n={timestamp:e,columnIndex:a};return h("div",{class:"q-calendar-scheduler__column-header--after"},[t({scope:n})])}}function Te(){return h("div",{class:"q-calendar-scheduler__body"},[be()])}function be(){return!0===T.value?h("div",{ref:e,class:{"q-calendar-scheduler__scroll-area":!0,"q-calendar__scroll":!0}},[!0!==T.value&&qe(),Se()]):!0===f.noScroll?Ce():h("div",{ref:e,class:{"q-calendar-scheduler__scroll-area":!0,"q-calendar__scroll":!0}},[Ce()])}function Ce(){return h("div",{ref:a,class:"q-calendar-scheduler__pane"},[Se()])}function Se(){return h("div",{class:"q-calendar-scheduler__day--container"},[!0===T.value&&!0!==f.noHeader&&le(),Fe()])}function Fe(e=void 0,t=0,n=!0){return void 0===e&&(e=f.modelResources),e.map((e,a)=>{return Ie(e,a,t,void 0!==e.children?e.expanded:n)}).flat()}function Ie(e,a,t=0,n=!0){const r={},d=(r.height=void 0!==e.height?convertToUnit(parseInt(e.height,10)):N.value?convertToUnit(N.value):"auto",re.value>0&&(r.minHeight=convertToUnit(re.value)),h("div",{key:e[f.resourceKey]+"-"+a,class:{"q-calendar-scheduler__resource--row":!0},style:r},[Me(e,a,t,n),qe(e,a,t,n)]));return void 0!==e.children?[d,h("div",{class:{"q-calendar__child":!0,"q-calendar__child--expanded":!0===n,"q-calendar__child--collapsed":!0!==n}},[Fe(e.children,t+1,!1===n?n:e.expanded)])]:[d]}function Me(a,e,t=0,n=!0){const r=g["resource-label"],d=parseInt(String(f.resourceMinHeight),10),o={},u=(o.height=void 0!==a.height?convertToUnit(parseInt(a.height,10)):N.value?convertToUnit(N.value):"auto",d>0&&(o.minHeight=convertToUnit(d)),f.resourceStyle||ee),i=a[f.resourceLabel],l=!0===f.focusable&&f.focusType.includes("resource")&&!0===n,s=a[f.resourceKey],c={resource:a,timestamps:S.value,days:S.value,resourceIndex:e,indentLevel:t,label:i,droppable:D.value===s},v="function"===typeof f.resourceClass?f.resourceClass({scope:c}):{};return h("div",{key:a[f.resourceKey]+"-"+e,ref:e=>{null!==e&&(L.value[a[f.resourceKey]]=e)},tabindex:!0===l?0:-1,class:{"q-calendar-scheduler__resource":0===t,"q-calendar-scheduler__resource--section":0!==t,...v,"q-calendar__sticky":!0===T.value,"q-calendar__hoverable":!0===f.hoverable,"q-calendar__focusable":!0===l},style:{...o,...u({scope:c})},onDragenter:e=>{void 0!==f.dragEnterFunc&&"function"===typeof f.dragEnterFunc&&(!0===f.dragEnterFunc(e,"resource",{scope:c})?D.value=s:D.value="")},onDragover:e=>{void 0!==f.dragOverFunc&&"function"===typeof f.dragOverFunc&&(!0===f.dragOverFunc(e,"resource",{scope:c})?D.value=s:D.value="")},onDragleave:e=>{void 0!==f.dragLeaveFunc&&"function"===typeof f.dragLeaveFunc&&(!0===f.dragLeaveFunc(e,"resource",{scope:c})?D.value=s:D.value="")},onDrop:e=>{void 0!==f.dropFunc&&"function"===typeof f.dropFunc&&(!0===f.dropFunc(e,"resource",{scope:c})?D.value=s:D.value="")},onKeydown:e=>{q(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{q(e,[13,32])&&void 0!==w.value.onClickResource&&_("click-resource",{scope:c,event:e})},...M("-resource",e=>{return{scope:c,event:e}})},[[h("div",{class:{"q-calendar__parent":void 0!==a.children,"q-calendar__parent--expanded":void 0!==a.children&&!0===a.expanded,"q-calendar__parent--collapsed":void 0!==a.children&&!0!==a.expanded},onClick:e=>{e.stopPropagation(),a.expanded=!a.expanded,_("resource-expanded",{expanded:a.expanded,scope:c})}}),h("div",{class:{"q-calendar-scheduler__resource--text":!0,"q-calendar__ellipsis":!0},style:{paddingLeft:10*t+2+"px"}},[r?r({scope:c}):i]),useFocusHelper()]])}function qe(e,a,t=0,n=!0){const r=g["resource-days"],d=!0===T.value?convertToUnit(F.value):W.value,o={resource:e,resourceIndex:a,indentLevel:t,expanded:n,cellWidth:d,timestamps:S.value,days:S.value},u={},i=(u.height=parseInt(String(f.resourceHeight),10)>0?convertToUnit(parseInt(String(f.resourceHeight),10)):"auto",parseInt(String(f.resourceMinHeight),10)>0&&(u.minHeight=convertToUnit(parseInt(String(f.resourceMinHeight),10))),{class:"q-calendar-scheduler__resource--days",style:u});return h("div",i,[...Ee(e,a,t,n),r&&r({scope:o})])}function Ee(a,t,n=0,r=!0){return 1===S.value.length&&parseInt(String(f.columnCount),10)>0?Array.apply(null,new Array(parseInt(String(f.columnCount),10))).map((e,a)=>a+parseInt(String(f.columnIndexStart),10)).map(e=>Ne(S.value[0],e,a,t,n,r)):S.value.map(e=>Ne(e,0,a,t,n,r))}function Ne(e,a,t,n,r=0,d=!0){const o=g.day,u=f.dayStyle||Z,i=!0!==f.noActiveDate&&C.value.date===e.date,l=e.date+":"+t[f.resourceKey]+(void 0!==a?":"+a:""),s=D.value===l,c={timestamp:e,columnIndex:a,resource:t,resourceIndex:n,indentLevel:r,activeDate:i,droppable:s},v=!0===T.value?convertToUnit(F.value):W.value,p={width:v,maxWidth:v,...u({scope:c})},m=(p.height=parseInt(String(f.resourceHeight),10)>0?convertToUnit(parseInt(String(f.resourceHeight),10)):"auto",parseInt(String(f.resourceMinHeight),10)>0&&(p.minHeight=convertToUnit(parseInt(String(f.resourceMinHeight),10))),"function"===typeof f.dayClass?f.dayClass({scope:c}):{}),y=!0===f.focusable&&f.focusType.includes("day")&&!0===d;return h("div",{key:e.date+(void 0!==a?":"+a:""),tabindex:!0===y?0:-1,class:{"q-calendar-scheduler__day":0===r,"q-calendar-scheduler__day--section":0!==r,...m,...b(e),"q-calendar__hoverable":!0===f.hoverable,"q-calendar__focusable":!0===y},style:p,onDragenter:e=>{void 0!==f.dragEnterFunc&&"function"===typeof f.dragEnterFunc&&(!0===f.dragEnterFunc(e,"day",{scope:c})?D.value=l:D.value="")},onDragover:e=>{void 0!==f.dragOverFunc&&"function"===typeof f.dragOverFunc&&(!0===f.dragOverFunc(e,"day",{scope:c})?D.value=l:D.value="")},onDragleave:e=>{void 0!==f.dragLeaveFunc&&"function"===typeof f.dragLeaveFunc&&(!0===f.dragLeaveFunc(e,"day",{scope:c})?D.value=l:D.value="")},onDrop:e=>{void 0!==f.dropFunc&&"function"===typeof f.dropFunc&&(!0===f.dropFunc(e,"day",{scope:c})?D.value=l:D.value="")},onKeydown:e=>{q(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{q(e,[13,32])&&(k.value=c.timestamp.date,void 0!==w.value.onClickResource)&&_("click-resource",{scope:c,event:e})},...M("-day-resource",e=>{return{scope:c,event:e}})},[o&&o({scope:c}),useFocusHelper()])}function We(){return h("div",{},"No resources have been defined")}function xe(){const{start:e,end:a,maxDays:t}=j.value,n=(i.value===e.date&&l.value===a.date&&s.value===t||(i.value=e.date,l.value=a.date,s.value=t),c.width>0),r=f.modelResources&&f.modelResources.length>0,d=withDirectives(h("div",{key:i.value,class:"q-calendar-scheduler"},[!0===n&&!0===r&&!0!==T.value&&!0!==f.noHeader&&le(),!0===n&&!0===r&&Te(),!1===r&&We()]),[[ResizeObserverDirective,ie]]);if(!0!==f.animated)return d;{const o="q-calendar--"+("prev"===u.value?f.transitionPrev:f.transitionNext);return h(Transition,{name:o,appear:!0},()=>d)}}return watch([S],ae,{deep:!0,immediate:!0}),watch(()=>f.modelValue,(e,a)=>{if(k.value!==f.modelValue){if(!0===f.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));u.value=t>=n?"next":"prev"}k.value=e}p.value=e}),watch(k,(e,a)=>{if(k.value!==f.modelValue){if(!0===f.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));u.value=t>=n?"next":"prev"}_("update:model-value",e)}}),watch(p,e=>{e&&(t.value=parseTimestamp(e))}),watch(t,()=>{m.value[p.value]?m.value[p.value].focus():te()}),watch(()=>f.maxDays,e=>{s.value=e}),onBeforeUpdate(()=>{m.value={},n.value=void 0,r.value=void 0,L.value={}}),onMounted(()=>{}),H({prev:ue,next:oe,move:I,moveToToday:de,updateCurrent:Y}),()=>J()}});const useTaskProps={modelValue:{type:String,default:today(),validator:e=>""===e||validateTimestamp(e)},modelTasks:{type:Array,default:()=>[]},modelTitle:{type:Array,default:()=>[]},modelFooter:{type:Array,default:()=>[]},taskKey:{type:[String,Number],default:"id"},weekdays:{type:Array,default:()=>[0,1,2,3,4,5,6]},dateType:{type:String,default:"round",validator:e=>["round","rounded","square"].includes(e)},dateHeader:{type:String,default:"stacked",validator:e=>["stacked","inline","inverted"].includes(e)},weekdayAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},dateAlign:{type:String,default:"center",validator:e=>["left","center","right"].includes(e)},dayHeight:{type:[Number,String],default:0,validator:validateNumber},dayMinHeight:{type:[Number,String],default:40,validator:validateNumber},weekdayStyle:{type:Function,default:null},weekdayClass:{type:Function,default:null},dayStyle:{type:Function,default:null},dayClass:{type:Function,default:null},footerDayClass:{type:Function,default:null},view:{type:String,validator:e=>["day","week","month"].includes(e)},viewCount:{type:Number,default:1,validator:e=>validateNumber(e)&&e>0},taskWidth:{type:Number,default:200,validator:e=>validateNumber(e)&&e>0}};function useTask(a,e,{times:t}){const n=computed(()=>{if(!a.modelValue)throw new Error("QCalendarTask: no modelValue provided");if("day"===a.view)return parseTimestamp(a.modelValue);if("week"===a.view)return getStartOfWeek(parseTimestamp(a.modelValue),a.weekdays,t.today);if("month"===a.view)return getStartOfMonth(parseTimestamp(a.modelValue));throw new Error(`QCalendarTask: unknown 'view' type (${a.view})`)}),r=computed(()=>{if(!a.modelValue)throw new Error("QCalendarTask: no modelValue provided");if("day"===a.view){if(1===a.viewCount)return n.value;let e=copyTimestamp(n.value);return e=addToDate(e,{day:a.viewCount-1}),e}if("week"===a.view){if(1===a.viewCount)return getEndOfWeek(parseTimestamp(a.modelValue),a.weekdays,t.today);{let e=copyTimestamp(n.value);return e=addToDate(e,{day:(a.viewCount-1)*TIME_CONSTANTS.DAYS_IN.WEEK}),getEndOfWeek(e,a.weekdays,t.today)}}if("month"!==a.view)throw new Error(`QCalendarTask: unknown 'view' type (${a.view})`);if(1===a.viewCount)return getEndOfMonth(parseTimestamp(a.modelValue));{let e=copyTimestamp(n.value);return e=addToDate(e,{month:a.viewCount}),getEndOfMonth(e)}}),d=computed(()=>{return createDayList(n.value,r.value,t.today,a.weekdays,a.disabledBefore,a.disabledAfter,a.disabledWeekdays||[],a.disabledDays||[],Number.MAX_SAFE_INTEGER)});return{days:d,parsedStartDate:n,parsedEndDate:r}}const renderButton=useButton().renderButton;var QCalendarTask=defineComponent({name:"QCalendarTask",directives:{ResizeObserver:ResizeObserverDirective},props:{...useTimesProps,...useNavigationProps,...useCellWidthProps,...useCommonProps,...useTaskProps},emits:["update:model-value","update:model-tasks","update:model-title","update:model-footer","task-expanded",...useCheckChangeEmits,...useMoveEmits,...getRawMouseEvents("-date"),...getRawMouseEvents("-day"),...getRawMouseEvents("-head-day")],setup(c,{slots:v,emit:l,expose:H}){const e=ref(null),R=ref(null),d=ref("next"),o=ref(c.modelValue||today()),u=ref("0000-00-00"),a=ref(0),p=ref(c.modelValue),m=ref(c.modelValue||today()),t=ref(parsed(c.modelValue||today())),y=ref({}),i=reactive({width:0,height:0}),f=ref(""),g=ref(""),L=ref(null),P=ref(null),n=(watch(()=>c.view,()=>{a.value=0}),computed(()=>{return"month"===c.view?"month-interval":c.view})),r=getCurrentInstance();if(null===r)throw new Error("current instance is null");const s=useEmitListeners(r).emitListeners,{times:_,setCurrent:V,updateCurrent:k}=useTimes(c),{parsedStart:B,dayFormatter:U,weekdayFormatter:Y,ariaDateFormatter:K,dayStyleDefault:D,getRelativeClasses:w}=(k(),V(),useCommon(c,{startDate:o,endDate:u,times:_})),T=computed(()=>{return parseTimestamp(c.modelValue,_.now)||B.value||_.today}),Q=(t.value=T.value,m.value=T.value.date,useRenderValues(c,{parsedView:n,times:_,parsedValue:T})).renderValues,{rootRef:z,__renderCalendar:X}=useCalendar(c,Ee,{scrollArea:e,pane:R}),{days:b,parsedStartDate:C,parsedEndDate:S}=useTask(c,l,{times:_}),F=useMove(c,{parsedView:n,parsedValue:T,direction:d,maxDays:a,times:_,emittedValue:p,emit:l}).move,I=useMouseEvents(l,s).getDefaultMouseEventHandlers,$=useCheckChange(l,{days:b,lastStart:L,lastEnd:P}).checkChange,M=useEventUtils().isKeyCode,Z=useNavigation(c,{rootRef:z,focusRef:m,focusValue:t,datesRef:y,parsedView:n,emittedValue:p,direction:d,times:_}).tryFocus,q=ref(!0),E=computed(()=>{return void 0!==c.cellWidth?parseInt(String(c.cellWidth),10):150}),N=computed(()=>{return!0===c.focusable&&c.focusType.includes("day")}),j=computed(()=>{return!0===c.focusable&&c.focusType.includes("date")&&!0!==N.value}),W=computed(()=>{return!0===c.focusable&&c.focusType.includes("weekday")}),G=computed(()=>{return parseInt(String(c.dayHeight),10)}),J=computed(()=>{return parseInt(String(c.dayMinHeight),10)});function ee(){p.value=today()}function ae(e=1){F(e)}function te(e=1){F(-e)}function ne({width:e,height:a}){i.width=e,i.height=a}function x(e){return e.date===p.value}function re(e,a,t){const n=v.day,r=c.dayStyle||D,d=!0!==c.noActiveDate&&T.value.date===e.date,o=a[c.taskKey],u={timestamp:e,task:a,taskIndex:t,activeDate:d,droppable:g.value===o},i=convertToUnit(E.value),l={width:i,minWidth:i,maxWidth:i,...r({scope:u})},s="function"===typeof c.dayClass?c.dayClass({scope:u}):{};return h("div",{tabindex:!0===N.value?0:-1,class:{"q-calendar-task__task--day":!0,...s,...w(e),"q-active-date":!0===d,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===N.value},style:l,onFocus:()=>{N.value},...I("-day",e=>{return{scope:u,event:e}}),onDragenter:e=>{void 0!==c.dragEnterFunc&&"function"===typeof c.dragEnterFunc&&(!0===c.dragEnterFunc(e,"day",{scope:u})?g.value=o:g.value="")},onDragover:e=>{void 0!==c.dragOverFunc&&"function"===typeof c.dragOverFunc&&(!0===c.dragOverFunc(e,"day",{scope:u})?g.value=o:g.value="")},onDragleave:e=>{void 0!==c.dragLeaveFunc&&"function"===typeof c.dragLeaveFunc&&(!0===c.dragLeaveFunc(e,"day",{scope:u})?g.value=o:g.value="")},onDrop:e=>{void 0!==c.dropFunc&&"function"===typeof c.dropFunc&&(!0===c.dropFunc(e,"day",{scope:u})?g.value=o:g.value="")}},[n&&n({scope:u}),useFocusHelper()])}function de(a,t){return b.value.map(e=>re(e,a,t))}function oe(e,a){const t=v.days,n={timestamps:b.value,days:b.value,task:e,taskIndex:a,cellWidth:E.value};return h("div",{class:"q-calendar-task__task--days-row"},[de(e,a),t&&t({scope:n})])}function ue(a,e,t=0,n=!0){const r=0===t?v.task:v.subtask,d={start:C.value,end:S.value,task:a,taskIndex:e,expanded:n},o=convertToUnit(c.taskWidth),u={width:o,minWidth:o,maxWidth:o},i=!0===c.focusable&&c.focusType.includes("task");return h("div",{class:{"q-calendar-task__task--item":!0,"q-calendar__sticky":!0===q.value,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===i},style:u},[h("div",{style:{flexDirection:"column",justifyContent:"center",alignItems:"center",width:10+10*t+"px"}},[h("div",{class:{"q-calendar__parent":void 0!==a.children,"q-calendar__parent--expanded":void 0!==a.children&&!0===a.expanded,"q-calendar__parent--collapsed":void 0!==a.children&&!0!==a.expanded},onClick:e=>{e.stopPropagation(),a.expanded=!a.expanded,l("task-expanded",{expanded:a.expanded,scope:d})}})]),r&&r({scope:d}),useFocusHelper()])}function ie(e,a,t=0,n=!0){const r=void 0!==e.height?convertToUnit(parseInt(e.height,10)):G.value>0?convertToUnit(G.value):"auto",d=J.value>0?convertToUnit(J.value):void 0,o={height:r},u=(void 0!==d&&(o.minHeight=d),h("div",{key:e[c.taskKey]+"-"+a,class:{"q-calendar-task__task":0===t,"q-calendar-task__task--section":0!==t},style:o},[ue(e,a,t,n),oe(e,a)]));return void 0!==e.children?[u,h("div",{class:{"q-calendar__child":!0,"q-calendar__child--expanded":!0===n,"q-calendar__child--collapsed":!0!==n}},[le(e.children,t+1,!1===n?n:e.expanded)])]:[u]}function le(e=void 0,t=0,n=!0){return void 0===e&&(e=c.modelTasks),e.map((e,a)=>{return ie(e,a,t,void 0!==e.children?e.expanded:n)}).flat()}function se(){return h("div",{class:{"q-calendar-task__task--container":!0,"q-calendar__sticky":!0===q.value}},[le()])}function ce(e,a){const t=v["footer-task"],n={start:C.value,end:S.value,footer:e,index:a},r=convertToUnit(c.taskWidth),d={width:r,minWidth:r,maxWidth:r};return h("div",{class:{"q-calendar-task__footer--task":!0,"q-calendar__sticky":!0===q.value},style:d},[t&&t({scope:n})])}function ve(e,a,t){const n=v["footer-day"],r={timestamp:e,footer:a,index:t},d=convertToUnit(E.value),o={width:d,minWidth:d,maxWidth:d},u="function"===typeof c.footerDayClass?c.footerDayClass({scope:r}):{};return h("div",{class:{"q-calendar-task__footer--day":!0,...u,...w(e),"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===N.value},style:o},[n&&n({scope:r})])}function pe(a,t){return h("div",{class:"q-calendar-task__footer--day-wrapper"},[b.value.map(e=>ve(e,a,t))])}function me(){const t=!0===c.focusable&&c.focusType.includes("task");return c.modelFooter.map((e,a)=>{return h("div",{class:{"q-calendar-task__footer--wrapper":!0,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===t}},{default:()=>[ce(e,a),pe(e,a)]})})}function ye(){return h("div",{class:{"q-calendar-task__footer":!0,"q-calendar__sticky":!0===q.value}},me())}function fe(){return h("div",{class:{"q-calendar-task__container":!0}},[!0!==c.noHeader&&Ie(),se(),ye()])}function he(){const e=v["head-tasks"],a={start:C.value,end:S.value},t=convertToUnit(parseInt(String(c.taskWidth),10)),n={width:t,minWidth:t,maxWidth:t};return h("div",{class:{"q-calendar-task__head--tasks":!0,"q-calendar__sticky":!0===q.value},style:n},[e&&e({scope:a})])}function ge(e,a){const t=v["title-task"],n=convertToUnit(parseInt(String(c.taskWidth),10)),r={width:n,minWidth:n,maxWidth:n},d={start:C.value,end:S.value,cellWidth:n,title:e,index:a};return h("div",{class:{"q-calendar-task__title--task":!0,"q-calendar__sticky":!0===q.value},style:r},[t&&t({scope:d})])}function A(e){const a=v["head-weekday-label"],t=!0!==c.noActiveDate&&x(e),n={activeDate:t,timestamp:e,disabled:!!c.disabledWeekdays&&c.disabledWeekdays.includes(Number(e.weekday))},r={class:{"q-calendar-task__head--weekday":!0,["q-calendar__"+c.weekdayAlign]:!0,"q-calendar__ellipsis":!0}};return h("div",r,a&&a({scope:n})||_e(e,c.shortWeekdayLabel))}function _e(e,a){const t=Y.value(e,a||c.weekdayBreakpoints[0]>0&&E.value<=c.weekdayBreakpoints[0]);return h("span",{class:"q-calendar__ellipsis"},c.weekdayBreakpoints[1]>0&&E.value<=c.weekdayBreakpoints[1]?minCharWidth(t,Number(c.minWeekdayLabel)):t)}function O(e){const a={class:{"q-calendar-task__head--date":!0,["q-calendar__"+c.dateAlign]:!0}};return h("div",a,ke(e))}function ke(t){const e=!0!==c.noActiveDate&&x(t),a=U.value(t,!1),n=v["head-day-label"],r=v["head-day-button"],d={dayLabel:a,timestamp:t,activeDate:e},o=t.date,u={key:o,tabindex:!0===j.value?0:-1,class:{"q-calendar-task__head--day__label":!0,"q-calendar__button":!0,"q-calendar__button--round":"round"===c.dateType,"q-calendar__button--rounded":"rounded"===c.dateType,"q-calendar__button--bordered":!0===t.current,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===j.value},disabled:t.disabled,onKeydown:e=>{!0!==t.disabled&&M(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==t.disabled&&M(e,[13,32])&&(p.value=t.date,void 0!==s.value.onClickDate)&&l("click-date",{scope:d})},...I("-date",(e,a)=>{return"click-date"!==a&&"contextmenu-date"!==a||(p.value=t.date,"click-date"===a&&e.preventDefault()),{scope:d,event:e}})};return!0!==c.noAria&&(u.ariaLabel=K.value(t,!1)),r?r({scope:d}):renderButton(c,u,n?n({scope:d}):a)}function De(e){return"stacked"===c.dateHeader?[!0!==c.noDefaultHeaderText&&A(e),!0!==c.noDefaultHeaderBtn&&O(e)].filter(e=>!1!==e):"inline"===c.dateHeader?("left"===c.weekdayAlign&&"right"===c.dateAlign||"right"===c.weekdayAlign&&c.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==c.noDefaultHeaderText&&A(e),!0!==c.noDefaultHeaderBtn&&O(e)])):"inverted"===c.dateHeader?("left"===c.weekdayAlign&&"right"===c.dateAlign||"right"===c.weekdayAlign&&c.dateAlign,h("div",{class:"q-calendar__header--inline"},[!0!==c.noDefaultHeaderBtn&&O(e),!0!==c.noDefaultHeaderText&&A(e)])):void 0}function we(e,a,t){const n=v["title-day"],r=convertToUnit(E.value),d={width:r,minWidth:r,maxWidth:r},o={timestamp:e,title:a,index:t,cellWidth:E.value},u="function"===typeof c.dayClass?c.dayClass({scope:o}):{},i=!0===c.focusable&&c.focusType.includes("day");return h("div",{class:{"q-calendar-task__title--day":!0,...u,...w(e),"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===i},style:d},[n&&n({scope:o}),useFocusHelper()])}function Te(a){const e=v["head-day"],t=v["head-date"],n=!0!==c.noActiveDate&&x(a),r={timestamp:a,activeDate:n,droppable:f.value=a.date,disabled:!!c.disabledWeekdays&&c.disabledWeekdays.includes(Number(a.weekday))},d=c.weekdayStyle||D,o="function"===typeof c.weekdayClass?c.weekdayClass({scope:r}):{},u=convertToUnit(E.value),i={width:u,minWidth:u,maxWidth:u,...d({scope:r})},l=a.date,s={key:l,ref:e=>{y.value[l]=e},tabindex:!0===W.value?0:-1,class:{"q-calendar-task__head--day":!0,...o,...w(a),"q-active-date":n,"q-calendar__hoverable":!0===c.hoverable,"q-calendar__focusable":!0===W.value},style:i,onFocus:()=>{!0===W.value&&(m.value=l)},onKeydown:e=>{!0!==a.disabled&&M(e,[13,32])&&(e.stopPropagation(),e.preventDefault())},onKeyup:e=>{!0!==a.disabled&&M(e,[13,32])&&(p.value=a.date)},...I("-head-day",e=>{return{scope:r,event:e}}),onDragenter:e=>{void 0!==c.dragEnterFunc&&"function"===typeof c.dragEnterFunc&&(!0===c.dragEnterFunc(e,"head-day",{scope:r})?f.value=a.date:f.value="")},onDragover:e=>{void 0!==c.dragOverFunc&&"function"===typeof c.dragOverFunc&&(!0===c.dragOverFunc(e,"head-day",{scope:r})?f.value=a.date:f.value="")},onDragleave:e=>{void 0!==c.dragLeaveFunc&&"function"===typeof c.dragLeaveFunc&&(!0===c.dragLeaveFunc(e,"head-day",{scope:r})?f.value=a.date:f.value="")},onDrop:e=>{void 0!==c.dropFunc&&"function"===typeof c.dropFunc&&(!0===c.dropFunc(e,"head-day",{scope:r})?f.value=a.date:f.value="")}};return h("div",s,[void 0!==e&&e({scope:r}),void 0===e&&De(a),void 0===e&&t&&t({scope:r}),useFocusHelper()])}function be(){return b.value.map(e=>Te(e))}function Ce(a,t){return b.value.map(e=>we(e,a,t))}function Se(){return h("div",{class:{"q-calendar-task__head--days":!0}},[...be()])}function Fe(e,a){return h("div",{class:{"q-calendar-task__title--days":!0}},[...Ce(e,a)])}function Ie(){return h("div",{roll:"presentation",class:{"q-calendar-task__head":!0,"q-calendar__sticky":!0===q.value},style:{}},[h("div",{style:{position:"relative",display:"flex"}},[he(),Se()]),c.modelTitle.map((e,a)=>h("div",{class:"q-calendar-task__title",style:{position:"relative",display:"flex"}},[ge(e,a),Fe(e,a)]))])}function Me(){return h("div",{class:"q-calendar-task__body"},[qe()])}function qe(){return h("div",{ref:e,class:{"q-calendar-task__scroll-area":!0,"q-calendar__scroll":!0}},[fe()])}function Ee(){const{start:e,end:a}=Q.value,t=(o.value=e.date,u.value=a.date,i.width>0),n=withDirectives(h("div",{key:o.value,class:"q-calendar-task"},[!0===t&&Me()]),[[ResizeObserverDirective,ne]]);if(!0!==c.animated)return n;{const r="q-calendar--"+("prev"===d.value?c.transitionPrev:c.transitionNext);return h(Transition,{name:r,appear:!0},()=>n)}}return watch([b],$,{deep:!0,immediate:!0}),watch(()=>c.modelValue,(e,a)=>{if(p.value!==e){if(!0===c.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));d.value=t>=n?"next":"prev"}p.value=e}m.value=e}),watch(p,(e,a)=>{if(p.value!==c.modelValue){if(!0===c.animated){const t=getDayIdentifier(parsed(e)),n=getDayIdentifier(parsed(a));d.value=t>=n?"next":"prev"}l("update:model-value",e)}}),watch(m,e=>{e&&(t.value=parseTimestamp(e))}),watch(t,()=>{y.value[m.value]?y.value[m.value].focus():Z()}),onBeforeUpdate(()=>{y.value={}}),onMounted(()=>{}),H({prev:te,next:ae,move:F,moveToToday:ee,updateCurrent:k}),()=>X()}}),QCalendar=defineComponent({name:"QCalendar",props:{mode:{type:String,validator:e=>["day","month","agenda","resource","scheduler","task"].includes(e),default:"day"},...useCommonProps,...useMonthProps,...useTimesProps,...useCellWidthProps,...useNavigationProps,...useIntervalProps,...useSchedulerProps,...useResourceProps,...useMaxDaysProps,...useTaskProps},setup(e,{attrs:a,slots:t,expose:n}){const r=ref(),d=computed(()=>{switch(e.mode){case"agenda":return QCalendarAgenda;case"resource":return QCalendarResource;case"scheduler":return QCalendarScheduler;case"month":return QCalendarMonth;case"day":return QCalendarDay;case"task":return QCalendarTask;default:return QCalendarDay}});function o(){r.value&&r.value.moveToToday()}function u(e=-1){r.value&&r.value.move(e)}function i(e=1){r.value&&r.value.next(e)}function l(e=1){r.value&&r.value.prev(e)}function s(){r.value&&r.value.updateCurrent()}function c(e,a=!0){if(r.value)return r.value.timeStartPos(e,a)}function v(e,a=!0){if(r.value)return r.value.timeStartPosX(e,a)}function p(e){if(r.value)return r.value.timeDurationWidth(e)}function m(e){if(r.value)return r.value.timeDurationHeight(e)}function y(e){if(r.value)return r.value.heightToMinutes(e)}function f(e){if(r.value)return r.value.widthToMinutes(e)}function g(e,a=0){r.value&&r.value.scrollToTime(e,a)}function _(e,a=0){r.value&&r.value.scrollToTimeX(e,a)}return n({prev:l,next:i,move:u,moveToToday:o,updateCurrent:s,timeStartPos:c,timeStartPosX:v,timeDurationWidth:p,timeDurationHeight:m,heightToMinutes:y,widthToMinutes:f,scrollToTime:g,scrollToTimeX:_}),()=>h(d.value,{ref:r,...e,...a},t)}});const version="4.1.2";var Plugin={version:version,QCalendar:QCalendar,QCalendarAgenda:QCalendarAgenda,QCalendarDay:QCalendarDay,QCalendarMonth:QCalendarMonth,QCalendarResource:QCalendarResource,QCalendarScheduler:QCalendarScheduler,QCalendarTask:QCalendarTask,...Timestamp$1,...helpers$1,install(e){e.component(String(QCalendar.name),QCalendar),e.component(String(QCalendarAgenda.name),QCalendarAgenda),e.component(String(QCalendarDay.name),QCalendarDay),e.component(String(QCalendarMonth.name),QCalendarMonth),e.component(String(QCalendarResource.name),QCalendarResource),e.component(String(QCalendarScheduler.name),QCalendarScheduler),e.component(String(QCalendarTask.name),QCalendarTask)}};export{DAYS_IN_MONTH,DAYS_IN_MONTH_LEAP,DAYS_IN_MONTH_MAX,DAYS_IN_MONTH_MIN,DAY_MIN,FIRST_HOUR,MONTH_MAX,MONTH_MIN,PARSE_DATE,PARSE_DATETIME,PARSE_TIME,QCalendar,QCalendarAgenda,QCalendarDay,QCalendarMonth,QCalendarResource,QCalendarScheduler,QCalendarTask,TIME_CONSTANTS,addToDate,compareDate,compareDateTime,compareTime,compareTimestamps,convertToUnit,copyTimestamp,createDayList,createIntervalList,createNativeLocaleFormatter,daysBetween,daysInMonth,Plugin as default,diffTimestamp,findWeekday,getDate,getDateTime,getDayIdentifier,getDayOfYear,getDayTimeIdentifier,getEndOfMonth,getEndOfWeek,getMonthFormatter,getMonthNames,getStartOfMonth,getStartOfWeek,getTime,getTimeIdentifier,getWeekday,getWeekdayFormatter,getWeekdayNames,getWorkWeek,indexOf,isBetweenDates,isLeapYear,isOverlappingDates,isToday,makeDate,makeDateTime,maxTimestamp,minCharWidth,minTimestamp,moveRelativeDays,nextDay,padNumber,parseDate,parseTime,parseTimestamp,parsed,prevDay,relativeDays,today,updateDayOfYear,updateDisabled,updateFormatted,updateMinutes,updateRelative,updateWeekday,updateWorkWeek,validateNumber,validateTimestamp,version,weeksBetween};